#!/bin/bash
#
# Facts to determine listener config
#
# Currently only oracle user support
if getent passwd oracle 2>&1 ; then
    # Where is my listener.ora of the First database in /etc/oratab
    if [ -f /etc/oratab ]; then
        OH=$(grep -E '*.:.*:.*' /etc/oratab | grep -v '^#' | cut -d':' -f2| head -1)
        if [ -n "$OH" ]; then
            FILE=$(su - oracle -c "${OH}/bin/lsnrctl status | grep 'Listener Parameter File'")
            echo ora_listener_parameter_file=$(echo ${FILE}| awk -F' ' '{print $4}')
        fi
    fi
    # What is the name of the LISTENER of the First database in /etc/oratab
    if [ -f /etc/oratab ]; then
        OH=$(grep -E '*.:.*:.*' /etc/oratab | grep -v '^#' | cut -d':' -f2| head -1)
        if [ -n "$OH" ]; then
            NAME=$(su - oracle -c "${OH}/bin/lsnrctl show current_listener | grep 'Current Listener'")
            echo ora_listener_name=$(echo ${NAME}| awk -F' ' '{print $4}')
        fi
    fi
fi
