#
# ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions
#
# @summary 
# Note: The SQLNET.ALLOWED_LOGON_VERSION parameter is deprecated in Oracle Database 12c. This parameter has been replaced with two new Oracle Net Services parameters:SQLNET.ALLOWED_LOGON_VERSION_SERVERSQLNET.ALLOWED_LOGON_VERSION_CLIENTView the SQLNET.ORA file in the ORACLE_HOME/network/admin directory or the directory specified in the TNS_ADMIN environment variable. (Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)Locate the following entries:SQLNET.ALLOWED_LOGON_VERSION_SERVER = 12SQLNET.ALLOWED_LOGON_VERSION_CLIENT = 12If the parameters do not exist, this is a finding.If the parameters are not set to a value of 12 or 12a, this is a finding.Note: Attempting to connect with a client version lower than specified in these parameters may result in a misleading error:ORA-01017: invalid username/password: logon deniedEdit the SQLNET.ORA file to add or edit the entries:SQLNET.ALLOWED_LOGON_VERSION_SERVER = 12SQLNET.ALLOWED_LOGON_VERSION_CLIENT = 12Set the value to 12 or higher.Valid values for SQLNET.ALLOWED_LOGON_VERSION_SERVER are: 12 and 12aValid values for SQLNET.ALLOWED_LOGON_VERSION_CLIENT are: 12 and 12aFor more information on sqlnet.ora parameters refer to the following document:"Database Net Services Reference"http://docs.oracle.com/database/121/NETRF/sqlnet.htm#NETRF006For more information on configuring authentication refer to the following document:"Oracle Database 12C Password Version Configuration Guidelines"https://docs.oracle.com/database/121/DBSEG/authentication.htm#GUID-E6EE45DD-1E3B-4028-B8DE-65D6AA373821## SkippingTo deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provideyou with three ways:1) Add `ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions: skip` to your hiera data. This will skip this control for **ALL** databases.  2) Add `ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions::dbname: skip` to your hiera data. This will skip this control for specified database only.  3) Add an entry with the content `network_client_connections_must_be_restricted_to_supported_versions` to the array value `ora_secured::skip_list` in your hiera data.  ## BenchmarksThis control is used in the following benchmarks:- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61535
#
# @param title
#    The SID to apply the control to.
#    All controls need an SID to apply the control to. Here is a simple example:
#    ``` puppet
#    ora_secured::controls::control_name { 'DBSID':}
#    ```
#    In this example, the string DBSID is the sid to apply the control to.
#
#
# See the file "LICENSE" for the full license governing this code.
#
define ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions {
  ora_secured_setup { "network_client_connections_must_be_restricted_to_supported_versions on ${title}":
    ensure => 'present',
  }

  alert('Specified STIG control is not yet automatically enforced.')
}
