#
# See the file "LICENSE" for the full license governing this code.
#
#
# Set the specific property of a profile
#
# $title      iprofile setting including the sid e.g. AUDIT_SYS_OPERATIONS@SID
# $value      Value to set the paremeter ro
# $exclude    the profiles to exclude e.g. not apply the rule to
#
#
define ora_secured::internal::audit_policy (
  Any    $value,
) {
  $split    = $title.split('@')
  $property = $split[0]
  $sid      = $split[1]
  $info     = $split[2]

  $full_name = "Ora_audit_policy[CIS_UNIFIED_AUDIT_POLICY@${sid}]${property}/${info}"
  resource_value { $full_name:
    add_value    => $value,
    allow_create => true,
  }
}
