#
# See the file "LICENSE" for the full license governing this code.
#
#
# Revoke specific system grants to the specfied resources
#
# $sid      the grant including the sid e.g. DBMS_JAVA@SID
# $exclude  the users to exclude, e.g. not revoke
# $grant    the 
#
define ora_secured::internal::revoke_admin_user_grants (
  String $sid,
  String $user,
  String $grant,
) {
    $unique = ora_secured::random_id(6)
    #
    # Check all users and remove the admin grant
    #
    $full_name = "Ora_user[${user}@${sid}]revoked_with_admin/${unique}"
    resource_value { $full_name:
      add_value      => $grant,
      allow_create   => true,
      allow_redefine => true,
    }
    if ora_config::is_root_db($sid) {
      $full_name_common = "Ora_user[${user}@${sid}]common_revoked_with_admin/${unique}"
      resource_value { $full_name_common:
        add_value      => $grant,
        allow_create   => true,
        allow_redefine => true,
      }
    }
  }
