#
# See the file "LICENSE" for the full license governing this code.
#
#
# Revoke public grants to the specfied resources
#
# $title      the grant including the sid e.g. DBMS_JAVA@SID
# $exclude     The users to exclude, e.g. not revoke
#
define ora_secured::internal::revoke_role_rights (
  Array  $exclude,
) {
  $split    = $title.split('@')
  $grant    = $split[0]
  $sid      = $split[1]
  $tag      = $split[2]

  if ! $tag {
    $unique = ora_secured::random_id(6)
  } else {
    $unique = $tag
  }

  #
  # Check all roles and remove the specified grant
  #
  $roles_to_check = ora_config::on_sid($facts['ora_non_maintained_roles'], $sid) - $exclude

  $roles_to_check.each |$role| {
    $full_name = "Ora_role[${role}@${sid}]revoked/${unique}"
    resource_value { $full_name:
      add_value      => $grant,
      allow_create   => true,
      allow_redefine => true,
    }

    if ora_config::is_root_db($sid) {
      $full_name_common = "Ora_role[${role}@${sid}]common_revoked/${unique}"
      resource_value { $full_name_common:
        add_value      => $grant,
        allow_create   => true,
        allow_redefine => true,
      }
    }
  }
}
