#
# See the file "LICENSE" for the full license governing this code.
#
define ora_secured::validators::encryption_server_is_set_to_required (
  Boolean   $skip      = ora_secured::lookup_setting('skip', false),
  String[1] $report_as = ora_secured::lookup_setting('report_as', 'warning'),
) {
  ora_secured_setup { "encryption_server_is_set_to_required validation on ${title}":
    ensure => 'present',
  }
  -> validation { "generated validator for encryption_server_is_set_to_required on ${title}":
    check           => '/bin/true',
    path            => ['/usr/sbin/', '/usr/bin'],
    expected_output => '',
    report_as       => $report_as,
    skip            => true, # $skip, # Remove the true after the chack has been filled in
    control         => easy_type::current_control(),
    fail_message    => 'Generated validator encryption_server_is_set_to_required errorded.',
  }
}
