# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Defined types

* [`ora_secured::controls::access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users`](#ora_securedcontrolsaccess_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users): For UNIX Systems:
* [`ora_secured::controls::access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas`](#ora_securedcontrolsaccess_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas): From SQL*Plus:
* [`ora_secured::controls::access_to_external_executables_must_be_disabled_or_restricted`](#ora_securedcontrolsaccess_to_external_executables_must_be_disabled_or_restricted): Review the System Security Plan to determine if the use of the external procedure agent is authorized.
* [`ora_secured::controls::admin_restrictions_is_set_to_on`](#ora_securedcontrolsadmin_restrictions_is_set_to_on): The `admin_restrictions_<listener_name>` setting in the `listener.
* [`ora_secured::controls::administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles`](#ora_securedcontrolsadministrative_privileges_must_be_assigned_to_database_accounts_via_database_roles): Review accounts for direct assignment of administrative privileges.
* [`ora_secured::controls::admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a`](#ora_securedcontrolsadmins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a): Review permissions for objects owned by DBA or other administrative accounts.
* [`ora_secured::controls::all_audit_option_on_sys_aud_is_enabled`](#ora_securedcontrolsall_audit_option_on_sys_aud_is_enabled): The logging of attempts to alter the audit trail in the `SYS.
* [`ora_secured::controls::all_default_passwords_are_changed`](#ora_securedcontrolsall_default_passwords_are_changed): Default passwords should not be used by Oracle database users.
* [`ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_aud`](#ora_securedcontrolsall_is_revoked_from_unauthorized_grantee_on_aud): The Oracle database `SYS.
* [`ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_dba`](#ora_securedcontrolsall_is_revoked_from_unauthorized_grantee_on_dba): The Oracle database `DBA_` views show all information which is relevant to
* [`ora_secured::controls::all_is_revoked_on_sensitive_tables`](#ora_securedcontrolsall_is_revoked_on_sensitive_tables): The Oracle database tables listed below may contain sensitive information, and
* [`ora_secured::controls::all_sample_data_and_users_have_been_removed`](#ora_securedcontrolsall_sample_data_and_users_have_been_removed): Oracle sample schemas can be used to create sample users
* [`ora_secured::controls::all_use_of_privileged_accounts_must_be_audited`](#ora_securedcontrolsall_use_of_privileged_accounts_must_be_audited): Review auditing configuration.
* [`ora_secured::controls::allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs`](#ora_securedcontrolsallocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs): Review the DBMS settings to determine whether audit logging is configured to produce logs consistent with the amount of space allocated for logging.
* [`ora_secured::controls::allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db`](#ora_securedcontrolsallow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db): Check DBMS settings and documentation to determine whether designated personnel are able to select which auditable events are being audited.
* [`ora_secured::controls::alter_database_link_action_audit_is_enabled`](#ora_securedcontrolsalter_database_link_action_audit_is_enabled): Oracle database links are used to establish database-to-database connections to
* [`ora_secured::controls::alter_procedure_function_package_package_body_action_audit_is_enabled`](#ora_securedcontrolsalter_procedure_function_package_package_body_action_audit_is_enabled): Oracle database procedures, functions, packages, and package bodies, which are
* [`ora_secured::controls::alter_profile_action_audit_is_enabled`](#ora_securedcontrolsalter_profile_action_audit_is_enabled): Oracle database profiles are used to enforce resource usage limits and implement
* [`ora_secured::controls::alter_role_action_audit_is_enabled`](#ora_securedcontrolsalter_role_action_audit_is_enabled): An Oracle database role is a collection or set of privileges that can be granted
* [`ora_secured::controls::alter_synonym_action_audit_is_enabled`](#ora_securedcontrolsalter_synonym_action_audit_is_enabled): An Oracle database synonym is used to create an alternative name for a database
* [`ora_secured::controls::alter_system_audit_option_is_enabled`](#ora_securedcontrolsalter_system_audit_option_is_enabled): `ALTER SYSTEM` allows one to change instance settings, including security settings
* [`ora_secured::controls::alter_system_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsalter_system_is_revoked_from_unauthorized_grantee): The Oracle database `ALTER SYSTEM` privilege allows the designated user to
* [`ora_secured::controls::alter_system_privilege_audit_is_enabled`](#ora_securedcontrolsalter_system_privilege_audit_is_enabled): The `ALTER SYSTEM` privilege allows the user to change instance settings which
* [`ora_secured::controls::alter_trigger_action_audit_is_enabled`](#ora_securedcontrolsalter_trigger_action_audit_is_enabled): Oracle database triggers are executed automatically when specified conditions on
* [`ora_secured::controls::alter_user_action_audit_is_enabled`](#ora_securedcontrolsalter_user_action_audit_is_enabled): The `ALTER USER` statement is used to change database users’ password, lock
* [`ora_secured::controls::any_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsany_is_revoked_from_unauthorized_grantee): The Oracle database `ANY` keyword provides the user the capability to alter any
* [`ora_secured::controls::app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions`](#ora_securedcontrolsapp_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions): Run the SQL query:
* [`ora_secured::controls::app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le`](#ora_securedcontrolsapp_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le): Review policy, procedures and implementation evidence to determine if periodic reviews of user privileges by the ISSO are being performed.
* [`ora_secured::controls::application_owner_accounts_must_have_a_dedicated_application_tablespace`](#ora_securedcontrolsapplication_owner_accounts_must_have_a_dedicated_application_tablespace): Run the SQL query:
* [`ora_secured::controls::application_role_permissions_must_not_be_assigned_to_the_oracle_public_role`](#ora_securedcontrolsapplication_role_permissions_must_not_be_assigned_to_the_oracle_public_role): From SQL*Plus:
* [`ora_secured::controls::apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u`](#ora_securedcontrolsapps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u): Interview the DBA to determine if any applications that access the database allow for entry of the account name and password on the command line.
* [`ora_secured::controls::attempts_to_bypass_access_controls_must_be_audited`](#ora_securedcontrolsattempts_to_bypass_access_controls_must_be_audited): Review any audit settings for:
* [`ora_secured::controls::audit_sys_operations_is_set_to_true`](#ora_securedcontrolsaudit_sys_operations_is_set_to_true): The `AUDIT_SYS_OPERATIONS` setting provides for the auditing of all user
* [`ora_secured::controls::audit_system_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsaudit_system_is_revoked_from_unauthorized_grantee): The Oracle database `AUDIT SYSTEM` privilege allows changes to auditing activities on the system.
* [`ora_secured::controls::audit_trail_data_must_be_retained_for_at_least_one_year`](#ora_securedcontrolsaudit_trail_data_must_be_retained_for_at_least_one_year): Review and verify the implementation of an audit trail retention policy.
* [`ora_secured::controls::audit_trail_data_must_be_reviewed_daily_or_more_frequently`](#ora_securedcontrolsaudit_trail_data_must_be_reviewed_daily_or_more_frequently): If the database being reviewed is not a production database, this check is not a finding.
* [`ora_secured::controls::audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended`](#ora_securedcontrolsaudit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended): The `audit_trail` setting determines whether or not Oracle's basic audit features
* [`ora_secured::controls::audsys_aud_unified_access_audit_is_enabled`](#ora_securedcontrolsaudsys_aud_unified_access_audit_is_enabled): The `AUDSYS.
* [`ora_secured::controls::autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt`](#ora_securedcontrolsautom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt): If the organization has a policy, consistently enforced, forbidding the creation of emergency or temporary accounts, this is not a finding.
* [`ora_secured::controls::automatically_audit_account_creation`](#ora_securedcontrolsautomatically_audit_account_creation): Check Oracle settings (and also OS settings and/or enterprise-level authentication/access mechanisms settings) to determine if account creation is being audited.
* [`ora_secured::controls::automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available`](#ora_securedcontrolsautomatically_audit_account_disabling_actions_to_the_extent_such_information_is_available): Check Oracle settings (and also OS settings and/or enterprise-level authentication/access mechanisms settings) to determine if account disabling actions are being audited.
* [`ora_secured::controls::automatically_audit_account_modification`](#ora_securedcontrolsautomatically_audit_account_modification): Check Oracle settings (and also OS settings and/or enterprise-level authentication/access mechanisms settings) to determine if account modification is being audited.
* [`ora_secured::controls::automatically_audit_account_termination`](#ora_securedcontrolsautomatically_audit_account_termination): Check Oracle settings (and also OS settings and/or enterprise-level authentication/access mechanisms settings) to determine if account termination actions are being audited.
* [`ora_secured::controls::be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss`](#ora_securedcontrolsbe_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss): Identify whether any hosts contain both development and production databases.
* [`ora_secured::controls::be_protected_from_unauthorized_access_by_developers`](#ora_securedcontrolsbe_protected_from_unauthorized_access_by_developers): Check the production system to ensure no developer accounts have rights to modify the production database structure or alter production data.
* [`ora_secured::controls::become_user_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsbecome_user_is_revoked_from_unauthorized_grantee): The Oracle database `BECOME USER` privilege allows the designated user to
* [`ora_secured::controls::changes_to_configuration_options_must_be_audited`](#ora_securedcontrolschanges_to_configuration_options_must_be_audited): From SQL*Plus:
* [`ora_secured::controls::changes_to_dbms_security_labels_must_be_audited`](#ora_securedcontrolschanges_to_dbms_security_labels_must_be_audited): If no data is identified as being sensitive or classified by the Information Owner, in the System Security Plan or in the AIS Functional Architecture documentation, this is not a finding.
* [`ora_secured::controls::check_the_validity_of_data_inputs`](#ora_securedcontrolscheck_the_validity_of_data_inputs): Review DBMS code, settings, field definitions, constraints, and triggers to determine whether or not data being input into the database is validated.
* [`ora_secured::controls::conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and`](#ora_securedcontrolsconduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and): Review DBMS and OS backup configuration to determine that system-level data is backed up in according with organization-defined frequency.
* [`ora_secured::controls::connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted`](#ora_securedcontrolsconnss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted): Review the System Security Plan for remote applications that access and use the database.
* [`ora_secured::controls::create_any_library_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolscreate_any_library_is_revoked_from_unauthorized_grantee): The Oracle database `CREATE ANY LIBRARY` privilege allows the designated user to
* [`ora_secured::controls::create_database_link_action_audit_is_enabled`](#ora_securedcontrolscreate_database_link_action_audit_is_enabled): Oracle database links are used to establish database-to-database connections to
* [`ora_secured::controls::create_library_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolscreate_library_is_revoked_from_unauthorized_grantee): The Oracle database `CREATE LIBRARY` privilege allows the designated user to
* [`ora_secured::controls::create_procedure_function_package_package_body_action_audit_is_enabled`](#ora_securedcontrolscreate_procedure_function_package_package_body_action_audit_is_enabled): Oracle database procedures, function, packages, and package bodies, which are
* [`ora_secured::controls::create_procedure_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolscreate_procedure_is_revoked_from_unauthorized_grantee): The Oracle database `CREATE PROCEDURE` privilege allows the designated user to
* [`ora_secured::controls::create_profile_action_audit_is_enabled`](#ora_securedcontrolscreate_profile_action_audit_is_enabled): Oracle database profiles are used to enforce resource usage limits and implement
* [`ora_secured::controls::create_role_action_audit_is_enabled`](#ora_securedcontrolscreate_role_action_audit_is_enabled): An Oracle database role is a collection or set of privileges that can be granted
* [`ora_secured::controls::create_session_audit_option_is_enabled`](#ora_securedcontrolscreate_session_audit_option_is_enabled): Enabling this audit option will cause auditing of all attempts to connect to the
* [`ora_secured::controls::create_synonym_action_audit_is_enabled`](#ora_securedcontrolscreate_synonym_action_audit_is_enabled): An Oracle database synonym is used to create an alternative name for a database
* [`ora_secured::controls::create_trigger_action_audit_is_enabled`](#ora_securedcontrolscreate_trigger_action_audit_is_enabled): Oracle database triggers are executed automatically when specified conditions on
* [`ora_secured::controls::create_user_action_audit_is_enabled`](#ora_securedcontrolscreate_user_action_audit_is_enabled): The `CREATE USER` statement is used to create Oracle database accounts and
* [`ora_secured::controls::creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users`](#ora_securedcontrolscreds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users): Review the list of defined database links generated from the DBMS.
* [`ora_secured::controls::database_backup_procedures_must_be_defined_documented_and_implemented`](#ora_securedcontrolsdatabase_backup_procedures_must_be_defined_documented_and_implemented): Review the database backup procedures and implementation evidence.
* [`ora_secured::controls::database_data_files_containing_sensitive_information_must_be_encrypted`](#ora_securedcontrolsdatabase_data_files_containing_sensitive_information_must_be_encrypted): If the database does not handle sensitive information, this is not a finding.
* [`ora_secured::controls::database_link_audit_option_is_enabled`](#ora_securedcontrolsdatabase_link_audit_option_is_enabled): Enabling the audit option for the `DATABASE LINK` object causes all activities on
* [`ora_secured::controls::database_must_not_be_directly_accessible_from_public_or_unauthorized_networks`](#ora_securedcontrolsdatabase_must_not_be_directly_accessible_from_public_or_unauthorized_networks): Review the System Security Plan to determine if the DBMS serves data to users or applications outside the local enclave.
* [`ora_secured::controls::database_objects_must_be_owned_by_accounts_authorized_for_ownership`](#ora_securedcontrolsdatabase_objects_must_be_owned_by_accounts_authorized_for_ownership): Review system documentation to identify accounts authorized to own database objects.
* [`ora_secured::controls::database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested`](#ora_securedcontrolsdatabase_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested): Review the testing and verification procedures documented in the system documentation.
* [`ora_secured::controls::db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions`](#ora_securedcontrolsdb_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions): The DBMS_JOB PL/SQL package has been replaced by DBMS_SCHEDULER in Oracle versions 10.
* [`ora_secured::controls::db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes`](#ora_securedcontrolsdb_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes): Review monitoring procedures and implementation evidence to verify that monitoring of changes to database software libraries, related applications, and configuration files is done.
* [`ora_secured::controls::db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm`](#ora_securedcontrolsdb_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm): Review the DBMS software library directory and note other root directories located on the same disk directory or any subdirectories.
* [`ora_secured::controls::dba_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsdba_is_revoked_from_unauthorized_grantee): The Oracle database `DBA` role is the default database administrator role
* [`ora_secured::controls::dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms`](#ora_securedcontrolsdba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms): Review host system privileges assigned to the Oracle DBA group and all individual Oracle DBA accounts.
* [`ora_secured::controls::dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges`](#ora_securedcontrolsdba_role_must_not_be_assigned_excessive_or_unauthorized_privileges): Review access permissions for objects owned by application owners or other non-administrative users.
* [`ora_secured::controls::dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes`](#ora_securedcontrolsdba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes): The Oracle database `WITH_ADMIN` privilege allows the designated user to grant
* [`ora_secured::controls::dba_users_authentication_type_is_not_set_to_external_for_any_user`](#ora_securedcontrolsdba_users_authentication_type_is_not_set_to_external_for_any_user): The `authentication_type='EXTERNAL'` setting determines whether or not a user
* [`ora_secured::controls::dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access`](#ora_securedcontrolsdbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access): Review file protections assigned to online backup and restoration files.
* [`ora_secured::controls::dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition`](#ora_securedcontrolsdbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition): Review the disk/directory specification where database data, transaction log and audit files are stored.
* [`ora_secured::controls::dbms_default_accounts_must_be_assigned_custom_passwords`](#ora_securedcontrolsdbms_default_accounts_must_be_assigned_custom_passwords): Use this query to identify the Oracle-supplied accounts that still have their default passwords:
* [`ora_secured::controls::dbms_default_accounts_must_be_protected_from_misuse`](#ora_securedcontrolsdbms_default_accounts_must_be_protected_from_misuse): Review the use of the essential system accounts with the DBA(s).
* [`ora_secured::controls::dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs`](#ora_securedcontrolsdbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs): If the DBMS host being reviewed is not a production DBMS host, this check is not a finding.
* [`ora_secured::controls::dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi`](#ora_securedcontrolsdbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi): Review DBMS, OS, or third-party logging application settings to determine whether a warning will be provided when a specific percentage of log storage capacity is reached.
* [`ora_secured::controls::dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts`](#ora_securedcontrolsdbms_processes_or_services_must_run_under_custom_dedicated_os_accounts): Check OS settings to determine whether DBMS processes are running under a dedicated OS account.
* [`ora_secured::controls::dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss`](#ora_securedcontrolsdbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss): If the DBMS or DBMS host is not shared by production and development activities, this check is not a finding.
* [`ora_secured::controls::dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr`](#ora_securedcontrolsdbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr): Review application source code required to be encoded or encrypted for database accounts used by applications or batch jobs to access the database.
* [`ora_secured::controls::dbms_software_installation_account_must_be_restricted_to_authorized_users`](#ora_securedcontrolsdbms_software_installation_account_must_be_restricted_to_authorized_users): Review procedures for controlling and granting access to use of the DBMS software installation account.
* [`ora_secured::controls::dbms_software_libraries_must_be_periodically_backed_up`](#ora_securedcontrolsdbms_software_libraries_must_be_periodically_backed_up): Review evidence of inclusion of the DBMS libraries in current backup records.
* [`ora_secured::controls::dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs`](#ora_securedcontrolsdbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs): If the symmetric key management procedures and configuration settings for the DBMS are not specified in the System Security Plan, this is a finding.
* [`ora_secured::controls::dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user`](#ora_securedcontrolsdbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user): Check DBMS settings and documentation to determine if users are able to assign and revoke rights to the objects and information they own.
* [`ora_secured::controls::dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key`](#ora_securedcontrolsdbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key): If PKI is not enabled in Oracle Database, this is not a finding.
* [`ora_secured::controls::dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w`](#ora_securedcontrolsdbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w): If PKI is not enabled in the Oracle Database, this is not a finding.
* [`ora_secured::controls::dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac`](#ora_securedcontrolsdbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac): If data is written to portable media, the data must be protected and access restricted via cryptographic mechanisms.
* [`ora_secured::controls::dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights`](#ora_securedcontrolsdbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights): Verify the DBMS has the ability to grant permissions without the grantee receiving the right to grant those same permissions to another user.
* [`ora_secured::controls::default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed`](#ora_securedcontrolsdefault_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed): If Oracle is hosted on a server that does not support production systems, and is designated for the deployment of samples and demonstrations, this is not applicable (NA).
* [`ora_secured::controls::delete_catalog_role_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsdelete_catalog_role_is_revoked_from_unauthorized_grantee): **THIS ROLE IS DEPRECATED IN V12.
* [`ora_secured::controls::diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc`](#ora_securedcontrolsdiag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc): From SQL*Plus:
* [`ora_secured::controls::dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic`](#ora_securedcontrolsdir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic): If Standard Auditing is used:
* [`ora_secured::controls::directory_audit_option_is_enabled`](#ora_securedcontrolsdirectory_audit_option_is_enabled): The `DIRECTORY` object allows for the creation of a directory object that
* [`ora_secured::controls::dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc`](#ora_securedcontrolsdirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc): From SQL*Plus:
* [`ora_secured::controls::disable_user_accounts_after_35_days_of_inactivity`](#ora_securedcontrolsdisable_user_accounts_after_35_days_of_inactivity): If all user accounts are managed and authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::drop_any_procedure_audit_option_is_enabled`](#ora_securedcontrolsdrop_any_procedure_audit_option_is_enabled): The `AUDIT DROP ANY PROCEDURE` command is auditing the dropping of procedures.
* [`ora_secured::controls::drop_database_link_action_audit_is_enabled`](#ora_securedcontrolsdrop_database_link_action_audit_is_enabled): Oracle database links are used to establish database-to-database connections to
* [`ora_secured::controls::drop_procedure_function_package_package_body_action_audit_is_enabled`](#ora_securedcontrolsdrop_procedure_function_package_package_body_action_audit_is_enabled): Oracle database procedures, functions, packages, and package bodies, which are
* [`ora_secured::controls::drop_profile_action_audit_is_enabled`](#ora_securedcontrolsdrop_profile_action_audit_is_enabled): Oracle database profiles are used to enforce resource usage limits and implement
* [`ora_secured::controls::drop_role_action_audit_is_enabled`](#ora_securedcontrolsdrop_role_action_audit_is_enabled): An Oracle database role is a collection or set of privileges that can be granted
* [`ora_secured::controls::drop_synonym_action_audit_is_enabled`](#ora_securedcontrolsdrop_synonym_action_audit_is_enabled): An Oracle database synonym is used to create an alternative name for a database
* [`ora_secured::controls::drop_trigger_action_audit_is_enabled`](#ora_securedcontrolsdrop_trigger_action_audit_is_enabled): Oracle database triggers are executed automatically when specified conditions on
* [`ora_secured::controls::drop_user_audit_option_is_enabled`](#ora_securedcontrolsdrop_user_audit_option_is_enabled): The `DROP USER` statement is used to drop Oracle database accounts and schemas associated with them.
* [`ora_secured::controls::employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications`](#ora_securedcontrolsemploy_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications): Check DBMS settings to determine whether security personnel are alerted automatically when unusual or security-related activities (threats identified by authoritative sources (e.
* [`ora_secured::controls::employ_automated_mechanisms_for_supporting_oracle_user_account_management`](#ora_securedcontrolsemploy_automated_mechanisms_for_supporting_oracle_user_account_management): If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm`](#ora_securedcontrolsemploy_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm): Check DBMS settings to determine whether cryptographic mechanisms are used to prevent the unauthorized disclosure of information during transmission.
* [`ora_secured::controls::employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms`](#ora_securedcontrolsemploy_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms): Review DBMS configuration to determine if cryptographic mechanisms are being utilized to protect the integrity and confidentiality of nonlocal maintenance and diagnostic communications.
* [`ora_secured::controls::employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess`](#ora_securedcontrolsemploy_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess): Review DBMS settings to determine whether strong identification and authentication techniques are required for nonlocal maintenance and diagnostic sessions.
* [`ora_secured::controls::enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy`](#ora_securedcontrolsenforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy): Check DBMS settings to determine whether users are restricted from accessing objects and data they are not authorized to access.
* [`ora_secured::controls::enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs`](#ora_securedcontrolsenforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs): Check DBMS settings to determine if users are able to assign and revoke rights to the objects and information that they own.
* [`ora_secured::controls::enforce_password_maximum_lifetime_restrictions`](#ora_securedcontrolsenforce_password_maximum_lifetime_restrictions): If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::enforce_requirements_for_remote_connections_to_the_information_system`](#ora_securedcontrolsenforce_requirements_for_remote_connections_to_the_information_system): Review organization's access control policies and procedures addressing remote access to the information system.
* [`ora_secured::controls::ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited`](#ora_securedcontrolsensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator`](#ora_securedcontrolsensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings to determine whether shared accounts exist.
* [`ora_secured::controls::execute_any_procedure_is_revoked_from_dbsnmp`](#ora_securedcontrolsexecute_any_procedure_is_revoked_from_dbsnmp): Remove unneeded `EXECUTE ANY PROCEDURE` privileges from `DBSNMP`.
* [`ora_secured::controls::execute_any_procedure_is_revoked_from_outln`](#ora_securedcontrolsexecute_any_procedure_is_revoked_from_outln): Remove unneeded `EXECUTE ANY PROCEDURE` privileges from `OUTLN`.
* [`ora_secured::controls::execute_catalog_role_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsexecute_catalog_role_is_revoked_from_unauthorized_grantee): The Oracle database `EXECUTE_CATALOG_ROLE` provides `EXECUTE` privileges for a
* [`ora_secured::controls::execute_is_not_granted_to_public_on_non_default_packages`](#ora_securedcontrolsexecute_is_not_granted_to_public_on_non_default_packages): The packages described in this control are not granted to `PUBLIC` by default
* [`ora_secured::controls::execute_is_revoked_from_public_on_encryption_packages`](#ora_securedcontrolsexecute_is_revoked_from_public_on_encryption_packages): As described below, Oracle Database PL/SQL "Encryption" packages -
* [`ora_secured::controls::execute_is_revoked_from_public_on_file_system_packages`](#ora_securedcontrolsexecute_is_revoked_from_public_on_file_system_packages): As described below, Oracle Database PL/SQL "File System" packages -
* [`ora_secured::controls::execute_is_revoked_from_public_on_java_packages`](#ora_securedcontrolsexecute_is_revoked_from_public_on_java_packages): As described below, Oracle Database PL/SQL "Java" packages - `DBMS_JAVA`and
* [`ora_secured::controls::execute_is_revoked_from_public_on_job_scheduler_packages`](#ora_securedcontrolsexecute_is_revoked_from_public_on_job_scheduler_packages): As described below, Oracle Database PL/SQL "Job Scheduler" packages -
* [`ora_secured::controls::execute_is_revoked_from_public_on_network_packages`](#ora_securedcontrolsexecute_is_revoked_from_public_on_network_packages): As described below, Oracle Database PL/SQL "Network" packages - `DBMS_LDAP`,
* [`ora_secured::controls::execute_is_revoked_from_public_on_sql_injection_helper_packages`](#ora_securedcontrolsexecute_is_revoked_from_public_on_sql_injection_helper_packages): As described below, Oracle Database PL/SQL "SQL Injection Helper Packages"
* [`ora_secured::controls::exempt_access_policy_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsexempt_access_policy_is_revoked_from_unauthorized_grantee): The Oracle database `EXEMPT ACCESS POLICY` keyword provides the user the
* [`ora_secured::controls::extproc_is_not_present_in_listener_ora`](#ora_securedcontrolsextproc_is_not_present_in_listener_ora): `extproc` should be removed from the `listener.
* [`ora_secured::controls::failed_login_attempts_is_less_than_or_equal_to_5`](#ora_securedcontrolsfailed_login_attempts_is_less_than_or_equal_to_5): The `FAILED_LOGIN_ATTEMPTS` setting determines how many failed login attempts
* [`ora_secured::controls::fixed_user_and_public_database_links_must_be_authorized_for_use`](#ora_securedcontrolsfixed_user_and_public_database_links_must_be_authorized_for_use): From SQL*Plus:
* [`ora_secured::controls::gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail`](#ora_securedcontrolsgen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail): Check DBMS settings to determine if auditing is being performed on the events on the DoD-selected list of auditable events that lie within the scope of Oracle audit capabilities:
* [`ora_secured::controls::global_names_is_set_to_true`](#ora_securedcontrolsglobal_names_is_set_to_true): The global_names setting requires that the name of a database link matches that
* [`ora_secured::controls::grant_action_audit_is_enabled`](#ora_securedcontrolsgrant_action_audit_is_enabled): `GRANT` statements are used to grant privileges to Oracle database users and
* [`ora_secured::controls::grant_any_object_privilege_audit_option_is_enabled`](#ora_securedcontrolsgrant_any_object_privilege_audit_option_is_enabled): `GRANT ANY OBJECT PRIVILEGE` allows the user to grant or revoke any object
* [`ora_secured::controls::grant_any_object_privilege_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsgrant_any_object_privilege_is_revoked_from_unauthorized_grantee): The Oracle database `GRANT ANY OBJECT PRIVILEGE` keyword provides the grantee
* [`ora_secured::controls::grant_any_privilege_audit_option_is_enabled`](#ora_securedcontrolsgrant_any_privilege_audit_option_is_enabled): `GRANT ANY PRIVILEGE` allows a user to grant any system privilege, including the
* [`ora_secured::controls::grant_any_privilege_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsgrant_any_privilege_is_revoked_from_unauthorized_grantee): The Oracle database `GRANT ANY PRIVILEGE` keyword provides the grantee the
* [`ora_secured::controls::grant_any_role_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsgrant_any_role_is_revoked_from_unauthorized_grantee): The Oracle database `GRANT ANY ROLE` keyword provides the grantee the capability
* [`ora_secured::controls::have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded`](#ora_securedcontrolshave_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded): Review the DBMS settings to determine whether audit logging is configured to produce logs consistent with the amount of space allocated for logging.
* [`ora_secured::controls::identify_potentially_security_relevant_error_conditions`](#ora_securedcontrolsidentify_potentially_security_relevant_error_conditions): Check DBMS settings to determine whether security-related error conditions are monitored for, and whether appropriate personnel are notified.
* [`ora_secured::controls::implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f`](#ora_securedcontrolsimplement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f): If encryption is not required for the database, this is not a finding.
* [`ora_secured::controls::implement_separation_of_duties_through_assigned_information_access_authorizations`](#ora_securedcontrolsimplement_separation_of_duties_through_assigned_information_access_authorizations): Obtain a list of privileges assigned to the DBMS user accounts.
* [`ora_secured::controls::inactive_account_time_is_less_than_or_equal_to_120`](#ora_securedcontrolsinactive_account_time_is_less_than_or_equal_to_120): The `INACTIVE_ACCOUNT_TIME` setting determines the maximum number of days of
* [`ora_secured::controls::incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject`](#ora_securedcontrolsincl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains`](#ora_securedcontrolsisolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains): Check DBMS settings to determine whether objects or code implementing security functionality are located in a separate security domain, such as a separate database or schema created specifically for security functionality.
* [`ora_secured::controls::issm_must_review_changes_to_dba_role_assignments`](#ora_securedcontrolsissm_must_review_changes_to_dba_role_assignments): Review policy and procedures documented or noted in the System Security Plan as well as evidence of implementation for monitoring changes to DBA role assignments and procedures for notifying the ISSM of the changes for review.
* [`ora_secured::controls::lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess`](#ora_securedcontrolslmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess): Retrieve the settings for concurrent sessions for each profile with the query:
* [`ora_secured::controls::lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio`](#ora_securedcontrolslmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio): Review DBMS settings and documentation to determine if the DBMS restricts resource usage by priority.
* [`ora_secured::controls::logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes`](#ora_securedcontrolslogic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes): Review monitoring procedures and implementation evidence to verify that monitoring of changes to database logic modules is done.
* [`ora_secured::controls::logon_and_logoff_actions_audit_is_enabled`](#ora_securedcontrolslogon_and_logoff_actions_audit_is_enabled): Oracle database users log on to the database to perform their work.
* [`ora_secured::controls::manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents`](#ora_securedcontrolsmanage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents): Review Oracle user profiles.
* [`ora_secured::controls::map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication`](#ora_securedcontrolsmap_the_authenticated_identity_to_the_user_account_using_pki_based_authentication): Review DBMS configuration to verify DBMS user accounts are being mapped directly to authenticated identity information being passed via the PKI.
* [`ora_secured::controls::minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks`](#ora_securedcontrolsminimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks): From SQL*Plus:
* [`ora_secured::controls::minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive`](#ora_securedcontrolsminimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive): From SQL*Plus:
* [`ora_secured::controls::network_access_to_the_dbms_must_be_restricted_to_authorized_personnel`](#ora_securedcontrolsnetwork_access_to_the_dbms_must_be_restricted_to_authorized_personnel): IP address restriction may be defined for the database listener, by use of the Oracle Connection Manager or by an external network device.
* [`ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions`](#ora_securedcontrolsnetwork_client_connections_must_be_restricted_to_supported_versions): ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions  Note: The SQLNET.ALLOWED_LOGON_VERSION parameter 
* [`ora_secured::controls::no_public_database_links_exist`](#ora_securedcontrolsno_public_database_links_exist): Public Database links are used to allow connections between databases.
* [`ora_secured::controls::no_users_are_assigned_the_default_profile`](#ora_securedcontrolsno_users_are_assigned_the_default_profile): Upon creation database users are assigned to the `DEFAULT` profile unless
* [`ora_secured::controls::not_share_a_host_supporting_an_independent_security_service`](#ora_securedcontrolsnot_share_a_host_supporting_an_independent_security_service): Review the services and processes active on the DBMS host system.
* [`ora_secured::controls::notify_appropriate_individuals_when_account_disabling_actions_are_taken`](#ora_securedcontrolsnotify_appropriate_individuals_when_account_disabling_actions_are_taken): Check DBMS settings to determine whether it will notify appropriate individuals when account disabling actions are taken.
* [`ora_secured::controls::notify_appropriate_individuals_when_accounts_are_created`](#ora_securedcontrolsnotify_appropriate_individuals_when_accounts_are_created): Check DBMS settings to determine whether it will notify appropriate individuals when accounts are created.
* [`ora_secured::controls::notify_appropriate_individuals_when_accounts_are_modified`](#ora_securedcontrolsnotify_appropriate_individuals_when_accounts_are_modified): Check DBMS settings to determine whether it will notify appropriate individuals when accounts are modified.
* [`ora_secured::controls::notify_appropriate_individuals_when_accounts_are_terminated`](#ora_securedcontrolsnotify_appropriate_individuals_when_accounts_are_terminated): Check DBMS settings to determine whether it will notify appropriate individuals when accounts are terminated.
* [`ora_secured::controls::o7_dictionary_accessibility_is_set_to_false`](#ora_securedcontrolso7_dictionary_accessibility_is_set_to_false): The `O7_dictionary_accessibility` setting is a database initialization parameter
* [`ora_secured::controls::object_permissions_granted_to_public_must_be_restricted`](#ora_securedcontrolsobject_permissions_granted_to_public_must_be_restricted): A default Oracle Database installation provides a set of predefined administrative accounts and non-administrative accounts.
* [`ora_secured::controls::only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace`](#ora_securedcontrolsonly_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace): Run the query:
* [`ora_secured::controls::only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def`](#ora_securedcontrolsonly_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def): Check DBMS settings and custom database and application code to verify error messages do not contain information beyond what is needed for troubleshooting the issue.
* [`ora_secured::controls::oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized`](#ora_securedcontrolsoracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized): Run the SQL query:
* [`ora_secured::controls::oracle_instance_names_must_not_contain_oracle_version_numbers`](#ora_securedcontrolsoracle_instance_names_must_not_contain_oracle_version_numbers): From SQL*Plus:
* [`ora_secured::controls::oracle_listener_must_be_configured_to_require_administration_authentication`](#ora_securedcontrolsoracle_listener_must_be_configured_to_require_administration_authentication): If a listener is not running on the local database host server, this check is not a finding.
* [`ora_secured::controls::oracle_must_back_up_user_level_information_per_a_defined_frequency`](#ora_securedcontrolsoracle_must_back_up_user_level_information_per_a_defined_frequency): Review DBMS settings and site documentation to determine whether Oracle is configured to back up user-level data according to a defined frequency.
* [`ora_secured::controls::oracle_remote_os_authent_parameter_must_be_set_to_false`](#ora_securedcontrolsoracle_remote_os_authent_parameter_must_be_set_to_false): From SQL*Plus:
* [`ora_secured::controls::oracle_remote_os_roles_parameter_must_be_set_to_false`](#ora_securedcontrolsoracle_remote_os_roles_parameter_must_be_set_to_false): From SQL*Plus:
* [`ora_secured::controls::oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts`](#ora_securedcontrolsoracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts): A default Oracle Database installation provides a set of predefined administrative accounts and non-administrative accounts.
* [`ora_secured::controls::oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities`](#ora_securedcontrolsoracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities): When the Quarterly CPU is released, check the CPU Notice and note the specific patch number for the system.
* [`ora_secured::controls::oracle_sql92_security_parameter_must_be_set_to_true`](#ora_securedcontrolsoracle_sql92_security_parameter_must_be_set_to_true): From SQL*Plus:
* [`ora_secured::controls::oracle_trace_files_public_parameter_if_present_must_be_set_to_false`](#ora_securedcontrolsoracle_trace_files_public_parameter_if_present_must_be_set_to_false): From SQL*Plus:
* [`ora_secured::controls::orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n`](#ora_securedcontrolsorcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n): Review the system documentation for a description of how audit records are off-loaded.
* [`ora_secured::controls::orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s`](#ora_securedcontrolsorcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s): From SQL*Plus:
* [`ora_secured::controls::orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts`](#ora_securedcontrolsorcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts): Execute the query:
* [`ora_secured::controls::os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges`](#ora_securedcontrolsos_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges): Determine which OS accounts are used by the DBMS to run external procedures.
* [`ora_secured::controls::os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs`](#ora_securedcontrolsos_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs): Review permissions that control access to the DBMS software libraries.
* [`ora_secured::controls::os_roles_is_set_to_false`](#ora_securedcontrolsos_roles_is_set_to_false): The `os_roles` setting permits externally created groups to be applied to database management.
* [`ora_secured::controls::owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities`](#ora_securedcontrolsowners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities): Review procedures and practices.
* [`ora_secured::controls::password_grace_time_is_less_than_or_equal_to_5`](#ora_securedcontrolspassword_grace_time_is_less_than_or_equal_to_5): The `PASSWORD_GRACE_TIME` setting determines how many days can pass after the
* [`ora_secured::controls::password_life_time_is_less_than_or_equal_to_90`](#ora_securedcontrolspassword_life_time_is_less_than_or_equal_to_90): The `PASSWORD_LIFE_TIME` setting determines how long a password may be used
* [`ora_secured::controls::password_lock_time_is_greater_than_or_equal_to_1`](#ora_securedcontrolspassword_lock_time_is_greater_than_or_equal_to_1): The `PASSWORD_LOCK_TIME` setting determines how many days must pass for the
* [`ora_secured::controls::password_reuse_max_is_greater_than_or_equal_to_20`](#ora_securedcontrolspassword_reuse_max_is_greater_than_or_equal_to_20): The `PASSWORD_REUSE_MAX` setting determines how many different passwords must be
* [`ora_secured::controls::password_reuse_time_is_greater_than_or_equal_to_365`](#ora_securedcontrolspassword_reuse_time_is_greater_than_or_equal_to_365): The `PASSWORD_REUSE_TIME` setting determines the amount of time in days that
* [`ora_secured::controls::password_verify_function_is_set_for_all_profiles`](#ora_securedcontrolspassword_verify_function_is_set_for_all_profiles): The `PASSWORD_VERIFY_FUNCTION` determines password settings requirements when a
* [`ora_secured::controls::plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio`](#ora_securedcontrolsplans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio): Review policy and procedures documented or noted in the System Security Plan and evidence of implementation for testing DBMS installations, upgrades and patches prior to production deployment.
* [`ora_secured::controls::preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure`](#ora_securedcontrolspreserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure): If the database is used solely for transient data (such as one dedicated to Extract-Transform-Load (ETL)), and a clear plan exists for the recovery of the database by means other than archiving, this is not a finding.
* [`ora_secured::controls::prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i`](#ora_securedcontrolsprevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i): Check DBMS settings and vendor documentation to verify administrative functionality is separate from user functionality.
* [`ora_secured::controls::prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources`](#ora_securedcontrolsprevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources): Verify there are proper procedures in place for the refreshing of development/test data from production.
* [`ora_secured::controls::procedure_audit_option_is_enabled`](#ora_securedcontrolsprocedure_audit_option_is_enabled): In this statement audit, `PROCEDURE` means any procedure, function, package or
* [`ora_secured::controls::procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed`](#ora_securedcontrolsprocs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed): If the database being reviewed is not a production database or does not contain sensitive data, this check is not a finding.
* [`ora_secured::controls::procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl`](#ora_securedcontrolsprocs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl): If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current`](#ora_securedcontrolsprocs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current): Review configuration to confirm that accounts used by processes to connect to the DBMS are authenticated using valid, current DoD-issued PKI certificates.
* [`ora_secured::controls::produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred`](#ora_securedcontrolsproduce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event`](#ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events`](#ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events`](#ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_sources_origins_of_events): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred`](#ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred`](#ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::profile_audit_option_is_enabled`](#ora_securedcontrolsprofile_audit_option_is_enabled): The `PROFILE` object allows for the creation of a set of database resource
* [`ora_secured::controls::prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action`](#ora_securedcontrolsprot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action): If there are no shared accounts available to more than one user, this is not a finding.
* [`ora_secured::controls::prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks`](#ora_securedcontrolsprot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks): Review DBMS settings to verify the DBMS implements measures to limit the effects of the organization-defined types of Denial of Service (DoS) attacks.
* [`ora_secured::controls::prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs`](#ora_securedcontrolsprot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs): If Standard Auditing is used:
* [`ora_secured::controls::protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms`](#ora_securedcontrolsprotect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms): Review DBMS settings to determine whether the DBMS is using cryptographic mechanisms to protect audit data records and integrity.
* [`ora_secured::controls::protect_audit_information_from_any_type_of_unauthorized_access`](#ora_securedcontrolsprotect_audit_information_from_any_type_of_unauthorized_access): Review locations of audit logs, both internal to the database and database audit logs located at the operating system-level.
* [`ora_secured::controls::protect_audit_information_from_unauthorized_deletion`](#ora_securedcontrolsprotect_audit_information_from_unauthorized_deletion): Review locations of audit logs, both internal to the database and database audit logs located at the operating system-level.
* [`ora_secured::controls::protect_audit_information_from_unauthorized_modification`](#ora_securedcontrolsprotect_audit_information_from_unauthorized_modification): Review locations of audit logs, both internal to the database and database audit logs located at the operating system-level.
* [`ora_secured::controls::protect_audit_tools_from_unauthorized_access`](#ora_securedcontrolsprotect_audit_tools_from_unauthorized_access): Review access permissions to tools used to view or modify audit log data.
* [`ora_secured::controls::protect_audit_tools_from_unauthorized_deletion`](#ora_securedcontrolsprotect_audit_tools_from_unauthorized_deletion): Review access permissions to tools used to view or modify audit log data.
* [`ora_secured::controls::protect_audit_tools_from_unauthorized_modification`](#ora_securedcontrolsprotect_audit_tools_from_unauthorized_modification): Review access permissions to tools used to view or modify audit log data.
* [`ora_secured::controls::protect_the_integrity_of_publicly_available_information_and_applications`](#ora_securedcontrolsprotect_the_integrity_of_publicly_available_information_and_applications): Determine whether the database houses and distributes information to the public.
* [`ora_secured::controls::prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts`](#ora_securedcontrolsprov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts): : If the organization has a policy, consistently enforced, forbidding the creation of emergency or temporary accounts, this is not a finding.
* [`ora_secured::controls::prov_audit_record_generation_cap_for_org_def_auditable_events_within_db`](#ora_securedcontrolsprov_audit_record_generation_cap_for_org_def_auditable_events_within_db): Verify, using vendor and system documentation if necessary, that the DBMS is configured to use Oracle's auditing features, or that a third-party product or custom code is deployed and configured to satisfy this requirement.
* [`ora_secured::controls::prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria`](#ora_securedcontrolsprov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria): Review the system (OS, applications external to Oracle, and/or a separate log aggregation and query server) to determine whether it provides the ability to automatically process audit records for events based on selectable event criteria.
* [`ora_secured::controls::provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours`](#ora_securedcontrolsprovide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours): If the organization has a policy, consistently enforced, forbidding the creation of emergency or temporary accounts, this is not a finding.
* [`ora_secured::controls::provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur`](#ora_securedcontrolsprovide_a_real_time_alert_when_organization_defined_audit_failure_events_occur): Review Oracle Corp.
* [`ora_secured::controls::provide_a_report_generation_capability_for_audit_reduction_data`](#ora_securedcontrolsprovide_a_report_generation_capability_for_audit_reduction_data): Verify that audit reduction capabilities are in place for the Oracle audit data.
* [`ora_secured::controls::provide_an_audit_log_reduction_capability`](#ora_securedcontrolsprovide_an_audit_log_reduction_capability): Verify that audit reduction capabilities are in place for the Oracle audit data.
* [`ora_secured::controls::public_database_link_audit_option_is_enabled`](#ora_securedcontrolspublic_database_link_audit_option_is_enabled): The `PUBLIC DATABASE LINK` object allows for the creation of a public link for
* [`ora_secured::controls::public_synonym_audit_option_is_enabled`](#ora_securedcontrolspublic_synonym_audit_option_is_enabled): The `PUBLIC SYNONYM` object allows for the creation of an alternate description of
* [`ora_secured::controls::recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v`](#ora_securedcontrolsrecovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v): Review DBMS recovery procedures and technical system features to determine if mechanisms exist and are in place to specify use of trusted files during DBMS recovery.
* [`ora_secured::controls::remote_administration_must_be_disabled_for_the_oracle_connection_manager`](#ora_securedcontrolsremote_administration_must_be_disabled_for_the_oracle_connection_manager): View the cman.
* [`ora_secured::controls::remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm`](#ora_securedcontrolsremote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm): If remote administrative access to the database is prohibited and is disabled, this check is not a finding.
* [`ora_secured::controls::remote_database_or_other_external_access_must_use_fully_qualified_names`](#ora_securedcontrolsremote_database_or_other_external_access_must_use_fully_qualified_names): From SQL*Plus:
* [`ora_secured::controls::remote_dbms_administration_must_be_documented_and_authorized_or_disabled`](#ora_securedcontrolsremote_dbms_administration_must_be_documented_and_authorized_or_disabled): Review the System Security Plan for authorization, assignments and usage procedures for remote DBMS administration.
* [`ora_secured::controls::remote_listener_is_empty`](#ora_securedcontrolsremote_listener_is_empty): The `remote_listener` setting determines whether or not a valid listener can be
* [`ora_secured::controls::remote_login_passwordfile_is_set_to_none`](#ora_securedcontrolsremote_login_passwordfile_is_set_to_none): The `remote_login_passwordfile` setting specifies whether or not Oracle checks
* [`ora_secured::controls::remote_os_authent_is_set_to_false`](#ora_securedcontrolsremote_os_authent_is_set_to_false): The `remote_os_authent` setting determines whether or not OS 'roles' with the
* [`ora_secured::controls::remote_os_roles_is_set_to_false`](#ora_securedcontrolsremote_os_roles_is_set_to_false): The `remote_os_roles` setting permits remote users' OS roles to be applied to
* [`ora_secured::controls::replication_accounts_must_not_be_granted_dba_privileges`](#ora_securedcontrolsreplication_accounts_must_not_be_granted_dba_privileges): If a review of the System Security Plan confirms the use of replication is not required, not permitted and the database is not configured for replication, this check is not a finding.
* [`ora_secured::controls::resource_limit_is_set_to_true`](#ora_securedcontrolsresource_limit_is_set_to_true): `RESOURCE_LIMIT` determines whether resource limits are enforced in database
* [`ora_secured::controls::restrict_error_messages_so_only_authorized_personnel_may_view_them`](#ora_securedcontrolsrestrict_error_messages_so_only_authorized_personnel_may_view_them): Check DBMS settings and custom database code to determine if error messages are ever displayed to unauthorized individuals:
* [`ora_secured::controls::restrict_grants_to_sensitive_information_to_authorized_user_roles`](#ora_securedcontrolsrestrict_grants_to_sensitive_information_to_authorized_user_roles): Obtain a list of privileges assigned to user accounts.
* [`ora_secured::controls::revoke_action_audit_is_enabled`](#ora_securedcontrolsrevoke_action_audit_is_enabled): `REVOKE` statements are used to revoke privileges from Oracle database users and
* [`ora_secured::controls::role_audit_option_is_enabled`](#ora_securedcontrolsrole_audit_option_is_enabled): The `ROLE` object allows for the creation of a set of privileges that can be
* [`ora_secured::controls::rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws`](#ora_securedcontrolsrstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws): Review DBMS settings and custom database code to determine whether the DBMS or database application code could be used to launch DoS attacks.
* [`ora_secured::controls::rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users`](#ora_securedcontrolsrstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users): Review user privileges to system tables and configuration data stored in the Oracle database.
* [`ora_secured::controls::sec_case_sensitive_logon_is_set_to_true`](#ora_securedcontrolssec_case_sensitive_logon_is_set_to_true): The `SEC_CASE_SENSITIVE_LOGON` information determines whether or not
* [`ora_secured::controls::sec_max_failed_login_attempts_is_3_or_less`](#ora_securedcontrolssec_max_failed_login_attempts_is_3_or_less): The `SEC_MAX_FAILED_LOGIN_ATTEMPTS` parameter determines how many failed login
* [`ora_secured::controls::sec_protocol_error_further_action_is_set_to_drop3`](#ora_securedcontrolssec_protocol_error_further_action_is_set_to_drop3): The `SEC_PROTOCOL_ERROR_FURTHER_ACTION` setting determines the Oracle server's
* [`ora_secured::controls::sec_protocol_error_trace_action_is_set_to_log`](#ora_securedcontrolssec_protocol_error_trace_action_is_set_to_log): The `SEC_PROTOCOL_ERROR_TRACE_ACTION` setting determines the Oracle's server's
* [`ora_secured::controls::sec_return_server_release_banner_is_set_to_false`](#ora_securedcontrolssec_return_server_release_banner_is_set_to_false): The information about patch/update release number provides information about the
* [`ora_secured::controls::secure_control_is_set_in_listener_ora`](#ora_securedcontrolssecure_control_is_set_in_listener_ora): The `SECURE_CONTROL_<listener_name>` setting determines the type of control
* [`ora_secured::controls::secure_register_is_set_to_tcps_or_ipc`](#ora_securedcontrolssecure_register_is_set_to_tcps_or_ipc): The `SECURE_REGISTER_<listener_name>` setting specifies the protocols used to
* [`ora_secured::controls::select_any_dictionary_audit_option_is_enabled`](#ora_securedcontrolsselect_any_dictionary_audit_option_is_enabled): The `SELECT ANY DICTIONARY` capability allows the user to view the definitions of
* [`ora_secured::controls::select_any_dictionary_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsselect_any_dictionary_is_revoked_from_unauthorized_grantee): The Oracle database `SELECT ANY DICTIONARY` privilege allows the designated user
* [`ora_secured::controls::select_any_dictionary_privilege_audit_is_enabled`](#ora_securedcontrolsselect_any_dictionary_privilege_audit_is_enabled): The `SELECT ANY DICTIONARY` system privilege allows the user to view the
* [`ora_secured::controls::select_any_table_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsselect_any_table_is_revoked_from_unauthorized_grantee): The Oracle database `SELECT ANY TABLE` privilege allows the designated user to
* [`ora_secured::controls::select_catalog_role_is_revoked_from_unauthorized_grantee`](#ora_securedcontrolsselect_catalog_role_is_revoked_from_unauthorized_grantee): The Oracle database `SELECT_CATALOG_ROLE` provides `SELECT` privileges on all
* [`ora_secured::controls::sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc`](#ora_securedcontrolssensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc): If no sensitive or classified data is stored in the database, listed in the System Security Plan and listed in the AIS Functional Architecture documentation, this check is not a finding.
* [`ora_secured::controls::sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db`](#ora_securedcontrolssensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db): If the database being reviewed is a production database, this check is not a finding.
* [`ora_secured::controls::separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality`](#ora_securedcontrolsseparate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality): Check DBMS settings and vendor documentation to verify administrative functionality is separate from user functionality.
* [`ora_secured::controls::sessions_per_user_is_less_than_or_equal_to_10`](#ora_securedcontrolssessions_per_user_is_less_than_or_equal_to_10): The `SESSIONS_PER_USER` setting determines the maximum number of user sessions
* [`ora_secured::controls::set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three`](#ora_securedcontrolsset_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three): The limit on the number of consecutive failed logon attempts is defined in the profile assigned to a user.
* [`ora_secured::controls::single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients`](#ora_securedcontrolssingle_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients): Review procedures for providing database connection information to users/user workstations.
* [`ora_secured::controls::sql92_security_is_set_to_true`](#ora_securedcontrolssql92_security_is_set_to_true): The `SQL92_SECURITY` parameter setting `TRUE` requires that a user must also be
* [`ora_secured::controls::supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself`](#ora_securedcontrolssupp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself): Review DBMS settings and vendor documentation to ensure the database supports and does not interfere with enforcement of logical access restrictions associated with changes to the DBMS configuration and to the database itself.
* [`ora_secured::controls::supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med`](#ora_securedcontrolssupp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med): If encryption is not required for the database and data derived from it, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed`](#ora_securedcontrolssupp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed): If all user accounts are managed and authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used`](#ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used): If all user accounts are managed and authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used`](#ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used): If all user accounts are managed and authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used`](#ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used): If all user accounts are managed and authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used`](#ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used): If all user accounts are managed and authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations`](#ora_securedcontrolssupp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations): If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services`](#ora_securedcontrolssupp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services): Review the DBMS settings for functions, ports, protocols, and services that are not approved.
* [`ora_secured::controls::supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d`](#ora_securedcontrolssupp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d): Check with the database administrator, storage administrator or system administrator, as applicable at the site, to verify that Oracle is configured EITHER to perform backups of the audit data specifically, OR, with appropriate permissions granted, to permit a third-party tool to do so.
* [`ora_secured::controls::supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events`](#ora_securedcontrolssupp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events): Obtain the CC/S/A/FA's list of suspicious event types and the actions to be taken in response, ordered from least disruptive to last resort.
* [`ora_secured::controls::support_organizational_requirements_to_enforce_minimum_password_length`](#ora_securedcontrolssupport_organizational_requirements_to_enforce_minimum_password_length): If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.
* [`ora_secured::controls::support_organizational_requirements_to_enforce_password_encryption_for_storage`](#ora_securedcontrolssupport_organizational_requirements_to_enforce_password_encryption_for_storage): (Oracle stores and displays its passwords in encrypted form.
* [`ora_secured::controls::support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure`](#ora_securedcontrolssupport_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure): Review the PPSM Technical Assurance List to acquire an up-to-date list of network protocols deemed nonsecure.
* [`ora_secured::controls::synonym_audit_option_is_enabled`](#ora_securedcontrolssynonym_audit_option_is_enabled): The `SYNONYM` operation allows for the creation of an alternative name for a
* [`ora_secured::controls::sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts`](#ora_securedcontrolssys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts): A default Oracle Database installation provides a set of predefined administrative accounts and non-administrative accounts.
* [`ora_secured::controls::sys_user_mig_has_been_dropped`](#ora_securedcontrolssys_user_mig_has_been_dropped): The table `sys.
* [`ora_secured::controls::system_grant_audit_option_is_enabled`](#ora_securedcontrolssystem_grant_audit_option_is_enabled): Enabling the audit option for the `SYSTEM GRANT` object causes auditing of any
* [`ora_secured::controls::system_privileges_must_not_be_granted_to_public`](#ora_securedcontrolssystem_privileges_must_not_be_granted_to_public): From SQL*Plus:
* [`ora_secured::controls::take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data`](#ora_securedcontrolstake_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data): If the application owner and Authorizing Official have determined that encryption of data at rest is NOT required, this is not a finding.
* [`ora_secured::controls::term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity`](#ora_securedcontrolsterm_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity): Review DBMS settings, OS settings, and vendor documentation to verify network connections are terminated when a database communications session is ended or after 15 minutes of inactivity.
* [`ora_secured::controls::term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as`](#ora_securedcontrolsterm_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as): Review DBMS settings and vendor documentation to verify user sessions are terminated upon user logout.
* [`ora_secured::controls::trace_files_public_is_set_to_false`](#ora_securedcontrolstrace_files_public_is_set_to_false): The `_trace_files_public` setting determines whether or not the system's trace
* [`ora_secured::controls::trigger_audit_option_is_enabled`](#ora_securedcontrolstrigger_audit_option_is_enabled): A `TRIGGER` may be used to modify DML actions or invoke other (recursive)
* [`ora_secured::controls::unauthorized_database_links_must_not_be_defined_and_active`](#ora_securedcontrolsunauthorized_database_links_must_not_be_defined_and_active): From SQL*Plus:
* [`ora_secured::controls::uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users`](#ora_securedcontrolsuniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users): Review DBMS settings to determine whether non-organizational users are uniquely identified and authenticated when logging onto the system.
* [`ora_secured::controls::uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users`](#ora_securedcontrolsuniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings, and site practices, to determine whether organizational users are uniquely identified and authenticated when logging on to the system.
* [`ora_secured::controls::unused_database_components_dbms_software_and_database_objects_must_be_removed`](#ora_securedcontrolsunused_database_components_dbms_software_and_database_objects_must_be_removed): Run this query to produce a list of components and features installed with the database:
* [`ora_secured::controls::unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled`](#ora_securedcontrolsunused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled): Run this query to check to see what integrated components are installed in the database:
* [`ora_secured::controls::use_multifactor_authentication_for_local_access_to_non_privileged_accounts`](#ora_securedcontrolsuse_multifactor_authentication_for_local_access_to_non_privileged_accounts): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings to determine whether users logging on to non-privileged accounts locally are required to use multifactor authentication.
* [`ora_secured::controls::use_multifactor_authentication_for_local_access_to_privileged_accounts`](#ora_securedcontrolsuse_multifactor_authentication_for_local_access_to_privileged_accounts): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings to determine whether users logging on to privileged accounts locally are required to use multifactor authentication.
* [`ora_secured::controls::use_multifactor_authentication_for_network_access_to_non_privileged_accounts`](#ora_securedcontrolsuse_multifactor_authentication_for_network_access_to_non_privileged_accounts): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings to determine whether users logging on to non-privileged accounts via a network are required to use multifactor authentication.
* [`ora_secured::controls::use_multifactor_authentication_for_network_access_to_privileged_accounts`](#ora_securedcontrolsuse_multifactor_authentication_for_network_access_to_privileged_accounts): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings to determine whether users logging on to privileged accounts via a network are required to use multifactor authentication.
* [`ora_secured::controls::use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms`](#ora_securedcontrolsuse_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms): Check the following settings to see if FIPS 140-2 authentication/encryption is configured.
* [`ora_secured::controls::use_of_external_executables_must_be_authorized`](#ora_securedcontrolsuse_of_external_executables_must_be_authorized): Review the database for definitions of application executable objects stored external to the database.
* [`ora_secured::controls::use_of_the_dbms_installation_account_must_be_logged`](#ora_securedcontrolsuse_of_the_dbms_installation_account_must_be_logged): Review documented and implemented procedures for monitoring the use of the DBMS software installation account in the System Security Plan.
* [`ora_secured::controls::use_of_the_dbms_software_installation_account_must_be_restricted`](#ora_securedcontrolsuse_of_the_dbms_software_installation_account_must_be_restricted): Review system documentation to identify the installation account.
* [`ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts`](#ora_securedcontrolsuse_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts): Review DBMS settings to determine whether organization-defined replay-resistant authentication mechanisms for network access to non-privileged accounts exist.
* [`ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts`](#ora_securedcontrolsuse_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts): Review DBMS settings, OS settings, and/or enterprise-level authentication/access mechanism settings to determine whether organization-defined replay-resistant authentication mechanisms for network access to privileged accounts exist.
* [`ora_secured::controls::user_audit_option_is_enabled`](#ora_securedcontrolsuser_audit_option_is_enabled): The `USER` object allows for creating accounts that can interact with the
* [`ora_secured::controls::utl_file_dir_is_empty`](#ora_securedcontrolsutl_file_dir_is_empty)
* [`ora_secured::controls::verify_account_lockouts_persist_until_reset_by_an_administrator`](#ora_securedcontrolsverify_account_lockouts_persist_until_reset_by_an_administrator): The account lockout duration is defined in the profile assigned to a user.
* [`ora_secured::controls::verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information`](#ora_securedcontrolsverify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information): Verify the DBMS system initialization/parameter files and software is  included in the configuration of any  third-party software or custom scripting at the OS level to perform integrity verification.
* [`ora_secured::controls::when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u`](#ora_securedcontrolswhen_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u): For Oracle SQL*Plus, which cannot be configured not to accept a plain-text password, and any other essential tool with the same limitation, verify that the system documentation explains the need for the tool, who uses it, and any relevant mitigations; and that AO approval has been obtained.
* [`ora_secured::ensure_cis`](#ora_securedensure_cis): defined type `ora_secured::ensure_cis`
* [`ora_secured::ensure_set`](#ora_securedensure_set): defined type `ora_secured::ensure_set`
* [`ora_secured::ensure_stig`](#ora_securedensure_stig): defined type `ora_secured`
* [`ora_secured::internal::audit_option`](#ora_securedinternalaudit_option): See the file "LICENSE" for the full license governing this code.   Set the init.ora param to the specfied value  $title      audit option inc
* [`ora_secured::internal::audit_policy`](#ora_securedinternalaudit_policy): See the file "LICENSE" for the full license governing this code.   Set the specific property of a profile  $title      iprofile setting inclu
* [`ora_secured::internal::parameter`](#ora_securedinternalparameter): See the file "LICENSE" for the full license governing this code.   Set the init.ora param to the specfied value  $title      init,.ora parame
* [`ora_secured::internal::profile_setting`](#ora_securedinternalprofile_setting): See the file "LICENSE" for the full license governing this code.   Set the specific property of a profile  $title      iprofile setting inclu
* [`ora_secured::internal::revoke_admin_role_grants`](#ora_securedinternalrevoke_admin_role_grants): See the file "LICENSE" for the full license governing this code.   Revoke specific system grants to the specfied resources  $sid      the gra
* [`ora_secured::internal::revoke_admin_user_grants`](#ora_securedinternalrevoke_admin_user_grants): See the file "LICENSE" for the full license governing this code.   Revoke specific system grants to the specfied resources  $sid      the gra
* [`ora_secured::internal::revoke_public_grants`](#ora_securedinternalrevoke_public_grants): See the file "LICENSE" for the full license governing this code.   Revoke public grants to the specfied resources  $title      the grant incl
* [`ora_secured::internal::revoke_role_rights`](#ora_securedinternalrevoke_role_rights): See the file "LICENSE" for the full license governing this code.   Revoke public grants to the specfied resources  $title      the grant incl
* [`ora_secured::internal::revoke_specific_system_grant`](#ora_securedinternalrevoke_specific_system_grant): See the file "LICENSE" for the full license governing this code.   Revoke specific system grants to the specfied resources  $sid      the gra
* [`ora_secured::internal::revoke_user_rights`](#ora_securedinternalrevoke_user_rights): See the file "LICENSE" for the full license governing this code.   Revoke public grants to the specfied resources  $title      the grant incl

### Resource types

* [`ora_secured_setup`](#ora_secured_setup): Start the setup for applying ora_secured classes.

### Functions

* [`ora_secured::default_doc_version`](#ora_secureddefault_doc_version): Determins the CIS default doc_version based on the product_version.
* [`ora_secured::default_product_version`](#ora_secureddefault_product_version): : determine the benchmark to be used for the manifest
* [`ora_secured::filter_controls`](#ora_securedfilter_controls): Filter the list of controls based on the which database it will be applied to
* [`ora_secured::lookup_setting`](#ora_securedlookup_setting): This function uses its current scope te infer what CIS rule is called on what SID.
* [`ora_secured::random_id`](#ora_securedrandom_id): Create a random id based on letters.
* [`ora_secured::validate_cis_versions`](#ora_securedvalidate_cis_versions): Validate if the specified product_version and doc_version is an existing combination.
* [`ora_secured::validate_stig_versions`](#ora_securedvalidate_stig_versions): Validate if the specified product_version and doc_version is an existing combination.

## Defined types

### <a name="ora_securedcontrolsaccess_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users"></a>`ora_secured::controls::access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users`

ora_secured::controls::access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users

log on using the Oracle software owner account and enter the command:

  umask

If the value returned is 022 or more restrictive, this is not a finding.

If the value returned is less restrictive than 022, this is a finding.

The first number sets the mask for user/owner file permissions. The second number sets the mask for group file permissions. The third number sets file permission mask for other users. The list below shows the available settings:

0 = read/write/execute
1 = read/write
2 = read/execute
3 = read
4 = write/execute
5 = write
6 = execute
7 = no permissions

Setting the umask to 022 effectively sets files for user/owner to read/write, group to read and other to read. Directories are set for user/owner to read/write/execute, group to read/execute and other to read/execute.

For Windows Systems:
Review the permissions that control access to the Oracle installation software directories (e.g. \Program Files\Oracle\).

DBA accounts, the DBMS process account, the DBMS software installation/maintenance account, SA accounts if access by them is required for some operational level of support such as backups, and the host system itself require access.

Compare the access control employed with that documented in the System Security Plan.

If access controls do not match the documented requirement, this is a finding.

If access controls appear excessive without justification, this is a finding.


Set the umask of the Oracle software owner account to 022. Determine the shell being used for the Oracle software owner account:

  env | grep -i shell

Startup files for each shell are as follows (located in users $HOME directory):

  C-Shell (CSH) = .cshrc
  Bourne Shell (SH) = .profile
  Korn Shell (KSH) = .kshrc
  TC Shell (TCS) = .tcshrc
  BASH Shell = .bash_profile or .bashrc

Edit the shell startup file for the account and add or modify the line:

  umask 022

Log off and logon, then enter the umask command to confirm the setting.

Note: To effect this change for all Oracle processes, a reboot of the DBMS server may be required.

For Windows Systems:
Restrict access to the DBMS software libraries to the fewest accounts that clearly require access based on job function.

Document authorized access controls and justify any access grants that do not fall under DBA, DBMS process, ownership, or SA accounts.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61511

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::access_to_dbms_software_files_and_directories_must_not_be_granted_to_unauthorized_users` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsaccess_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas"></a>`ora_secured::controls::access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas`

ora_secured::controls::access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas

select 'The number of replication objects defined is: '||
  count(*) from all_tables
  where table_name like 'REPCAT%';

If the count returned is 0, then Oracle Replication is not installed and this check is not a finding.

Otherwise:


  select count(*) from sys.dba_repcatlog;

If the count returned is 0, then Oracle Replication is not in use and this check is not a finding.

If any results are returned, ask the ISSO or DBA if the replication account (the default is REPADMIN, but may be customized) is restricted to ISSO-authorized personnel only.

If it is not, this is a finding.

If there are multiple replication accounts, confirm that all are justified and documented with the ISSO.

If they are not, this is a finding.

Note: Oracle Database Advanced Replication is deprecated in Oracle Database 12c. Use Oracle GoldenGate to replace all features of Advanced Replication, including multimaster replication, updatable materialized views, hierarchical materialized views, and deployment templates.

Change the password for default and custom replication accounts and provide the password to ISSO-authorized users only.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61411

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::access_to_default_accounts_used_to_support_replication_must_be_restricted_to_authorized_dbas` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsaccess_to_external_executables_must_be_disabled_or_restricted"></a>`ora_secured::controls::access_to_external_executables_must_be_disabled_or_restricted`

ora_secured::controls::access_to_external_executables_must_be_disabled_or_restricted

Review the ORACLE_HOME/bin directory or search the ORACLE_BASE path for the executable extproc (UNIX) or extproc.exe (Windows).

If external procedure agent is not authorized for use in the System Security Plan and the executable file does not exist or is restricted, this is not a finding.

If external procedure agent is not authorized for use in the System Security Plan and the executable file exists and is not restricted, this is a finding.

If use of the external procedure agent is authorized, ensure extproc is restricted to execution of authorized applications.

External jobs are run using the account nobody by default.

Review the contents of the file ORACLE_HOME/rdbms/admin/externaljob.ora for the lines run_user= and run_group=.

If the user assigned to these parameters is not "nobody", this is a finding.

For versions 11.1 and later, the external procedure agent (extproc executable) is available directly from the database and does not require definition in the listener.ora file for use.

Review the contents of the file ORACLE_HOME/hs/admin/extproc.ora.

If the file does not exist, this is a finding.

If the following entry does not appear in the file, this is a finding:

EXTPROC_DLLS=ONLY:[dll full file name1]:[dll full file name2]:..

[dll full file name] represents a full path and file name.

This list of file names is separated by ":".

Note: If "ONLY" is specified, then the list is restricted to allow execution of only the DLLs specified in the list and is not a finding. If "ANY" is specified, then there are no restrictions for execution except what is controlled by operating system permissions and is a finding. If no specification is made, any files located in the %ORACLE_HOME%\bin directory on Windows systems or $ORACLE_HOME/lib directory on UNIX systems can be executed (the default) and is a finding.

Ensure that EXTPROC is not accessible from the listener.

Review the listener.ora file. If any entries reference "extproc", this is a finding.

Determine if the external procedure agent is in use per Oracle 10.x conventions.

Review the listener.ora file.

If any entries reference "extproc", then the agent is in use.

If external procedure agent is not authorized for use in the System Security Plan and references to "extproc" exist, this is a finding.

Sample listener.ora entries with extproc included:

LISTENER =
(DESCRIPTION =
(ADDRESS = (PROTOCOL = TCP)(HOST = 127.0.0.1)(PORT = 1521))
)
EXTLSNR =
(DESCRIPTION =
(ADDRESS = (PROTOCOL = IPC)(KEY = EXTPROC))
)
SID_LIST_LISTENER =
(SID_LIST =
(SID_DESC =
(GLOBAL_DBNAME = ORCL)
(ORACLE_HOME = /home/oracle/app/oracle/product/11.1.0/db_1)
(SID_NAME = ORCL)
)
)
SID_LIST_EXTLSNR =
(SID_LIST =
(SID_DESC =
(PROGRAM = extproc)
(SID_NAME = PLSExtProc)
(ORACLE_HOME = /home/oracle/app/oracle/product/11.1.0/db_1)
(ENVS="EXTPROC_DLLS=ONLY:/home/app1/app1lib.so:/home/app2/app2lib.so,
LD_LIBRARY_PATH=/private/app2/lib:/private/app1,
MYPATH=/usr/fso:/usr/local/packages")
)
)

Sample tnsnames.ora entries with extproc included:

ORCL =
(DESCRIPTION =
(ADDRESS_LIST =
(ADDRESS = (PROTOCOL = TCP)(HOST = 127.0.0.1)(PORT = 1521))
)
(CONNECT_DATA =
(SERVICE_NAME = ORCL)
)
)
EXTPROC_CONNECTION_DATA =
(DESCRIPTION =
(ADDRESS_LIST =
(ADDRESS = (PROTOCOL = IPC)(KEY = extproc))
)
(CONNECT_DATA =
(SERVER = DEDICATED)
(SERVICE_NAME = PLSExtProc)
)
)

If EXTPROC is in use, confirm that a listener is dedicated to serving the external procedure agent (as shown above).

View the protocols configured for the listener.

For the listener to be dedicated, the only entries will be to specify extproc.

If there is not a dedicated listener in use for the external procedure agent, this is a finding.

If the PROTOCOL= specified is other than IPC, this is a finding.

Verify and ensure extproc is restricted executing authorized external applications only and extproc is restricted to execution of authorized applications.

Review the listener.ora file.

If the following entry does not exist, this is a finding:

EXTPROC_DLLS=ONLY:[dll full file name1]:[dll full file name2]:...

Note: [dll full file name] represents a full path and file name. This list of file names is separated by ":".

Note: If "ONLY" is specified, then the list is restricted to allow execution of only the DLLs specified in the list and is not a finding. If "ANY" is specified, then there are no restrictions for execution except what is controlled by operating system permissions and is a finding. If no specification is made, any files located in the %ORACLE_HOME%\bin directory on Windows systems or $ORACLE_HOME/lib directory on UNIX systems can be executed (the default) and is a finding.

View the listener.ora file (usually in ORACLE_HOME/network/admin or directory specified by the TNS_ADMIN environment variable).

If multiple listener processes are running, then the listener.ora file for each must be viewed.

For each process, determine the directory specified in the ORACLE_HOME or TNS_ADMIN environment variable defined for the process account to locate the listener.ora file.

If use of the external procedure agent is required, then authorize and document the requirement in the System Security Plan.

If the external procedure agent must be accessible to the Oracle listener, then specify this and authorize it in the System Security Plan.

If use of the Oracle External Procedure agent is not required:

- Stop the Oracle Listener process
- Remove all references to extproc in the listener.ora and tnsnames.ora files
- Alter the permissions on the executable files:
          UNIX - Remove read/write/execute permissions from owner, group and world
          Windows - Remove Groups/Users from the executable (except groups SYSTEM and ADMINISTRATORS) and allow READ [only] for SYSTEM and ADMINISTRATORS groups

If required:

- Restrict extproc execution to only authorized applications.
- Specify EXTPROC_DLLS=ONLY: [list of authorized DLLS] in the extproc.ora and the listener.ora files
- Create a separate, dedicated listener for use by the external procedure agent

See the Oracle Net Services Administrators Guides, External Procedures section for detailed configuration information.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::access_to_external_executables_must_be_disabled_or_restricted: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::access_to_external_executables_must_be_disabled_or_restricted::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `access_to_external_executables_must_be_disabled_or_restricted` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61685

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::access_to_external_executables_must_be_disabled_or_restricted` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsadmin_restrictions_is_set_to_on"></a>`ora_secured::controls::admin_restrictions_is_set_to_on`

ora_secured::controls::admin_restrictions_is_set_to_on

ora` file can
require that any attempted real-time alteration of the parameters in the
listener via the set command file be refused unless the `listener.ora` file is
manually altered, then restarted by a privileged user.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::admin_restrictions_is_set_to_on: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::admin_restrictions_is_set_to_on::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `admin_restrictions_is_set_to_on` to the array value `ora_secured::skip_list` in your hiera data.


test
## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.1.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.1.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.1.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::admin_restrictions_is_set_to_on` defined type:

* [`title`](#title)
* [`listener_ora_custom`](#listener_ora_custom)
* [`listener_name_custom`](#listener_name_custom)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="listener_ora_custom"></a>`listener_ora_custom`

Data type: `String`



Default value: `ora_secured::lookup_setting('listener_ora_custom', '')`

##### <a name="listener_name_custom"></a>`listener_name_custom`

Data type: `String`



Default value: `ora_secured::lookup_setting('listener_name_custom', '')`

### <a name="ora_securedcontrolsadministrative_privileges_must_be_assigned_to_database_accounts_via_database_roles"></a>`ora_secured::controls::administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles`

ora_secured::controls::administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles

Connected as SYSDBA, run the query:

SELECT grantee, privilege
FROM   dba_sys_privs
WHERE  grantee IN
(
SELECT username
FROM   dba_users
WHERE  username NOT IN
(
'XDB', 'SYSTEM', 'SYS', 'LBACSYS',
'DVSYS', 'DVF', 'SYSMAN_RO',
'SYSMAN_BIPLATFORM', 'SYSMAN_MDS',
'SYSMAN_OPSS', 'SYSMAN_STB', 'DBSNMP',
'SYSMAN', 'APEX_040200', 'WMSYS',
'SYSDG', 'SYSBACKUP', 'SPATIAL_WFS_ADMIN_USR',
'SPATIAL_CSW_ADMIN_US', 'GSMCATUSER',
'OLAPSYS', 'SI_INFORMTN_SCHEMA',
'OUTLN', 'ORDSYS', 'ORDDATA', 'OJVMSYS',
'ORACLE_OCM', 'MDSYS', 'ORDPLUGINS',
'GSMADMIN_INTERNAL', 'MDDATA', 'FLOWS_FILES',
'DIP', 'CTXSYS', 'AUDSYS',
'APPQOSSYS', 'APEX_PUBLIC_USER', 'ANONYMOUS',
'SPATIAL_CSW_ADMIN_USR', 'SYSKM',
'SYSMAN_TYPES', 'MGMT_VIEW',
'EUS_ENGINE_USER', 'EXFSYS', 'SYSMAN_APM'
)
)
AND privilege NOT IN ('UNLIMITED TABLESPACE'
                 , 'REFERENCES', 'INDEX', 'SYSDBA', 'SYSOPER'
)
ORDER  BY 1, 2;

If any administrative privileges have been assigned directly to a database account, this is a finding.

(The list of special accounts that are excluded from this requirement may not be complete.  It is expected that the DBA will edit the list to suit local circumstances, adding other special accounts as necessary, and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

Create roles for administrative function assignments. Assign the necessary privileges for the administrative functions to a role.  Do not assign administrative privileges directly to users, except for those that Oracle does not permit to be assigned via roles.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61591

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::administrative_privileges_must_be_assigned_to_database_accounts_via_database_roles` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsadmins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a"></a>`ora_secured::controls::admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a`

ora_secured::controls::admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a

If any objects owned by administrative accounts can be accessed by non-DBA/non-administrative users, either directly or indirectly, this is a finding.

Verify DBAs have separate administrative accounts.

If DBAs do not have a separate account for database administration purposes, this is a finding.

To list all objects owned by an administrative account that have had access granted to another account, run the query:

SELECT grantee, table_name, grantor, privilege, type from dba_tab_privs where owner= '<applicable account>';


Revoke DBA privileges, and privileges to administer DBA-owned objects, from non-DBA accounts.

Provide separate accounts to DBA for database administration.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61593

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::admins_must_utilize_a_separate_distinct_administrative_accnt_when_performing_administrative_act_a` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsall_audit_option_on_sys_aud_is_enabled"></a>`ora_secured::controls::all_audit_option_on_sys_aud_is_enabled`

ora_secured::controls::all_audit_option_on_sys_aud_is_enabled

AUD$` table (open
for read/update/delete/view) will provide a record of any activities that may
indicate unauthorized attempts to access the audit trail. Enabling the audit
option will cause these activities to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_audit_option_on_sys_aud_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_audit_option_on_sys_aud_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_audit_option_on_sys_aud_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.14
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.14
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.14

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_audit_option_on_sys_aud_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsall_default_passwords_are_changed"></a>`ora_secured::controls::all_default_passwords_are_changed`

ora_secured::controls::all_default_passwords_are_changed

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_default_passwords_are_changed: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_default_passwords_are_changed::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_default_passwords_are_changed` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 4.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 4.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 4.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_default_passwords_are_changed` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`password_length`](#password_length)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="password_length"></a>`password_length`

Data type: `Integer[12,default]`

The password length to use when generating new passwords.
Beware that you **must** set this to ??
The deafult value is 12.

Default value: `ora_secured::lookup_setting('password_length',12)`

### <a name="ora_securedcontrolsall_is_revoked_from_unauthorized_grantee_on_aud"></a>`ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_aud`

ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_aud

AUD$` table contains all the audit records for the
database of the non-Data Manipulation Language (DML) events, such as `ALTER`,
`DROP`, and `CREATE`, and so forth. (DML changes need trigger-based audit events
to record data alterations.) Unauthorized grantees should not have full access
to that table.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_aud: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_aud::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_is_revoked_from_unauthorized_grantee_on_aud` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.3.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.3.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.3.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_aud` defined type:

* [`title`](#title)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsall_is_revoked_from_unauthorized_grantee_on_dba"></a>`ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_dba`

ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_dba

administrative accounts. Unauthorized grantees should not have full access to
those views.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_dba: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_dba::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_is_revoked_from_unauthorized_grantee_on_dba` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.3.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.3.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.3.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_is_revoked_from_unauthorized_grantee_on_dba` defined type:

* [`title`](#title)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsall_is_revoked_on_sensitive_tables"></a>`ora_secured::controls::all_is_revoked_on_sensitive_tables`

ora_secured::controls::all_is_revoked_on_sensitive_tables

should not be accessible to unauthorized users.

- `USER$`, `USER_HISTORY$`, `XS$VERIFIERS` and `DEFAULT_PWD$` may contain
  password hashes.
- `CDB_LOCAL_ADMINAUTH$` and `PDB_SYNC$` may contain DDLs.
- `LINK$` and `SCHEDULER$_CREDENTIA`L may contain encrypted passwords.
- `ENC$` may contains encryption keys.
- `HISTGRM$` and `HIST_HEAD$` may contain sensitive data.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_is_revoked_on_sensitive_tables: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_is_revoked_on_sensitive_tables::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_is_revoked_on_sensitive_tables` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.3.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.3.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.3.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_is_revoked_on_sensitive_tables` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsall_sample_data_and_users_have_been_removed"></a>`ora_secured::controls::all_sample_data_and_users_have_been_removed`

ora_secured::controls::all_sample_data_and_users_have_been_removed

(`BI`,`HR`,`IX`,`OE`,`PM`,`SCOTT`,`SH`), with well-known default passwords, particular views,
and procedures/functions, in addition to tables and fictitious data. The sample
schemas should be removed.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_sample_data_and_users_have_been_removed: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_sample_data_and_users_have_been_removed::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_sample_data_and_users_have_been_removed` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 4.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 4.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 4.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_sample_data_and_users_have_been_removed` defined type:

* [`title`](#title)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsall_use_of_privileged_accounts_must_be_audited"></a>`ora_secured::controls::all_use_of_privileged_accounts_must_be_audited`

ora_secured::controls::all_use_of_privileged_accounts_must_be_audited

If it is possible for a privileged user/role to access non-security functions or information without having the action recorded in the audit log, this is a finding.

To obtain a list of unified auditing policies that have been defined, run the query:
SELECT unique policy_name from AUDIT_UNIFIED_POLICIES;

To obtain a list of unified auditing policies that have been enabled and the users for which it has been enabled, run the query:
SELECT unique policy_name, user_name from AUDIT_UNIFIED_ENABLED_POLICIES;

Unless otherwise required, verify that user_name is set to 'ALL USERS' to insure that the activity of administrative users is being logged.

Configure DBMS auditing so that all use of privileged accounts is recorded in the audit log.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::all_use_of_privileged_accounts_must_be_audited: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::all_use_of_privileged_accounts_must_be_audited::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `all_use_of_privileged_accounts_must_be_audited` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61595

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::all_use_of_privileged_accounts_must_be_audited` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsallocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs"></a>`ora_secured::controls::allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs`

ora_secured::controls::allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs

If auditing will generate excessive logs so that they may outgrow the space reserved for logging, this is a finding.

If file-based auditing is in use, check that sufficient space is available to support the file(s). If not, this is a finding.

If standard, table-based auditing is used, the audit logs are written to a table called AUD$; and if a Virtual Private Database is deployed, a table is created called FGA_LOG$. First, check the current location of the audit trail tables.

CONN / AS SYSDBA

SELECT table_name, tablespace_name
FROM dba_tables
WHERE table_name IN ('AUD$', 'FGA_LOG$')
ORDER BY table_name;

TABLE_NAME TABLESPACE_NAME
------------------------------ ------------------------------
AUD$ SYSTEM
FGA_LOG$ SYSTEM

If the tablespace name is SYSTEM, the table needs to be relocated to its own tablespace. Ensure that adequate space is allocated to that tablespace.

If Unified Auditing is used:
Audit logs are written to tables in the AUDSYS schema. The default tablespace for AUDSYS is USERS. A separate tablespace should be created to contain audit data. Ensure that adequate space is allocated to that tablespace.
Investigate whether there have been any incidents where the DBMS ran out of audit log space since the last time the space was allocated or other corrective measures were taken. If there have been, this is a finding.

Allocate sufficient audit file/table space to support peak demand.

Ensure that audit tables are in their own tablespaces and that the tablespaces have enough room for the volume of log data that will be produced.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61853

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::allocate_audit_record_storage_capacity_in_acc_with_org_def_audit_record_storage_reqs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsallow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db"></a>`ora_secured::controls::allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db`

ora_secured::controls::allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db

If designated personnel are not able to configure auditable events, this is a finding.

Configure the DBMS's settings to allow designated personnel to select which auditable events are audited.

Note the following:
In Oracle, any user can configure auditing for the objects in his or her own schema by using the AUDIT statement. To undo the audit configuration for an object, the user can use the NOAUDIT statement. No additional privileges are needed to perform this task.

To audit objects in another schema, the user must have the AUDIT ANY system privilege.
To audit system privileges, the user must have the AUDIT SYSTEM privilege.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61623

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::allow_designated_org_personnel_to_select_which_auditable_events_are_to_be_audited_by_db` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_database_link_action_audit_is_enabled"></a>`ora_secured::controls::alter_database_link_action_audit_is_enabled`

ora_secured::controls::alter_database_link_action_audit_is_enabled

other databases. These connections are always available without further
authentication once the link is established. Enabling this unified action audit
causes logging of all `ALTER DATABAS`E and `ALTER PUBLIC DATABASE` statements,
whether successful or unsuccessful, issued by the users regardless of the
privileges held by the users to issue such statements.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_database_link_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_database_link_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_database_link_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.13
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.13
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.13

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_database_link_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_procedure_function_package_package_body_action_audit_is_enabled"></a>`ora_secured::controls::alter_procedure_function_package_package_body_action_audit_is_enabled`

ora_secured::controls::alter_procedure_function_package_package_body_action_audit_is_enabled

stored within the database, are created to carry out business functions and
access database as defined by PL/SQL code and SQL statements contained within
these objects. Enabling this unified action audit causes logging of all `ALTER PROCEDURE`,
`ALTER FUNCTION`, `ALTER PACKAGE` and `ALTER PACKAGE BODY`
statements, successful or unsuccessful, issued by the users regardless of the
privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_procedure_function_package_package_body_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_procedure_function_package_package_body_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_procedure_function_package_package_body_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.21
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.21
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.21

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_procedure_function_package_package_body_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_profile_action_audit_is_enabled"></a>`ora_secured::controls::alter_profile_action_audit_is_enabled`

ora_secured::controls::alter_profile_action_audit_is_enabled

password policies such as password complexity rules and reuse restrictions.
Enabling this unified action audit enables logging of all `ALTER PROFILE`
statements, whether successful or unsuccessful, issued by the users regardless
of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_profile_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_profile_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_profile_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.10
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.10
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.10

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_profile_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_role_action_audit_is_enabled"></a>`ora_secured::controls::alter_role_action_audit_is_enabled`

ora_secured::controls::alter_role_action_audit_is_enabled

to users or other roles. Roles may include system privileges, object privileges
or other roles. The `ALTER ROLE` statement is used to change the authorization
needed to enable a role. Enabling this unified action audit causes logging of
all `ALTER ROLE` statements, whether successful or unsuccessful, issued by the
users regardless of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_role_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_role_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_role_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_role_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_synonym_action_audit_is_enabled"></a>`ora_secured::controls::alter_synonym_action_audit_is_enabled`

ora_secured::controls::alter_synonym_action_audit_is_enabled

object such as table, view, procedure, or java object, or even another synonym.
Enabling this unified action audit causes logging of all `ALTER SYNONYM` and
`ALTER PUBLIC SYNONYM` statements, whether successful or unsuccessful, issued by
the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_synonym_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_synonym_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_synonym_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.16
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.16
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.16

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_synonym_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_system_audit_option_is_enabled"></a>`ora_secured::controls::alter_system_audit_option_is_enabled`

ora_secured::controls::alter_system_audit_option_is_enabled

and auditing options. Additionally, `ALTER SYSTEM` can be used to run operating
system commands using undocumented Oracle functionality. Enabling the audit
option will audit all attempts to perform `ALTER SYSTEM`, whether successful or
not and regardless of whether or not the `ALTER SYSTEM` privilege is held by the
user attempting the action.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_system_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_system_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_system_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.16
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.16
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.16

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_system_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_system_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::alter_system_is_revoked_from_unauthorized_grantee`

ora_secured::controls::alter_system_is_revoked_from_unauthorized_grantee

dynamically alter the instance's running operations. Unauthorized grantees
should not have that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_system_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_system_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_system_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.11
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.11
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.11

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_system_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsalter_system_privilege_audit_is_enabled"></a>`ora_secured::controls::alter_system_privilege_audit_is_enabled`

ora_secured::controls::alter_system_privilege_audit_is_enabled

could impact security posture, performance or normal operation of the database.
Additionally, the `ALTER SYSTEM` privilege may be used to run operating system
commands using undocumented Oracle functionality. Enabling this unified audit
causes logging of activities that involve exercise of this privilege, whether
successful or unsuccessful, issued by the users regardless of the privileges
held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_system_privilege_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_system_privilege_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_system_privilege_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.23
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.23
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.23

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_system_privilege_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_trigger_action_audit_is_enabled"></a>`ora_secured::controls::alter_trigger_action_audit_is_enabled`

ora_secured::controls::alter_trigger_action_audit_is_enabled

the underlying objects occur. Trigger bodies contain the code, quite often to
perform data validation, ensure data integrity/security or enforce critical
constraints on allowable actions on data. Enabling this unified audit causes
logging of all `ALTER TRIGGER` statements, whether successful or unsuccessful,
issued by the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_trigger_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_trigger_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_trigger_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.25
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.25
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.25

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_trigger_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsalter_user_action_audit_is_enabled"></a>`ora_secured::controls::alter_user_action_audit_is_enabled`

ora_secured::controls::alter_user_action_audit_is_enabled

accounts, and expire passwords. In addition, this statement is used to change
database properties of user accounts such as database profiles, default and
temporary tablespaces, and tablespace quotas. This unified audit action enables
logging of all `ALTER USER` statements, whether successful or unsuccessful, issued
by the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::alter_user_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::alter_user_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `alter_user_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::alter_user_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsany_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::any_is_revoked_from_unauthorized_grantee`

ora_secured::controls::any_is_revoked_from_unauthorized_grantee

item in the catalog of the database. Unauthorized grantees should not have that
keyword assigned to them.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::any_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::any_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `any_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::any_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)
* [`exclude_privs`](#exclude_privs)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_roles', [])`

##### <a name="exclude_privs"></a>`exclude_privs`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_privs', [])`

### <a name="ora_securedcontrolsapp_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions"></a>`ora_secured::controls::app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions`

ora_secured::controls::app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions

select distinct o.owner from dba_objects o, dba_users u
 where o.owner not in
(
 <list of non-applicable accounts>
)
 and o.object_type <> 'SYNONYM'
 and o.owner = username
 and upper(account_status) not like '%LOCKED%';

(With respect to the list of special accounts that are excluded from this requirement, it is expected that the DBA will maintain the list to suit local circumstances, adding special accounts as necessary and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

To obtain a list of users assigned DBA privileges, run the query:

  select grantee from dba_role_privs where granted_role = 'DBA';

If any records are returned, then verify the account is an authorized application object owner account or a default account installed to support an Oracle product.

Verify that any objects owned by custom DBA accounts are for the personal use of that DBA.

If any objects are used to support applications or any functions other than DBA functions, this is a finding.

Any unauthorized object owner accounts are not a finding under this check as they are noted as findings under check O121-C2-011000.

Any other accounts listed are a finding.

Disable any application object owner accounts.

From SQL*Plus:
  alter user [username] account lock;

Enable application object owner accounts only for installation and maintenance.

DBAs are special purpose accounts and do not require disabling although they may own objects.

For application objects that require routine maintenance, e.g. index objects, to maintain performance, consider allowing a special purpose account to own the index or enable the application owner account for the duration of the routine maintenance function only.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61467

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::app_object_owner_accnts_must_be_disabled_when_not_performing_installation_or_maint_actions` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsapp_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le"></a>`ora_secured::controls::app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le`

ora_secured::controls::app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le

Evidence may consist of email or other correspondence that acknowledges receipt of periodic reports and notification of review between the DBA and ISSO or other auditors as assigned.

If policy and procedures are incomplete or no evidence of implementation exists, this is a finding.

Develop, document and implement policy and procedures for periodic review of database user accounts and privilege assignments.

Include methods to provide evidence of review in the procedures to verify reviews occur in accordance with the procedures.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61455

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::app_user_priv_assignment_must_be_reviewed_monthly_or_more_frequently_to_ensure_compliance_with_le` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsapplication_owner_accounts_must_have_a_dedicated_application_tablespace"></a>`ora_secured::controls::application_owner_accounts_must_have_a_dedicated_application_tablespace`

ora_secured::controls::application_owner_accounts_must_have_a_dedicated_application_tablespace

select distinct owner, tablespace_name
from dba_SEGMENTS
where owner not in
(<list of non-applicable accounts>)
order by tablespace_name;

(With respect to the list of special accounts that are excluded from this requirement, it is expected that the DBA will maintain the list to suit local circumstances, adding special accounts as necessary and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

Review the list of returned table owners with the tablespace used.

If any of the owners listed are not default Oracle accounts and use the SYSTEM or any other tablespace not dedicated for the application’s use, this is a finding.

Look for multiple applications that may share a tablespace.

If no records were returned, ask the DBA if any applications use this database.

If no applications use the database, this is not a finding.

If there are applications that do use the database or if the application uses the SYS or other default account and SYSTEM tablespace to store its objects, this is a finding.

Create and assign dedicated tablespaces for the storage of data by each application using the CREATE TABLESPACE command.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::application_owner_accounts_must_have_a_dedicated_application_tablespace: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::application_owner_accounts_must_have_a_dedicated_application_tablespace::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `application_owner_accounts_must_have_a_dedicated_application_tablespace` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61461

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::application_owner_accounts_must_have_a_dedicated_application_tablespace` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsapplication_role_permissions_must_not_be_assigned_to_the_oracle_public_role"></a>`ora_secured::controls::application_role_permissions_must_not_be_assigned_to_the_oracle_public_role`

ora_secured::controls::application_role_permissions_must_not_be_assigned_to_the_oracle_public_role

select granted_role from dba_role_privs where grantee = 'PUBLIC';

If any roles are listed, this is a finding.

Revoke role grants from PUBLIC.

Do not assign role privileges to PUBLIC.


  revoke [role name] from PUBLIC;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::application_role_permissions_must_not_be_assigned_to_the_oracle_public_role: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::application_role_permissions_must_not_be_assigned_to_the_oracle_public_role::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `application_role_permissions_must_not_be_assigned_to_the_oracle_public_role` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61443

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::application_role_permissions_must_not_be_assigned_to_the_oracle_public_role` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsapps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u"></a>`ora_secured::controls::apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u`

ora_secured::controls::apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u

If any do, determine whether these applications obfuscate authentication data.  If they do not, this is a finding.

Configure or modify applications to prohibit display of passwords in clear text on the command line.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61843

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::apps_must_obscure_feedback_of_auth_info_during_auth_proc_to_prot_info_frm_possible_exploitation_u` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsattempts_to_bypass_access_controls_must_be_audited"></a>`ora_secured::controls::attempts_to_bypass_access_controls_must_be_audited`

ora_secured::controls::attempts_to_bypass_access_controls_must_be_audited

- Unsuccessful logon attempts;
- Account locking events;
- Account disabling from a specific source location;
- Failed database object attempts or attempts to access objects that do not exist; and
- Other activities that may produce unexpected failures or trigger DBMS lockdown actions.

If any of the above events as applicable to the DBMS are not audited, this is a finding.

- - - - - -
Check the current users in the database to see what profile they are assigned.  The logon attempts past a site-defined allowable number, along with account locking, is best performed using a profile that defines the limits on these activities as designed by the DBA at a specific site.  Failed database object access or attempt to access objects is monitored by auditing.  Checking other activities that may produce unexpected failures or trigger database lockdown procedures is possible, but the check for the existence of those procedures is not possible unless they are defined.

Check to see what profiles exist for the different users of the database.

SQL>col name format a20
    col username format a21
    col profile format a10
    col "tmp tba" format a10
    select u.username,
     u.default_tablespace,
     u.temporary_tablespace "TMP TBS",
     u.profile,
     r.granted_role,
     r.admin_option,
     r.default_role
 from sys.dba_users u,
      sys.dba_role_privs r
 where  u.username = r.grantee (+)
 group by u.username,
          u.default_tablespace,
          u.temporary_tablespace,
          u.profile,
          r.granted_role,
          r.admin_option,
          r.default_role;

View existing profiles and see what their settings are.

SQL> select profile, resource_name, limit
     from dba_profiles
     order by profile, resource_name;

This is the audit table.  Specific actions are logged in this table.

If Standard Auditing is used:
SQL> desc aud$;
 Name                           Null?         Type
 -----------------             -------       ------
 SESSIONID                     NOT NULL      NUMBER
 ENTRYID                       NOT NULL      NUMBER
 STATEMENT                     NOT NULL      NUMBER
 TIMESTAMP#                                   DATE
 USERID                                      VARCHAR2(30)
 USERHOST                                    VARCHAR2(128)
 TERMINAL                                    VARCHAR2(255)
 ACTION#                       NOT NULL      NUMBER
 RETURNCODE                    NOT NULL      NUMBER
 OBJ$CREATOR                                 VARCHAR2(30)
 OBJ$NAME                                    VARCHAR2(128)
 AUTH$PRIVILEGES                             VARCHAR2(16)
 AUTH$GRANTEE                                VARCHAR2(30)
 NEW$OWNER                                   VARCHAR2(30)
 NEW$NAME                                    VARCHAR2(128)
 SES$ACTIONS                                 VARCHAR2(19)
 SES$TID                                     NUMBER
 LOGOFF$LREAD                                NUMBER
 LOGOFF$PREAD                                NUMBER
 LOGOFF$LWRITE                               NUMBER
 LOGOFF$DEAD                                 NUMBER
 LOGOFF$TIME                                 DATE
 COMMENT$TEXT                                VARCHAR2(4000)
 CLIENTID                                    VARCHAR2(64)
 SPARE1                                      VARCHAR2(255)
 SPARE2                                      NUMBER
 OBJ$LABEL                                   RAW(255)
 SES$LABEL                                   RAW(255)
 PRIV$USED                                   NUMBER
 SESSIONCPU                                  NUMBER
 NTIMESTAMP#                                 TIMESTAMP(6)
 PROXY$SID                                   NUMBER
 USER$GUID                                   VARCHAR2(32)
 INSTANCE#                                   NUMBER
 PROCESS#                                    VARCHAR2(16)
 XID                                         RAW(8)
 AUDITID                                     VARCHAR2(64)
 SCN                                         NUMBER
 DBID                                        NUMBER
 SQLBIND                                     CLOB
 SQLTEXT                                     CLOB
 OBJ$EDITION                                 VARCHAR2(30)

If Unified Auditing is used:
SQL> desc unified_audit_trail;
Name              Null     Type
--------------   ------   ------
AUDIT_TYPE                VARCHAR2(64)
SESSIONID                 NUMBER
PROXY_SESSIONID           NUMBER
OS_USERNAME               VARCHAR2(30)
USERHOST                  VARCHAR2(128)
TERMINAL                  VARCHAR2(30)
INSTANCE_ID               NUMBER
DBID                      NUMBER
AUTHENTICATION_TYPE       VARCHAR2(1024)
DBUSERNAME                VARCHAR2(30)
DBPROXY_USERNAME          VARCHAR2(30)
EXTERNAL_USERID           VARCHAR2(1024)
GLOBAL_USERID             VARCHAR2(32)
CLIENT_PROGRAM_NAME       VARCHAR2(48)
DBLINK_INFO               VARCHAR2(4000)
XS_USER_NAME              VARCHAR2(128)
XS_SESSIONID              RAW(33 BYTE)
ENTRY_ID                  NUMBER
STATEMENT_ID              NUMBER
EVENT_TIMESTAMP           TIMESTAMP(6) WITH LOCAL TIME ZONE
ACTION_NAME               VARCHAR2(64)
RETURN_CODE               NUMBER
OS_PROCESS                VARCHAR2(16)
TRANSACTION_ID            RAW(8 BYTE)
SCN                       NUMBER
EXECUTION_ID              VARCHAR2(64)
OBJECT_SCHEMA             VARCHAR2(30)
OBJECT_NAME               VARCHAR2(128)
SQL_TEXT                  CLOB
SQL_BINDS                 CLOB
APPLICATION_CONTEXTS      VARCHAR2(4000)
CLIENT_IDENTIFIER         VARCHAR2(64)
NEW_SCHEMA                VARCHAR2(30)
NEW_NAME                  VARCHAR2(128)
OBJECT_EDITION            VARCHAR2(30)
SYSTEM_PRIVILEGE_USED     VARCHAR2(1024)
SYSTEM_PRIVILEGE          VARCHAR2(40)
AUDIT_OPTION              VARCHAR2(40)
OBJECT_PRIVILEGES         VARCHAR2(19)
ROLE                      VARCHAR2(30)
TARGET_USER               VARCHAR2(30)
EXCLUDED_USER             VARCHAR2(30)
EXCLUDED_SCHEMA           VARCHAR2(30)
EXCLUDED_OBJECT           VARCHAR2(128)
ADDITIONAL_INFO           VARCHAR2(4000)
UNIFIED_AUDIT_POLICIES    VARCHAR2(4000)
FGA_POLICY_NAME           VARCHAR2(30)
XS_INACTIVITY_TIMEOUT     NUMBER
XS_ENTITY_TYPE            VARCHAR2(32)
XS_TARGET_PRINCIPAL_NAME  VARCHAR2(30)
XS_PROXY_USER_NAME        VARCHAR2(30)
XS_DATASEC_POLICY_NAME    VARCHAR2(30)
XS_SCHEMA_NAME            VARCHAR2(30)
XS_CALLBACK_EVENT_TYPE    VARCHAR2(32)
XS_PACKAGE_NAME           VARCHAR2(30)
XS_PROCEDURE_NAME         VARCHAR2(30)
XS_ENABLED_ROLE           VARCHAR2(30)
XS_COOKIE                 VARCHAR2(1024)
XS_NS_NAME                VARCHAR2(30)
XS_NS_ATTRIBUTE           VARCHAR2(4000)
XS_NS_ATTRIBUTE_OLD_VAL   VARCHAR2(4000)
XS_NS_ATTRIBUTE_NEW_VAL   VARCHAR2(4000)
DV_ACTION_CODE            NUMBER
DV_ACTION_NAME            VARCHAR2(30)
DV_EXTENDED_ACTION_CODE   NUMBER
DV_GRANTEE                VARCHAR2(30)
DV_RETURN_CODE            NUMBER
DV_ACTION_OBJECT_NAME     VARCHAR2(128)
DV_RULE_SET_NAME          VARCHAR2(90)
DV_COMMENT                VARCHAR2(4000)
DV_FACTOR_CONTEXT         VARCHAR2(4000)
DV_OBJECT_STATUS          VARCHAR2(1)
OLS_POLICY_NAME           VARCHAR2(30)
OLS_GRANTEE               VARCHAR2(30)
OLS_MAX_READ_LABEL        VARCHAR2(4000)
OLS_MAX_WRITE_LABEL       VARCHAR2(4000)
OLS_MIN_WRITE_LABEL       VARCHAR2(4000)
OLS_PRIVILEGES_GRANTED    VARCHAR2(30)
OLS_PROGRAM_UNIT_NAME     VARCHAR2(30)
OLS_PRIVILEGES_USED       VARCHAR2(128)
OLS_STRING_LABEL          VARCHAR2(4000)
OLS_LABEL_COMPONENT_TYPE  VARCHAR2(12)
OLS_LABEL_COMPONENT_NAME  VARCHAR2(30)
OLS_PARENT_GROUP_NAME     VARCHAR2(30)
OLS_OLD_VALUE             VARCHAR2(4000)
OLS_NEW_VALUE             VARCHAR2(4000)
RMAN_SESSION_RECID        NUMBER
RMAN_SESSION_STAMP        NUMBER
RMAN_OPERATION            VARCHAR2(20)
RMAN_OBJECT_TYPE          VARCHAR2(20)
RMAN_DEVICE_TYPE          VARCHAR2(5)
DP_TEXT_PARAMETERS1       VARCHAR2(512)
DP_BOOLEAN_PARAMETERS1    VARCHAR2(512)
DIRECT_PATH_NUM_COLUMNS_LOADED NUMBER

Configure auditing to capture the events listed below where available in the DBMS:
- Unsuccessful logon attempts
- Account locking events
- Account disabling from a specific source location
- Failed database object attempts or attempts to access objects that do not exist
- Other activities that may produce unexpected failures or trigger DBMS lockdown actions

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::attempts_to_bypass_access_controls_must_be_audited: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::attempts_to_bypass_access_controls_must_be_audited::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `attempts_to_bypass_access_controls_must_be_audited` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61651

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::attempts_to_bypass_access_controls_must_be_audited` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsaudit_sys_operations_is_set_to_true"></a>`ora_secured::controls::audit_sys_operations_is_set_to_true`

ora_secured::controls::audit_sys_operations_is_set_to_true

activities conducted under the `SYSOPER` and `SYSDBA` accounts. The setting should
be set to `TRUE` to enable this auditing.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::audit_sys_operations_is_set_to_true: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::audit_sys_operations_is_set_to_true::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `audit_sys_operations_is_set_to_true` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::audit_sys_operations_is_set_to_true` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsaudit_system_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::audit_system_is_revoked_from_unauthorized_grantee`

ora_secured::controls::audit_system_is_revoked_from_unauthorized_grantee

Unauthorized grantees should not have that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::audit_system_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::audit_system_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `audit_system_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.7
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.7
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.7

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::audit_system_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsaudit_trail_data_must_be_retained_for_at_least_one_year"></a>`ora_secured::controls::audit_trail_data_must_be_retained_for_at_least_one_year`

ora_secured::controls::audit_trail_data_must_be_retained_for_at_least_one_year

Verify that audit data is maintained for a minimum of one year.

If audit data is not maintained for a minimum of one year, this is a finding.

Develop, document and implement an audit retention policy and procedures.

It is recommended that the most recent thirty days of audit logs remain available online.

After thirty days, the audit logs may be maintained off-line.

Online maintenance provides for a more timely capability and inclination to investigate suspicious activity.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::audit_trail_data_must_be_retained_for_at_least_one_year: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::audit_trail_data_must_be_retained_for_at_least_one_year::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `audit_trail_data_must_be_retained_for_at_least_one_year` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61409

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::audit_trail_data_must_be_retained_for_at_least_one_year` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsaudit_trail_data_must_be_reviewed_daily_or_more_frequently"></a>`ora_secured::controls::audit_trail_data_must_be_reviewed_daily_or_more_frequently`

ora_secured::controls::audit_trail_data_must_be_reviewed_daily_or_more_frequently

Review policy and procedures documented or noted in the System Security plan as well as evidence of implementation for daily audit trail monitoring.

If policy and procedures are not documented or evidence of implementation is not available, this is a finding.

Develop, document and implement policy and procedures to monitor audit trail data daily.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::audit_trail_data_must_be_reviewed_daily_or_more_frequently: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::audit_trail_data_must_be_reviewed_daily_or_more_frequently::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `audit_trail_data_must_be_reviewed_daily_or_more_frequently` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61457

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::audit_trail_data_must_be_reviewed_daily_or_more_frequently` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsaudit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended"></a>`ora_secured::controls::audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended`

ora_secured::controls::audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended

are enabled. It can be set to "Operating System"(OS); `DB; DB,EXTENDED`; `XML`; or
`XML,EXTENDED`. The value should be set according to the needs of the
organization.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::audit_trail_is_set_to_db_xml_os_dbextended_or_xmlextended` defined type:

* [`title`](#title)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Any`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value',['XML','EXTENDED'])`

### <a name="ora_securedcontrolsaudsys_aud_unified_access_audit_is_enabled"></a>`ora_secured::controls::audsys_aud_unified_access_audit_is_enabled`

ora_secured::controls::audsys_aud_unified_access_audit_is_enabled

AUD$UNIFIED` holds audit trail records generated by the database.
Enabling this audit action causes logging of all access attempts to the
`AUDSYS.AUD$UNIFIED`, whether successful or unsuccessful, regardless of the
privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::audsys_aud_unified_access_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::audsys_aud_unified_access_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `audsys_aud_unified_access_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.19
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.19
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.19

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::audsys_aud_unified_access_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsautom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt"></a>`ora_secured::controls::autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt`

ora_secured::controls::autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt

Check DBMS settings, OS settings, and/or enterprise-level authentication/access mechanisms settings to determine if emergency accounts are being automatically terminated by the system after an organization-defined time period. Check also for custom code (scheduled jobs, procedures, triggers, etc.) for achieving this.

If emergency accounts are not being terminated after an organization-defined time period, this is a finding.

Create a profile specifically for emergency or temporary accounts.  When creating the accounts, assign them to this profile.  Configure DBMS, OS, and/or enterprise-level authentication/access mechanisms, or implement custom code, to terminate accounts with this profile after an organization-defined time period.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61777

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::autom_term_emergency_accnts_after_an_org_def_time_period_for_each_type_of_accnt` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsautomatically_audit_account_creation"></a>`ora_secured::controls::automatically_audit_account_creation`

ora_secured::controls::automatically_audit_account_creation

If account creation is not being audited by Oracle, this is a finding.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data including account creation, enter the following SQL*Plus command:
SELECT ' Account creation is not being audited. '
FROM   dual
WHERE  (SELECT Count(*)
        FROM   (select policy_name , audit_option from audit_unified_policies
        WHERE  audit_option = 'CREATE USER'
        and policy_name in (select policy_name from audit_unified_enabled_policies where user_name='ALL USERS'))) = 0
        OR (SELECT value
            FROM   v$option
            WHERE  parameter = 'Unified Auditing') != 'TRUE';

If Oracle returns "no rows selected", this is not a finding.

Configure Oracle to audit account creation activities.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.  Reference V-61625 for information on how to configure a policy to audit account creation.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::automatically_audit_account_creation: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::automatically_audit_account_creation::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `automatically_audit_account_creation` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61565

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::automatically_audit_account_creation` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsautomatically_audit_account_disabling_actions_to_the_extent_such_information_is_available"></a>`ora_secured::controls::automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available`

ora_secured::controls::automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available

If account disabling actions are not being audited by Oracle, this is a finding.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data including account disabling, enter the following SQL*Plus command:
SELECT ' Account disabling is not being audited. '
FROM dual
WHERE (SELECT Count(*)
FROM (select policy_name , audit_option from audit_unified_policies
WHERE audit_option = 'ALTER USER'
and policy_name in (select policy_name from audit_unified_enabled_policies where user_name='ALL USERS'))) = 0
OR (SELECT value
FROM v$option
WHERE parameter = 'Unified Auditing') != 'TRUE';

If Oracle returns "no rows selected", this is not a finding.

Configure Oracle to audit account disabling actions.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.  Reference V-61625 for information on how to configure a policy to audit account disabling.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61571

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::automatically_audit_account_disabling_actions_to_the_extent_such_information_is_available` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsautomatically_audit_account_modification"></a>`ora_secured::controls::automatically_audit_account_modification`

ora_secured::controls::automatically_audit_account_modification

If account modification is not being audited by Oracle, this is a finding.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data including account modification, enter the following SQL*Plus command:
SELECT ' Account modification is not being audited. '
FROM   dual
WHERE  (SELECT Count(*)
        FROM   (select policy_name , audit_option from audit_unified_policies
        WHERE  audit_option = 'ALTER USER'
        and policy_name in (select policy_name from audit_unified_enabled_policies where user_name='ALL USERS'))) = 0
        OR (SELECT value
            FROM   v$option
            WHERE  parameter = 'Unified Auditing') != 'TRUE';

If Oracle returns "no rows selected", this is not a finding.

Configure Oracle to audit account modifications activities.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.  Reference V-61625 for information on how to configure a policy to audit account modification.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::automatically_audit_account_modification: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::automatically_audit_account_modification::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `automatically_audit_account_modification` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61569

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::automatically_audit_account_modification` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsautomatically_audit_account_termination"></a>`ora_secured::controls::automatically_audit_account_termination`

ora_secured::controls::automatically_audit_account_termination

If account termination actions are not being audited by Oracle, this is a finding.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data including account termination, enter the following SQL*Plus command:
SELECT ' Account termination is not being audited. '
FROM   dual
WHERE  (SELECT Count(*)
        FROM   (select policy_name , audit_option from audit_unified_policies
        WHERE  audit_option = 'DROP USER'
        and policy_name in (select policy_name from audit_unified_enabled_policies where user_name='ALL USERS'))) = 0
        OR (SELECT value
            FROM   v$option
            WHERE  parameter = 'Unified Auditing') != 'TRUE';

If Oracle returns "no rows selected", this is not a finding.

Configure Oracle to audit account termination actions.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.  Reference V-61625 for information on how to configure a policy to audit account termination.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::automatically_audit_account_termination: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::automatically_audit_account_termination::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `automatically_audit_account_termination` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61573

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::automatically_audit_account_termination` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsbe_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss"></a>`ora_secured::controls::be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss`

ora_secured::controls::be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss

If no hosts contain both production and development databases, this is NA.

For any host containing both a development and a production database, determine if developers have been granted elevated privileges on the production database or on the OS.  If they have, ask for documentation that shows these accounts have formal approval and risk acceptance. If this documentation does not exist, this is a finding.

If developer accounts exist with the right to create and maintain tables (or other database objects) in production tablespaces, this is a finding.

(Where applicable, to check the number of instances on the host machine, check the /etc/oratab.  The /etc/oratab file is updated by the Oracle Installer when the database is installed when the root.sh file is executed.  Each line in the represents an ORACLE_SID:ORACLE_HOME:Y or N.  The ORACLE_SID and ORACLE_HOME are self-explanatory.  The Y or N signals the DBSTART program to automatically start or not start that specific instance when the machine is restarted.  Check with the system owner and application development team to see what each entry represents.  If a system is deemed to be a production system, review the system for development users.)

Restrict developer privileges to production objects to only objects and data where those privileges are required and authorized.  Document the approval and risk acceptance.

Consider using separate accounts for a person's developer duties and production duties.  At a minimum, use separate roles for developer privileges and production privileges.

If developers need the ability to create and maintain tables (or other database objects) as part of their development activities, provide dedicated tablespaces, and revoke any rights that allowed them to use production tablespaces for this purpose.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61587

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::be_prot_frm_unauth_acc_by_devs_on_shared_prod_dev_host_syss` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsbe_protected_from_unauthorized_access_by_developers"></a>`ora_secured::controls::be_protected_from_unauthorized_access_by_developers`

ora_secured::controls::be_protected_from_unauthorized_access_by_developers

If developer accounts with these rights exist, ask for documentation that shows these accounts have formal approval and risk acceptance. If this documentation does not exist, this is a finding.

If developer accounts exist with the right to create and maintain tables (or other database objects) in production tablespaces, this is a finding.

Restrict developer privileges to production objects to only objects and data where those privileges are required and authorized.  Document the approval and risk acceptance.

Consider using separate accounts for a person's developer duties and production duties.  At a minimum, use separate roles for developer privileges and production privileges.

If developers need the ability to create and maintain tables (or other database objects) as part of their development activities, provide dedicated tablespaces, and revoke any rights that allowed them to use production tablespaces for this purpose.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::be_protected_from_unauthorized_access_by_developers: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::be_protected_from_unauthorized_access_by_developers::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `be_protected_from_unauthorized_access_by_developers` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61585

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::be_protected_from_unauthorized_access_by_developers` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsbecome_user_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::become_user_is_revoked_from_unauthorized_grantee`

ora_secured::controls::become_user_is_revoked_from_unauthorized_grantee

inherit the rights of another user. Unauthorized grantees should not have that
privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::become_user_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::become_user_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `become_user_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.9
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.9
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.9

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::become_user_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolschanges_to_configuration_options_must_be_audited"></a>`ora_secured::controls::changes_to_configuration_options_must_be_audited`

ora_secured::controls::changes_to_configuration_options_must_be_audited

select value from v$parameter where name = 'audit_sys_operations';

If the value returned is FALSE, this is a finding.


  alter system set audit_sys_operations = TRUE scope = spfile;

The above SQL*Plus command will set the parameter to take effect at next system startup.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::changes_to_configuration_options_must_be_audited: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::changes_to_configuration_options_must_be_audited::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `changes_to_configuration_options_must_be_audited` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61519

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::changes_to_configuration_options_must_be_audited` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolschanges_to_dbms_security_labels_must_be_audited"></a>`ora_secured::controls::changes_to_dbms_security_labels_must_be_audited`

ora_secured::controls::changes_to_dbms_security_labels_must_be_audited

If security labeling is not required, this is not a finding.

If Standard Auditing is used, run the SQL query:

select * from dba_sa_audit_options;

If no records are returned or if output from the SQL statement above does not show classification labels being audited as required in the System Security Plan, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data including changes to security label assignment, enter the following SQL*Plus command:
SELECT 'Changes to security label assignment is not being audited. '
FROM   dual
WHERE  (SELECT Count(*)
        FROM   (select policy_name , audit_option from audit_unified_policies
        WHERE  audit_option = 'ALL'
	  AND audit_option_type = 'OLS ACTION'
        AND policy_name in (select policy_name from audit_unified_enabled_policies where user_name='ALL USERS'))) = 0
        OR (SELECT value
            FROM   v$option
            WHERE  parameter = 'Unified Auditing') != 'TRUE';

If Oracle returns "no rows selected", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish that changes to classification labels are being audited, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view.

If no ACTION#, or the wrong value, is returned for the auditable actions, this is a finding.

Define the policy for auditing changes to security labels defined for the data.

Document the audit requirements in the System Security Plan and configure database auditing in accordance with the policy.

If using Standard Auditing:
If there is no Unified Auditing policy deployed to audit changes to security labels, the create one using the following syntax:
SA_AUDIT_ADMIN.AUDIT (
     policy_name     IN VARCHAR2,
     users           IN VARCHAR2 DEFAULT NULL,
     audit_option    IN VARCHAR2 DEFAULT NULL,
     audit_type      IN VARCHAR2 DEFAULT NULL,
     success         IN VARCHAR2 DEFAULT NULL);

For additional information on creating audit policies, refer to the Oracle Database Security Guide
http://docs.oracle.com/database/121/OLSAG/packages.htm#i1011868

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.
Reference V-61625 for information on how to configure a policy to audit changes to security label assignments.

For additional information on creating audit policies, refer to the Oracle Database Security Guide
http://docs.oracle.com/database/121/DBSEG/audit_config.htm#CHDGBAAC

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::changes_to_dbms_security_labels_must_be_audited: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::changes_to_dbms_security_labels_must_be_audited::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `changes_to_dbms_security_labels_must_be_audited` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61527

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::changes_to_dbms_security_labels_must_be_audited` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscheck_the_validity_of_data_inputs"></a>`ora_secured::controls::check_the_validity_of_data_inputs`

ora_secured::controls::check_the_validity_of_data_inputs

If code exists that allows invalid data to be acted upon or input into the database, this is a finding.

If field definitions do not exist in the database, this is a finding.

If fields do not contain enabled constraints where required, this is a finding.

- - - - -
Oracle provides built-in processes to keep data and its integrity intact by using constraints.

Integrity Constraint States
Can specify that a constraint is enabled (ENABLE) or disabled (DISABLE). If a constraint is enabled, data is checked as it is entered or updated in the database, and data that does not conform to the constraint is prevented from being entered. If a constraint is disabled, then data that does not conform can be allowed to enter the database.

Additionally, can specify that existing data in the table must conform to the constraint (VALIDATE). Conversely, if specified NOVALIDATE, are not ensured that existing data conforms.

An integrity constraint defined on a table can be in one of the following states:
    ENABLE, VALIDATE
    ENABLE, NOVALIDATE
    DISABLE, VALIDATE
    DISABLE, NOVALIDATE

For details about the meaning of these states and an understanding of their consequences, see the Oracle Database SQL Language Reference. Some of these consequences are discussed here.

Disabling Constraints
To enforce the rules defined by integrity constraints, the constraints should always be enabled. However, consider temporarily disabling the integrity constraints of a table for the following performance reasons:

- When loading large amounts of data into a table

- When performing batch operations that make massive changes to a table (for example, changing every employee's number by adding 1000 to the existing number)

- When importing or exporting one table at a time

In all three cases, temporarily disabling integrity constraints can improve the performance of the operation, especially in data warehouse configurations.

It is possible to enter data that violates a constraint while that constraint is disabled. Thus, always enable the constraint after completing any of the operations listed in the preceding bullet list.

Enabling Constraints
While a constraint is enabled, no row violating the constraint can be inserted into the table. However, while the constraint is disabled, such a row can be inserted. This row is known as an exception to the constraint. If the constraint is in the ENABLE, NOVALIDATE state, violations resulting from data entered while the constraint was disabled remain. The rows that violate the constraint must be either updated or deleted in order for the constraint to be put in the validated state.

Can identify exceptions to a specific integrity constraint while attempting to enable the constraint. See "Reporting Constraint Exceptions". All rows violating constraints are noted in an EXCEPTIONS table, which can be examined.

ENABLE, NOVALIDATE Constraint State
When a constraint is in the ENABLE, NOVALIDATE state, all subsequent statements are checked for conformity to the constraint. However, any existing data in the table is not checked. A table with ENABLE, NOVALIDATE constraints can contain invalid data, but it is not possible to add new invalid data to it. Constraints in the ENABLE, NOVALIDATE state is most useful in data warehouse configurations that are uploading valid OLTP data.

Enabling a constraint does not require validation. Enabling a constraint novalidate is much faster than enabling and validating a constraint. Also, validating a constraint that is already enabled does not require any DML locks during validation (unlike validating a previously disabled constraint). Enforcement guarantees that no violations are introduced during the validation. Hence, enabling without validating reduces the downtime typically associated with enabling a constraint.

Efficient Use of Integrity Constraints: A Procedure

Using integrity constraint states in the following order can ensure the best benefits:
    Disable state.
    Perform the operation (load, export, import).
    ENABLE, NOVALIDATE state.
    Enable state.

Some benefits of using constraints in this order are:
    No locks are held.
    All constraints can go to enable state concurrently.
    Constraint enabling is done in parallel.
    Concurrent activity on table is permitted.

Setting Integrity Constraints Upon Definition
When an integrity constraint is defined in a CREATE TABLE or ALTER TABLE statement, it can be enabled, disabled, or validated or not validated as determined by the specification of the ENABLE/DISABLE clause. If the ENABLE/DISABLE clause is not specified in a constraint definition, the database automatically enables and validates the constraint.

Disabling Constraints Upon Definition
The following CREATE TABLE and ALTER TABLE statements both define and disable integrity constraints:

CREATE TABLE emp (
   empno NUMBER(5) PRIMARY KEY DISABLE,   . . . ;

ALTER TABLE emp
   ADD PRIMARY KEY (empno) DISABLE;

An ALTER TABLE statement that defines and disables an integrity constraint never fails because of rows in the table that violate the integrity constraint. The definition of the constraint is allowed because its rule is not enforced.

Enabling Constraints Upon Definition

The following CREATE TABLE and ALTER TABLE statements both define and enable integrity constraints:

CREATE TABLE emp (
    empno NUMBER(5) CONSTRAINT emp.pk PRIMARY KEY,   . . . ;

ALTER TABLE emp
    ADD CONSTRAINT emp.pk PRIMARY KEY (empno);

An ALTER TABLE statement that defines and attempts to enable an integrity constraint can fail because rows of the table violate the integrity constraint. If this case, the statement is rolled back, and the constraint definition is not stored and not enabled.

When enabling a UNIQUE or PRIMARY KEY constraint, an associated index is created.

Modify database code to properly validate data before it is put into the database or acted upon by the database.

Modify database to contain field definitions for each field in the database.

Modify database to contain constraints on database columns and tables that require them for data validity.

Review the application schemas implemented on the system.  Check the DDL for the tables that are created for the applications to see if constraints have been enabled.

- - - - -
Enabling Constraints Upon Definition
The following CREATE TABLE and ALTER TABLE statements both define and enable integrity constraints:
CREATE TABLE emp (
    empno NUMBER(5) CONSTRAINT emp.pk PRIMARY KEY,   . . . ) ;
ALTER TABLE emp
    ADD CONSTRAINT emp.pk PRIMARY KEY (empno);

An ALTER TABLE statement that defines and attempts to enable an integrity constraint can fail because existing rows of the table violate the integrity constraint. In this case, the statement is rolled back, and the constraint definition is not stored and not enabled.

When enabling a UNIQUE or PRIMARY KEY constraint, an associated index is created.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::check_the_validity_of_data_inputs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::check_the_validity_of_data_inputs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `check_the_validity_of_data_inputs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61785

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::check_the_validity_of_data_inputs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsconduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and"></a>`ora_secured::controls::conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and`

ora_secured::controls::conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and

If the system-level data of the DBMS is not backed up to the organization-defined frequency, this is a finding.

Utilize DBMS, OS, or third-party product(s) to meet the requirement of backing up system data according to the organization-defined frequency.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61701

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::conduct_backups_of_sys_level_info_per_org_def_frequency_that_is_consistent_with_recovery_time_and` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsconnss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted"></a>`ora_secured::controls::connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted`

ora_secured::controls::connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted

For each remote application or application server, determine whether communications between it and the DBMS are encrypted. If any are not encrypted, this is a finding.

Configure communications between the DBMS and remote applications/application servers to use DoD-approved encryption.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61447

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::connss_by_mid_tr_web_and_app_syss_to_orcl_dbms_frm_a_dmz_or_ext_netw_must_be_encrpted` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_any_library_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::create_any_library_is_revoked_from_unauthorized_grantee`

ora_secured::controls::create_any_library_is_revoked_from_unauthorized_grantee

create objects that are associated to the shared libraries. Unauthorized
grantees should not have that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_any_library_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_any_library_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_any_library_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.12
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.12
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.12

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_any_library_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolscreate_database_link_action_audit_is_enabled"></a>`ora_secured::controls::create_database_link_action_audit_is_enabled`

ora_secured::controls::create_database_link_action_audit_is_enabled

other databases. These connections are available without further authentication
once the link is established. Enabling this unified action audit causes logging
of all `CREATE DATABASE` and `CREATE PUBLIC DATABASE` statements, whether successful
or unsuccessful, issued by the users regardless of the privileges held by the
users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_database_link_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_database_link_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_database_link_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.12
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.12
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.12

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_database_link_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_library_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::create_library_is_revoked_from_unauthorized_grantee`

ora_secured::controls::create_library_is_revoked_from_unauthorized_grantee

create objects that are associated to the shared libraries. Unauthorized
grantees should not have that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_library_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_library_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_library_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.13
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.13
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.13

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_library_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolscreate_procedure_function_package_package_body_action_audit_is_enabled"></a>`ora_secured::controls::create_procedure_function_package_package_body_action_audit_is_enabled`

ora_secured::controls::create_procedure_function_package_package_body_action_audit_is_enabled

stored within the database, are created to perform business functions and access
database as defined by PL/SQL code and SQL statements contained within these
objects. Enabling this unified action audit causes logging of all `CREATE PROCEDURE`,
`CREATE FUNCTION`, `CREATE PACKAGE` and `CREATE PACKAGE BODY`
statements, successful or unsuccessful, statements issued by the users
regardless of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_procedure_function_package_package_body_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_procedure_function_package_package_body_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_procedure_function_package_package_body_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.20
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.20
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.20

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_procedure_function_package_package_body_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_procedure_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::create_procedure_is_revoked_from_unauthorized_grantee`

ora_secured::controls::create_procedure_is_revoked_from_unauthorized_grantee

create a stored procedure that will fire when given the correct command
sequence. Unauthorized grantees should not have that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_procedure_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_procedure_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_procedure_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.10
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.10
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.10

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_procedure_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolscreate_profile_action_audit_is_enabled"></a>`ora_secured::controls::create_profile_action_audit_is_enabled`

ora_secured::controls::create_profile_action_audit_is_enabled

password policies such as password complexity rules and reuse restrictions.
Enabling this unified action audit enables logging of all `CREATE PROFILE`
statements, whether successful or unsuccessful, issued by the users regardless
of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_profile_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_profile_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_profile_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.9
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.9
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.9

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_profile_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_role_action_audit_is_enabled"></a>`ora_secured::controls::create_role_action_audit_is_enabled`

ora_secured::controls::create_role_action_audit_is_enabled

to users or other roles. Roles may include system privileges, object privileges
or other roles. Enabling this unified audit action enables logging of all
`CREATE ROLE` statements, whether successful or unsuccessful, issued by the
users regardless of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_role_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_role_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_role_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.4
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_role_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_session_audit_option_is_enabled"></a>`ora_secured::controls::create_session_audit_option_is_enabled`

ora_secured::controls::create_session_audit_option_is_enabled

database, whether successful or not, as well as audit session
disconnects/logoffs. The commands to audit `SESSION`, `CONNECT` or `CREATE SESSION`
all accomplish the same thing - they initiate statement auditing of the connect
statement used to create a database session.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_session_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_session_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_session_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.18
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.18
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.18

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_session_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_synonym_action_audit_is_enabled"></a>`ora_secured::controls::create_synonym_action_audit_is_enabled`

ora_secured::controls::create_synonym_action_audit_is_enabled

object such as table, view, procedure, java object or even another synonym, etc.
Enabling this unified action audit causes logging of all `CREATE SYNONYM` and
`CREATE PUBLIC SYNONYM` statements, whether successful or unsuccessful, issued
by the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_synonym_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_synonym_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_synonym_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.15
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.15
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.15

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_synonym_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_trigger_action_audit_is_enabled"></a>`ora_secured::controls::create_trigger_action_audit_is_enabled`

ora_secured::controls::create_trigger_action_audit_is_enabled

the underlying objects occur. Trigger bodies contain the code, quite often to
perform data validation, ensure data integrity/security or enforce critical
constraints on allowable actions on data. Enabling this unified audit causes
logging of all `CREATE TRIGGER` statements, whether successful or unsuccessful,
issued by the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_trigger_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_trigger_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_trigger_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.24
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.24
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.24

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_trigger_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreate_user_action_audit_is_enabled"></a>`ora_secured::controls::create_user_action_audit_is_enabled`

ora_secured::controls::create_user_action_audit_is_enabled

assign database properties to them. Enabling this unified action audit causes
logging of all `CREATE USER` statements, whether successful or unsuccessful,
issued by the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::create_user_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::create_user_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `create_user_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::create_user_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolscreds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users"></a>`ora_secured::controls::creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users`

ora_secured::controls::creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users

Compare to the list in the System Security Plan with the DBA.

If no database links are listed in the database and in the System Security Plan, this check is not a finding.

If any database links are defined in the DBMS, verify the authorization for the definition in the System Security Plan.

If any database links exist that are not authorized or not listed in the System Security Plan, this is a finding.

Grant access to database links to authorized users or applications only.

Document all database links access authorizations in the System Security Plan.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61507

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::creds_strd_and_used_by_dbms_to_acc_rmt_dbs_or_apps_must_be_auth_and_rstrcted_to_auth_users` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdatabase_backup_procedures_must_be_defined_documented_and_implemented"></a>`ora_secured::controls::database_backup_procedures_must_be_defined_documented_and_implemented`

ora_secured::controls::database_backup_procedures_must_be_defined_documented_and_implemented

Evidence of implementation includes records of backup events and physical review of backup media.

Evidence should match the backup plan as recorded in the system documentation.

If backup procedures do not exist or are not implemented in accordance with the procedures, this is a finding.

- - - - -
The Oracle recommended process for backup and recovery is Oracle RMAN. If Oracle RMAN is deployed, execute the following commands to ensure that the evidence of the implementation of the backup policy includes validating that the files are restorable:

Validating Database Files with BACKUP VALIDATE
--Use the BACKUP VALIDATE command to do the following:
--Check datafiles for physical and logical block corruption
--Confirm that all database files exist and are in the correct locations
--When BACKUP VALIDATE is run, RMAN reads the files to be backed up in their entirety, as it would during a real backup. RMAN does not, however, actually produce any backup sets or image copies.
--Cannot use the BACKUPSET, MAXCORRUPT, or PROXY parameters with BACKUP VALIDATE.
--To validate files with the BACKUP VALIDATE command:
  1. Start RMAN and connect to a target database and recovery catalog (if used).
  2. Run the BACKUP VALIDATE command.

For example, can validate that all database files and archived logs can be backed up by running a command as shown in the following example. This command checks for physical corruptions only.

BACKUP VALIDATE
DATABASE
ARCHIVELOG ALL;

To check for logical corruptions in addition to physical corruptions, run the  following variation of the preceding command:

BACKUP VALIDATE
CHECK LOGICAL
DATABASE
ARCHIVELOG ALL;

In the preceding examples, the RMAN client displays the same output that it would if it were really backing up the files. If RMAN cannot back up one or more of the files, then it issues an error message.

Validating Backups Before Restoring Them

Run RESTORE ... VALIDATE to test whether RMAN can restore a specific file or set of files from a backup. RMAN chooses which backups to use. The database must be mounted or open for this command. Do not have to take datafiles off-line when validating the restore of datafiles, because validation of backups of the datafiles only reads the backups and does not affect the production datafiles. When validating files on disk or tape, RMAN reads all blocks in the backup piece or image copy. RMAN also validates off-site backups. The validation is identical to a real restore operation except that RMAN does not write output files.

To validate backups with the RESTORE command:
1. Run the RESTORE command with the VALIDATE option.

This following example illustrates validating the restore of the database and all archived redo logs:

RESTORE DATABASE VALIDATE;
RESTORE ARCHIVELOG ALL VALIDATE;

If an RMAN error stack is not generated, then skip the subsequent steps. The lack of error messages means that RMAN had confirmed that it can use these backups successfully during a real restore and recovery.

2. If error messages are seen in the output and one is the RMAN-06026 message, then investigate the cause of the problem. If possible, correct the problem that is preventing RMAN from validating the backups and retry the validation. The following error means that RMAN cannot restore one or more of the specified files from available backups:

RMAN-06026: some targets not found - aborting restore
The following sample output shows that RMAN encountered a problem reading the specified backup:

RMAN-03009: failure of restore command on c1 channel at 12-DEC-14 23:22:30
ORA-19505: failed to identify file "oracle/dbs/1fafv9gl_1_1"
ORA-27037: unable to obtain file status
SVR4 Error: 2: No such file or directory
Additional information: 3

Develop, document, and implement database backup procedures.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::database_backup_procedures_must_be_defined_documented_and_implemented: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::database_backup_procedures_must_be_defined_documented_and_implemented::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `database_backup_procedures_must_be_defined_documented_and_implemented` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61695

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::database_backup_procedures_must_be_defined_documented_and_implemented` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdatabase_data_files_containing_sensitive_information_must_be_encrypted"></a>`ora_secured::controls::database_data_files_containing_sensitive_information_must_be_encrypted`

ora_secured::controls::database_data_files_containing_sensitive_information_must_be_encrypted

Review the system documentation to determine whether the database handles classified information. If the database handles classified information, upgrade the severity Category Code to I.

Review the system documentation to discover sensitive or classified data identified by the Information Owner that requires encryption.

If no sensitive or classified data is identified as requiring encryption by the Information Owner, this is not a finding.

Have the DBA use select statements in the database to review sensitive data stored in tables as identified in the system documentation.
To see if Oracle is configured for FIPS 140-2 Transparent Data Encryption and/or DBMS_CRYPTO, enter the following SQL*Plus command:

SHOW PARAMETER DBFIPS_140

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'DBFIPS_140';

If Oracle returns the value 'FALSE', or returns no rows, this is a finding.

To see if there are encrypted tablespaces, enter the following SQL*Plus command:

SELECT * FROM V$ENCRYPTED_TABLESPACES;

If no rows are returned, then there are no encrypted tablespaces.

To see if there are encrypted columns within existing tables, enter the following SQL*Plus command:

SELECT * FROM DBA_ENCRYPTED_COLUMNS;

If no rows are returned, then there are no encrypted columns within existing tables.

If all sensitive data identified is encrypted within the database objects, encryption of the DBMS data files is optional and not a finding.

If all sensitive data is not encrypted within database objects, review encryption applied to the DBMS host data files. If no encryption is applied, this is a finding.

Obtain and utilize native or third-party NIST-validated FIPS 140-2-compliant cryptography solution for the DBMS.  Configure cryptographic functions to use FIPS 140-2-compliant algorithms and hashing functions.

The strength requirements are dependent upon data classification.

For unclassified data, where cryptography is required:
AES 128 for encryption
SHA 256 for hashing

NSA has established the suite B encryption requirements for protecting National Security Systems (NSS) as follows.
AES 128 for Secret
AES 256 for Top Secret
SHA 256 for Secret
SHA 384 for Top Secret

National Security System is defined as:
(OMB Circular A-130) Any telecommunications or information system operated by the United States Government, the function, operation, or use of which (1) involves intelligence activities; (2) involves cryptologic activities related to national security; (3) involves command and control of military forces; (4) involves equipment that is an integral part of a weapon or weapons system; or (5) is critical to the direct fulfillment of military or intelligence missions, but excluding any system that is to be used for routine administrative and business applications (including payroll, finance, logistics, and personnel management applications).

There is more information on this topic in the Oracle Database 12c Advanced Security Administrator's Guide, which may be found at https://docs.oracle.com/database/121/ASOAG/toc.htm.  (Note, however, that because of changes in Oracle's licensing policy, it is no longer necessary to purchase Oracle Advanced Security to use network encryption and advanced authentication.)

FIPS 140-2 documentation can be downloaded from http://csrc.nist.gov/publications/PubsFIPS.html#140-2

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::database_data_files_containing_sensitive_information_must_be_encrypted: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::database_data_files_containing_sensitive_information_must_be_encrypted::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `database_data_files_containing_sensitive_information_must_be_encrypted` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61761

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::database_data_files_containing_sensitive_information_must_be_encrypted` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdatabase_link_audit_option_is_enabled"></a>`ora_secured::controls::database_link_audit_option_is_enabled`

ora_secured::controls::database_link_audit_option_is_enabled

database links to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::database_link_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::database_link_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `database_link_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::database_link_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdatabase_must_not_be_directly_accessible_from_public_or_unauthorized_networks"></a>`ora_secured::controls::database_must_not_be_directly_accessible_from_public_or_unauthorized_networks`

ora_secured::controls::database_must_not_be_directly_accessible_from_public_or_unauthorized_networks

If the DBMS is not accessed outside of the local enclave, this check is not a finding.

If the DBMS serves applications available from a public network (e.g. the Internet), then confirm that the application servers are located in a DMZ.

If the DBMS is located inside the local enclave and is directly accessible to public users, this is a finding.

If the DBMS serves public-facing applications and is not protected from direct client connections and unauthorized networks, this is a finding.

If the DBMS serves public-facing applications and contains sensitive or classified information, this is a finding.

Do not allow direct connections from users originating from the Internet or other public network to the DBMS.

Include in the System Security Plan for the system whether the DBMS serves public-facing applications or applications serving users from other untrusted networks.

Do not store sensitive or classified data on a DBMS server that serves public-facing applications.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::database_must_not_be_directly_accessible_from_public_or_unauthorized_networks: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::database_must_not_be_directly_accessible_from_public_or_unauthorized_networks::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `database_must_not_be_directly_accessible_from_public_or_unauthorized_networks` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61495

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::database_must_not_be_directly_accessible_from_public_or_unauthorized_networks` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdatabase_objects_must_be_owned_by_accounts_authorized_for_ownership"></a>`ora_secured::controls::database_objects_must_be_owned_by_accounts_authorized_for_ownership`

ora_secured::controls::database_objects_must_be_owned_by_accounts_authorized_for_ownership

Review accounts in DBMS that own objects.

If any database objects are found to be owned by users not authorized to own database objects, this is a finding.

- - - - -
Query the object DBA_OBJECTS to show the users who own objects in the database.  The query below will return all of the users who own objects.

sqlplus connect as sysdba

SQL>select owner, object_type, count(*) from dba_objects
group by owner, object_type
order by owner, object_type;

If these owners are not authorized owners, select all of the objects these owners have generated and decide who they should belong to.  To make a list of all of the objects, the unauthorized owner has to perform the following query.

SQL>select * from dba_objects where owner =&unauthorized_owner;

Update system documentation to include list of accounts authorized for object ownership.

Re-assign ownership of authorized objects to authorized object owner accounts.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::database_objects_must_be_owned_by_accounts_authorized_for_ownership: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::database_objects_must_be_owned_by_accounts_authorized_for_ownership::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `database_objects_must_be_owned_by_accounts_authorized_for_ownership` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61673

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::database_objects_must_be_owned_by_accounts_authorized_for_ownership` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdatabase_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested"></a>`ora_secured::controls::database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested`

ora_secured::controls::database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested

Review evidence of implementation of testing and verification procedures by reviewing logs from backup and recovery implementation. Logs may be in electronic form or hardcopy and may include email or other notification.

If testing and verification of backup and recovery procedures is not documented in the system documentation, this is a finding.

If evidence of testing and verification of backup and recovery procedures does not exist, this is a finding.

Develop, document, and implement testing and verification procedures for database backup and recovery. Include requirements for documenting database backup and recovery testing and verification activities in the procedures.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61697

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::database_recovery_procedures_must_be_developed_documented_implemented_and_periodically_tested` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdb_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions"></a>`ora_secured::controls::db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions`

ora_secured::controls::db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions

1 and higher, though it continues to be supported for backward compatibility.

Run this query:
  select value from v$parameter where name = 'job_queue_processes';

Run this query:
  select value from all_scheduler_global_attribute
  where ATTRIBUTE_NAME = 'MAX_JOB_SLAVE_PROCESSES';

To understand the relationship between these settings, review:
https://docs.oracle.com/database/121/ADMIN/appendix_a.htm#ADMIN11002

Review documented and implemented procedures for monitoring the Oracle DBMS job/batch queues for unauthorized submissions. If procedures for job queue review are not defined, documented or evidence of implementation does not exist, this is a finding.

Job queue information is available from the DBA_JOBS view. The following command lists jobs submitted to the queue. DBMS_JOB does not generate a 'history' of previous job executions.

Run this query:
  select job, next_date, next_sec, failures, broken from dba_jobs;

Scheduler queue information is available from the DBA_SCHEDULER_JOBS view. The following command lists jobs submitted to the queue.

Run this query:
select owner, job_name, state, job_class, job_type, job_action
from dba_scheduler_jobs;

Develop, document and implement procedures to monitor the database job queues for unauthorized job submissions.

Develop, document and implement a formal migration plan to convert jobs using DBMS_JOB to use DBMS_SCHEDULER instead for Oracle versions 10.1 and higher. (This does not apply to DBMS_JOB jobs generated by Oracle itself, such as those for refreshing materialized views.)

Set the value of the job_queue_processes parameter to a low value to restrict concurrent DBMS_JOB executions.

Use auditing to capture use of the DBMS_JOB package in the audit trail. Review the audit trail for unauthorized use of the DBMS_JOB package.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61449

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::db_job_batch_queues_must_be_reviewed_regularly_to_detect_unauth_db_job_submissions` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdb_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes"></a>`ora_secured::controls::db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes`

ora_secured::controls::db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes

Verify that the list of files and directories being monitored is complete. If monitoring does not occur or is not complete, this is a finding.

Implement procedures to monitor for unauthorized changes to DBMS software libraries, related software application libraries, and configuration files. If a third-party automated tool is not employed, an automated job that reports file information on the directories and files of interest and compares them to the baseline report for the same will meet the requirement.

File hashes or checksums should be used for comparisons since file dates may be manipulated by malicious users.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61867

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::db_sw_apps_and_config_files_must_be_mon_to_disc_unauth_changes` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdb_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm"></a>`ora_secured::controls::db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm`

ora_secured::controls::db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm

If any non-DBMS software directories exist on the disk directory, examine or investigate their use.

If any of the directories are used by other applications, including third-party applications that use the DBMS, this is a finding.

Only applications that are required for the functioning and administration, not use, of the DBMS should be located on the same disk directory as the DBMS software libraries.

For databases located on mainframes, confirm that the database and its configuration files are isolated in their own DASD pools.

If database software and database configuration files share DASD with other applications, this is a finding.

Install all applications on directories, or pools, separate from the DBMS software library directory. Re-locate any directories or re-install other application software that currently shares the DBMS software library directory to separate directories.

For mainframe-based databases, locate database software and configuration files in separate DASD pools from other mainframe applications.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61875

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::db_sw_dirs_including_dbms_config_files_must_be_strd_in_dedicated_dirs_or_dasd_pools_separate_frm` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdba_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::dba_is_revoked_from_unauthorized_grantee`

ora_secured::controls::dba_is_revoked_from_unauthorized_grantee

provided for the allocation of administrative privileges. Unauthorized grantees
should not have that role.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dba_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dba_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dba_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.3.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.3.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.3.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dba_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsdba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms"></a>`ora_secured::controls::dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms`

ora_secured::controls::dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms

Note: do not include the Oracle software installation account in any results for this check.

For UNIX systems (as root):
cat /etc/group | grep -i dba
groups root

If "root" is returned in the first list, this is a finding.

If any accounts listed in the first list are also listed in the second list, this is a finding.

Investigate any user account group memberships other than DBA or root groups that are returned by the following command (also as root):

groups [dba user account]

Replace [dba user account] with the user account name of each DBA account.

If individual DBA accounts are assigned to groups that grant access or privileges for purposes other than DBA responsibilities, this is a finding.

For Windows Systems (click or select):
Start / Settings / Control Panel / Administrative Tools / Computer Management / Local Users and Groups / Groups / ORA_DBA
Start / Settings / Control Panel / Administrative Tools / Computer Management / Local Users and Groups / Groups / ORA_[SID]_DBA (if present)

Note: Users assigned DBA privileges on a Windows host are granted membership in the ORA_DBA and/or ORA_[SID]_DBA groups. The ORA_DBA group grants DBA privileges to any database on the system. The ORA_[SID]_DBA groups grant DBA privileges to specific Oracle instances only.

Make a note of each user listed. For each user (click or select):
Start / Settings / Control Panel / Administrative Tools / Computer Management / Local Users and Groups / Users / [DBA user name] / Member of

If DBA users belong to any groups other than DBA groups and the Windows Users group, this is a finding.

Examine User Rights assigned to DBA groups or group members:
Start / Settings / Control Panel / Administrative Tools / Local Security Policy / Security Settings / Local Policies / User Rights Assignments

If any User Rights are assigned directly to the DBA group(s) or DBA user accounts, this is a finding.

Revoke all host system privileges from the DBA group accounts and DBA user accounts not required for DBMS administration.

Revoke all OS group memberships that assign excessive privileges to the DBA group accounts and DBA user accounts.

Remove any directly applied permissions or user rights from the DBA group accounts and DBA user accounts.

Document all DBA group accounts and individual DBA account-assigned privileges in the System Security Plan.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61537

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dba_os_accnts_must_be_grnted_only_those_host_sys_privs_necessary_for_admin_of_dbms` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdba_role_must_not_be_assigned_excessive_or_unauthorized_privileges"></a>`ora_secured::controls::dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges`

ora_secured::controls::dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges

If DBA or administrative accounts have unauthorized application roles or permissions beyond those needed for administration, this is a finding.

To obtain a list of privileges assigned to the DBMS user accounts, run the query:
SELECT * from dba_sys_privs where grantee='DBA' order by privilege;

To check to see what roles are assigned to a user, run the query:
SELECT * from dba_role_privs where grantee = '<applicable account>';

To check to see what privileges are assigned to a role, run the query:
SELECT * from role_sys_privs;

To show privileges by object, run the query:
SELECT table_name, grantee,
MAX(DECODE(privilege, 'SELECT', 'SELECT')) AS select_priv,
MAX(DECODE(privilege, 'DELETE', 'DELETE')) AS delete_priv,
MAX(DECODE(privilege, 'UPDATE', 'UPDATE')) AS update_priv,
MAX(DECODE(privilege, 'INSERT', 'INSERT')) AS insert_priv
FROM dba_tab_privs
WHERE grantee IN (SELECT role FROM dba_roles)
GROUP BY table_name, grantee
ORDER BY table_name, grantee;

This query will list the system privileges assigned to a specific user:
SELECT LPAD(' ', 2*level) || granted_role "USER PRIVS"
FROM
(
SELECT NULL grantee, username granted_role
FROM dba_users
WHERE username LIKE UPPER('%&uname%')
UNION
SELECT grantee, granted_role
FROM dba_role_privs
UNION
SELECT grantee, privilege
FROM dba_sys_privs
)
START WITH grantee IS NULL
CONNECT BY grantee = prior granted_role;

To list all administrative privileges granted to users via roles, run the query:
SELECT
username,
rp.granted_role,
privilege
FROM
dba_users u,
dba_role_privs rp,
dba_sys_privs sp
WHERE username = rp.grantee
AND rp.granted_role = sp.grantee
AND privilege NOT IN
(
'CREATE SEQUENCE', 'CREATE TRIGGER',
'SET CONTAINER', 'CREATE CLUSTER',
'CREATE PROCEDURE', 'CREATE TYPE',
'CREATE SESSION', 'CREATE OPERATOR',
'CREATE TABLE', 'CREATE INDEXTYPE'
)
AND username NOT IN
(
'XDB', 'SYSTEM', 'SYS', 'LBACSYS',
'DVSYS', 'DVF', 'SYSMAN_RO', 'SYSMAN_BIPLATFORM',
'SYSMAN_MDS', 'SYSMAN_OPSS', 'SYSMAN_STB', 'DBSNMP',
'SYSMAN', 'APEX_040200', 'WMSYS', 'SYSDG',
'SYSBACKUP', 'SPATIAL_WFS_ADMIN_USR',
'SPATIAL_CSW_ADMIN_US','GSMCATUSER',
'OLAPSYS', 'SI_INFORMTN_SCHEMA', 'OUTLN', 'ORDSYS',
'ORDDATA', 'OJVMSYS', 'ORACLE_OCM', 'MDSYS',
'ORDPLUGINS', 'GSMADMIN_INTERNAL', 'MDDATA',
'FLOWS_FILES', 'DIP', 'CTXSYS', 'AUDSYS', 'APPQOSSYS',
'APEX_PUBLIC_USER', 'ANONYMOUS',
'SPATIAL_CSW_ADMIN_USR', 'SYSKM',
'SYSMAN_TYPES', 'MGMT_VIEW', 'EUS_ENGINE_USER',
'EXFSYS', 'SYSMAN_APM','IX','OWBSYS'
)
ORDER by 1, 2, 3;

(The list of special accounts that are excluded from this requirement may not be complete. It is expected that the DBA will edit the list to suit local circumstances, adding other special accounts as necessary, and removing any that are not supposed to be in use in the Oracle deployment that is under review. Similarly, the list of privileges excluded from the list may be modified according to circumstances.)

Data Dictionary Objects Related To System Privileges:
all_sys_privs
session_privs
user_sys_privs
dba_sys_privs
system_privilege_map

Remove permissions from DBAs and other administrative users beyond those required for administrative functions.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61599

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dba_role_must_not_be_assigned_excessive_or_unauthorized_privileges` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes"></a>`ora_secured::controls::dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes`

ora_secured::controls::dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes

another user the same privileges. Unauthorized grantees should not have that
privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dba_sys_privs_is_revoked_from_unauthorized_grantee_with_admin_option_set_to_yes` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

The objects to exclude from the control actions.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsdba_users_authentication_type_is_not_set_to_external_for_any_user"></a>`ora_secured::controls::dba_users_authentication_type_is_not_set_to_external_for_any_user`

ora_secured::controls::dba_users_authentication_type_is_not_set_to_external_for_any_user

can be authenticated by a remote OS to allow access to the database with full
authorization. This setting should not be used.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dba_users_authentication_type_is_not_set_to_external_for_any_user: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dba_users_authentication_type_is_not_set_to_external_for_any_user::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dba_users_authentication_type_is_not_set_to_external_for_any_user` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 4.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 4.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 4.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dba_users_authentication_type_is_not_set_to_external_for_any_user` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude',[])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[8,default]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 12)`

### <a name="ora_securedcontrolsdbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access"></a>`ora_secured::controls::dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access`

ora_secured::controls::dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access

Review access protections and procedures for off-line backup and restoration files.

If backup or restoration files are subject to unauthorized access, this is a finding.

It may be necessary to review backup and restoration procedures to determine ownership and access during all phases of backup and recovery.

Implement protection for backup and restoration files. Document personnel and the level of access authorized for each to the backup and restoration files in the system documentation.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61699

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_backup_and_restoration_files_must_be_protected_from_unauthorized_access` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition"></a>`ora_secured::controls::dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition`

ora_secured::controls::dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition

If DBMS data, transaction log or audit data files are stored in the same directory, this is a finding.

If multiple applications are accessing the database and the database data files are stored in the same directory, this is a finding.

If multiple applications are accessing the database and database data is separated into separate physical directories according to application, this check is not a finding.


Specify dedicated host system disk directories to store database data, transaction and audit files.
Example directory structure:
/*/app/oracle/oradata/db_name
/*/app/oracle/admin/db_name/arch/*
/*/app/oracle/oradata/db_name/audit
/*/app/oracle/fast_recovery_area/db_name/

See Oracle Optimal Flexible Architecture:
https://docs.oracle.com/database/121/LADBI/appendix_ofa.htm#LADBI7921

When multiple applications are accessing a single database, configure DBMS default file storage according to application to use dedicated disk directories.

/*/app/oracle/oradata/db_name/app_name

See Oracle Optimal Flexible Architecture:
https://docs.oracle.com/database/121/LADBI/appendix_ofa.htm#LADBI7921



## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61963

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_data_files_transaction_logs_and_audit_files_must_be_strd_in_dedicated_dirs_or_disk_partition` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_default_accounts_must_be_assigned_custom_passwords"></a>`ora_secured::controls::dbms_default_accounts_must_be_assigned_custom_passwords`

ora_secured::controls::dbms_default_accounts_must_be_assigned_custom_passwords

SELECT * FROM SYS.DBA_USERS_WITH_DEFPWD;

If any accounts other than XS$NULL are listed, this is a finding.

(XS$NULL is an internal account that represents the absence of a user in a session. Because XS$NULL is not a user, this account can only be accessed by the Oracle Database instance. XS$NULL has no privileges and no one can authenticate as XS$NULL, nor can authentication credentials ever be assigned to XS$NULL.)

Change passwords for DBMS accounts to non-default values. Where necessary, unlock or enable accounts to change the password, and then return the account to disabled or locked status.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_default_accounts_must_be_assigned_custom_passwords: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_default_accounts_must_be_assigned_custom_passwords::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_default_accounts_must_be_assigned_custom_passwords` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61541

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_default_accounts_must_be_assigned_custom_passwords` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_default_accounts_must_be_protected_from_misuse"></a>`ora_secured::controls::dbms_default_accounts_must_be_protected_from_misuse`

ora_secured::controls::dbms_default_accounts_must_be_protected_from_misuse

Request evidence that administrators have individual administrative accounts and that they use these rather than SYS, SYSTEM, SYSMAN, etc., in carrying out their duties.

If the evidence indicates otherwise, this is a finding.

Review the status of the essential system accounts, in the view DBA_USERS.  If any of these accounts is not locked, or is not documented as a requirement, this is a finding.

Ensure that all individuals with DBA responsibilities always log on under their individual administrative accounts.

Ensure that the passwords for essential system accounts such as SYS are available only to authorized administrators and tightly guarded to avoid misuse.  Ensure that these accounts are kept locked except when it is specifically necessary to use them.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_default_accounts_must_be_protected_from_misuse: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_default_accounts_must_be_protected_from_misuse::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_default_accounts_must_be_protected_from_misuse` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61849

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_default_accounts_must_be_protected_from_misuse` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs"></a>`ora_secured::controls::dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs`

ora_secured::controls::dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs

Review evidence of security hardening and auditing of the DBMS host platform with the ISSO.

If the DBMS host platform has not been hardened and received a security audit, this is a finding.

Review evidence of security hardening and auditing for all application(s) that store data in the database and all other separately configured components that access the database including web servers, application servers, report servers, etc.

If any have not been hardened and received a security audit, this is a finding.

Review evidence of security hardening and auditing for all application(s) installed on the local DBMS host where security hardening and auditing guidance exists.

If any have not been hardened and received a security audit, this is a finding.

Configure all related application components and the DBMS host platform in accordance with the applicable DoD STIG.

Regularly audit the security configuration of related applications and the host platform to confirm continued compliance with security requirements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61491

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_host_plfrm_and_other_dependent_apps_must_be_configed_in_compliance_with_applicable_stig_reqs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi"></a>`ora_secured::controls::dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi`

ora_secured::controls::dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi

If no warning will be provided, this is a finding.

Modify DBMS, OS, or third-party logging application settings to alert appropriate personnel when a specific percentage of log storage capacity is reached.

For ease of management, it is recommended that the audit tables be kept in a dedicated tablespace.

If Oracle Enterprise Manager is in use, the capability to issue such an alert is built in and configurable via the console so an email can be sent to a designated administrator.

If Enterprise Manager is unavailable, the following script can be used to monitor storage space; this can be combined with additional code to email the appropriate administrator so they can take action.

sqlplus connect as sysdba

set pagesize 300
set linesize 120
column sumb format 9,999,999,999,999
column extents format 999999
column bytes format 9,999,999,999,999
column largest format 9,999,999,999,999
column Tot_Size format 9,999,999,999,999
column Tot_Free format 9,999,999,999,999
column Pct_Free format 9,999,999,999,999
column Chunks_Free format 9,999,999,999,999
column Max_Free format 9,999,999,999,999
set echo off
spool TSINFO.txt
PROMPT  SPACE AVAILABLE IN TABLESPACES
select a.tablespace_name,sum(a.tots) Tot_Size,
sum(a.sumb) Tot_Free,
sum(a.sumb)*100/sum(a.tots) Pct_Free,
sum(a.largest) Max_Free,sum(a.chunks) Chunks_Free
from
(
select tablespace_name,0 tots,sum(bytes) sumb,
max(bytes) largest,count(*) chunks
from dba_free_space a
group by tablespace_name
union
select tablespace_name,sum(bytes) tots,0,0,0 from
dba_data_files
group by tablespace_name) a
group by a.tablespace_name;

 Sample Output

SPACE AVAILABLE IN TABLESPACES

 TABLESPACE_NAME     TOT_SIZE     TOT_FREE     PCT_FREE     MAX_FREE     CHUNKS_FREE
 ------------------------      ------------   ------------    ------------      ------------       ------------
DES2                                 41,943,040   30,935,040       74                  30,935,040        1
DES2_I                              31,457,280   23,396,352       74                 23,396,352        1
RBS                                    60,817,408   57,085,952       94                 52,426,752       16
SYSTEM                            94,371,840     5,386,240          6                   5,013,504        3
TEMP                                      563,200         561,152      100                      133,120        5
TOOLS                             120,586,240   89,407,488       74                78,190,592       12
USERS                                   1,048,576          26,624          3                        26,624        1

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61643

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_itself_or_logging_or_alerting_mechanism_app_utilizes_must_prov_a_warning_when_allocated_audi` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_processes_or_services_must_run_under_custom_dedicated_os_accounts"></a>`ora_secured::controls::dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts`

ora_secured::controls::dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts

Sometimes, external jobs must run as an operating system user.  The Scheduler enables assignment of OS credentials to external jobs.

When necessary, external jobs may be run as OS user, for example, root.  When this is the case, the need should be documented and approved.

If the DBMS processes are running under shared accounts, other than an account documented and approved, this is a finding.

The Oracle Installation documentation recommends that a user account named ORACLE is created and is identified as the software owner when database software is installed.

Log on to the system as the software owner, typically ORACLE, the $ORACLE_HOME environment variable will point to the Oracle software. Enter the following commands to see if ORACLE is the software owner:

$ cd $ORACLE_HOME
$ ls -l (shows the directories - oracle is the owner and oinstall is the group. The example list below has been truncated)
drwxr-xr-x  2 oracle oinstall  4096 Nov 21 08:42 addnode
drwxr-xr-x  8 oracle oinstall  4096 Nov 21 08:41 apex
drwxr-xr-x  9 oracle oinstall  4096 Nov 21 08:39 assistants
drwxr-xr-x  2 oracle oinstall  4096 Nov 21 09:17 bin
drwxr-xr-x  7 oracle oinstall  4096 Nov 21 08:42 ccr
drwxr-xr-x  3 oracle oinstall  4096 Nov 21 08:42 cdata
drwxr-xr-x  5 oracle oinstall  4096 Nov 21 09:04 cfgtoollogs
drwxr-xr-x  4 oracle oinstall  4096 Nov 21 08:42 clone
drwxr-xr-x  6 oracle oinstall  4096 Nov 21 08:39 crs
drwxr-xr-x  6 oracle oinstall  4096 Nov 21 08:42 css
drwxr-xr-x 11 oracle oinstall  4096 Nov 21 08:42 ctx
drwxr-xr-x  7 oracle oinstall  4096 Nov 21 08:39 cv
drwxr-xr-x  2 oracle oinstall  4096 Dec 16 13:11 dbs
drwxr-xr-x  2 oracle oinstall  4096 Nov 21 08:42 dc_ocm
drwxr-xr-x  5 oracle oinstall  4096 Nov 21 08:45 deinstall
drwxr-xr-x  3 oracle oinstall  4096 Nov 21 08:39 demo
drwxr-xr-x  3 oracle oinstall  4096 Nov 21 08:39 diagnostics

$ ps -ef | grep ora_ (shows all of the oracle processes owned by the oracle user. The example list below has been truncated)

oracle    1786     1  0 13:11 ?        00:00:00 ora_pmon_stig
oracle    1788     1  0 13:11 ?        00:00:00 ora_psp0_stig
oracle    1790     1  1 13:11 ?        00:00:08 ora_vktm_stig
oracle    1794     1  0 13:11 ?        00:00:00 ora_gen0_stig
oracle    1796     1  0 13:11 ?        00:00:00 ora_mman_stig
oracle    1800     1  0 13:11 ?        00:00:00 ora_diag_stig
oracle    1802     1  0 13:11 ?        00:00:00 ora_dbrm_stig
oracle    1804     1  0 13:11 ?        00:00:00 ora_vkrm_stig
oracle    1806     1  0 13:11 ?        00:00:00 ora_dia0_stig
oracle    1808     1  0 13:11 ?        00:00:00 ora_dbw0_stig
oracle    1810     1  0 13:11 ?        00:00:00 ora_lgwr_stig
oracle    1812     1  0 13:11 ?        00:00:00 ora_ckpt_stig
oracle    1814     1  0 13:11 ?        00:00:00 ora_lg00_stig
oracle    1816     1  0 13:11 ?        00:00:00 ora_smon_stig
oracle    1818     1  0 13:11 ?        00:00:00 ora_lg01_stig
oracle    1820     1  0 13:11 ?        00:00:00 ora_reco_stig
oracle    1822     1  0 13:11 ?        00:00:00 ora_lreg_stig
oracle    1824     1  0 13:11 ?        00:00:00 ora_pxmn_stig
oracle    2137  2125  0 13:25 pts/1    00:00:00 grep ora_

Create an OS account dedicated to Oracle DBMS processes, and allow only Oracle DBMS processes to run under the account.

Assign only the required external jobs to run under other than Oracle via the Scheduler.

Oracle Solaris environments can disable the "ora_dism" process which may be running as root.
Steps to disable DISM can be found here:

https://docs.oracle.com/cd/E58626_01/html/E58635/z4000a681398529.html#scrolltoc


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61579

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_processes_or_services_must_run_under_custom_dedicated_os_accounts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss"></a>`ora_secured::controls::dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss`

ora_secured::controls::dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss

Review OS DBA group membership.

If any developer accounts, as identified in the System Security Plan, have been assigned DBA privileges, this is a finding.

Note: Though shared production/non-production DBMS installations was allowed under previous database STIG guidance, doing so may place it in violation of OS, Application, Network or Enclave STIG guidance. Ensure that any shared production/non-production DBMS installation meets STIG guidance requirements at all levels or mitigate any conflicts in STIG guidance with the AO.

Create separate DBMS host OS groups for developer and production DBAs.

Do not assign production DBA OS group membership to accounts used for development.

Remove development accounts from production DBA OS group membership.

Recommend establishing a dedicated DBMS host for production DBMS installations. A dedicated host system in this case refers to an instance of the operating system at a minimum. The operating system may reside on a virtual host machine where supported by the DBMS vendor.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61487

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_prod_app_and_data_dirs_must_be_prot_frm_devs_on_shared_prod_dev_dbms_host_syss` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr"></a>`ora_secured::controls::dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr`

ora_secured::controls::dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr

Review source batch job code prior to compiling, encoding, or encrypting for database accounts used by applications or the batch jobs themselves to access the database.

Determine if the compiled, encoded, or encrypted application source code or batch jobs contain passwords used for authentication to the database.

If any of the identified compiled, encoded, or encrypted application source code or batch job code do contain passwords used for authentication to the database, this is a finding.

- - - - -
The check would depend on the information provided by the DBA.  In a default Oracle installation, all passwords are stored in an encrypted manner.  Ask the DBA if they have created an External Password Store for applications, batch jobs, and scripts to use.

Secure External Password Store

Can store password credentials for connecting to databases by using a client-side Oracle wallet. An Oracle wallet is a secure software container that stores authentication and signing credentials.

This wallet usage can simplify large-scale deployments that rely on password credentials for connecting to databases. When this feature is configured, application code, batch jobs, and scripts no longer need embedded user names and passwords. This reduces risk because the passwords are no longer exposed, and password management policies are more easily enforced without changing application code whenever user names or passwords change.

The external password store of the wallet is separate from the area where public key infrastructure (PKI) credentials are stored. Consequently, cannot use Oracle Wallet Manager to manage credentials in the external password store of the wallet. Instead, use the command-line utility mkstore to manage these credentials.

How Does the External Password Store Work?

Typically, users (and as applications, batch jobs, and scripts) connect to databases by using a standard CONNECT statement that specifies a database connection string. This string can include a user name and password, and an Oracle Net service name identifying the database on an Oracle Database network. If the password is omitted, the connection prompts the user for the password.

For example, the service name could be the URL that identifies that database, or a TNS alias entered in the tnsnames.ora file in the database. Another possibility is a host:port:sid string.

The following examples are standard CONNECT statements that could be used for a client that is not configured to use the external password store:

  CONNECT salesapp@sales_db.us.example.com
  Enter password: password

  CONNECT salesapp@orasales
  Enter password: password

  CONNECT salesapp@ourhost37:1527:DB17
  Enter password: password

In these examples, salesapp is the user name, with the unique connection string for the database shown as specified in three different ways. Could use its URL sales_db.us.example.com, or its TNS alias, orasales, from the tnsnames.ora file, or its host:port:sid string.

However, when clients are configured to use the secure external password store, applications can connect to a database with the following CONNECT statement syntax, without specifying database logon credentials:

  CONNECT /@db_connect_string

  CONNECT /@db_connect_string AS SYSDBA

  CONNECT /@db_connect_string AS SYSOPER

In this specification, db_connect_string is a valid connection string to access the intended database, such as the service name, URL, or alias as shown in the earlier examples. Each user account must have its own unique connection string; cannot create one connection string for multiple users.

In this case, the database credentials, user name and password, are securely stored in an Oracle wallet created for this purpose. The autologon feature of this wallet is turned on, so the system does not need a password to open the wallet. From the wallet, it gets the credentials to access the database for the user they represent.

Design DBMS application code and batch job code that is compiled, encoded or encrypted, to NOT contain passwords.

- - - - -
Oracle provides the capability to provide for a secure external password facility.  Use the Oracle mkstore to create a secure storage area for passwords for applications, batch jobs, and scripts to use or deploy a site-authorized facility to perform this function.

Check to see what has been stored in the Oracle External Password Store

To view all contents of a client wallet external password store, check specific credentials by viewing them. Listing the external password store contents provides information can use to decide whether to add or delete credentials from the store.  To list the contents of the external password store, enter the following command at the command line:

  $ mkstore -wrl wallet_location -listCredential

  For example:

  $ mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -listCredential

The wallet_location specifies the path to the directory where the wallet, whose external password store contents is to be viewed, is located. This command lists all of the credential database service names (aliases) and the corresponding user name (schema) for that database. Passwords are not listed.

Configuring Clients to Use the External Password Store

If the client is already configured to use external authentication, such as Windows native authentication or Transport Layer Security (TLS), then Oracle Database uses that authentication method. The same credentials used for this type of authentication are typically also used to log on to the database.

For clients not using such authentication methods or wanting to override them for database authentication, can set the SQLNET.WALLET_OVERRIDE parameter in sqlnet.ora to TRUE. The default value for SQLNET.WALLET_OVERRIDE is FALSE, allowing standard use of authentication credentials as before.

If wanting a client to use the secure external password store feature, then perform the following configuration task:

 1. Create a wallet on the client by using the following syntax at the command line:

 mkstore -wrl wallet_location -create

    For example:

    mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -create
    Enter password: password

The wallet_location is the path to the directory where the wallet is to be created and stored. This command creates an Oracle wallet with the autologon feature enabled at the location specified. The autologon feature enables the client to access the wallet contents without supplying a password.

The mkstore utility -create option uses password complexity verification.

 2. Create database connection credentials in the wallet by using the following syntax at the command line:

    mkstore -wrl wallet_location -createCredential db_connect_string username
    Enter password: password

    For example:

    mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -createCredential oracle system
    Enter password: password

    In this specification:

The wallet_location is the path to the directory where the wallet was created.  The db_connect_string used in the CONNECT /@db_connect_string statement must be identical to the db_connect_string specified in the -createCredential command.

The db_connect_string is the TNS alias used to specify the database in the tnsnames.ora file or any service name used to identify the database on an Oracle network. By default, tnsnames.ora is located in the $ORACLE_HOME/network/admin directory on UNIX systems and in ORACLE_HOME\network\admin on Windows.

The username is the database logon credential. When prompted, enter the password for this user.

 3. In the client sqlnet.ora file, enter the WALLET_LOCATION parameter and set it to the directory location of the wallet created in Step 1.  For example, if the wallet was created in
       $ORACLE_HOME/network/admin and Oracle home is set to /private/ora12, then need to enter the following into your client sqlnet.ora file:

    WALLET_LOCATION =
           (SOURCE =
             (METHOD = FILE)
             (METHOD_DATA =
           (DIRECTORY = /private/ora12/network/admin)
           )
          )

 4. In the client sqlnet.ora file, enter the SQLNET.WALLET_OVERRIDE parameter and set it to TRUE as follows:

       SQLNET.WALLET_OVERRIDE = TRUE

setting causes all CONNECT /@db_connect_string statements to use the information in the wallet at the specified location to authenticate to databases.

When external authentication is in use, an authenticated user with such a wallet can use the CONNECT /@db_connect_string syntax to access the previously specified databases without providing a user name and password. However, if a user fails that external authentication, then these connect statements also fail.

Below is a sample sqlnet.ora file with the WALLET_LOCATION and the SQLNET.WALLET_OVERRIDE parameters set as described in Steps 3 and 4.

Below is a sample SQLNET.ORA File with Wallet Parameters Set

        WALLET_LOCATION =
            (SOURCE =
              (METHOD = FILE)
              (METHOD_DATA =
            (DIRECTORY = /private/ora12/network/admin)
              )
             )

        SQLNET.WALLET_OVERRIDE = TRUE
        SSL_CLIENT_AUTHENTICATION = FALSE
        SSL_VERSION = 1.2

(Note:  this assumes that a single sqlnet.ora file, in the default location, is in use.  Please see the supplemental file, "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently-located sqlnet.ora files.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61737

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_pwds_must_not_be_strd_in_compiled_encoded_or_encrpted_batch_jobs_or_compiled_encoded_or_encr` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_software_installation_account_must_be_restricted_to_authorized_users"></a>`ora_secured::controls::dbms_software_installation_account_must_be_restricted_to_authorized_users`

ora_secured::controls::dbms_software_installation_account_must_be_restricted_to_authorized_users

If access or use of this account is not restricted to the minimum number of personnel required, or if unauthorized access to the account has been granted, this is a finding.

Develop, document, and implement procedures to restrict use of the DBMS software installation account.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_software_installation_account_must_be_restricted_to_authorized_users: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_software_installation_account_must_be_restricted_to_authorized_users::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_software_installation_account_must_be_restricted_to_authorized_users` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61873

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_software_installation_account_must_be_restricted_to_authorized_users` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_software_libraries_must_be_periodically_backed_up"></a>`ora_secured::controls::dbms_software_libraries_must_be_periodically_backed_up`

ora_secured::controls::dbms_software_libraries_must_be_periodically_backed_up

If any DBMS library files are not included in regular backups, this is a finding.

Configure backups to include all DBMS application and third-party database application software libraries.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_software_libraries_must_be_periodically_backed_up: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_software_libraries_must_be_periodically_backed_up::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_software_libraries_must_be_periodically_backed_up` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61877

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_software_libraries_must_be_periodically_backed_up` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs"></a>`ora_secured::controls::dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs`

ora_secured::controls::dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs

If the procedures are not followed, with evidence for audit, this is a finding.

Note:  This check does not include a review of the key management procedures for validity. Specific key management requirements may be covered under separate checks.

Implement the following for symmetric and other encryption keys:
  -  protection from unauthorized access in transit and in storage
  -  utilization of accepted algorithms
  -  generation in accordance with required standards for the key's use
  -  expiration date
  -  continuity - key backup and recovery
  -  key change
  -  archival key storage (as necessary)

Details for key management requirements are provided by FIPS 140-2 key management standards available from NIST.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61525

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_symmetric_keys_must_be_prot_in_acc_with_nsa_or_nist_apprvd_key_mgmt_technology_or_procs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user"></a>`ora_secured::controls::dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user`

ora_secured::controls::dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user

If users cannot assign or revoke rights to the objects and information they own to the granularity of a single user, this is a finding.

(This is default Oracle behavior.)

Modify DBMS settings to allow users to assign or revoke access rights to objects and information owned by the user. The ability to grant or revoke rights must include the ability to grant or revoke those rights down to the granularity of a single user.

(This is default Oracle behavior.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61619

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_utlzng_dac_must_enforce_a_policy_that_incl_or_excl_acc_to_granularity_of_a_single_user` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key"></a>`ora_secured::controls::dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key`

ora_secured::controls::dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key

Review DBMS configuration to determine whether appropriate access controls exist to protect the DBMS’s private key. If strong access controls do not exist to enforce authorized access to the private key, this is a finding.

- - - - -
The database supports authentication by using digital certificates over TLS in addition to the native encryption and data integrity capabilities of these protocols.

An Oracle Wallet is a container that is used to store authentication and signing credentials, including private keys, certificates, and trusted certificates needed by TLS. In an Oracle environment, every entity that communicates over TLS must have a wallet containing an X.509 version 3 certificate, private key, and list of trusted certificates, with the exception of Diffie-Hellman.

If the $ORACLE_HOME/network/admin/sqlnet.ora contains the following entries,  TLS is installed. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

WALLET_LOCATION = (SOURCE=
                          (METHOD = FILE)
                          (METHOD_DATA =
                           DIRECTORY=/wallet)

SSL_CIPHER_SUITES=(SSL_cipher_suiteExample)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION=FALSE/TRUE

Implement strong access and authentication controls to protect the database’s private key.

Configure the database to support Transport Layer Security (TLS) protocols and the Oracle Wallet to store authentication and signing credentials, including private keys.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61543

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_when_using_pki_based_auth_must_enforce_auth_acc_to_corresponding_private_key` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w"></a>`ora_secured::controls::dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w`

ora_secured::controls::dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w

If all accounts are authenticated by the OS or an enterprise-level authentication/access mechanism and not by Oracle, this is not a finding.

Review DBMS configuration to verify the certificates being accepted by the DBMS have a valid certification path with status information to an accepted trust anchor.

If certification paths are not being validated back to a trust anchor, this is a finding.

- - - - -
The database supports PKI-based authentication by using digital certificates over TLS in addition to the native encryption and data integrity capabilities of these protocols.

Oracle provides a complete PKI that is based on RSA Security, Inc., Public-Key Cryptography Standards, and which interoperates with Oracle servers and clients. The database uses a wallet that is a container that is used to store authentication and signing credentials, including private keys, certificates, and trusted certificates needed by TLS. In an Oracle environment, every entity that communicates over TLS must have a wallet containing an X.509 version 3 certificate, private key, and list of trusted certificates.

If the $ORACLE_HOME/network/admin/sqlnet.ora contains the following entries, TLS is installed.

WALLET_LOCATION = (SOURCE=
(METHOD = FILE)
(METHOD_DATA =
DIRECTORY=/wallet)

SSL_CIPHER_SUITES=(SSL_cipher_suiteExample)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION=TRUE

(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

Configure the DBMS to validate certificates by constructing a certification path with status information to an accepted trust anchor.

Configure the database to support Transport Layer Security (TLS) protocols and the Oracle Wallet to store authentication and signing credentials, including private keys.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61741

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbms_when_utlzng_pki_based_auth_must_validate_certificates_by_constructing_a_certification_path_w` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac"></a>`ora_secured::controls::dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac`

ora_secured::controls::dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac

Review system documentation and interview DBA to determine whether data is ever written directly from Oracle to portable media.

If this is the case, and cryptographic mechanisms are not used to protect data written to portable media, this is a finding.

If all data writing from Oracle to portable media is done via intermediate files, pipes, or other non-portable resources under the control of the operating system, then this is not a finding with respect to Oracle.  (Note, however, that if encryption is not in use, it may be a finding with respect to the OS or the application that is used to perform the data transfer.)

Reconfigure processes that write to portable digital media so that they use cryptographic mechanisms to restrict access and protect the information.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61753

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbs_employed_to_write_data_to_portable_dig_med_must_use_cryptographic_mechs_to_prot_and_rstrct_ac` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights"></a>`ora_secured::controls::dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights`

ora_secured::controls::dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights

Review organization policies regarding access propagation. If an access propagation policy limiting the propagation of rights does not exist, this is a finding.

Review DBMS configuration to verify access propagation policies are enforced by the DBMS as configured. If the DBMS does not enforce the access propagation policy, this is a finding.

Create and document an access propagation policy that limits the propagation of rights.

Configure the DBMS to enforce the access propagation policy.

When a user is granted access to an object, they have access to the object.  When a user is granted access to an object with the GRANT option, then they can provide permissions to others.  Without the GRANT option, a user cannot grant access to an object.  No configuration is required.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61617

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dbs_utlzng_dac_must_enforce_a_policy_that_lmts_propagation_of_acc_rights` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdefault_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed"></a>`ora_secured::controls::default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed`

ora_secured::controls::default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed

Review documentation and websites from Oracle and any other relevant vendors for vendor-provided demonstration or sample databases, database applications, schemas, objects, and files.

Review the Oracle DBMS to determine if any of the demonstration and sample databases, schemas, database applications, or files are installed in the database or are included with the DBMS application. If any are present in the database or are included with the DBMS application, this is a finding.

The Oracle Default Sample Schema User Accounts are:

BI
Owns the Business Intelligence schema included in the Oracle Sample Schemas.

HR
Manages the Human Resources schema. Schema stores information about the employees and the facilities of the company.

OE
Manages the Order Entry schema. Schema stores product inventories and sales of the company's products through various channels.

PM
Manages the Product Media schema. Schema contains descriptions and detailed information about each product sold by the company.

IX
Manages the Information Exchange schema. Schema manages shipping through business-to-business (B2B) applications database.

SH
Manages the Sales schema. Schema stores statistics to facilitate business decisions.

SCOTT
A demonstration account with a simple schema.

Connect to Oracle as SYSDBA; run the following SQL to check for presence of Oracle Default Sample Schema User Accounts:
select distinct(username) from dba_users where username in
('BI','HR','OE','PM','IX','SH','SCOTT');

If any of the users listed above is returned it means that there are demo programs installed, so this is a finding.


Remove any demonstration and sample databases, database applications, objects, and files from the DBMS.

To remove an account and all objects owned by that account (using BI as an example):
DROP USER BI CASCADE;

To remove objects without removing their owner, use the appropriate DROP statement (DROP TABLE, DROP VIEW, etc.).

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61677

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::default_demonstration_and_sample_databases_database_objects_and_applications_must_be_removed` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdelete_catalog_role_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::delete_catalog_role_is_revoked_from_unauthorized_grantee`

ora_secured::controls::delete_catalog_role_is_revoked_from_unauthorized_grantee

**
The Oracle database `DELETE_CATALOG_ROLE` provide
`DELETE` privileges for the records in the system's audit table (`AUD$`). Unauthorized grantees
should not have that role.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::delete_catalog_role_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::delete_catalog_role_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `delete_catalog_role_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.3.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::delete_catalog_role_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsdiag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc"></a>`ora_secured::controls::diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc`

ora_secured::controls::diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc

select value from v$parameter where name='diagnostic_dest';

On UNIX Systems:

ls -ld [pathname]/diag

Substitute [pathname] with the directory path listed from the above SQL command, and append "/diag" to it, as shown.

If permissions are granted for world access, this is a Finding.

If any groups that include members other than the Oracle process and software owner accounts, DBAs, auditors, or backup accounts are listed, this is a Finding.

On Windows Systems (From Windows Explorer):

Browse to the \diag directory under the directory specified.

Select and right-click on the directory, select Properties, select the Security tab.

If permissions are granted to everyone, this is a Finding.

If any account other than the Oracle process and software owner accounts, Administrators, DBAs, System group or developers authorized to write and debug applications on this database are listed, this is a Finding.

Alter host system permissions to the <DIAGNOSTIC_DEST>/diag directory to the Oracle process and software owner accounts, DBAs, SAs (if required) and developers or other users that may specifically require access for debugging or other purposes.

Authorize and document user access requirements to the directory outside of the Oracle, DBA and SA account list.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61531

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::diag_subdir_under_dir_assigned_to_diag_dest_parameter_must_be_prot_frm_unauth_acc` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic"></a>`ora_secured::controls::dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic`

ora_secured::controls::dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic

From SQL*Plus:

select value from v$parameter where name = 'audit_trail';
select value from v$parameter where name = 'audit_file_dest';

If audit_trail is NOT set to OS, XML or XML EXTENDED, this is not applicable (NA).

If audit_trail is set to OS, but the audit records are routed directly to a separate log server without writing to the local file system, this is not a finding.

On UNIX Systems:

ls -ld [pathname]

Replace [pathname] with the directory path listed from the above SQL command for audit_file_dest.

If permissions are granted for world access, this is a finding.

If any groups that include members other than the Oracle process and software owner accounts, DBAs, auditors, or backup accounts are listed, this is a finding.

Compare path to $ORACLE_HOME. If audit_file_dest is a subdirectory of $ORACLE_HOME, this is a finding.

On Windows Systems (From Windows Explorer):

Browse to the directory specified. Select and right-click on the directory, select Properties, select the Security tab. On Windows hosts, records are also written to the Windows application event log. The location of the application event log is listed under Properties for the log under the Windows console. The default location is C:\WINDOWS\system32\config\EventLogs\AppEvent.Evt.

If permissions are granted to everyone, this is a finding. If any accounts other than the Administrators, DBAs, System group, auditors or backup operators are listed, this is a finding.

Compare path to %ORACLE_HOME%. If audit_file_dest is a subdirectory of %ORACLE_HOME%, this is a finding.

If Unified Auditing is used:
AUDIT_FILE_DEST parameter is not used in Unified Auditing

For file-based auditing, establish an audit file directory separate from the Oracle Home.

Alter host system permissions to the AUDIT_FILE_DEST directory to the Oracle process and software owner accounts, DBAs, backup accounts, SAs (if required), and auditors.

Authorize and document user access requirements to the directory outside of the Oracle, DBA, and SA account list in the System Security Plan.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61965

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dir_assigned_to_audit_file_dest_parameter_must_be_prot_frm_unauth_acc_and_must_be_strd_in_a_dedic` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdirectory_audit_option_is_enabled"></a>`ora_secured::controls::directory_audit_option_is_enabled`

ora_secured::controls::directory_audit_option_is_enabled

specifies an alias for a directory on the server file system, where the external
binary file LOBs (BFILEs)/ table data are located. Enabling this audit option
causes all user activities involving the creation or dropping of a directory
alias to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::directory_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::directory_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `directory_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.9
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.9
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.9

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::directory_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc"></a>`ora_secured::controls::dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc`

ora_secured::controls::dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc

select log_mode from v$database;
  select value from v$parameter where name = 'log_archive_dest';
  select value from v$parameter where name = 'log_archive_duplex_dest';
  select name, value from v$parameter where name LIKE 'log_archive_dest_%';
  select value from v$parameter where name = 'db_recovery_file_dest';

If the value returned for LOG_MODE is NOARCHIVELOG, this check is not a finding.

If a value is not returned for LOG_ARCHIVE_DEST and no values are returned for any of the LOG_ARCHIVE_DEST_[1-10] parameters, and no value is returned for DB_RECOVERY_FILE_DEST, this is a finding.

Note: LOG_ARCHIVE_DEST and LOG_ARCHIVE_DUPLEX_DEST are incompatible with the LOG_ARCHIVE_DEST_n parameters, and must be defined as the null string (' ') when any LOG_ARCHIVE_DEST_n parameter has a value other than a null string.

On UNIX Systems:

  ls -ld [pathname]

Substitute [pathname] with the directory paths listed from the above SQL statements for log_archive_dest and log_archive_duplex_dest.

If permissions are granted for world access, this is a finding.

On Windows Systems (From Windows Explorer):

Browse to the directory specified.

Select and right-click on the directory, select Properties, select the Security tab.

If permissions are granted to everyone, this is a finding.

If any account other than the Oracle process and software owner accounts, Administrators, DBAs, System group or developers authorized to write and debug applications on this database are listed, this is a finding.

Specify a valid and protected directory for archive log files.

Restrict access to the Oracle process and software owner accounts, DBAs, and backup operator accounts.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61463

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::dirs_assigned_to_log_archive_dest_parameters_must_be_prot_frm_unauth_acc` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdisable_user_accounts_after_35_days_of_inactivity"></a>`ora_secured::controls::disable_user_accounts_after_35_days_of_inactivity`

ora_secured::controls::disable_user_accounts_after_35_days_of_inactivity

For accounts managed by Oracle, check DBMS settings to determine if accounts are automatically disabled by the system after 35 days of inactivity.

In Oracle 12c, Oracle introduced a new security parameter in the profile called “INACTIVE_ACCOUNT_TIME“. The INACTIVE_ACCOUNT_TIME parameter specifies the number of days permitted the account will be in “OPEN” state since the last login, after that will be “LOCKED” if no successful logins happens after the specified duration.

Check to see what profile each user is associated with, if any, with this query:

select username, profile from dba_users order by 1,2;

Then check the profile to see what the inactive_account_time is set to in the table dba_profiles; the inactive_account_time is a value stored in the LIMIT column, and identified by the value inactive_account_time in the RESOURCE_NAME column.

SQL>select profile, resource_name, resource_type, limit from dba_profiles where upper(resource_name) = 'INACTIVE_ACCOUNT_TIME';

If the INACTIVE_ACCOUNT_TIME parameter is set to UNLIMITED (default) or it is set to more than 35 days, this is a finding.

If INACTIVE_ACCOUNT_TIME is not a parameter associated with the profile then check for a script or an automated job that is run daily that checks the audit trail or other means to make sure every user account has logged in within the last 35 days.  If one is not present, this is a finding.


For accounts managed by Oracle, issue the statement:

ALTER PROFILE profile_name  LIMIT inactive_account_time 35;

Or

Change the profile for the DBMS account to ORA_STIG_PROFILE (which has the inactive_account_time parameter set to 35):

ALTER USER user_name PROFILE ora_stig_profile;

An alternate method is to create a script or store procedure that runs once a day.

Write a SQL statement to determine accounts that have not logged in within 35 days:

Example:
select username from dba_audit_trail where  action_name = 'LOGON'
group  by username having max(timestamp) < sysdate - 36

And then disable all accounts that have not logged in within 35 days.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::disable_user_accounts_after_35_days_of_inactivity: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::disable_user_accounts_after_35_days_of_inactivity::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `disable_user_accounts_after_35_days_of_inactivity` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61717

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::disable_user_accounts_after_35_days_of_inactivity` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_any_procedure_audit_option_is_enabled"></a>`ora_secured::controls::drop_any_procedure_audit_option_is_enabled`

ora_secured::controls::drop_any_procedure_audit_option_is_enabled

Enabling the option causes auditing of all such activities.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_any_procedure_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_any_procedure_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_any_procedure_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.13
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.13
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.13

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_any_procedure_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_database_link_action_audit_is_enabled"></a>`ora_secured::controls::drop_database_link_action_audit_is_enabled`

ora_secured::controls::drop_database_link_action_audit_is_enabled

other databases. These connections are always available without further
authentication once the link is established. Enabling this unified action audit
causes logging of all `DROP DATABASE` and `DROP PUBLIC DATABASE`, whether successful
or unsuccessful, statements issued by the users regardless of the privileges
held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_database_link_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_database_link_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_database_link_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.14
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.14
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.14

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_database_link_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_procedure_function_package_package_body_action_audit_is_enabled"></a>`ora_secured::controls::drop_procedure_function_package_package_body_action_audit_is_enabled`

ora_secured::controls::drop_procedure_function_package_package_body_action_audit_is_enabled

stored within the database, are created to carry out business functions and
access database as defined by PL/SQL code and SQL statements contained within
these objects. Enabling this unified action audit causes logging of all `DROP PROCEDURE`,
`DROP FUNCTION`, `DROP PACKAGE` or `DROP PACKAGE BODY` statements,
successful or unsuccessful, issued by the users regardless of the privileges
held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_procedure_function_package_package_body_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_procedure_function_package_package_body_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_procedure_function_package_package_body_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.22
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.22
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.22

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_procedure_function_package_package_body_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_profile_action_audit_is_enabled"></a>`ora_secured::controls::drop_profile_action_audit_is_enabled`

ora_secured::controls::drop_profile_action_audit_is_enabled

password policies such as password complexity rules and reuse restrictions.
Enabling this unified action audit enables logging of all `DROP PROFILE`
statements, whether successful or unsuccessful, issued by the users regardless
of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_profile_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_profile_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_profile_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.11
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.11
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.11

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_profile_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_role_action_audit_is_enabled"></a>`ora_secured::controls::drop_role_action_audit_is_enabled`

ora_secured::controls::drop_role_action_audit_is_enabled

to users or other roles. Roles may include system privileges, object privileges
or other roles. Enabling this unified audit action enables logging of all `DROP
ROLE` statements, successful or unsuccessful, issued by the users regardless of
the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_role_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_role_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_role_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_role_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_synonym_action_audit_is_enabled"></a>`ora_secured::controls::drop_synonym_action_audit_is_enabled`

ora_secured::controls::drop_synonym_action_audit_is_enabled

object such as table, view, procedure, or java object, or even another synonym.
Enabling his unified action audit causes logging of all `DROP SYNONYM` and `DROP
PUBLIC SYNONYM` statements, whether successful or unsuccessful, issued by the
users regardless of the privileges held by the users to issue such statements.
## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_synonym_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_synonym_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_synonym_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.17
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.17
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.17

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_synonym_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_trigger_action_audit_is_enabled"></a>`ora_secured::controls::drop_trigger_action_audit_is_enabled`

ora_secured::controls::drop_trigger_action_audit_is_enabled

the underlying objects occur. Trigger bodies contain the code, quite often to
perform data validation, ensure data integrity/security or enforce critical
constraints on allowable actions on data. Enabling this unified audit causes
logging of all `DROP TRIGGER` statements, whether successful or unsuccessful,
issued by the users regardless of the privileges held by the users to issue such
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_trigger_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_trigger_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_trigger_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.26
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.26
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.26

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_trigger_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsdrop_user_audit_option_is_enabled"></a>`ora_secured::controls::drop_user_audit_option_is_enabled`

ora_secured::controls::drop_user_audit_option_is_enabled

Enabling this unified action audit enables logging of all `DROP USER` statements, whether successful or unsuccessful, issued by the users regardless of the privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::drop_user_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::drop_user_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `drop_user_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::drop_user_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsemploy_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications"></a>`ora_secured::controls::employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications`

ora_secured::controls::employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications

g., CTOs) and IAW with CJCSM 6510.01A) are detected on the database.

If security personnel are not automatically alerted, this is a finding.

Configure database to automatically alert security personnel of inappropriate or unusual activities with security implications.

Oracle provides this capability with the Audit Vault.  Install and configure Oracle Audit Vault if it is available.

If Audit Vault is not available, implement custom code or deploy a third-party product to satisfy this requirement.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61779

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::employ_autom_mechs_to_alert_sec_personnel_of_inappr_or_unusual_act_with_sec_implications` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsemploy_automated_mechanisms_for_supporting_oracle_user_account_management"></a>`ora_secured::controls::employ_automated_mechanisms_for_supporting_oracle_user_account_management`

ora_secured::controls::employ_automated_mechanisms_for_supporting_oracle_user_account_management

If an Oracle feature/product, an OS feature, a third-party product, or custom code is used to automate account management, this is not a finding.

Determine what the site-defined definition of an acceptably small level of manual account-management activity is.  If the site has established the definition, documented it, and obtained ISSO-ISSM-AO approval, use that definition.  If not, use the following rule of thumb as the definition:  no more than 12 such accounts exist or are expected to exist; no more than 100 manual account-management actions (account creation, modification, locking, unlocking, removal and the like) are expected to occur in the course of a year.

If the amount of account management activity is small, as defined in the preceding paragraph, this is not a finding.

Otherwise, this is a finding.

Utilize an Oracle feature/product, an OS feature, a third-party product, or custom code to automate some or all account maintenance functionality.

- - - - -

Roles and Profiles are two Oracle features that should be employed in account management. (Indeed, other requirements mandate the use of Roles.) Following are some notes from Oracle on the use of Profiles.

A profile is a named set of resource limits and password parameters that restrict database usage and instance resources for a user. You can assign a profile to each user, and a default profile to all others. Each user can have only one profile, and creating a new one supersedes any earlier one.

Profile resource limits are enforced only when you enable resource limitation for the associated database. Enabling such limitation can occur either before starting up the database (the RESOURCE_LIMIT initialization parameter) or while it is open (using an ALTER SYSTEM statement).

While password parameters reside in profiles, they are unaffected by RESOURCE_LIMIT or ALTER SYSTEM and password management is always enabled.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::employ_automated_mechanisms_for_supporting_oracle_user_account_management: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::employ_automated_mechanisms_for_supporting_oracle_user_account_management::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `employ_automated_mechanisms_for_supporting_oracle_user_account_management` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61557

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::employ_automated_mechanisms_for_supporting_oracle_user_account_management` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsemploy_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm"></a>`ora_secured::controls::employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm`

ora_secured::controls::employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm

Determine whether physical measures are being used instead of cryptographic mechanisms. If neither cryptographic nor physical measures are being utilized, this is a finding.

To check that network encryption is enabled and using site-specified encryption procedures, look in SQLNET.ORA located at $ORACLE_HOME/network/admin/sqlnet.ora. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.) If encryption is set, entries like the following will be present:

SQLNET.CRYPTO_CHECKSUM_TYPES_CLIENT= (SHA384)
SQLNET.CRYPTO_CHECKSUM_TYPES_SERVER= (SHA384)
SQLNET.ENCRYPTION_TYPES_CLIENT= (AES256)

SQLNET.ENCRYPTION_TYPES_SERVER= (AES256)
SQLNET.CRYPTO_CHECKSUM_CLIENT = requested
SQLNET.CRYPTO_CHECKSUM_SERVER = required

(The values assigned to the parameters may be different, the combination of parameters may be different, and not all of the example parameters will necessarily exist in the file.)

Configure DBMS and/or operating system to use cryptographic mechanisms to prevent unauthorized disclosure of information during transmission where physical measures are not being utilized.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61545

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::employ_cryptographic_mechs_preventing_unauth_disclosure_of_info_during_transmission_unless_transm` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsemploy_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms"></a>`ora_secured::controls::employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms`

ora_secured::controls::employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms

If not, this is a finding.

Configure DBMS to utilize cryptographic mechanisms to protect the integrity and confidentiality of nonlocal maintenance and diagnostic communications.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61749

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::employ_cryptographic_mechs_to_prot_int_and_conf_of_nonlocal_maint_and_diag_comms` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsemploy_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess"></a>`ora_secured::controls::employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess`

ora_secured::controls::employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess

If strong identification and authentication techniques are not required, this is a finding.

Configure DBMS settings to use strong identification and authentication techniques for nonlocal maintenance and diagnostic sessions.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61751

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::employ_strong_ident_and_auth_techs_when_esting_nonlocal_maint_and_diag_sess` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsenforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy"></a>`ora_secured::controls::enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy`

ora_secured::controls::enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy

If appropriate access controls are not implemented to restrict access to authorized users and to restrict the access of those users to objects and data they are authorized to see, this is a finding.

The easiest way to isolate access is by using the Oracle Database Vault.  To check to see if the Oracle Database Vault is installed, issue the following query:

SQL> SELECT * FROM V$OPTION WHERE PARAMETER = 'Oracle Database Vault';

If Oracle Database Vault is installed, review its settings for appropriateness and completeness of the access it permits and denies to each type of user.  If appropriate and complete, this is not a finding.

If Oracle Database Vault is not installed, review the roles and profiles in the database and the assignment of users to these for appropriateness and completeness of the access permitted and denied each type of user. If appropriate and complete, this is not a finding.

If the access permitted and denied each type of user is inappropriate or incomplete, this is a finding.

Following are code examples for reviewing roles, profiles, etc.

Find out what role the users have:
select * from dba_role_privs where granted_role = '<role>'

List all roles given to a user:
select * from dba_role_privs where grantee = '<username>';

List all roles for all users:
  column grantee format a32
  column granted_role format a32
  break on grantee
  select grantee, granted_role from dba_role_privs;

Use the following query to list all privileges given to a user:
        select
          lpad(' ', 2*level) || granted_role "User roles and privileges"
        from
          (
          /* THE USERS */
            select
              null     grantee,
              username granted_role
            from
              dba_users
            where
              username like upper('<enter_username>')
          /* THE ROLES TO ROLES RELATIONS */
          union
            select
              grantee,
              granted_role
            from
              dba_role_privs
          /* THE ROLES TO PRIVILEGE RELATIONS */
          union
            select
              grantee,
              privilege
            from
              dba_sys_privs
          )
        start with grantee is null
        connect by grantee = prior granted_role;

List which tables a certain role gives SELECT access to using the query:
select * from role_tab_privs where role='<role>' and privilege = 'SELECT';

List all tables a user can SELECT from using the query:
select * from dba_tab_privs where GRANTEE ='<username>' and privilege = 'SELECT';

List all users who can SELECT on a particular table (either through being given a relevant role or through a direct grant - e.g., grant select on a table to Joe). The result of this query should also show through which role the user has this access or whether it was a direct grant.

        select
          Grantee,'Granted Through Role' as Grant_Type,
          role,
          table_name
        from role_tab_privs rtp, dba_role_privs drp
        where rtp.role = drp.granted_role
        and table_name = '<TABLENAME>'
        union
        select
           Grantee,
           'Direct Grant' as Grant_type,
           null as role,
           table_name
        from dba_tab_privs
        where table_name = '<TABLENAME>';

If Oracle Database Vault is in use, use it to configure the correct access privileges for each type of user.

If Oracle Database Vault is not in use, configure the correct access privileges for each type of user using Roles and Profiles.

For more information on the configuration of Database Vault, refer to the following documents:
Database Vault Administrator's  Guide:
https://docs.oracle.com/database/121/DVADM/toc.htm

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61575

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::enforce_apprvd_auths_for_log_acc_to_sys_in_acc_with_applicable_policy` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsenforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs"></a>`ora_secured::controls::enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs`

ora_secured::controls::enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs

If users cannot assign or revoke rights to the objects and information that they own to groups, roles, or individual users, this is a finding.

Modify DBMS settings to allow users to assign or revoke access rights to objects and information owned by the user. The ability to grant or revoke rights must include the ability to grant or revoke those rights down to the granularity of a single user.

(Note:  In most cases, no fix will be necessary.  This is default functionality for Oracle.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61577

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::enforce_dac_policy_allowing_users_to_specify_and_control_sharing_by_named_indivs_groups_of_indivs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsenforce_password_maximum_lifetime_restrictions"></a>`ora_secured::controls::enforce_password_maximum_lifetime_restrictions`

ora_secured::controls::enforce_password_maximum_lifetime_restrictions

Review DBMS settings to determine if passwords must be changed periodically. If not, this is a finding:

SELECT p1.profile,
CASE p1.limit WHEN 'UNLIMITED' THEN 'UNLIMITED' ELSE
CASE p2.limit WHEN 'UNLIMITED' THEN 'UNLIMITED' ELSE
CASE p3.limit WHEN 'UNLIMITED' THEN 'UNLIMITED' ELSE
CASE p4.limit WHEN 'UNLIMITED' THEN 'UNLIMITED' ELSE
TO_CHAR(DECODE(p1.limit, 'DEFAULT', p3.limit, p1.limit) + DECODE(p2.limit, 'DEFAULT', p4.limit, p2.limit))
END
END
END
END effective_life_time
FROM dba_profiles p1, dba_profiles p2, dba_profiles p3, dba_profiles p4
WHERE p1.profile=p2.profile
AND p3.profile='DEFAULT'
AND p4.profile='DEFAULT'
AND p1.resource_name='PASSWORD_LIFE_TIME'
AND p2.resource_name='PASSWORD_GRACE_TIME'
AND p3.resource_name='PASSWORD_LIFE_TIME' -- from DEFAULT profile
AND p4.resource_name='PASSWORD_GRACE_TIME' -- from DEFAULT profile
order by 1;

If the “effective_life_time” is greater than “60” for any profile applied to user accounts, and the need for this has not been documented and approved by the ISSO, this is a finding.

If the value is greater than 35 for any profile (not documented and approved by the ISSO), applied to user accounts, and the DBMS is configured to use Password Lifetime to disable inactive accounts, this is a finding.


For user accounts managed by Oracle: Modify DBMS settings to force users to periodically change their passwords. For example, using PPPPPP to stand for a profile name:
ALTER PROFILE PPPPPP LIMIT PASSWORD_LIFE_TIME 35 PASSWORD_GRACE_TIME 0;
Do this for each profile applied to user accounts.

(Note: Although the DoD requirement is for a password change every 60 days, using a value of “35” facilitates the use of “PASSWORD_LIFE_TIME” as a means of locking accounts inactive for 35 days. But if “35” is not a practical or acceptable limit for password lifetime, set it to the standard DoD value of “60”.)

Where a password lifetime longer than “60” is needed, document the reasons and obtain ISSO approval.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::enforce_password_maximum_lifetime_restrictions: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::enforce_password_maximum_lifetime_restrictions::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `enforce_password_maximum_lifetime_restrictions` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61739

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::enforce_password_maximum_lifetime_restrictions` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsenforce_requirements_for_remote_connections_to_the_information_system"></a>`ora_secured::controls::enforce_requirements_for_remote_connections_to_the_information_system`

ora_secured::controls::enforce_requirements_for_remote_connections_to_the_information_system

Review the DBMS, OS, and/or enterprise account management settings to verify access controls and auditing settings exist and they enforce the requirements for remote access defined by the organization.

If access controls and auditing do not exist or do not fully enforce the requirements defined in the organization's policies and procedures, this is a finding.


Configure DBMS settings to ensure access control and auditing requirements for remote connections are enforced by the DBMS.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::enforce_requirements_for_remote_connections_to_the_information_system: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::enforce_requirements_for_remote_connections_to_the_information_system::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `enforce_requirements_for_remote_connections_to_the_information_system` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61675

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::enforce_requirements_for_remote_connections_to_the_information_system` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited"></a>`ora_secured::controls::ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited`

ora_secured::controls::ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

To confirm that Oracle audit is capturing information on the required events, review the contents of the SYS.AUD$ table or the audit file, whichever is in use. If auditable events are not listed, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';
If Oracle returns the value 'TRUE', this is not a finding.

To confirm that Oracle audit is capturing information on the required events, review the contents of the SYS.UNIFIED_AUDIT_TRAIL view. If auditable events are not listed, this is a finding.

Configure the DBMS's auditing to audit organization-defined auditable events. If preferred, use a third-party tool. The tool must provide the minimum capability to audit the required events.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing.  For details, refer to Oracle documentation at the locations below.

If Unified Auditing is used:
Use this process to ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing.  For details, refer to Oracle documentation at the locations above.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61553

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::ensure_rmt_sess_that_acc_an_org_def_lst_of_sec_funcs_and_sec_rel_info_are_audited` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator"></a>`ora_secured::controls::ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator`

ora_secured::controls::ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator

If group accounts do not exist, this is NA.

Review DBMS settings to determine if individual authentication is required before shared authentication.

If shared authentication does not require prior individual authentication, this is a finding.

(Oracle Access Manager may be helpful in meeting this requirement. Notes on Oracle Access Manager follow.)

Oracle Access Manager is used when there is a need for multifactor authentication of applications front-ending Oracle Datasets that may use group accounts. Oracle Access Manager supports using PKI-based smart cards (CAC, PIV) for multifactor authentication. When a user authenticates to a smart card application, the smart card engine produces a certificate-based authentication token. Can configure a certificate-based authentication scheme in Oracle Access Manager that uses information from the smart card certificate. Certificate-based authentication works with any smart card or similar device that presents an X.509 certificate.

Check:
First, check that the Authentication Module is set up properly:
1) Go to Oracle Access Manager Home Screen and click the Policy Configuration tab.  Select the X509Scheme.
2) Make sure the Authentication Module option is set to X509Plugin.

Second, check that the Authentication policy is using the x509Scheme:
1) Go to Oracle Access Manager Home Screen and click the Policy Configuration tab.
2) Select Application Domains.  Select Search.
3) Select the application domain protecting the Oracle Database.
4) Select the Authentication Polices tab and Click Protected Resource Policy.
5) Make sure the Authentication Scheme is set to x509Scheme.

Configure DBMS, OS and/or enterprise-level authentication/access mechanism to require individual authentication prior to authentication for shared account access.

If appropriate, install Oracle Access Manager to provide multifactor authentication of applications front-ending Oracle Databases and using shared accounts.  After installation, use x509 Authentication modules provided out of the box.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61711

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::ensure_users_are_auth_with_an_indiv_authenticator_prior_to_using_a_shared_authenticator` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsexecute_any_procedure_is_revoked_from_dbsnmp"></a>`ora_secured::controls::execute_any_procedure_is_revoked_from_dbsnmp`

ora_secured::controls::execute_any_procedure_is_revoked_from_dbsnmp

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_any_procedure_is_revoked_from_dbsnmp: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_any_procedure_is_revoked_from_dbsnmp::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_any_procedure_is_revoked_from_dbsnmp` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.4
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_any_procedure_is_revoked_from_dbsnmp` defined type:

* [`title`](#title)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_any_procedure_is_revoked_from_outln"></a>`ora_secured::controls::execute_any_procedure_is_revoked_from_outln`

ora_secured::controls::execute_any_procedure_is_revoked_from_outln

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_any_procedure_is_revoked_from_outln: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_any_procedure_is_revoked_from_outln::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_any_procedure_is_revoked_from_outln` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_any_procedure_is_revoked_from_outln` defined type:

* [`title`](#title)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_catalog_role_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::execute_catalog_role_is_revoked_from_unauthorized_grantee`

ora_secured::controls::execute_catalog_role_is_revoked_from_unauthorized_grantee

number of packages and procedures in the data dictionary in the `SYS` schema.
Unauthorized grantees should not have that role.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_catalog_role_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_catalog_role_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_catalog_role_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.3.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.3.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.3.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_catalog_role_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_roles`](#exclude_roles)
* [`exclude_users`](#exclude_users)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

### <a name="ora_securedcontrolsexecute_is_not_granted_to_public_on_non_default_packages"></a>`ora_secured::controls::execute_is_not_granted_to_public_on_non_default_packages`

ora_secured::controls::execute_is_not_granted_to_public_on_non_default_packages

("Non-default" packages). These packages should not be granted to `PUBLIC`.
- The Oracle database `DBMS_BACKUP_RESTORE` package is used for applying PL/SQL
  commands to the native RMAN sequences.
- The Oracle database `DBMS_FILE_TRANSFER` package allows a user to transfer
  files from one database server to another.
- The Oracle database `DBMS_SYS_SQL`,`DBMS_REPCAT_SQL_UTL`, `INITJVMAUX`,
  `DBMS_AQADM_SYS`, `DBMS_STREAMS_RPC`, `DBMS_PRVTAQIM`, `LTADM` and `DBMS_IJOB`
  packages are shipped as undocumented.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_not_granted_to_public_on_non_default_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_not_granted_to_public_on_non_default_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_not_granted_to_public_on_non_default_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.2.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.2.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.2.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_not_granted_to_public_on_non_default_packages` defined type:

* [`title`](#title)
* [`list`](#list)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

### <a name="ora_securedcontrolsexecute_is_revoked_from_public_on_encryption_packages"></a>`ora_secured::controls::execute_is_revoked_from_public_on_encryption_packages`

ora_secured::controls::execute_is_revoked_from_public_on_encryption_packages

`DBMS_CRYPTO`, `DBMS_OBFUSCATION_TOOLKIT` and `DBMS_RANDOM` – provide PL/SQL
APIs to perform functions related to cryptography. The `PUBLIC` should not be
able to execute these packages.
- The `DBMS_CRYPTO` settings provide a toolset that determines the strength of
  the encryption algorithm used to encrypt application data and is part of the
  `SYS` schema. The `DES` (56-bit key), 3`DES` (168-bit key), `3DES-2KEY`
  (112-bit key), `AES` (128/192/256-bit keys), and `RC4` are available.
- The `DBMS_OBFUSCATION_TOOLKIT` provides one of the tools that determine the
  strength of the encryption algorithm used to encrypt application data and is
  part of the `SYS` schema. The DES (56-bit key) and 3DES (168-bit key) are the
  only two types available.
- The Oracle database `DBMS_RANDOM` package is used for generating random
  numbers but should not be used for cryptographic purposes.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_revoked_from_public_on_encryption_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_revoked_from_public_on_encryption_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_revoked_from_public_on_encryption_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.1.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.1.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.1.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_revoked_from_public_on_encryption_packages` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_is_revoked_from_public_on_file_system_packages"></a>`ora_secured::controls::execute_is_revoked_from_public_on_file_system_packages`

ora_secured::controls::execute_is_revoked_from_public_on_file_system_packages

`DBMS_ADVISOR`, `DBMS_LOB` and `UTL_FILE` – provide PL/SQL APIs to access files
on the servers. The user `PUBLIC` should not be able to execute these packages.
- The Oracle database `DBMS_ADVISOR` package can be used to write files located
  on the server where the Oracle instance is installed. The user `PUBLIC` should
  not be able to execute `DBMS_ADVISOR`.
- The Oracle database `DBMS_LOB` package provides subprograms that can
  manipulate and read/write on BLOB's, CLOB's, NCLOB's, BFILE's, and temporary
  LOB's. The user PUBLIC should not be able to execute `DBMS_LOB`.
- The Oracle database `UTL_FILE` package can be used to read/write files located
  on the server where the Oracle instance is installed. The user `PUBLIC` should
  not be able to execute `UTL_FILE`. ## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_revoked_from_public_on_file_system_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_revoked_from_public_on_file_system_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_revoked_from_public_on_file_system_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.1.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.1.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.1.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_revoked_from_public_on_file_system_packages` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_is_revoked_from_public_on_java_packages"></a>`ora_secured::controls::execute_is_revoked_from_public_on_java_packages`

ora_secured::controls::execute_is_revoked_from_public_on_java_packages

`DBMS_JAVA_TEST` – provide APIs to run Java classes or grant Java packages. The
user `PUBLIC` should not be able to execute these packages.
- The Oracle database `DBMS_JAVA`package can run Java classes (e.g. OS commands)
  or grant Java privileges. The user `PUBLIC` should not be able to execute
  DBMS_JAVA.
- The Oracle database `DBMS_JAVA_TEST` package can run Java classes (e.g. OS
  commands) or grant Java privileges. The user `PUBLIC` should not be able to
  execute `DBMS_JAVA_TEST`. ## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_revoked_from_public_on_java_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_revoked_from_public_on_java_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_revoked_from_public_on_java_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.1.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.1.4
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.1.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_revoked_from_public_on_java_packages` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_is_revoked_from_public_on_job_scheduler_packages"></a>`ora_secured::controls::execute_is_revoked_from_public_on_job_scheduler_packages`

ora_secured::controls::execute_is_revoked_from_public_on_job_scheduler_packages

`DBMS_SCHEDULER` and `DBMS_JOB` – provide APIs to schedule jobs. The user
`PUBLIC` should not be able to execute these packages.
- The Oracle database `DBMS_SCHEDULER` package schedules and manages the
  database and operating system jobs. The user `PUBLIC` should not be able to
  execute `DBMS_SCHEDULER`.
- The Oracle database `DBMS_JOB` package schedules and manages the jobs sent to
  the job queue and has been superseded by the `DBMS_SCHEDULER` package, even
  though `DBMS_JOB` has been retained for backwards compatibility. The user
  `PUBLIC` should not be able to execute `DBMS_JOB`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_revoked_from_public_on_job_scheduler_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_revoked_from_public_on_job_scheduler_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_revoked_from_public_on_job_scheduler_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.1.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.1.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.1.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_revoked_from_public_on_job_scheduler_packages` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_is_revoked_from_public_on_network_packages"></a>`ora_secured::controls::execute_is_revoked_from_public_on_network_packages`

ora_secured::controls::execute_is_revoked_from_public_on_network_packages

`UTL_INADDR`, `UTL_TCP`, `UTL_MAIL`, `UTL_SMTP`, `UTL_DBWS`, `UTL_ORAMTS`,
`UTL_HTTP` and type `HTTPURITYPE` – provide PL/SQL APIs to interact or access
remote servers. The `PUBLIC` should not be able to execute these packages.

- The Oracle database `DBMS_LDAP` package contains functions and procedures that
  enable programmers to access data from LDAP servers.
- The Oracle database `UTL_INADDR` package provides an API to retrieve host
  names and IP addresses of local and remote hosts.
- The Oracle database `UTL_TCP` package can be used to read/write file to TCP
  sockets on the server where the Oracle instance is installed.
- The Oracle database `UTL_MAIL` package can be used to send email from the
  server where the Oracle instance is installed.
- The Oracle database `UTL_SMTP` package can be used to send email from the
  server where the Oracle instance is installed. The user `PUBLIC` should not be
  able to execute `UTL_SMTP`.
- The Oracle database `UTL_DBWS` package can be used to read/write file to
  web-based applications on the server where the Oracle instance is installed.
  This package is not automatically installed for security reasons.
- The Oracle database `UTL_ORAMTS` package can be used to perform HTTP requests.
  This could be used to send information to the outside. 84 | P a g e
- The Oracle database `UTL_HTTP` package can be used to perform HTTP requests.
  This could be used to send information to the outside.
- The Oracle database `HTTPURITYPE` object type can be used to perform HTTP
  requests.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_revoked_from_public_on_network_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_revoked_from_public_on_network_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_revoked_from_public_on_network_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.1.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.1.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.1.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_revoked_from_public_on_network_packages` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexecute_is_revoked_from_public_on_sql_injection_helper_packages"></a>`ora_secured::controls::execute_is_revoked_from_public_on_sql_injection_helper_packages`

ora_secured::controls::execute_is_revoked_from_public_on_sql_injection_helper_packages

packages - `DBMS_SQL`, `DBMS_XMLGEN`, `DBMS_XMLQUERY`, `DBMS_XLMSTORE`,
`DBMS_XLMSAVE` and `DBMS_REDACT` – provide APIs to schedule jobs. The user
`PUBLIC` should not be able to execute these packages.
- The Oracle database `DBMS_SQL` package is used for running dynamic SQL
  statements.
- The `DBMS_XMLGEN` package takes an arbitrary SQL query as input, converts it
  to XML format, and returns the result as a CLOB.
- The Oracle package `DBMS_XMLQUERY` takes an arbitrary SQL query, converts it
  to XML format, and returns the result. This package is similar to
  `DBMS_XMLGEN`.
- The `DBMS_XLMSTORE` package provides XML functionality. It accepts a table
  name and XML as input to perform DML operations against the table.
- The `DBMS_XLMSAVE` package provides XML functionality. It accepts a table name
  and XML as input and then inserts into or updates that table.
- The `DBMS_REDACT` package provides an interface to Oracle Data Redaction,
  which enables you to mask (redact) data that is returned from queries issued
  by low- privileged users or an application.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::execute_is_revoked_from_public_on_sql_injection_helper_packages: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::execute_is_revoked_from_public_on_sql_injection_helper_packages::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `execute_is_revoked_from_public_on_sql_injection_helper_packages` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.1.1.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.1.1.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.1.1.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::execute_is_revoked_from_public_on_sql_injection_helper_packages` defined type:

* [`title`](#title)
* [`list`](#list)
* [`exclude`](#exclude)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="list"></a>`list`

Data type: `Array`

This is an internal list of objects to apply the control to.
Don't modify

Default value: `ora_secured::lookup_setting('list', undef)`

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

### <a name="ora_securedcontrolsexempt_access_policy_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::exempt_access_policy_is_revoked_from_unauthorized_grantee`

ora_secured::controls::exempt_access_policy_is_revoked_from_unauthorized_grantee

capability to access all the table rows regardless of row-level security
lockouts. Unauthorized grantees should not have that keyword assigned to them.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::exempt_access_policy_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::exempt_access_policy_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `exempt_access_policy_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.8
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.8
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.8

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::exempt_access_policy_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsextproc_is_not_present_in_listener_ora"></a>`ora_secured::controls::extproc_is_not_present_in_listener_ora`

ora_secured::controls::extproc_is_not_present_in_listener_ora

ora` to mitigate the risk that OS
libraries can be invoked by the Oracle instance.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::extproc_is_not_present_in_listener_ora: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::extproc_is_not_present_in_listener_ora::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `extproc_is_not_present_in_listener_ora` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.1.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.1.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.1.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::extproc_is_not_present_in_listener_ora` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsfailed_login_attempts_is_less_than_or_equal_to_5"></a>`ora_secured::controls::failed_login_attempts_is_less_than_or_equal_to_5`

ora_secured::controls::failed_login_attempts_is_less_than_or_equal_to_5

are permitted before the system locks the user's account. While different
profiles can have different and more restrictive settings, such as `USERS` and
`APPS`, the minimum(s) recommended here should be set on the `DEFAULT` profile.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::failed_login_attempts_is_less_than_or_equal_to_5: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::failed_login_attempts_is_less_than_or_equal_to_5::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `failed_login_attempts_is_less_than_or_equal_to_5` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::failed_login_attempts_is_less_than_or_equal_to_5` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[0,5]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 5)`

### <a name="ora_securedcontrolsfixed_user_and_public_database_links_must_be_authorized_for_use"></a>`ora_secured::controls::fixed_user_and_public_database_links_must_be_authorized_for_use`

ora_secured::controls::fixed_user_and_public_database_links_must_be_authorized_for_use

select owner||': '||db_link from dba_db_links;

If no records are returned from the first SQL statement, this check is not a finding.

Confirm the public and fixed user database links listed are documented in the System Security Plan, are authorized by the ISSO, and are used for replication or operational system requirements.

If any are not, this is a finding.


Document all authorized connections from the database to remote databases in the System Security Plan.

Remove all unauthorized remote database connection definitions from the database.


  drop database link [link name];
OR
  drop public database link [link name];

Review remote database connection definitions periodically and confirm their use is still required and authorized.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::fixed_user_and_public_database_links_must_be_authorized_for_use: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::fixed_user_and_public_database_links_must_be_authorized_for_use::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `fixed_user_and_public_database_links_must_be_authorized_for_use` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61415

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::fixed_user_and_public_database_links_must_be_authorized_for_use` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsgen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail"></a>`ora_secured::controls::gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail`

ora_secured::controls::gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail

- Successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g., classification levels).
- Successful and unsuccessful logon attempts, privileged activities or other system-level access
- Starting and ending time for user access to the system, concurrent logons from different workstations.
- Successful and unsuccessful accesses to objects.
- All program initiations.
- All account creations, modifications, disabling, and terminations.

If auditing is not being performed for any of these events, this is a finding.

Notes on Oracle audit capabilities follow.

Unified Audit supports named audit policies, which are defined using the CREATE AUDIT POLICY statement. A policy specifies the actions that should be audited and the objects to which it should apply. If no specific objects are included in the policy definition, it applies to all objects.

A named policy is enabled using the AUDIT POLICY statement. It can be enabled for all users, for specific users only, or for all except a specified list of users. The policy can audit successful actions, unsuccessful actions, or both.

Verifying existing audit policy:  existing Unified Audit policies are listed in the view AUDIT_UNIFIED_POLICIES. The AUDIT_OPTION column contains one of the actions specified in a CREATE AUDIT POLICY statement. The AUDIT_OPTION_TYPE column contains 'STANDARD ACTION' for a policy that applies to all objects or 'OBJECT ACTION' for a policy that audits actions on a specific object.

select POLICY_NAME from SYS.AUDIT_UNIFIED_POLICIES where AUDIT_OPTION='GRANT' and AUDIT_OPTION_TYPE='STANDARD ACTION';

To find policies that audit privilege grants on specific objects:

select POLICY_NAME,OBJECT_SCHEMA,OBJECT_NAME from SYS.AUDIT_UNIFIED_POLICIES where AUDIT_OPTION='GRANT' and AUDIT_OPTION_TYPE='OBJECT ACTION';

The view AUDIT_UNIFIED_ENABLED_POLICIES shows which Unified Audit policies are enabled. The ENABLED_OPT and USER_NAME columns show the users for whom the policy is enabled or 'ALL USERS'. The SUCCESS and FAILURE columns indicate if the policy is enabled for successful or unsuccessful actions, respectively.

select POLICY_NAME,ENABLED_OPT,USER_NAME,SUCCESS,FAILURE from SYS.AUDIT_UNIFIED_ENABLED_POLICIES where POLICY_NAME='POLICY1';

Configure the DBMS's auditing settings to include auditing of events on the DoD-selected list of auditable events.

1) Successful and unsuccessful attempts to access, modify, or delete privileges, security objects, security levels, or categories of information (e.g., classification levels)

To audit granting and revocation of any privilege:
create audit policy policy1 actions grant;
create audit policy policy2 actions revoke;

To audit grants of object privileges on a specific object:
create audit policy policy3 actions grant on <schema>.<object>;

If Oracle Label Security is enabled, this will audit all OLS administrative actions:
create audit policy policy4 actions component = OLS all;

2) Successful and unsuccessful logon attempts, privileged activities or other system-level access

To audit all user logon attempts:
create audit policy policy5 actions logon;

To audit only logon attempts using administrative privileges (e.g. AS SYSDBA):
audit policy policy5 by SYS, SYSOPER, SYSBACKUP, SYSDG, SYSKM;

3) Starting and ending time for user access to the system, concurrent logons from different workstations

This policy will audit all logon and logoff events. An individual session is identified in the UNIFIED_AUDIT_TRAIL by the tuple (DBID, INSTANCE_ID, SESSIONID) and the start and end time will be indicated by the EVENT_TIMESTAMP of the logon and logoff events:
create audit policy policy6 actions logon, logoff;

4) Successful and unsuccessful accesses to objects

To audit all accesses to a specific table:
create audit policy policy7 actions select, insert, delete, alter on <schema>.<object>;

Different actions are defined for other object types. To audit all supported actions on a specific object:
create audit policy policy8 actions all on <schema>.<object>;

5) All program initiations

To audit execution of any PL/SQL program unit:
create audit policy policy9 actions EXECUTE;

To audit execution of a specific function, procedure, or package:
create audit policy policy10 actions EXECUTE on <schema>.<object>;

6) All direct access to the information system

[Not applicable to Database audit. Monitor using OS auditing.]

7) All account creations, modifications, disabling, and terminations

To audit all user administration actions:
create audit policy policy11 actions create user, alter user, drop user, change password;

8) All kernel module loads, unloads, and restarts

[Not applicable to Database audit. Monitor using OS auditing.]

9) All database parameter changes

To audit any database parameter changes, dynamic or static:
create audit policy policy12 actions alter database, alter system, create spfile;

Applying the Policy

The following command will enable the policy in all database sessions and audit both successful and unsuccessful actions:
audit policy policy1;

To audit only unsuccessful actions, add the WHENEVER NOT SUCCESSFUL modifier:
audit policy policy1 whenever not successful;

Either command above can be limited to only database sessions started by a specific user as follows:
audit policy policy1 by <user>;
audit policy policy1 by <user> whenever not successful;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61625

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::gen_audit_recs_for_dod_selected_lst_of_auditable_events_to_extent_such_info_is_avail` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsglobal_names_is_set_to_true"></a>`ora_secured::controls::global_names_is_set_to_true`

ora_secured::controls::global_names_is_set_to_true

of the remote database it will connect to. This setting should have a value of
`TRUE`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::global_names_is_set_to_true: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::global_names_is_set_to_true::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `global_names_is_set_to_true` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::global_names_is_set_to_true` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsgrant_action_audit_is_enabled"></a>`ora_secured::controls::grant_action_audit_is_enabled`

ora_secured::controls::grant_action_audit_is_enabled

roles, including the most powerful privileges and roles typically available to
the database administrators. Enabling this unified action audit enables logging
of all `GRANT` statements, whether successful or unsuccessful, issued by the
users regardless of the privileges held by the users to issue such statements.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::grant_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::grant_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `grant_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.7
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.7
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.7

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::grant_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsgrant_any_object_privilege_audit_option_is_enabled"></a>`ora_secured::controls::grant_any_object_privilege_audit_option_is_enabled`

ora_secured::controls::grant_any_object_privilege_audit_option_is_enabled

privilege, which includes privileges on tables, directories, mining models, etc.
Enabling this audit option causes auditing of all uses of that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::grant_any_object_privilege_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::grant_any_object_privilege_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `grant_any_object_privilege_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.11
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.11
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.11

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::grant_any_object_privilege_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsgrant_any_object_privilege_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::grant_any_object_privilege_is_revoked_from_unauthorized_grantee`

ora_secured::controls::grant_any_object_privilege_is_revoked_from_unauthorized_grantee

the capability to grant access to any single or multiple combinations of objects
to any grantee in the catalog of the database. Unauthorized grantees should not
have that keyword assigned to them.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::grant_any_object_privilege_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::grant_any_object_privilege_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `grant_any_object_privilege_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.14
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.14
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.14

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::grant_any_object_privilege_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsgrant_any_privilege_audit_option_is_enabled"></a>`ora_secured::controls::grant_any_privilege_audit_option_is_enabled`

ora_secured::controls::grant_any_privilege_audit_option_is_enabled

most powerful privileges typically available only to administrators - to change
the security infrastructure, to drop/add/modify users and more.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::grant_any_privilege_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::grant_any_privilege_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `grant_any_privilege_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.12
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.12
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.12

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::grant_any_privilege_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsgrant_any_privilege_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::grant_any_privilege_is_revoked_from_unauthorized_grantee`

ora_secured::controls::grant_any_privilege_is_revoked_from_unauthorized_grantee

capability to grant any single privilege to any item in the catalog of the
database. Unauthorized grantees should not have that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::grant_any_privilege_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::grant_any_privilege_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `grant_any_privilege_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.16
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.16
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.16

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::grant_any_privilege_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsgrant_any_role_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::grant_any_role_is_revoked_from_unauthorized_grantee`

ora_secured::controls::grant_any_role_is_revoked_from_unauthorized_grantee

to grant any single role to any grantee in the catalog of the database.
Unauthorized grantees should not have that keyword assigned to them.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::grant_any_role_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::grant_any_role_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `grant_any_role_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.15
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.15
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.15

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::grant_any_role_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolshave_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded"></a>`ora_secured::controls::have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded`

ora_secured::controls::have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded

If auditing will generate excessive logs so that they may outgrow the space reserved for logging, this is a finding.

If file-based auditing is in use, check that sufficient space is available to support the file(s). If not, this is a finding

If standard, table-based auditing is used:  The audit logs are written to a table called AUD$, and if a Virtual Private Database is deployed, we also create a table called FGA_LOG$.  First check the current location of the audit trail tables.

    CONN / AS SYSDBA

    SELECT table_name, tablespace_name
    FROM   dba_tables
    WHERE  table_name IN ('AUD$', 'FGA_LOG$')
    ORDER BY table_name;

    TABLE_NAME                        TABLESPACE_NAME
  --------------                    ------------------
    AUD$                                  SYSTEM
    FGA_LOG$                              SYSTEM

If the tablespace_name is SYSTEM, the table needs to be relocated to its own tablespace. Ensure that adequate space is allocated to that tablespace.

If Unified Auditing is used:
Audit logs are written to tables in the AUDSYS schema. The default tablespace for AUDSYS is USERS. A separate tablespace should be created to contain audit data. Ensure that adequate space is allocated to that tablespace.

Allocate sufficient disk space for file-based audit.

Ensure that audit tables are in their own tablespaces and that the tablespaces have enough room for the volume of log data that will be produced.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61613

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::have_its_auditing_configured_to_reduce_the_likelihood_of_storage_capacity_being_exceeded` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsidentify_potentially_security_relevant_error_conditions"></a>`ora_secured::controls::identify_potentially_security_relevant_error_conditions`

ora_secured::controls::identify_potentially_security_relevant_error_conditions

If security-related error conditions are not being monitored for, this is a finding.

If appropriate personnel are not alerted when a security-related error condition is found, this is a finding.

Configure DBMS to monitor for security-related error conditions.

Configure DBMS to alert appropriate personnel when security-related error conditions are found.

This can be accomplished by using Oracle Audit Vault and/or Oracle Enterprise Manager. If neither of these products is deployed, then develop a site-specific solution.

- - - - -
Notes to assist in developing a site-specific solution:

The AUD$ table has a column called RETURNCODE.  That column provides the return code; so, for example, if the security-related condition is someone trying to select data from a table that is not there, it would show up in the AUD$ table as an ORA-00942 - table or view does not exist.  Since the RETURNCODE column is only numeric, only the 00942 would be stored. If the query for the information returned a row, the process would then need to form and send an email message.

Oracle recommends the use of Oracle Audit Vault to fill this requirement without creating a custom solution.   It is possible to set up notifications and alerts in Enterprise Manager as well, and if either of these alternatives is not available, a custom solution will be necessary.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::identify_potentially_security_relevant_error_conditions: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::identify_potentially_security_relevant_error_conditions::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `identify_potentially_security_relevant_error_conditions` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61789

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::identify_potentially_security_relevant_error_conditions` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsimplement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f"></a>`ora_secured::controls::implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f`

ora_secured::controls::implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f

If the DBMS has not implemented federally required cryptographic protections for the level of classification of the data it contains, this is a finding.

Check the following settings to see if FIPS 140-2 encryption is configured. If encryption is not configured, check with the DBA and SYSTEM Administrator to see if other mechanisms or third-party products are deployed to encrypt data during the transmission or storage of data.

For Transparent Data Encryption and DBMS_CRYPTO:

To see if Oracle is configured for FIPS 140-2 Transparent Data Encryption and/or DBMS_CRYPTO, enter the following SQL*Plus command:
SHOW PARAMETER DBFIPS_140
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'DBFIPS_140';

If Oracle returns the value 'FALSE', or returns no rows, this is a finding.

To see if Oracle is configured for FIPS 140-2 SSL/TLS authentication and/or Encryption:

Verify the DBMS version:
select * from V_$VERSION;

If the version displayed for Oracle Database is lower than 12.1.0.2, this is a finding.

If the operating system is Windows and the DBMS version is 12.1.0.2, use the opatch command to display the patches applied to the DBMS.

If the patches listed do not include "WINDOWS DB BUNDLE PATCH 12.1.0.2.7", this is a finding.

Open the fips.ora file in a browser or editor.  (The default location for fips.ora is $ORACLE_HOME/ldap/admin/ but alternate locations are possible. An alternate location, if it is in use, is specified in the FIPS_HOME environment variable.)

If the line "SSLFIPS_140=TRUE" is not found in fips.ora, or the file does not exist, this is a finding.

For (Native) Network Data Encryption:
If the line, SQLNET.FIPS_140=TRUE is not found in $ORACLE_HOME/network/admin/sqlnet.ora, this is a finding. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

Note: For the Solaris platform, when DBFIPS_140 is FALSE, TDE (but not DBMS_CRYPTO) can still operate in a FIPS 140-compliant manner if FIPS 140 operation is enabled for the Solaris Cryptographic Framework.

Implement required cryptographic protections using cryptographic modules complying with applicable federal laws, Executive Orders, directives, policies, regulations, standards, and guidance.

Where not already in effect, upgrade the DBMS to version 12.1.0.2 or higher.

Where the operating system is Windows and the DBMS version is 12.1.0.2, install patch "WINDOWS DB BUNDLE PATCH 12.1.0.2.7" if not already deployed.

Open the fips.ora file in an editor.  (The default location for fips.ora is $ORACLE_HOME/ldap/admin/ but alternate locations are possible. An alternate location, if it is in use, is specified in the FIPS_HOME environment variable.)

Create or modify fips.ora to include the line "SSLFIPS_140=TRUE".

- - - - -
The strength requirements are dependent upon data classification.

For unclassified data, where cryptography is required:
AES 128 for encryption
SHA 256 for hashing

NSA has established the suite B encryption requirements for protecting National Security Systems (NSS) as follows:
AES 128 for Secret
AES 256 for Top Secret
SHA 256 for Secret
SHA 384 for Top Secret

National Security System is defined as:
(OMB Circular A-130) Any telecommunications or information system operated by the United States Government, the function, operation, or use of which (1) involves intelligence activities; (2) involves cryptologic activities related to national security; (3) involves command and control of military forces; (4) involves equipment that is an integral part of a weapon or weapons system; or (5) is critical to the direct fulfillment of military or intelligence missions, but excluding any system that is to be used for routine administrative and business applications (including payroll, finance, logistics, and personnel management applications).

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61759

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::implement_required_cryptographic_protions_using_cryptographic_modules_complying_with_applicable_f` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsimplement_separation_of_duties_through_assigned_information_access_authorizations"></a>`ora_secured::controls::implement_separation_of_duties_through_assigned_information_access_authorizations`

ora_secured::controls::implement_separation_of_duties_through_assigned_information_access_authorizations

If any direct privilege assignments exist that can be assigned to a role, this is a finding.

SELECT
        'User '
        || grantee
        || ' is directly granted '
        || privilege
        || ' privilege on '
        || table_name value
FROM    dba_tab_privs
WHERE   grantee NOT IN (SELECT role FROM dba_roles)
AND     grantee NOT IN
        (
        'XDB', 'SYSTEM', 'SYS', 'LBACSYS',
        'DVSYS', 'DVF', 'SYSMAN_RO', 'SYSMAN_BIPLATFORM',
        'SYSMAN_MDS', 'SYSMAN_OPSS', 'SYSMAN_STB', 'PUBLIC',
        'DBSNMP', 'SYSMAN', 'APEX_040200', 'WMSYS',
        'SYSDG', 'SYSBACKUP', 'SPATIAL_WFS_ADMIN_USR',
        'SPATIAL_CSW_ADMIN_US',
        'SI_INFORMTN_SCHEMA', 'OUTLN', 'ORDSYS', 'ORDDATA',
        'OJVMSYS', 'ORACLE_OCM', 'MDSYS', 'ORDPLUGINS',
        'GSMADMIN_INTERNAL', 'FLOWS_FILES', 'DIP', 'CTXSYS',
        'AUDSYS', 'APPQOSSYS', 'APEX_PUBLIC_USER',  'ANONYMOUS',
        'SPATIAL_CSW_ADMIN_USR', 'SYSKM', 'SYSMAN_TYPES',
        'MGMT_VIEW', 'EUS_ENGINE_USER', 'GSMCATUSER', 'OLAPSYS',
        'CLOUD_SWLIB_USER',  'GSMUSER', 'MDDATA', 'XS$NULL', 'CLOUD_ENGINE_USER'
        )
UNION
SELECT
        'User '
        || grantee
        || ' is directly granted '
        || privilege
        || ' privilege ' value
FROM    dba_sys_privs
WHERE   grantee NOT IN (SELECT role FROM dba_roles)
AND     privilege NOT IN
        (
        'CREATE SEQUENCE',
        'CREATE TRIGGER',
        'CREATE CLUSTER',
        'CREATE INDEXTYPE',
        'CREATE PROCEDURE',
        'CREATE TYPE',
        'CREATE SESSION',
        'CREATE OPERATOR',
        'CREATE TABLE',
        'UNLIMITED TABLESPACE' )
AND     grantee NOT IN
        (
        'XDB', 'SYSTEM', 'SYS', 'LBACSYS',
        'DVSYS', 'DVF', 'SYSMAN_RO', 'SYSMAN_BIPLATFORM',
        'SYSMAN_MDS', 'SYSMAN_OPSS', 'SYSMAN_STB', 'PUBLIC',
        'DBSNMP', 'SYSMAN', 'APEX_040200', 'WMSYS',
        'SYSDG', 'SYSBACKUP', 'SPATIAL_WFS_ADMIN_USR',
        'SPATIAL_CSW_ADMIN_US',
        'SI_INFORMTN_SCHEMA', 'OUTLN', 'ORDSYS', 'ORDDATA',
        'OJVMSYS', 'ORACLE_OCM', 'MDSYS', 'ORDPLUGINS',
        'GSMADMIN_INTERNAL', 'FLOWS_FILES', 'DIP', 'CTXSYS',
        'AUDSYS', 'APPQOSSYS', 'APEX_PUBLIC_USER', 'ANONYMOUS',
        'SPATIAL_CSW_ADMIN_USR', 'SYSKM', 'SYSMAN_TYPES',
        'MGMT_VIEW', 'EUS_ENGINE_USER', 'GSMCATUSER', 'OLAPSYS',
        'CLOUD_SWLIB_USER',
        'GSMUSER', 'MDDATA', 'XS$NULL', 'CLOUD_ENGINE_USER'
        )
UNION
SELECT
        'User '
        || username
        || ' is granted '
        || privilege
        || ' privilege via role '
        || rp.granted_role value
FROM    dba_users u,
        dba_role_privs rp,
        dba_sys_privs sp
WHERE   username = rp.grantee
AND     rp.granted_role = sp.grantee
AND     privilege NOT IN
        (
        'CREATE SEQUENCE',
        'CREATE TRIGGER',
        'SET CONTAINER',
        'CREATE CLUSTER',
        'CREATE PROCEDURE',
        'CREATE TYPE',
        'CREATE SESSION',
        'CREATE OPERATOR',
        'CREATE TABLE',
        'CREATE INDEXTYPE'
        )
AND     username NOT IN
        (
        'XDB', 'SYSTEM', 'SYS', 'LBACSYS',
        'DVSYS', 'DVF', 'SYSMAN_RO', 'SYSMAN_BIPLATFORM',
        'SYSMAN_MDS', 'SYSMAN_OPSS', 'SYSMAN_STB', 'DBSNMP',
        'SYSMAN', 'APEX_040200', 'WMSYS', 'SYSDG',
        'SYSBACKUP', 'SPATIAL_WFS_ADMIN_USR',
        'SPATIAL_CSW_ADMIN_US','GSMCATUSER',
        'OLAPSYS', 'SI_INFORMTN_SCHEMA', 'OUTLN', 'ORDSYS',
        'ORDDATA', 'OJVMSYS', 'ORACLE_OCM', 'MDSYS',
        'ORDPLUGINS', 'GSMADMIN_INTERNAL', 'MDDATA',
        'FLOWS_FILES', 'DIP', 'CTXSYS', 'AUDSYS', 'APPQOSSYS',
        'APEX_PUBLIC_USER', 'ANONYMOUS',
        'SPATIAL_CSW_ADMIN_USR','SYSKM',
        'SYSMAN_TYPES', 'MGMT_VIEW', 'EUS_ENGINE_USER',
        'EXFSYS','SYSMAN_APM' )
AND     rp.granted_role NOT IN
        (
        'EXP_FULL_DATABASE','AQ_ADMINISTRATOR_ROLE','DV_REALM_RESOURCE',
        'DBA','CDB_DBA','OEM_ADVISOR','RECOVERY_CATALOG_OWNER',
        'EM_EXPRESS_ALL','SCHEDULER_ADMIN','OLAP_USER',
        'RESOURCE','EM_EXPRESS_BASIC','IMP_FULL_DATABASE','CONNECT',
        'AUDIT_ADMIN','DATAPUMP_EXP_FULL_DATABASE','GSMADMIN_ROLE',
        'DV_REALM_OWNER','OLAP_DBA','JAVADEBUGPRIV',
        'DATAPUMP_IMP_FULL_DATABASE','OEM_MONITOR',
        'APEX_GRANTS_FOR_NEW_USERS_ROLE'
        )
UNION
SELECT
        'User '
        ||grantee
        ||' is granted '
        ||privilege
        ||' on '
        ||owner
        ||'.'
        ||table_name
        ||'.'
        ||column_name
        ||' by '
        ||grantor
FROM    dba_col_privs
WHERE   grantee NOT IN
        (
        'XDB', 'SYSTEM', 'SYS', 'LBACSYS',
        'DVSYS', 'DVF', 'SYSMAN_RO', 'SYSMAN_BIPLATFORM',
        'SYSMAN_MDS', 'SYSMAN_OPSS', 'SYSMAN_STB', 'DBSNMP',
        'SYSMAN', 'APEX_040200', 'WMSYS', 'SYSDG',
        'SYSBACKUP', 'SPATIAL_WFS_ADMIN_USR',
        'SPATIAL_CSW_ADMIN_US','GSMCATUSER',
        'OLAPSYS', 'SI_INFORMTN_SCHEMA', 'OUTLN', 'ORDSYS',
        'ORDDATA', 'OJVMSYS', 'ORACLE_OCM', 'MDSYS',
        'ORDPLUGINS', 'GSMADMIN_INTERNAL', 'MDDATA',
        'FLOWS_FILES', 'IMP_FULL_DATABASE',
        'DIP', 'CTXSYS', 'AUDSYS', 'APPQOSSYS',
        'APEX_PUBLIC_USER', 'ANONYMOUS',
        'SPATIAL_CSW_ADMIN_USR','SYSKM',
        'SYSMAN_TYPES', 'MGMT_VIEW', 'EUS_ENGINE_USER',
        'EXFSYS','SYSMAN_APM'
        )
;

(The lists of special accounts that are excluded from this requirement may not be complete.  It is expected that the DBA will edit the lists to suit local circumstances, adding other special accounts as necessary, and removing any that are not supposed to be in use in the Oracle deployment that is under review.  Similarly, the lists of privileges and roles excluded from the subqueries may be modified according to circumstances.)

Define DBMS user roles based on privilege and job function requirements.

Assign the required privileges to the role, and assign the role to authorized DBMS user accounts.

Revoke any privileges directly assigned to DBMS user accounts, and assign them to a role the DBMS user already has assigned.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::implement_separation_of_duties_through_assigned_information_access_authorizations: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::implement_separation_of_duties_through_assigned_information_access_authorizations::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `implement_separation_of_duties_through_assigned_information_access_authorizations` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61809

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::implement_separation_of_duties_through_assigned_information_access_authorizations` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsinactive_account_time_is_less_than_or_equal_to_120"></a>`ora_secured::controls::inactive_account_time_is_less_than_or_equal_to_120`

ora_secured::controls::inactive_account_time_is_less_than_or_equal_to_120

inactivity (no logins at all) after which the account will be locked. The
suggested value for this is 120 or less.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::inactive_account_time_is_less_than_or_equal_to_120: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::inactive_account_time_is_less_than_or_equal_to_120::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `inactive_account_time_is_less_than_or_equal_to_120` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.9
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.9
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.9

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::inactive_account_time_is_less_than_or_equal_to_120` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[0,120]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 120)`

### <a name="ora_securedcontrolsincl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject"></a>`ora_secured::controls::incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject`

ora_secured::controls::incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value "NONE", this is a finding.

Compare the organization-defined auditable events with the Oracle documentation to determine whether standard auditing covers all the requirements.

If it does, this is not a finding.

Compare those organization-defined auditable events that are not covered by the standard auditing, with the existing Fine-Grained Auditing (FGA) specifications returned by the following query:

SELECT * FROM SYS.DBA_FGA_AUDIT_TRAIL;

If any such auditable event is not covered by the existing FGA specifications, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

Compare the organization-defined auditable events with the Oracle documentation to determine whether standard auditing covers all the requirements.

If it does, this is not a finding.

Compare those organization-defined auditable events that are not covered by unified auditing with the existing Fine-Grained Auditing (FGA) specifications returned by the following query:

SELECT * FROM SYS.UNIFIED_AUDIT_TRAIL WHERE AUDIT_TYPE = 'FineGrainedAudit';

If any such auditable event is not covered by the existing FGA specifications, this is a finding.

Either configure the DBMS's auditing to audit organization-defined auditable events, or, if preferred, use a third-party or custom tool. The tool must provide the minimum capability to audit the required events.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:

ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;

Audit trail type can be "OS", "DB", "DB,EXTENDED", "XML" or "XML,EXTENDED".

After executing this statement, it may be necessary to shut down and restart the Oracle database.

If the organization-defined additional audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing. For details, refer to Oracle documentation at the location below.

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing.  For details, refer to Oracle documentation, at the location below.

If Unified Auditing is used:
Use this process to ensure auditable events are captured:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

Otherwise,
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.

If the organization-defined additional audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing. For details, refer to Oracle documentation at the location below.

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing. For details, refer to Oracle documentation, at the location below.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61641

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::incl_org_def_add_more_det_info_in_audit_recs_for_audit_events_idntfd_by_type_location_or_subject` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsisolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains"></a>`ora_secured::controls::isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains`

ora_secured::controls::isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains

If security-related database objects or code are not kept separate, this is a finding.

The Oracle elements of security functionality, such as the roles, permissions, and profiles, along with password complexity requirements, are stored in separate schemas in the database.  Review any site-specific applications security modules built into the database and determine what schema they are located in and take appropriate action.  The Oracle objects will be in the Oracle Data Dictionary.

Locate security-related database objects and code in a separate database, schema, or other separate security domain from database objects and code implementing application logic.  (This is the default behavior for Oracle.)  Review any site-specific applications security modules built into the database:   determine what schema they are located in and take appropriate action.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61775

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::isolate_security_functions_from_nonsecurity_functions_by_means_of_separate_security_domains` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsissm_must_review_changes_to_dba_role_assignments"></a>`ora_secured::controls::issm_must_review_changes_to_dba_role_assignments`

ora_secured::controls::issm_must_review_changes_to_dba_role_assignments

If policy, procedures or implementation evidence do not exist, this is a finding.

Develop, document and implement procedures to monitor changes to DBA role assignments.

Develop, document and implement procedures to notify the ISSM of changes to DBA role assignments.

Include in the procedures methods that provide evidence of monitoring and notification.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::issm_must_review_changes_to_dba_role_assignments: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::issm_must_review_changes_to_dba_role_assignments::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `issm_must_review_changes_to_dba_role_assignments` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61497

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::issm_must_review_changes_to_dba_role_assignments` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolslmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess"></a>`ora_secured::controls::lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess`

ora_secured::controls::lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess

SELECT * FROM SYS.DBA_PROFILES WHERE RESOURCE_NAME = 'SESSIONS_PER_USER';

If the DBMS settings for concurrent sessions for each profile are greater than the site-specific maximum number of sessions, this is a finding.

Limit concurrent connections for each system account to a number less than or equal to the organization-defined number of sessions using the following SQL. Create profiles that conform to the requirements. Assign users to the appropriate profile.

The user profile, ORA_STIG_PROFILE, has been provided (starting with Oracle 12.1.0.2) to satisfy the STIG requirements pertaining to the profile parameters. Oracle recommends that this profile be customized with any site-specific requirements and assigned to all users where applicable.  Note: It remains necessary to create a customized replacement for the password validation function, ORA12C_STRONG_VERIFY_FUNCTION, if relying on this technique to verify password complexity.

The defaults for ORA_STIG_PROFILE are set as follows:
Resource Name                   Limit
-------------                   ------
COMPOSITE_LIMIT                 DEFAULT
SESSIONS_PER_USER               DEFAULT
CPU_PER_SESSION                 DEFAULT
CPU_PER_CALL                    DEFAULT
LOGICAL_READS_PER_SESSION       DEFAULT
LOGICAL_READS_PER_CALL          DEFAULT
IDLE_TIME                          15
CONNECT_TIME                    DEFAULT
PRIVATE_SGA                     DEFAULT
FAILED_LOGIN_ATTEMPTS               3
PASSWORD_LIFE_TIME                 60
PASSWORD_REUSE_TIME               365
PASSWORD_REUSE_MAX                 10
PASSWORD_VERIFY_FUNCTION    ORA12C_STRONG_VERIFY_FUNCTION
PASSWORD_LOCK_TIME              UNLIMITED
PASSWORD_GRACE_TIME                 5

Change the value of SESSIONS_PER_USER (along with the other parameters, where relevant) from UNLIMITED to DoD-compliant, site-specific requirements and then assign users to the profile.
ALTER PROFILE ORA_STIG_PROFILE LIMIT SESSIONS_PER_USER <site-specific value>;

To assign the user to the profile do the following:
ALTER USER <username> PROFILE ORA_STIG_PROFILE;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61967

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::lmt_number_of_concurrent_sess_for_each_sys_accnt_to_an_org_def_number_of_sess` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolslmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio"></a>`ora_secured::controls::lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio`

ora_secured::controls::lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio

If the DBMS does not restrict resource usage by priority, this is a finding.

- - - - -
This capability is available in Oracle at both the user and database level.

At the user level, we create resource profiles for users of the database.

Resource Parameters
SESSIONS_PER_USER - Specify the number of concurrent sessions to which to limit the user.
CPU_PER_SESSION - Specify the CPU time limit for a session, expressed in hundredths of seconds.
CPU_PER_CALL - Specify the CPU time limit for a call (a parse, execute, or fetch), expressed in hundredths of seconds.
CONNECT_TIME - Specify the total elapsed time limit for a session, expressed in minutes.
IDLE_TIME - Specify the permitted periods of continuous inactive time during a session, expressed in minutes. Long-running queries and other operations are not subject to this limit.
LOGICAL_READS_PER_SESSION - Specify the permitted number of data blocks read in a session, including blocks read from memory and disk.
LOGICAL_READS_PER_CALL - Specify the permitted number of data blocks read for a call to process a SQL statement (a parse, execute, or fetch).
PRIVATE_SGA - Specify the amount of private space a session can allocate in the shared pool of the system global area (SGA).
COMPOSITE_LIMIT - Specify the total resource cost for a session, expressed in service units.

To check the resource controls assigned to a user, query the DBA_PROFILES and DBA_USERS tables in the following manner.

set linesize 121
col username format a20
col profile format a20
col resource_name format a25
col resource_type format a14
col limit format a10
select a.username,
   a.profile,
   b.resource_name,
   b.limit
from dba_users a,
     dba_profiles b
where b.resource_type is not null and
      a.profile = b.profile order by username;

The output should look like the output below and display the users and the contents of their profiles.

USERNAME        PROFILE       RESOURCE NAME      LIMIT
--------        -------       -------------      -----
SCOTT           DEFAULT       SESSIONS_PER_USER  UNLIMITED
SCOTT           DEFAULT       CPU_PER_SESSION    UNLIMITED

Implement measures to restrict the usage of resources by priority.

- - - - -
To implement security at the user level, assign users a profile that limits their resources:

The user profile, ORA_STIG_PROFILE, has been provided (starting with Oracle 12.1.0.2) to satisfy the STIG requirements pertaining to the profile parameters. Oracle recommends that this profile be customized with any site-specific requirements and assigned to all users where applicable.  Note: It remains necessary to create a customized replacement for the password validation function, ORA12C_STRONG_VERIFY_FUNCTION, if relying on this technique to verify password complexity.

Example

$ sqlplus connect as sysdba

ALTER PROFILE ORA_STIG_PROFILE LIMIT
SESSIONS_PER_USER    1
IDLE_TIME           30
CPU_PER_SESSION    100
CPU_PER_CALL       100
CONNECT_TIME       600;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61819

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::lmt_use_of_resources_by_prio_and_not_impede_host_frm_servicing_procs_designated_as_a_higher_prio` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolslogic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes"></a>`ora_secured::controls::logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes`

ora_secured::controls::logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes

Verify the list of objects (packages, procedures, functions, and triggers) being monitored is complete. If monitoring does not occur or is not complete, this is a finding.

Implement procedures to monitor for unauthorized changes to database logic modules. If a third-party automated tool is not employed, an automated job that reports on the objects of interest and compares them to the baseline report for the same will meet the requirement.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-68863

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::logic_modules_within_db_to_incl_pkgs_procs_funcs_and_trggrs_must_be_mon_to_disc_unauth_changes` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolslogon_and_logoff_actions_audit_is_enabled"></a>`ora_secured::controls::logon_and_logoff_actions_audit_is_enabled`

ora_secured::controls::logon_and_logoff_actions_audit_is_enabled

Enabling
this unified audit causes logging of all `LOGON` actions, whether successful or
unsuccessful, issued by the users regardless of the privileges held by the users
to log into the database. In addition, `LOGOFF` action audit captures logoff
activities. This audit action also captures logon/logoff to the open database by
`SYSDBA` and `SYSOPER`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::logon_and_logoff_actions_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::logon_and_logoff_actions_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `logon_and_logoff_actions_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.27
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.27
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.27

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::logon_and_logoff_actions_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsmanage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents"></a>`ora_secured::controls::manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents`

ora_secured::controls::manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents

Connect to Oracle as SYSDBA. Use the following query to determine the established profiles and the users and resource limits assigned to them.

select a.username, a.profile, b.resource_name, b.resource_type, b.limit
from dba_users a, dba_profiles b
where a.profile = b.profile and resource_type='KERNEL'
order by a.profile;

If the configuration does not include profile limits on resource-intensive SQL queries, or if users are not assigned to profiles appropriate to their needs, this is a finding.

Configure Oracle profile(s) to set resource limits appropriate to each class of user.

SESSIONS_PER_USER
Specify the number of concurrent sessions to which you want to limit the user.

CPU_PER_SESSION
Specify the CPU time limit for a session, expressed in hundredth of seconds.

CPU_PER_CALL
Specify the CPU time limit for a call (a parse, execute, or fetch), expressed in hundredths of seconds.

CONNECT_TIME
Specify the total elapsed time limit for a session, expressed in minutes.

IDLE_TIME
Specify the permitted periods of continuous inactive time during a session, expressed in minutes. Long-running queries and other operations are not subject to this limit.

LOGICAL_READS_PER_SESSION
Specify the permitted number of data blocks read in a session, including blocks read from memory and disk.

LOGICAL_READS_PER_CALL
Specify the permitted number of data blocks read for a call to process a SQL statement (a parse, execute, or fetch).

PRIVATE_SGA
Specify the amount of private space a session can allocate in the shared pool of the system global area (SGA). Refer to size_clause for information on that clause.

COMPOSITE_LIMIT
(This limit applies only when using shared server architecture. The private space for a session in the SGA includes private SQL and PL/SQL areas, but not shared SQL and PL/SQL areas.) Specify the total resource cost for a session, expressed in service units. Oracle Database calculates the total service units as a weighted sum of CPU_PER_SESSION, CONNECT_TIME, LOGICAL_READS_PER_SESSION, and PRIVATE_SGA.


The user profile, ORA_STIG_PROFILE, has been provided (starting with Oracle 12.1.0.2) to satisfy the STIG requirements pertaining to the profile parameters. Oracle recommends that this profile be customized with any site-specific requirements and assigned to all users where applicable.  Note: It remains necessary to create a customized replacement for the password validation function, ORA12C_STRONG_VERIFY_FUNCTION, if relying on this technique to verify password complexity.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61817

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::manage_resources_to_lmt_effects_of_info_flooding_types_of_denial_of_service_dos_incidents` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsmap_the_authenticated_identity_to_the_user_account_using_pki_based_authentication"></a>`ora_secured::controls::map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication`

ora_secured::controls::map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication

If user accounts are not being mapped to authenticated identity information being passed via the PKI, this is a finding.

- - - - -
The database supports PKI-based authentication by using digital certificates over TLS in addition to the native encryption and data integrity capabilities of these protocols.

Oracle provides a complete PKI that is based on RSA Security, Inc., Public-Key Cryptography Standards, and which interoperates with Oracle servers and clients.  The database uses a wallet that is a container that is used to store authentication and signing credentials, including private keys, certificates, and trusted certificates needed by TLS. In an Oracle environment, every entity that communicates over TLS must have a wallet containing an X.509 version 3 certificate, private key, and list of trusted certificates.  Security administrators use Oracle Wallet Manager to manage security credentials on the server.

If the $ORACLE_HOME/network/admin/sqlnet.ora contains the following entries, TLS is installed. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

WALLET_LOCATION = (SOURCE=
                          (METHOD = FILE)
                          (METHOD_DATA =
                           DIRECTORY=/wallet)

SSL_CIPHER_SUITES=(SSL_cipher_suiteExample)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION=FALSE/TRUE

Configure the DBMS to map the authenticated identity directly to the DBMS user account.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61743

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::map_the_authenticated_identity_to_the_user_account_using_pki_based_authentication` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsminimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks"></a>`ora_secured::controls::minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks`

ora_secured::controls::minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks

select name from v$controlfile;

DoD guidance recommends:

2a. Each control file is to be located on separate, archived physical or virtual storage devices.

OR

2b. Each control file is to be located on separate, archived directories within one or more RAID devices.

3. The Logical Paths for each control file should differ at the highest level supported by the configuration, for example:

UNIX
/ora03/app/oracle/{SID}/control/control01.ctl
/ora04/app/oracle/{SID}/control/control02.ctl

Windows
D:/oracle/{SID}/control/control01.ctl
E:/oracle/{SID}/control/control02.ctl

If the minimum listed above is not met, this is a finding.

Consult with the SA or DBA to determine that the mount points or partitions referenced in the file paths indicate separate physical disks or directories on RAID devices.

Note: Distinct does not equal dedicated. May share directory space with other Oracle database instances if present.

To prevent loss of service during disk failure, multiple copies of Oracle control files must be maintained on separate disks in archived directories or on separate, archived directories within one or more RAID devices.

Adding or moving a control file requires careful planning and execution.

Consult and follow the instructions for creating control files in the Oracle Database Administrator's Guide, under Steps for Creating New Control Files.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61417

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::minimum_of_two_orcl_control_files_must_be_def_and_configed_to_be_strd_on_separate_archived_disks` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsminimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive"></a>`ora_secured::controls::minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive`

ora_secured::controls::minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive

select count(*) from V$LOG;

If the value of the count returned is less than 2, this is a finding.


  select count(*) from V$LOG where members > 1;

If the value of the count returned is less than 2 and a RAID storage device is not being used, this is a finding.

To define additional redo log file groups:

From SQL*Plus (Example):

  alter database add logfile group 2
    ('diska:log2.log' ,
     'diskb:log2.log') size 50K;

To add additional redo log file [members] to an existing redo log file group:

From SQL*Plus (Example):

  alter database add logfile member 'diskc:log2.log'
  to group 2;

Replace diska, diskb, diskc with valid, different disk drive specifications.

Replace log#.log file with valid or custom names for the log files.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61419

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::minimum_of_two_orcl_redo_log_groups_files_must_be_def_and_configed_to_be_strd_on_separate_archive` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsnetwork_access_to_the_dbms_must_be_restricted_to_authorized_personnel"></a>`ora_secured::controls::network_access_to_the_dbms_must_be_restricted_to_authorized_personnel`

ora_secured::controls::network_access_to_the_dbms_must_be_restricted_to_authorized_personnel

Identify the method used to enforce address restriction (interview or System Security Plan review).

If enforced by the database listener, then review the SQLNET.ORA file located in the ORACLE_HOME/network/admin directory (note: this assumes that a single sqlnet.ora file, in the default location, is in use; please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files) or the directory indicated by the TNS_ADMIN environment variable or registry setting.

If the following entries do not exist, then restriction by IP address is not configured and is a finding.

tcp.validnode_checking=YES
tcp.invited_nodes=(IP1, IP2, IP3)

If enforced by an Oracle Connection Manager, then review the CMAN.ORA file for the Connection Manager (located in the TNS_ADMIN or ORACLE_HOME/network/admin directory for the connection manager).

If a RULE entry allows all addresses ("/32") or does not match the address range specified in the System Security Plan, this is a finding.

(rule=(src=[IP]/27)(dst=[IP])(srv=*)(act=accept))

Note: an IP address with a "/" indicates acceptance by subnet mask where the number after the "/" is the left most number of bits in the address that must match for the rule to apply.

If this rule is database-specific, then determine if the SERVICE_NAMES parameter is set:

From SQL*PLUS:

select value from v$parameter where name = 'service_names';

If SERVICE_NAMES is set in the initialization file for the database instance, use (srv=[service name]), else, use (srv=*) if not set or rule applies to all databases on the DBMS server.

If network access restriction is performed by an external device, validate ACLs are in place to prohibit unauthorized access to the DBMS.  To do this, find the IP address of the database server (destination address) and source address (authorized IPs) in the System Security Plan.  Confirm only authorized IPs from the System Security Plan are allowed access to the DBMS.

Configure the database listener to restrict access by IP address or set up an external device to restrict network access to the DBMS.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::network_access_to_the_dbms_must_be_restricted_to_authorized_personnel: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::network_access_to_the_dbms_must_be_restricted_to_authorized_personnel::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `network_access_to_the_dbms_must_be_restricted_to_authorized_personnel` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61515

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::network_access_to_the_dbms_must_be_restricted_to_authorized_personnel` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsnetwork_client_connections_must_be_restricted_to_supported_versions"></a>`ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions`

ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions

Note: The SQLNET.ALLOWED_LOGON_VERSION parameter is deprecated in Oracle Database 12c. This parameter has been replaced with two new Oracle Net Services parameters:SQLNET.ALLOWED_LOGON_VERSION_SERVERSQLNET.ALLOWED_LOGON_VERSION_CLIENTView the SQLNET.ORA file in the ORACLE_HOME/network/admin directory or the directory specified in the TNS_ADMIN environment variable. (Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)Locate the following entries:SQLNET.ALLOWED_LOGON_VERSION_SERVER = 12SQLNET.ALLOWED_LOGON_VERSION_CLIENT = 12If the parameters do not exist, this is a finding.If the parameters are not set to a value of 12 or 12a, this is a finding.Note: Attempting to connect with a client version lower than specified in these parameters may result in a misleading error:ORA-01017: invalid username/password: logon deniedEdit the SQLNET.ORA file to add or edit the entries:SQLNET.ALLOWED_LOGON_VERSION_SERVER = 12SQLNET.ALLOWED_LOGON_VERSION_CLIENT = 12Set the value to 12 or higher.Valid values for SQLNET.ALLOWED_LOGON_VERSION_SERVER are: 12 and 12aValid values for SQLNET.ALLOWED_LOGON_VERSION_CLIENT are: 12 and 12aFor more information on sqlnet.ora parameters refer to the following document:"Database Net Services Reference"http://docs.oracle.com/database/121/NETRF/sqlnet.htm#NETRF006For more information on configuring authentication refer to the following document:"Oracle Database 12C Password Version Configuration Guidelines"https://docs.oracle.com/database/121/DBSEG/authentication.htm#GUID-E6EE45DD-1E3B-4028-B8DE-65D6AA373821## SkippingTo deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provideyou with three ways:1) Add `ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions: skip` to your hiera data. This will skip this control for **ALL** databases.  2) Add `ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions::dbname: skip` to your hiera data. This will skip this control for specified database only.  3) Add an entry with the content `network_client_connections_must_be_restricted_to_supported_versions` to the array value `ora_secured::skip_list` in your hiera data.  ## BenchmarksThis control is used in the following benchmarks:- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61535

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::network_client_connections_must_be_restricted_to_supported_versions` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsno_public_database_links_exist"></a>`ora_secured::controls::no_public_database_links_exist`

ora_secured::controls::no_public_database_links_exist

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::no_public_database_links_exist: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::no_public_database_links_exist::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `no_public_database_links_exist` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 4.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 4.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 4.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::no_public_database_links_exist` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsno_users_are_assigned_the_default_profile"></a>`ora_secured::controls::no_users_are_assigned_the_default_profile`

ora_secured::controls::no_users_are_assigned_the_default_profile

otherwise specified. No users should be assigned to that profile.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::no_users_are_assigned_the_default_profile: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::no_users_are_assigned_the_default_profile::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `no_users_are_assigned_the_default_profile` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 4.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 4.4
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 4.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::no_users_are_assigned_the_default_profile` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`profile_name`](#profile_name)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude',[])`

##### <a name="profile_name"></a>`profile_name`

Data type: `Optional[String]`

The name of the profile to create and to assign when a default profile is specified.

Default value: `ora_secured::lookup_setting('profile_name', undef)`

### <a name="ora_securedcontrolsnot_share_a_host_supporting_an_independent_security_service"></a>`ora_secured::controls::not_share_a_host_supporting_an_independent_security_service`

ora_secured::controls::not_share_a_host_supporting_an_independent_security_service

If the host system is a Windows domain controller, this is a finding.

If the host system is supporting any other security or directory services that do not use the DBMS to store information, this is a finding.

Note: This does not include client security applications like firewall and antivirus software.

Either move the DBMS installation to a dedicated host system or move the directory or security services to another host system.

A dedicated host system in this case refers to an instance of the operating system at a minimum.

The operating system may reside on a virtual host machine where supported by the DBMS vendor.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::not_share_a_host_supporting_an_independent_security_service: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::not_share_a_host_supporting_an_independent_security_service::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `not_share_a_host_supporting_an_independent_security_service` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61509

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::not_share_a_host_supporting_an_independent_security_service` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsnotify_appropriate_individuals_when_account_disabling_actions_are_taken"></a>`ora_secured::controls::notify_appropriate_individuals_when_account_disabling_actions_are_taken`

ora_secured::controls::notify_appropriate_individuals_when_account_disabling_actions_are_taken

If the DBMS does not notify appropriate individuals when account disabling actions are taken, this is a finding.

Working with the DBA and site management, determine the appropriate individuals (by job role) to be notified.

If Oracle Audit Vault is available, configure it to notify the appropriate individuals when accounts are disabled.

If Oracle Audit Vault is not available, configure the Oracle DBMS's auditing feature to record disabling of accounts.

If Standard Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.AUD$ table for these records and notify the appropriate individuals.

If unified Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.UNIFIED_AUDIT_TRAIL view for these records and notify the appropriate individuals.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::notify_appropriate_individuals_when_account_disabling_actions_are_taken: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::notify_appropriate_individuals_when_account_disabling_actions_are_taken::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `notify_appropriate_individuals_when_account_disabling_actions_are_taken` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61801

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::notify_appropriate_individuals_when_account_disabling_actions_are_taken` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsnotify_appropriate_individuals_when_accounts_are_created"></a>`ora_secured::controls::notify_appropriate_individuals_when_accounts_are_created`

ora_secured::controls::notify_appropriate_individuals_when_accounts_are_created

If the DBMS does not notify appropriate individuals when accounts are created, this is a finding.

Working with the DBA and site management, determine the appropriate individuals (by job role) to be notified.

If Oracle Audit Vault is available, configure it to notify the appropriate individuals when accounts are created.

If Oracle Audit Vault is not available, configure the Oracle DBMS's auditing feature to record account-creation activity.

If Standard Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.AUD$ table for these records and notify the appropriate individuals.

If unified Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.UNIFIED_AUDIT_TRAIL view for these records and notify the appropriate individuals.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_created: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_created::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `notify_appropriate_individuals_when_accounts_are_created` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61797

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_created` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsnotify_appropriate_individuals_when_accounts_are_modified"></a>`ora_secured::controls::notify_appropriate_individuals_when_accounts_are_modified`

ora_secured::controls::notify_appropriate_individuals_when_accounts_are_modified

If the DBMS does not notify appropriate individuals when accounts are modified, this is a finding.

Working with the DBA and site management, determine the appropriate individuals (by job role) to be notified.

If Oracle Audit Vault is available, configure it to notify the appropriate individuals when accounts are modified.

If Oracle Audit Vault is not available, configure the Oracle DBMS's auditing feature to record account-modification activity.

If Standard Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.AUD$ table for these records and notify the appropriate individuals.

If unified Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.UNIFIED_AUDIT_TRAIL view for these records and notify the appropriate individuals.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_modified: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_modified::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `notify_appropriate_individuals_when_accounts_are_modified` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61799

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_modified` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsnotify_appropriate_individuals_when_accounts_are_terminated"></a>`ora_secured::controls::notify_appropriate_individuals_when_accounts_are_terminated`

ora_secured::controls::notify_appropriate_individuals_when_accounts_are_terminated

If the DBMS does not notify appropriate individuals when accounts are terminated, this is a finding.

Working with the DBA and site management, determine the appropriate individuals (by job role) to be notified.

If Oracle Audit Vault is available, configure it to notify the appropriate individuals when accounts are terminated.

If Oracle Audit Vault is not available, configure the Oracle DBMS's auditing feature to record termination of accounts.

If Standard Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.AUD$ table for these records and notify the appropriate individuals.

If unified Auditing is used:
Create and deploy a mechanism, such as a frequently-run job, to monitor the SYS.UNIFIED_AUDIT_TRAIL view for these records and notify the appropriate individuals.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_terminated: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_terminated::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `notify_appropriate_individuals_when_accounts_are_terminated` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61803

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::notify_appropriate_individuals_when_accounts_are_terminated` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolso7_dictionary_accessibility_is_set_to_false"></a>`ora_secured::controls::o7_dictionary_accessibility_is_set_to_false`

ora_secured::controls::o7_dictionary_accessibility_is_set_to_false

that allows/disallows access to objects with the ANY privileges (`SELECT ANY TABLE`, `DELETE ANY TABLE`, `EXECUTE ANY PROCEDURE`, etc.). This functionality
was created for the ease of migration from Oracle 7 databases to later versions.
The setting should have a value of FALSE.

Note: The O7_dictionary_accessibility parameter has been deprecated in 12.2 and
higher versions.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::o7_dictionary_accessibility_is_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::o7_dictionary_accessibility_is_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `o7_dictionary_accessibility_is_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::o7_dictionary_accessibility_is_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsobject_permissions_granted_to_public_must_be_restricted"></a>`ora_secured::controls::object_permissions_granted_to_public_must_be_restricted`

ora_secured::controls::object_permissions_granted_to_public_must_be_restricted

These are accounts that have special privileges required to administer areas of the database, such as the “CREATE ANY TABLE” or “ALTER SESSION” privilege, or “EXECUTE” privileges on packages owned by the SYS schema. The default tablespace for administrative accounts is either “SYSTEM” or “SYSAUX”. Non-administrative user accounts only have the minimum privileges needed to perform their jobs. Their default tablespace is “USERS”.

To protect these accounts from unauthorized access, the installation process expires and locks most of these accounts, except where noted below. The database administrator is responsible for unlocking and resetting these accounts, as required.

Non-Administrative Accounts - Expired and locked:
APEX_PUBLIC_USER, DIP, FLOWS_040100*, FLOWS_FILES, MDDATA, ORACLE_OCM, SPATIAL_CSW_ADMIN_USR, SPATIAL_WFS_ADMIN_USR, XS$NULL

Administrative Accounts - Expired and Locked:
ANONYMOUS, CTXSYS, EXFSYS, LBACSYS, , GSMADMIN_INTERNAL, MDSYS, OLAPSYS, ORDDATA, OWBSYS, ORDPLUGINS, ORDSYS, OUTLN, SI_INFORMTN_SCHEMA, WK_TEST, WK_SYS, WKPROXY, WMSYS, XDB

Administrative Accounts - Open:
DBSNMP, MGMT_VIEW, SYS, SYSMAN, SYSTEM

* Subject to change based on version installed

Run the SQL query:

select owner ||'.'|| table_name ||':'|| privilege from dba_tab_privs
where grantee = 'PUBLIC'
and owner not in
(<list of non-applicable accounts>);

(With respect to the list of special accounts that are excluded from this requirement, it is expected that the DBA will maintain the list to suit local circumstances, adding special accounts as necessary and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

If there are any records returned that are not Oracle product accounts, and are not documented and authorized, this is a finding.

Note: This check may return false positives where other Oracle product accounts are not included in the exclusion list.

Revoke any privileges granted to PUBLIC for objects that are not owned by Oracle product accounts.

From SQL*Plus:

revoke [privilege name] from [user name] on [object name];

Assign permissions to custom application user roles based on job functions:

From SQL*Plus:

grant [privilege name] to [user role] on [object name];

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::object_permissions_granted_to_public_must_be_restricted: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::object_permissions_granted_to_public_must_be_restricted::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `object_permissions_granted_to_public_must_be_restricted` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61439

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::object_permissions_granted_to_public_must_be_restricted` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsonly_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace"></a>`ora_secured::controls::only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace`

ora_secured::controls::only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace

select property_name, property_value
from database_properties
where property_name in
('DEFAULT_PERMANENT_TABLESPACE','DEFAULT_TEMP_TABLESPACE');

If either value is set to SYSTEM, this is a finding.

Run the query:

select username from dba_users
where (default_tablespace = 'SYSTEM' or temporary_tablespace = 'SYSTEM')
and username not in
('LBACSYS','OUTLN','SYS','SYSTEM', 'SYSKM', 'SYSDG', 'SYSBACKUP');

If any non-default account records are returned, this is a finding.


Create and dedicate tablespaces to support only one application.

Do not share tablespaces between applications.

Do not grant quotas to application object owners on tablespaces not dedicated to their associated application.

Run the queries:

alter database default tablespace <tablespace_name>;
alter database default temporary tablespace <temporary_tablespace_name>;

alter user <username> default tablespace <tablespace_name> temporary tablespace <temporary_tablespace_name>;

Replace <username> with the named user account.
Replace <tablespace_name> with the new default tablespace name.
Replace <temporary_tablespace_name> with the new default temporary tablespace name (typically TEMP).
Repeat the "alter user" for each affected user account.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61459

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::only_auth_sys_accnts_must_have_sys_tablespace_specified_as_default_tablespace` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsonly_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def"></a>`ora_secured::controls::only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def`

ora_secured::controls::only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def

If database errors contain PII data, sensitive business data, or information useful for identifying the host system, this is a finding.

Notes on Oracle's approach to this issue:  Out of the box, Oracle covers this. For example, if a user does not have access to a table, the error is just that the table or view does not exist. The Oracle database is not going to display a Social Security Number in an error code unless an application is programmed to do so.  Oracle applications will not expose the actual transactional data to a screen.  The only way Oracle will capture this information is to enable specific logging levels.  Custom code would require a review to ensure compliance.

Configure DBMS and custom database and application code not to divulge sensitive information or information useful for system identification in error information.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61791

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::only_gen_error_messages_that_prov_info_necessary_for_corrective_actions_without_revealing_org_def` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized"></a>`ora_secured::controls::oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized`

ora_secured::controls::oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized

select grantee, granted_role from dba_role_privs
  where default_role='YES'
  and granted_role in
  (select grantee from dba_sys_privs where upper(privilege) like '%USER%')
  and grantee not in
  (<list of non-applicable accounts>)
  and grantee not in (select distinct owner from dba_tables)
  and grantee not in
  (select distinct username from dba_users where upper(account_status) like
   '%LOCKED%');

(With respect to the list of special accounts that are excluded from this requirement, it is expected that the DBA will maintain the list to suit local circumstances, adding special accounts as necessary and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

Review the list of accounts reported for this check and ensures that they are authorized application administration roles.

If any are not authorized application administration roles, this is a finding.

For each role assignment returned, issue:

From SQL*Plus:

  alter user [username] default role all except [role];

If the user has more than one application administration role assigned, then remove assigned roles from default assignment and assign individually the appropriate default roles.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61445

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_application_administration_roles_must_be_disabled_if_not_required_and_authorized` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_instance_names_must_not_contain_oracle_version_numbers"></a>`ora_secured::controls::oracle_instance_names_must_not_contain_oracle_version_numbers`

ora_secured::controls::oracle_instance_names_must_not_contain_oracle_version_numbers

select instance_name from v$instance;
  select version from v$instance;

If the instance name returned references the Oracle release number, this is a finding.

Numbers used that include version numbers by coincidence are not a finding.

The DBA should be able to relate the significance of the presence of a digit in the SID.

Follow the instructions in Oracle MetaLink Note 15390.1 (and related documents) to change the SID for the database without re-creating the database to a value that does not identify the Oracle version.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_instance_names_must_not_contain_oracle_version_numbers: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_instance_names_must_not_contain_oracle_version_numbers::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_instance_names_must_not_contain_oracle_version_numbers` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61413

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_instance_names_must_not_contain_oracle_version_numbers` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_listener_must_be_configured_to_require_administration_authentication"></a>`ora_secured::controls::oracle_listener_must_be_configured_to_require_administration_authentication`

ora_secured::controls::oracle_listener_must_be_configured_to_require_administration_authentication

Note:  This check needs to be done only once per host system and once per listener. Multiple listeners may be defined on a single host system. They must all be reviewed, but only once per database home review.

For subsequent database home reviews on the same host system, this check is not a finding.

Determine all Listeners running on the host.

For Windows hosts, view all Windows services with TNSListener embedded in the service name
  - The service name format is:
      Oracle[ORACLE_HOME_NAME]TNSListener

For UNIX hosts, the Oracle Listener process will indicate the TNSLSNR executable.

At a command prompt, issue the command:
  ps -ef | grep tnslsnr | grep -v grep

The alias for the listener follows tnslsnr in the command output.

Must be logged on the host system using the account that owns the tnslsnr executable (UNIX). If the account is denied local logon, have the system SA assist in this task by adding 'su' to the listener account from the root account. On Windows platforms, log on using an account with administrator privileges to complete the check.

From a system command prompt, execute the listener control utility:

  lsnrctl status [LISTENER NAME]

Review the results for the value of Security.

If "Security = OFF" is displayed, this is a finding.

If "Security = ON: Local OS Authentication" is displayed, this is not a finding.

If "Security = ON: Password or Local OS Authentication", this is a finding (do not set a password on Oracle versions 10.1 and higher. Instead, use Local OS Authentication).

Repeat the execution of the lsnrctl utility for all active listeners.

By default, Oracle Net Listener permits only local administration for security reasons. As a policy, the listener can be administered only by the user who started it. This is enforced through local operating system authentication. For example, if user1 starts the listener, then only user1 can administer it. Any other user trying to administer the listener gets an error. The super user is the only exception.

Remote administration of the listener must not be permitted. If listener administration from a remote system is required, granting secure remote access to the Oracle DBMS server and performing local administration is preferred. Authorize and document this requirement in the System Security Plan.

Note: In Oracle Database 12c Release 1 (12.1), the listener password feature is no longer supported. This does not cause a loss of security because authentication is enforced through local operating system authentication. Refer to Oracle Database Net Services Reference for additional information.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_listener_must_be_configured_to_require_administration_authentication: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_listener_must_be_configured_to_require_administration_authentication::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_listener_must_be_configured_to_require_administration_authentication` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61441

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_listener_must_be_configured_to_require_administration_authentication` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_must_back_up_user_level_information_per_a_defined_frequency"></a>`ora_secured::controls::oracle_must_back_up_user_level_information_per_a_defined_frequency`

ora_secured::controls::oracle_must_back_up_user_level_information_per_a_defined_frequency

If it is not, this is a finding.

(The V$RMAN_STATUS view displays the finished and on-going RMAN jobs. For on-going jobs, this view displays progress and status.)

Configure the Oracle DBMS to back up user-level data on a defined frequency.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_must_back_up_user_level_information_per_a_defined_frequency: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_must_back_up_user_level_information_per_a_defined_frequency::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_must_back_up_user_level_information_per_a_defined_frequency` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61693

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_must_back_up_user_level_information_per_a_defined_frequency` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_remote_os_authent_parameter_must_be_set_to_false"></a>`ora_secured::controls::oracle_remote_os_authent_parameter_must_be_set_to_false`

ora_secured::controls::oracle_remote_os_authent_parameter_must_be_set_to_false

select value from v$parameter where name = 'remote_os_authent';

If the value returned does not equal FALSE, this is a finding.

Document remote OS authentication in the System Security Plan.

If not required or not mitigated to an acceptable level, disable remote OS authentication.


  alter system set remote_os_authent = FALSE scope = spfile;

The above SQL*Plus command will set the parameter to take effect at next system startup.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_remote_os_authent_parameter_must_be_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_remote_os_authent_parameter_must_be_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_remote_os_authent_parameter_must_be_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61425

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_remote_os_authent_parameter_must_be_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_remote_os_roles_parameter_must_be_set_to_false"></a>`ora_secured::controls::oracle_remote_os_roles_parameter_must_be_set_to_false`

ora_secured::controls::oracle_remote_os_roles_parameter_must_be_set_to_false

select value from v$parameter where name = 'remote_os_roles';

If the returned value is not FALSE or not documented in the System Security Plan as required, this is a finding.

Document remote OS roles in the System Security Plan.

If not required, disable use of remote OS roles.


  alter system set remote_os_roles = FALSE scope = spfile;

The above SQL*Plus command will set the parameter to take effect at next system startup.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_remote_os_roles_parameter_must_be_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_remote_os_roles_parameter_must_be_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_remote_os_roles_parameter_must_be_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61427

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_remote_os_roles_parameter_must_be_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts"></a>`ora_secured::controls::oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts`

ora_secured::controls::oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts

These are accounts that have special privileges required to administer areas of the database, such as the CREATE ANY TABLE or ALTER SESSION privilege, or EXECUTE privileges on packages owned by the SYS schema. The default tablespace for administrative accounts is either SYSTEM or SYSAUX. Non-administrative user accounts only have the minimum privileges needed to perform their jobs. Their default tablespace is USERS.

To protect these accounts from unauthorized access, the installation process expires and locks most of these accounts, except where noted below. The database administrator is responsible for unlocking and resetting these accounts, as required.

Non-Administrative Accounts - Expired and locked:
APEX_PUBLIC_USER, DIP, FLOWS_040100*, FLOWS_FILES, MDDATA, ORACLE_OCM, SPATIAL_CSW_ADMIN_USR, SPATIAL_WFS_ADMIN_USR, XS$NULL

Administrative Accounts - Expired and Locked:
ANONYMOUS, CTXSYS, EXFSYS, LBACSYS, MDSYS, OLAPSYS, ORDDATA, OWBSYS, ORDPLUGINS, ORDSYS, OUTLN, SI_INFORMTN_SCHEMA, WK_TEST, WK_SYS, WKPROXY, WMSYS, XDB

Administrative Accounts - Open:
DBSNMP, MGMT_VIEW, SYS, SYSMAN, SYSTEM

* Subject to change based on version installed

Run the SQL statement:

  select grantee||': '||granted_role from dba_role_privs
  where grantee not in
  (<list of non-applicable accounts>)
  and admin_option = 'YES'
  and grantee not in
  (select distinct owner from dba_objects)
  and grantee not in
  (select grantee from dba_role_privs
   where granted_role = 'DBA')
  order by grantee;

(With respect to the list of special accounts that are excluded from this requirement, it is expected that the DBA will maintain the list to suit local circumstances, adding special accounts as necessary and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

Review the System Security Plan to confirm any grantees listed are ISSO-authorized DBA accounts or application administration roles.

If any grantees listed are not authorized and documented, this is a finding.

Revoke assignment of roles with the WITH ADMIN OPTION from unauthorized grantees and re-grant them without the option if required.

SQL statements to remove the admin option from an unauthorized grantee:
  revoke <role name> from <grantee>;
  grant <role name> to <grantee>;

Restrict use of the WITH ADMIN OPTION to authorized administrators.

Document authorized role assignments with the WITH ADMIN OPTION in the System Security Plan.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61437

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_roles_granted_using_the_with_admin_option_must_not_be_granted_to_unauthorized_accounts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities"></a>`ora_secured::controls::oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities`

ora_secured::controls::oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities

Then, issue the following command:

SELECT patch_id, version, action, status, description from dba_registry_sqlpatch;

This will generate the patch levels for the home and any specific patches that have been applied to it.

If the currently installed patch levels are lower than the latest, this is a finding.

Follow the process below to apply the security patch.

Log on to My Oracle Support.

Select patches and download the specific patch number and corresponding MD5 checksum. Once the patch is downloaded to the server, check the MD5 checksum to make sure the patch is valid.

To check the MD5 Checksum in Linux/UNIX, the command is:
$md5sum absolute_path_of_file_name - file_name is the complete location of the downloaded file.
$md5sum /home/oracle/test.zip
a34d8cd98f00cf24e9800998ecf823e4 /home/oracle/test.zip

Once the checksum is validated, apply the patch:
$ cd $ORACLE_HOME
$ opatch apply

Check that the patch was applied and the inventory was updated with the following command (UNIX/Linux):
$ opatch lsinventory -detail

Windows:
> opatch lsinventory –detail

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61539

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_software_must_be_evaluated_and_patched_against_newly_found_vulnerabilities` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_sql92_security_parameter_must_be_set_to_true"></a>`ora_secured::controls::oracle_sql92_security_parameter_must_be_set_to_true`

ora_secured::controls::oracle_sql92_security_parameter_must_be_set_to_true

select value from v$parameter where name = 'sql92_security';

If the value returned is set to FALSE, this is a finding.

If the parameter is set to TRUE or does not exist, this is not a finding.

Enable SQL92 security.


  alter system set sql92_security = TRUE scope = spfile;

The above SQL*Plus command will set the parameter to take effect at next system startup.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_sql92_security_parameter_must_be_set_to_true: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_sql92_security_parameter_must_be_set_to_true::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_sql92_security_parameter_must_be_set_to_true` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61429

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_sql92_security_parameter_must_be_set_to_true` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsoracle_trace_files_public_parameter_if_present_must_be_set_to_false"></a>`ora_secured::controls::oracle_trace_files_public_parameter_if_present_must_be_set_to_false`

ora_secured::controls::oracle_trace_files_public_parameter_if_present_must_be_set_to_false

select value from v$parameter where name = '_trace_files_public';

If the value returned is TRUE, this is a finding.

If the parameter does not exist or is set to FALSE, this is not a finding.

From SQL*Plus (shutdown database instance):

  shutdown immediate

From SQL*Plus (create a pfile from spfile):

  create pfile='[PATH]init[SID].ora' from spfile;

Edit the init[SID].ora file and remove the following line:

  *._trace_files_public=TRUE

From SQL*Plus (update the spfile using the pfile):

  create spfile from pfile='[PATH]init[SID].ora';

From SQL*Plus (start the database instance):

  startup

Note: [PATH] depends on the platform (Windows or UNIX).

Ensure the file is directed to a writable location.

[SID] is equal to the oracle SID or database instance ID.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::oracle_trace_files_public_parameter_if_present_must_be_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::oracle_trace_files_public_parameter_if_present_must_be_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `oracle_trace_files_public_parameter_if_present_must_be_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61465

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::oracle_trace_files_public_parameter_if_present_must_be_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsorcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n"></a>`ora_secured::controls::orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n`

ora_secured::controls::orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n

If the DBMS has a continuous network connection to the centralized log management system, but the DBMS audit records are not written directly to the centralized log management system or transferred in near-real-time, this is a finding.

If the DBMS does not have a continuous network connection to the centralized log management system, and the DBMS audit records are not transferred to the centralized log management system weekly or more often, this is a finding.

Configure the DBMS or deploy and configure software tools to transfer audit records to a centralized log management system, continuously and in near-real-time where a continuous network connection to the log management system exists, or at least weekly in the absence of such a connection.

For more information on auditing, refer to the following documents:

https://docs.oracle.com/database/121/DBSEG/auditing.htm#DBSEG1024


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61871

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::orcl_db_must_off_load_audit_data_to_a_separate_log_mgmt_facility_this_must_be_continuous_and_in_n` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsorcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s"></a>`ora_secured::controls::orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s`

ora_secured::controls::orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s

select value from v$parameter where upper(name) = 'REMOTE_LOGIN_PASSWORDFILE';

If the value returned does not equal 'EXCLUSIVE' or 'NONE', this is a finding.

On UNIX Systems:

ls -ld $ORACLE_HOME/dbs/orapw${ORACLE_SID}

Substitute ${ORACLE_SID} with the name of the ORACLE_SID for the database.

If permissions are granted for world access, this is a finding.

On Windows Systems (From Windows Explorer):

Browse to the %ORACLE_HOME\database\directory.

Select and right-click on the PWD%ORACLE_SID%.ora file, select Properties, select the Security tab.
Substitute %ORACLE_SID% with the name of the ORACLE_SID for the database.

If permissions are granted to everyone, this is a finding.
If any account other than the DBMS software installation account is listed, this is a finding.


Disable use of the REMOTE_LOGIN_PASSWORDFILE where remote administration is not authorized by specifying a value of NONE.

If authorized, restrict use of a password file to exclusive use by each database by specifying a value of EXCLUSIVE.


alter system set REMOTE_LOGIN_PASSWORDFILE = 'EXCLUSIVE' scope = spfile;

OR

alter system set REMOTE_LOGIN_PASSWORDFILE = 'NONE' scope = spfile;

The above SQL*Plus command will set the parameter to take effect at next system startup.

Restrict ownership and permissions on the Oracle password file to exclude world (Unix) or everyone (Windows).

More information regarding the ORAPWD file and the REMOTE_LOGIN_PASSWORDFILE parameter, can be found here:
https://docs.oracle.com/database/121/ADMIN/dba.htm#ADMIN12478


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61431

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::orcl_pwd_file_ownership_and_permissions_should_be_lmted_and_rmt_login_pwdfile_parameter_must_be_s` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsorcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts"></a>`ora_secured::controls::orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts`

ora_secured::controls::orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts

select grantee||': '||owner||'.'||table_name
from dba_tab_privs
where grantable = 'YES'
and grantee not in (select distinct owner from dba_objects)
and grantee not in (select grantee from dba_role_privs where granted_role = 'DBA')
and table_name not like 'SYS_PLSQL_%'
order by grantee;


If any accounts are listed, this is a finding.

Revoke privileges granted the WITH GRANT OPTION from non-DBA and accounts that do not own application objects.

Re-grant privileges without specifying WITH GRANT OPTION.

Note: Do not revoke the system-generated grants such as those found on The SYS_PLSQL_% objects. They are system generated object types (a.k.a ShadowTypes) which are created internally by Oracle when you use the Pipelined Table Functions. This can result in (incorrect) compilation failures and/or invalidations when the users who are supposed to have access to the shadow types find themselves without access.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61421

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::orcl_with_grnt_option_priv_must_not_be_grnted_to_non_dba_or_non_app_admin_user_accnts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsos_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges"></a>`ora_secured::controls::os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges`

ora_secured::controls::os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges

Validate that these OS accounts have only the privileges necessary to perform the required functionality.

If any OS accounts, utilized by the database for running external procedures, have privileges beyond those required for running the external procedures, this is a finding.

If use of the external procedure agent is authorized, ensure extproc is restricted to execution of authorized applications.

External jobs are run using the account nobody by default.

Review the contents of the file ORACLE_HOME/rdbms/admin/externaljob.ora for the lines run_user= and run_group=.

If the user assigned to these parameters is not "nobody", this is a finding.

System views providing privilege information are:
DBA_SYS_PRIVS
DBA_TAB_PRIVS
DBA_ROLE_PRIVS

Limit privileges to DBMS-related OS accounts to those required to perform their DBMS specific functionality.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61601

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::os_accounts_utilized_to_run_external_procedures_called_by_the_dbms_must_have_limited_privileges` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsos_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs"></a>`ora_secured::controls::os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs`

ora_secured::controls::os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs

The software library location may be determined from vendor documentation or service/process executable paths.

DBA accounts, the DBMS process account, the DBMS software installation/maintenance account, SA accounts, if access by them is required for some operational level of support such as backups, and the host system itself require access. Any others should be scrutinized and a reason for access provided by the DBA.

If accounts that are not required and authorized to have access to the software library location do have access, this is a finding.

Check to see which users have been granted DBA.  Work from a basis of least privilege.  Provide the least amount of privilege required to accomplish the job.

SQL> select * from dba_role_privs where granted_role = 'DBA';

Restrict access to the DBMS software libraries to accounts that require access based on job function.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61869

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::os_must_lmt_privs_to_change_dbms_sw_resident_within_sw_libs_including_privd_programs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsos_roles_is_set_to_false"></a>`ora_secured::controls::os_roles_is_set_to_false`

ora_secured::controls::os_roles_is_set_to_false

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::os_roles_is_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::os_roles_is_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `os_roles_is_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::os_roles_is_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsowners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities"></a>`ora_secured::controls::owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities`

ora_secured::controls::owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities

If there is not a policy requiring owners of privileged accounts to use non-privileged accounts for non-administrative activities, this is a finding.  If there is evidence that owners of privileged accounts do not adhere to this policy, this is a finding.

Require that DBAs and other privileged users use non-privileged accounts for non-administrative activities.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61597

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::owners_of_privileged_accounts_must_use_non_privileged_accounts_for_non_administrative_activities` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolspassword_grace_time_is_less_than_or_equal_to_5"></a>`ora_secured::controls::password_grace_time_is_less_than_or_equal_to_5`

ora_secured::controls::password_grace_time_is_less_than_or_equal_to_5

user's password expires before the user's login capability is automatically
locked out. The suggested value for this is five days or less.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::password_grace_time_is_less_than_or_equal_to_5: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::password_grace_time_is_less_than_or_equal_to_5::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `password_grace_time_is_less_than_or_equal_to_5` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::password_grace_time_is_less_than_or_equal_to_5` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[0,5]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 5)`

### <a name="ora_securedcontrolspassword_life_time_is_less_than_or_equal_to_90"></a>`ora_secured::controls::password_life_time_is_less_than_or_equal_to_90`

ora_secured::controls::password_life_time_is_less_than_or_equal_to_90

before the user is required to be change it. The suggested value for this is 90
days or less.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::password_life_time_is_less_than_or_equal_to_90: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::password_life_time_is_less_than_or_equal_to_90::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `password_life_time_is_less_than_or_equal_to_90` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::password_life_time_is_less_than_or_equal_to_90` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[0,90]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 90)`

### <a name="ora_securedcontrolspassword_lock_time_is_greater_than_or_equal_to_1"></a>`ora_secured::controls::password_lock_time_is_greater_than_or_equal_to_1`

ora_secured::controls::password_lock_time_is_greater_than_or_equal_to_1

user's account to be unlocked after the set number of failed login attempts has
occurred. The suggested value for this is one day or greater.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::password_lock_time_is_greater_than_or_equal_to_1: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::password_lock_time_is_greater_than_or_equal_to_1::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `password_lock_time_is_greater_than_or_equal_to_1` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::password_lock_time_is_greater_than_or_equal_to_1` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[1,365]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 1)`

### <a name="ora_securedcontrolspassword_reuse_max_is_greater_than_or_equal_to_20"></a>`ora_secured::controls::password_reuse_max_is_greater_than_or_equal_to_20`

ora_secured::controls::password_reuse_max_is_greater_than_or_equal_to_20

used before the user is allowed to reuse a prior password. The suggested value
for this is 20 passwords or greater.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::password_reuse_max_is_greater_than_or_equal_to_20: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::password_reuse_max_is_greater_than_or_equal_to_20::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `password_reuse_max_is_greater_than_or_equal_to_20` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.4
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::password_reuse_max_is_greater_than_or_equal_to_20` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[20,999]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 20)`

### <a name="ora_securedcontrolspassword_reuse_time_is_greater_than_or_equal_to_365"></a>`ora_secured::controls::password_reuse_time_is_greater_than_or_equal_to_365`

ora_secured::controls::password_reuse_time_is_greater_than_or_equal_to_365

must pass before the same password may be reused. The suggested value for this
is 365 days or greater.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::password_reuse_time_is_greater_than_or_equal_to_365: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::password_reuse_time_is_greater_than_or_equal_to_365::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `password_reuse_time_is_greater_than_or_equal_to_365` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::password_reuse_time_is_greater_than_or_equal_to_365` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[365,9999]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 365)`

### <a name="ora_securedcontrolspassword_verify_function_is_set_for_all_profiles"></a>`ora_secured::controls::password_verify_function_is_set_for_all_profiles`

ora_secured::controls::password_verify_function_is_set_for_all_profiles

user password is changed at the SQL command prompt. It should be set for all
profiles. Note that this setting does not apply for users managed by the Oracle
password file.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::password_verify_function_is_set_for_all_profiles: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::password_verify_function_is_set_for_all_profiles::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `password_verify_function_is_set_for_all_profiles` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.7
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.7
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.7

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::password_verify_function_is_set_for_all_profiles` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude',[])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `String`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value','ORA12C_STRONG_VERIFY_FUNCTION')`

### <a name="ora_securedcontrolsplans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio"></a>`ora_secured::controls::plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio`

ora_secured::controls::plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio

If policy and procedures do not exist or evidence of implementation does not exist, this is a finding.

Develop, document and implement procedures for testing DBMS installations, upgrades and patches prior to deployment on production systems.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61499

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::plans_and_procs_for_testing_dbms_installations_upgrades_and_patches_must_be_def_and_followed_prio` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolspreserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure"></a>`ora_secured::controls::preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure`

ora_secured::controls::preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure

If it has been determined that up-to-the second recovery is not necessary and this fact is recorded in the system documentation, with appropriate approval, this is not a finding.

Check DBMS settings to determine whether system state information is being preserved in the event of a system failure.

The necessary state information is defined as "information necessary to determine cause of failure and to return to operations with least disruption to mission/business processes".

Oracle creates what is known as archive logs. Archive logs contain information required to replay a transaction should something happen. The redo logs are also used to copy transactions or pieces of transactions.

Issue the following commands to check the status of archive log mode:

$ sqlplus connect as sysdba --Check current archivelog mode in database

SQL> archive log list
Database log mode Archive Mode
Automatic archival Enabled
Archive destination /home/oracle/app/oracle/arc2/ORCL
Oldest online log sequence 433
Next log sequence to archive 435
Current log sequence 435

If archive log mode is not enabled, this is a finding.

Configure DBMS settings to preserve all required system state information in the event of a system failure.

If the database is not in archive log mode, issue the following commands to put the database in archive log mode. The database must be normally shutdown and restarted before it can be placed in archive log mode.

$ sqlplus connect as sysdba -- stop and dismount database and shutdown instance.
SQL> shutdown immediate;

Database closed.
Database dismounted.
ORACLE instance shut down.

SQL> startup mount; -- Restart instance.

ORACLE instance started.
Total System Global Area 1653518336 bytes
Fixed Size 2228904 bytes
Variable Size 1325403480 bytes
Database Buffers 318767104 bytes
Redo Buffers 7118848 bytes
Database mounted.

SQL> alter database archivelog; -- Enable ArchiveLog
Database altered.

SQL> alter database open; -- Re-open database
Database altered.

Issue the following command to see the new status:
SQL> select log_mode from v$database;

LOG_MODE
------------
ARCHIVELOG

SQL> archive log list;

Database log mode Archive Mode
Automatic archival Enabled
Archive destination USE_DB_RECOVERY_FILE_DEST
Oldest online log sequence 294
Next log sequence to archive 296
Current log sequence 296

The database is now in archive log mode, and transactions are either being recorded to transport to another database or being re-applied if the database becomes corrupt and needs to be restored from the last backup. Use the redo logs to replay transactions not captured in the backup.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61769

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::preserve_any_organization_defined_system_state_information_in_the_event_of_a_system_failure` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i"></a>`ora_secured::controls::prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i`

ora_secured::controls::prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i

If administrator and general user functionality is not separated either physically or logically, this is a finding.

Configure DBMS settings to separate database administration and general user functionality.  Provide those who have both administrative and general-user responsibilities with separate accounts for these separate functions.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61885

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prevent_presentation_of_info_sys_mgmt_related_functionality_at_an_interface_utilized_by_general_i` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources"></a>`ora_secured::controls::prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources`

ora_secured::controls::prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources

Review any scripts or code that exists for the movement of production data to development/test, and verify copies of production data are not left in unprotected locations.

If there is no documented procedure for data movement from production to development/test, this is a finding.

If the code that exists for data movement does not remove any copies of production data from unprotected locations, this is a finding.

Create and document a process for moving data from production to development/test systems, and follow the process.

Modify any code used for moving data from production to development/test systems to ensure copies of production data are not left in nonsecured locations.

Moving data is only a part of the challenge of protecting the data.  When the data is moved, it should also be changed so sensitive information is not made available in development environments.

With the Oracle Data Masking Pack for Oracle Enterprise Manager, organizations can comply with data privacy and protection mandates that restrict the use of actual customer data. With Oracle Data Masking Pack, sensitive information, such as credit card or social security numbers, can be replaced with realistic values, allowing production data to be safely used for development, testing, or sharing with out-source or off-shore partners for other nonproduction purposes.  When used in conjunction with Oracle Enterprise Manager, it is easy to develop a secure process that is capable of obfuscating the data during the movement process.

If the Oracle Data Masking Pack and Enterprise Manager are not available, develop site-specific procedures to manage and obfuscate sensitive data.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61781

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prevent_unauthorized_and_unintended_information_transfer_via_shared_system_resources` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprocedure_audit_option_is_enabled"></a>`ora_secured::controls::procedure_audit_option_is_enabled`

ora_secured::controls::procedure_audit_option_is_enabled

library. Enabling this audit option causes any attempt, successful or not, to
create or drop any of these types of objects to be audited, regardless of
privilege or lack thereof. Java schema objects (sources, classes, and resources)
are considered the same as procedures for the purposes of auditing SQL
statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::procedure_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::procedure_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `procedure_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.15
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.15
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.15

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::procedure_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprocs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed"></a>`ora_secured::controls::procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed`

ora_secured::controls::procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed

Review documented policy, procedures and proof of implementation for restrictions placed on data exports from the production database.

Policy and procedures should include that only authorized users have access to DBMS export utilities and that export data is properly sanitized prior to import to a development database.

Policy and procedures may also include that developers be granted the necessary clearance and need-to-know prior to import of production data.

If documented policy, procedures and proof of implementation are not present or complete, this is a finding.

If methods to sanitize sensitive data are required and not documented or followed, this is a finding.

Develop, document and implement policy and procedures that provide restrictions for production data export.

Require users and administrators assigned privileges that allow the export of production data from a production database to acknowledge understanding of export restrictions.

Restrict permissions allowing use or access to database export procedures or functions to authorized users.

Ensure sensitive data from production is sanitized prior to import to a development database (See check O121-BP-023300.)

Grant access and need-to-know to developers where allowed by policy.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61501

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::procs_and_rstctns_for_import_of_prod_data_to_dev_dbs_must_be_doc_impl_and_followed` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprocs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl"></a>`ora_secured::controls::procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl`

ora_secured::controls::procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl

Where accounts are authenticated using passwords, review procedures and implementation evidence for creation of temporary passwords.

If the procedures or evidence do not exist or do not enforce passwords to meet DoD password requirements, this is a finding.

Implement procedures for assigning temporary passwords to user accounts.

Procedures should include instructions to meet current DoD password length and complexity requirements and provide a secure method to relay the temporary password to the user.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61735

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::procs_for_esting_tmp_pwds_that_meet_dod_pwd_reqs_for_new_accnts_must_be_def_doc_and_impl` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprocs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current"></a>`ora_secured::controls::procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current`

ora_secured::controls::procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current

If any such account (other than SYS, SYSBACKUP, SYSDG, and SYSKM) is not certificate-based, this is a finding.

For each such account, use DoD certificate-based authentication.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61745

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::procs_services_apps_etc_that_connect_to_dbms_independently_of_indiv_users_must_use_valid_current` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsproduce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred"></a>`ora_secured::controls::produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred`

ora_secured::controls::produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value 'NONE', this is a finding.

To confirm that Oracle audit is capturing sufficient information to establish where events occurred, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.AUD$ table or the audit file, whichever is in use.

If no DB ID or Object Creator (standard audit) or Object Schema (unified audit) or Object Name, or the wrong values, are returned for the auditable actions just performed, this is a finding.

If correct values for User Host and Terminal are not returned when applicable, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish where events occurred, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view.

If no DB ID or Object Creator (standard audit) or Object Schema (unified audit) or Object Name, or the wrong values,
are returned for the auditable actions just performed, this is a finding.

If correct values for User Host and Terminal are not returned when applicable, this is a finding.

If Unified Auditing is used, the following view can be useful for reviewing its output:

CREATE OR REPLACE FORCE VIEW SYS.UNIFIED_AUDIT_TRAIL
(
    AUDIT_TYPE,
    SESSIONID,
    PROXY_SESSIONID,
    OS_USERNAME,
    USERHOST,
    TERMINAL,
    INSTANCE_ID,
    DBID,
    AUTHENTICATION_TYPE,
    DBUSERNAME,
    DBPROXY_USERNAME,
    EXTERNAL_USERID,
    GLOBAL_USERID,
    CLIENT_PROGRAM_NAME,
    DBLINK_INFO,
    XS_USER_NAME,
    XS_SESSIONID,
    ENTRY_ID,
    STATEMENT_ID,
    EVENT_TIMESTAMP,
    ACTION_NAME,
    RETURN_CODE,
    OS_PROCESS,
    TRANSACTION_ID,
    SCN,
    EXECUTION_ID,
    OBJECT_SCHEMA,
    OBJECT_NAME,
    SQL_TEXT,
    SQL_BINDS,
    APPLICATION_CONTEXTS,
    CLIENT_IDENTIFIER,
    NEW_SCHEMA,
    NEW_NAME,
    OBJECT_EDITION,
    SYSTEM_PRIVILEGE_USED,
    SYSTEM_PRIVILEGE,
    AUDIT_OPTION,
    OBJECT_PRIVILEGES,
    ROLE,
    TARGET_USER,
    EXCLUDED_USER,
    EXCLUDED_SCHEMA,
    EXCLUDED_OBJECT,
    ADDITIONAL_INFO,
    UNIFIED_AUDIT_POLICIES,
    FGA_POLICY_NAME,
    XS_INACTIVITY_TIMEOUT,
    XS_ENTITY_TYPE,
    XS_TARGET_PRINCIPAL_NAME,
    XS_PROXY_USER_NAME,
    XS_DATASEC_POLICY_NAME,
    XS_SCHEMA_NAME,
    XS_CALLBACK_EVENT_TYPE,
    XS_PACKAGE_NAME,
    XS_PROCEDURE_NAME,
    XS_ENABLED_ROLE,
    XS_COOKIE,
    XS_NS_NAME,
    XS_NS_ATTRIBUTE,
    XS_NS_ATTRIBUTE_OLD_VAL,
    XS_NS_ATTRIBUTE_NEW_VAL,
    DV_ACTION_CODE,
    DV_ACTION_NAME,
    DV_EXTENDED_ACTION_CODE,
    DV_GRANTEE,
    DV_RETURN_CODE,
    DV_ACTION_OBJECT_NAME,
    DV_RULE_SET_NAME,
    DV_COMMENT,
    DV_FACTOR_CONTEXT,
    DV_OBJECT_STATUS,
    OLS_POLICY_NAME,
    OLS_GRANTEE,
    OLS_MAX_READ_LABEL,
    OLS_MAX_WRITE_LABEL,
    OLS_MIN_WRITE_LABEL,
    OLS_PRIVILEGES_GRANTED,
    OLS_PROGRAM_UNIT_NAME,
    OLS_PRIVILEGES_USED,
    OLS_STRING_LABEL,
    OLS_LABEL_COMPONENT_TYPE,
    OLS_LABEL_COMPONENT_NAME,
    OLS_PARENT_GROUP_NAME,
    OLS_OLD_VALUE,
    OLS_NEW_VALUE,
    RMAN_SESSION_RECID,
    RMAN_SESSION_STAMP,
    RMAN_OPERATION,
    RMAN_OBJECT_TYPE,
    RMAN_DEVICE_TYPE,
    DP_TEXT_PARAMETERS1,
    DP_BOOLEAN_PARAMETERS1,
    DIRECT_PATH_NUM_COLUMNS_LOADED
)
AS
    SELECT act.component,
           sessionid,
           proxy_sessionid,
           os_user,
           host_name,
           terminal,
           instance_id,
           dbid,
           authentication_type,
           userid,
           proxy_userid,
           external_userid,
           global_userid,
           client_program_name,
           dblink_info,
           xs_user_name,
           xs_sessionid,
           entry_id,
           statement_id,
           CAST (event_timestamp AS TIMESTAMP WITH LOCAL TIME ZONE),
           act.name,
           return_code,
           os_process,
           transaction_id,
           scn,
           execution_id,
           obj_owner,
           obj_name,
           sql_text,
           sql_binds,
           application_contexts,
           client_identifier,
           new_owner,
           new_name,
           object_edition,
           system_privilege_used,
           spx.name,
           aom.name,
           object_privileges,
           role,
           target_user,
           excluded_user,
           excluded_schema,
           excluded_object,
           additional_info,
           unified_audit_policies,
           fga_policy_name,
           xs_inactivity_timeout,
           xs_entity_type,
           xs_target_principal_name,
           xs_proxy_user_name,
           xs_datasec_policy_name,
           xs_schema_name,
           xs_callback_event_type,
           xs_package_name,
           xs_procedure_name,
           xs_enabled_role,
           xs_cookie,
           xs_ns_name,
           xs_ns_attribute,
           xs_ns_attribute_old_val,
           xs_ns_attribute_new_val,
           dv_action_code,
           dv_action_name,
           dv_extended_action_code,
           dv_grantee,
           dv_return_code,
           dv_action_object_name,
           dv_rule_set_name,
           dv_comment,
           dv_factor_context,
           dv_object_status,
           ols_policy_name,
           ols_grantee,
           ols_max_read_label,
           ols_max_write_label,
           ols_min_write_label,
           ols_privileges_granted,
           ols_program_unit_name,
           ols_privileges_used,
           ols_string_label,
           ols_label_component_type,
           ols_label_component_name,
           ols_parent_group_name,
           ols_old_value,
           ols_new_value,
           rman_session_recid,
           rman_session_stamp,
           rman_operation,
           rman_object_type,
           rman_device_type,
           dp_text_parameters1,
           dp_boolean_parameters1,
           direct_path_num_columns_loaded
      FROM gv$unified_audit_trail     uview,
           all_unified_audit_actions  act,
           system_privilege_map       spx,
           stmt_audit_option_map      aom
     WHERE     uview.action = act.action(+)
           AND -uview.system_privilege = spx.privilege(+)
           AND uview.audit_option = aom.option#(+)
           AND uview.audit_type = act.TYPE;

Configure the DBMS's auditing to audit standard and organization-defined auditable events, the audit record to include where the event occurred. If preferred, use a third-party or custom tool.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:

ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;

Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database.
 Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61633

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::produce_audit_records_containing_sufficient_information_to_establish_where_the_events_occurred` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event"></a>`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event`

ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value "NONE", this is a finding.

To confirm that Oracle audit is capturing sufficient information to establish the identity of the user/subject or process, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.AUD$ table or the audit file, whichever is in use.

If no user ID, or the wrong value, is returned for the auditable actions just performed, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish the identity of the user/subject or process, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view, whichever is in use.

If no user ID, or the wrong value, is returned for the auditable actions just performed, this is a finding.

Configure the DBMS's auditing to audit standard and organization-defined auditable events, the audit record to include the identity of any user/subject or process associated with the event. If preferred, use a third-party or custom tool.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:

ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;

Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database.
Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61639

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_id_of_any_user_subject_or_proc_ass_with_event` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events"></a>`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events`

ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value 'NONE', this is a finding.

To confirm that Oracle audit is capturing sufficient information to establish outcomes, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.AUD$ table or the audit file, whichever is in use.

If no return code or other outcome information is returned for the auditable action just performed, this is a finding.

If error is indicated for the successful action, this is a finding. If no error is indicated for the unsuccessful action, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish outcomes, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view.

If no return code or other outcome information is returned for the auditable action just performed, this is a finding.

If error is indicated for the successful action, this is a finding.

If no error is indicated for the unsuccessful action, this is a finding.

Configure the DBMS's auditing to audit standard and organization-defined auditable events, the audit record to include the outcome. If preferred, use a third-party or custom tool.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:

ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;

Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database.
Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61637

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_outcome_success_or_failure_of_events` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_sources_origins_of_events"></a>`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events`

ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value 'NONE', this is a finding.

To confirm that Oracle audit is capturing sufficient information to establish the source of events, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.AUD$ table or the audit file, whichever is in use.

If correct values for User ID, User Host, and Terminal are not returned when applicable, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish the source of events, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view.

If correct values for DBUSERNAME, USERHOST, and TERMINAL are not returned when applicable, this is a finding.

Configure the DBMS's auditing to audit standard and organization-defined auditable events, the audit record to include the source of the event. If preferred, use a third-party or custom tool.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:

ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;

Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database.
Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61635

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_sources_origins_of_events` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred"></a>`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred`

ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value "NONE", this is a finding.

To confirm that Oracle audit is capturing sufficient information to establish the identity of the user/subject or process, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.AUD$ table or the audit file, whichever is in use.

If no ACTION#, or the wrong value, is returned for the auditable actions just performed, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish the identity of the user/subject or process, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view.

If no ACTION_NAME, or the wrong value, is returned for the auditable actions just performed, this is a finding.


Configure the DBMS's auditing to audit standard and organization-defined auditable events, the audit record to include what type of event occurred. If preferred, use a third-party or custom tool.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:

ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;

Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database.
Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61627

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_what_type_of_events_occurred` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsproduce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred"></a>`ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred`

ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SHOW PARAMETER AUDIT_TRAIL

or the following SQL query:

SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';

If Oracle returns the value 'NONE', this is a finding.

To confirm that Oracle audit is capturing sufficient information to establish when events occurred, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.UNIFIED_AUDIT_TRAIL view.

If no timestamp, or the wrong value, is returned for the auditable actions just performed, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:

SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';

If Oracle returns the value "TRUE", this is not a finding.

To confirm that Oracle audit is capturing sufficient information to establish when events occurred, perform a successful auditable action and an auditable action that results in an SQL error, and then view the results in the SYS.AUD$ table or the audit file, whichever is in use.

If no timestamp, or the wrong value, is returned for the auditable actions just performed, this is a finding.

Configure the DBMS's auditing to audit standard and organization-defined auditable events, the audit record to include the date and time of any user/subject or process associated with the event. If preferred, use a third-party or custom tool.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

To ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database.
Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61631

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::produce_audit_recs_cont_suff_info_to_est_when_date_and_time_events_occurred` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprofile_audit_option_is_enabled"></a>`ora_secured::controls::profile_audit_option_is_enabled`

ora_secured::controls::profile_audit_option_is_enabled

limits that can be assigned to a user, so that that user cannot exceed those
resource limitations. Enabling the audit option causes auditing of all attempts,
successful or not, to create, drop or alter any profile.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::profile_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::profile_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `profile_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.4
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::profile_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action"></a>`ora_secured::controls::prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action`

ora_secured::controls::prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action

If a shared account is used by an application to interact with the database, review the System Security Plan, the tables in the database, and the application source code/documentation to determine whether the application captures the individual user's identity and stores that identity along with all data inserted and updated (also with all records of reads and/or deletions, if these are required to be logged).

If there are gaps in the application's ability to do this, and the gaps and the risk are not defined in the system documentation and accepted by the AO, this is a finding.

If users are sharing a group account to log on to Oracle tools or third-party products that access the database, this is a finding.

If Standard Auditing is used:
To ensure that user activities other than SELECT, INSERT, UPDATE, and DELETE are also monitored and attributed to individuals, verify that Oracle auditing is enabled. To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

If Unified Auditing is used:
To ensure that user activities other than SELECT, INSERT, UPDATE, and DELETE are also monitored and attributed to individuals, verify that Oracle auditing is enabled. To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';
If Oracle returns the value "TRUE", this is not a finding.

Use accounts assigned to individual users where feasible. Configure DBMS to provide individual accountability at the DBMS level, and in audit logs, for actions performed under a shared database account.

Modify applications and data tables that are not capturing individual user identity to do so.

Create and enforce the use of individual user IDs for logging on to Oracle tools and third-party products.

If Oracle auditing is not already enabled, enable it.

If Standard Auditing is used:
If Oracle (or third-party) auditing is not already enabled, enable it. For Oracle auditing, use this query:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If Unified Auditing is used:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing.  For details, refer to Oracle documentation at the locations above.

If this level of auditing does not meet site-specific requirements, consider deploying the Oracle Audit Vault.  The Audit Vault is a highly configurable option from Oracle made specifically for performing the audit functions.  It has reporting capabilities as well as user-defined rules that provide additional flexibility for complex auditing requirements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61887

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prot_against_an_indiv_who_uses_a_shared_accnt_falsely_denying_having_perfd_a_particular_action` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks"></a>`ora_secured::controls::prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks`

ora_secured::controls::prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks

If measures have not been implemented, this is a finding.

Check the $ORACLE_HOME/network/admin/listener.ora to see if a Rate Limit has been established.  A rate limit is used to prevent denial of service (DOS) attacks on a database or to control a logon storm such as may be caused by an application server reboot.

- - - - -
Example of a listener configuration with rate limiting in effect:

CONNECTION_RATE_LISTENER=10

LISTENER=
  (ADDRESS_LIST=
    (ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1521)(RATE_LIMIT=yes))
    (ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1522)(RATE_LIMIT=yes))
    (ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1526))
  )
LISTENER=
  (ADDRESS_LIST=
    (ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1521)(RATE_LIMIT=8))
    (ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1522)(RATE_LIMIT=12))
    (ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1526))
  )

Implement measures to limit the effects of organization-defined types of Denial of Service attacks.

Modify the $ORACLE_HOME/network/admin/listener.ora to establish a Rate Limit.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61783

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prot_against_or_lmt_effects_of_org_def_types_of_denial_of_service_dos_attacks` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs"></a>`ora_secured::controls::prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs`

ora_secured::controls::prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs

For table-based auditing (DB or DB,EXTENDED), review the DBMS permissions on the views and base tables holding the audit data.

For file-based auditing (OS, XML, or XML,EXTENDED), review the operating system/file system permissions on the audit file(s).

If permissions exist that enable unauthorized users to view audit data, this is a finding.

If permissions exist that enable any user (other than an account created specifically to manage log space and off-load audit records to a log management system) to modify or delete audit records, or create spurious audit records, this is a finding.

If Unified Auditing is used:
AUDIT_ADMIN role. This role enables the creation of unified and fine-grained audit policies, use the AUDIT and NOAUDIT SQL statements, view audit data, and manage the audit trail administration. Grant this role only to trusted users.

AUDIT_VIEWER role. This role enables users to view and analyze audit data. The kind of user who needs this role is typically an external auditor.

Check to ensure the authorized users have the correct roles. If permissions exist that enable unauthorized users to view audit data, this is a finding.

If permissions exist that enable any user (other than an account created specifically to manage log space and off-load audit records to a log management system) to modify or delete audit records, or create spurious audit records, this is a finding.

Add controls and modify permissions to protect database audit log records from modification, deletion, spurious creation, or unauthorized viewing.

If Unified Auditing is used:
Grant the correct Audit roles to authorized users.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61669

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prot_audit_recs_gen_as_a_result_of_rmt_acc_to_privd_accnts_and_execution_of_privd_funcs` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms"></a>`ora_secured::controls::protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms`

ora_secured::controls::protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms

If cryptographic mechanisms are not used, this is a finding.

Verify auditing is turned on by entering the following SQLPlus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

For file-based auditing (OS, XML or XML,EXTENDED), review operating system/file system settings to verify that encryption is in effect for the audit file.

For table-based auditing (DB or DB,EXTENDED), proceed as follows.

SQL> SELECT table_name, tablespace_name FROM dba_tables WHERE table_name ='AUD$';

TABLE_NAME TABLESPACE_NAME
-------------- ------------------------------
AUD$ SYSTEM

The values returned show what auditing is set to and the tablespace auditing is deployed in.

Verify encryption for the tablespace the AUD$ table is located in by querying DBA_TABLESPACES. When prompted, use the tablespace name listed above.

SQL> set linesize 121
SQL> col tablespace_name format a20
SQL> col encrypted format a3
SQL> select tablespace_name, encrypted from dba_tablespaces where tablespace_name = '&tablespace_name';
The following data dictionary views maintain information about the encryption status of a tablespace. The user can query these views to verify that a tablespace has been encrypted.

If the tablespace containing the AUD$ table is not encrypted, this is a finding.


For file-based auditing (OS, XML, or XML,EXTENDED), implement operating system/file system encryption for the audit file.

For table-based auditing, deploy the audit tables in an encrypted tablespace.

- - - - -
If auditing is not enabled, use the following steps to enable auditing.

sqlplus connect as sysdba

Turn on Oracle audit

a. If the database uses an spfile

SQL> alter system set audit_trail=DB,EXTENDED scope=spfile ;
System altered.

b. if database uses pfile, modify init<Sid>.ora directly.
For these changes to take place, the database must be restarted.

Next we create an encrypted tablespace. Before tablespaces can be encrypted or decrypted, a master encryption key must be generated or set. The tablespace master encryption key is stored in an external security module and is used to encrypt the TDE tablespace encryption keys.

- - - - -

Caution: Do not attempt to encrypt Oracle internal objects such as the SYSTEM, SYSAUX, UNDO, or TEMP tablespaces.  Oracle does not support this with TDE.  When moving AUD$ to a new tablespace, be aware that associated LOB objects will also need to be moved. Finally, when upgrading, the AUD$ table and LOBs will need to be moved back to the SYSTEM tablespace or the upgrade will fail.

- - - - -

Check to ensure that the ENCRYPTION_WALLET_LOCATION (or WALLET_LOCATION) parameter in the sqlnet.ora file points to the correct software wallet location. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.) For example:

ENCRYPTION_WALLET_LOCATION=
(SOURCE=(METHOD=FILE)(METHOD_DATA=
(DIRECTORY=/app/wallet)))

If the ENCRYPTION_WALLET_LOCATION parameter is not set, then it attempts to use the keystore in the location that is specified by the parameter WALLET_LOCATION.

If the WALLET_LOCATION parameter is also not set, then Oracle Database looks for a keystore at the default database location, which is ORACLE_BASE/admin/DB_UNIQUE_NAME/wallet or ORACLE_HOME/admin/DB_UNIQUE_NAME/wallet. (DB_UNIQUE_NAME is the unique name of the database specified in the initialization parameter file.) When the keystore location is not set in the sqlnet.ora file, then the V$ENCRYPTION_WALLET view displays the default location. Can check the location and status of the keystore in the V$ENCRYPTION_WALLET view.

Oracle Database 12c Release 1 (12.1) uses the same master encryption key for both TDE column encryption and TDE tablespace encryption. When issuing the ALTER SYSTEM SET ENCRYPTION KEY command, a unified master encryption key is created for both TDE column encryption and TDE tablespace encryption.

Resetting the Tablespace Master Encryption Key

Oracle Database 12c Release 1 (12.1) uses a unified master encryption key for both TDE column encryption and TDE tablespace encryption. When resetting (rekeying) the master encryption key for TDE column encryption, the master encryption key for TDE tablespace encryption also gets reset. The ALTER SYSTEM SET ENCRYPTION KEY command resets the tablespace master encryption key. Before creating an encrypted tablespace, the Oracle wallet containing the tablespace master encryption key must be open. The wallet must also be open before accessing data in an encrypted tablespace. The security administrator needs to open the Oracle wallet after starting the Oracle instance. A restart of the Oracle instance requires the security administrator to open the wallet again. The security administrator also needs to open the wallet before performing database recovery operations. This is because background processes may require access to encrypted redo and undo logs. When performing database recovery, the wallet must be opened before opening the database. This is illustrated in the following statements:

SQL> STARTUP MOUNT;
SQL> ALTER SYSTEM SET ENCRYPTION WALLET OPEN IDENTIFIED BY "password";
SQL> ALTER DATABASE OPEN;

Can also choose to use auto logon wallets if the environment does not require the extra security provided by a wallet that needs to be explicitly opened; however, this is not the recommended practice.

Creating the wallet/keystore

SQL> ADMINISTER KEY MANAGEMENT CREATE KEYSTORE '/app/wallet' IDENTIFIED BY password;

keystore altered.

Set the TDE Master Encryption Key in the Software Keystore

SQL> ADMINISTER KEY MANAGEMENT SET KEY IDENTIFIED BY password WITH BACKUP USING 'backup_identifier';

keystore altered.

Creating an Encrypted Tablespace

The CREATE TABLESPACE command enables the creation of an encrypted tablespace. The permanent_tablespace_clause enables choosing the encryption algorithm and the key length for encryption. The ENCRYPT keyword in the storage_clause encrypts the tablespace. The following syntax illustrates this:

CREATE
[ BIGFILE | SMALLFILE ]
{ permanent_tablespace_clause
| temporary_tablespace_clause
| undo_tablespace_clause
} ;

Where, permanent_tablespace_clause=TABLESPACE , ENCRYPTION [USING algorithm] storage_clause
Where, storage_clause=[ENCRYPT] where:

The encryption algorithm can have one of the following values:

3DES168
AES128
AES192
AES256

The key lengths are included in the names of the algorithms themselves. If no encryption algorithm is specified, the default encryption algorithm is used. The default encryption algorithm is AES128.

Note: The ENCRYPTION keyword in the permanent_tablespace_clause is used to specify the encryption algorithm. The ENCRYPT keyword in the storage_clause actually encrypts the tablespace. For security reasons, a tablespace cannot be encrypted with the NO SALT option.

Commands to create Encrypted Tablespace

CREATE TABLESPACE securespace
DATAFILE '/home/user/oradata/secure01.dbf'
SIZE 150M
ENCRYPTION USING '3DES168'
DEFAULT STORAGE(ENCRYPT);

This creates a tablespace called securespace2 using an algorithm of 3DES168.

Cannot encrypt an existing tablespace. However, can import data into an encrypted tablespace using the Oracle Data Pump utility. Can also use SQL commands like CREATE TABLE...AS SELECT...or ALTER TABLE...MOVE... to move data into an encrypted tablespace. The CREATE TABLE...AS SELECT... command enables the creation of a table from an existing table. The ALTER TABLE...MOVE... command enables the move of a table into the encrypted tablespace.

Then we move the sys.aud$ from system tablespace to securespace tablespace.

SQL> exec DBMS_AUDIT_MGMT.SET_AUDIT_TRAIL_LOCATION(audit_trail_type => DBMS_AUDIT_MGMT.AUDIT_TRAIL_AUD_STD, audit_trail_location_value => 'securespace');

PL/SQL procedure successfully completed.

Then check the tablespace the table is stored in.

SQL> SELECT table_name, tablespace_name FROM dba_tables WHERE table_name ='AUD$';

TABLE_NAME TABLESPACE_NAME
---------------------------- ------------------------
AUD$ SECURESPACE

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61667

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_data_records_and_integrity_by_using_cryptographic_mechanisms` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_information_from_any_type_of_unauthorized_access"></a>`ora_secured::controls::protect_audit_information_from_any_type_of_unauthorized_access`

ora_secured::controls::protect_audit_information_from_any_type_of_unauthorized_access

Verify there are appropriate controls and permissions to protect the audit information from unauthorized access.

If appropriate controls and permissions do not exist, this is a finding.

- - - - -
If Standard Auditing is used:
DBA_TAB_PRIVS describes all object grants in the database.  Check to see who has permissions on the AUD$ table.

Related View

DBA_TAB_PRIVS describes the object grants for which the current user is the object owner, grantor, or grantee.
Column      Datatype        NULL        Description
GRANTEE     VARCHAR2(30)  NOT NULL   Name of the user to whom access was granted
OWNER       VARCHAR2(30)  NOT NULL   Owner of the object
TABLE_NAME  VARCHAR2(30)  NOT NULL   Name of the object
GRANTOR     VARCHAR2(30)  NOT NULL   Name of the user who performed the grant
PRIVILEGE   VARCHAR2(40)  NOT NULL   Privilege on the object
GRANTABLE   VARCHAR2(3)   Indicates whether the privilege was granted with the GRANT OPTION (YES) or not (NO)
HIERARCHY   VARCHAR2(3)   Indicates whether the privilege was granted with the HIERARCHY OPTION (YES) or not (NO)
COMMON      VARCHAR2(3)
TYPE        VARCHAR2(24)

sqlplus connect as sysdba;

SQL>  SELECT GRANTEE, TABLE_NAME, PRIVILEGE
      FROM DBA_TAB_PRIVS where table_name = 'AUD$';

If Unified Auditing is used:
DBA_TAB_PRIVS describes all object grants in the database.  Check to see who has permissions on the AUDSYS tables.

Related View

DBA_TAB_PRIVS describes the object grants for which the current user is the object owner, grantor, or grantee.
Column      Datatype        NULL       Description
GRANTEE     VARCHAR2(30)    NOT NULL   Name of the user to whom access was granted
OWNER       VARCHAR2(30)    NOT NULL   Owner of the object
TABLE_NAME  VARCHAR2(30)    NOT NULL   Name of the object
GRANTOR     VARCHAR2(30)    NOT NULL   Name of the user who performed the grant
PRIVILEGE   VARCHAR2(40)    NOT NULL   Privilege on the object
GRANTABLE   VARCHAR2(3)     Indicates whether the privilege was granted with the GRANT OPTION (YES) or not (NO)
HIERARCHY   VARCHAR2(3)     Indicates whether the privilege was granted with the HIERARCHY OPTION (YES) or not (NO)
COMMON      VARCHAR2(3)
TYPE        VARCHAR2(24)

sqlplus connect as sysdba;

SQL>  SELECT GRANTEE, TABLE_NAME, PRIVILEGE
      FROM DBA_TAB_PRIVS where owner='AUDSYS';

Add controls and modify permissions to protect database audit log data from unauthorized access, whether stored in the database itself or at the OS level.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_information_from_any_type_of_unauthorized_access: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_information_from_any_type_of_unauthorized_access::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_information_from_any_type_of_unauthorized_access` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61653

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_information_from_any_type_of_unauthorized_access` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_information_from_unauthorized_deletion"></a>`ora_secured::controls::protect_audit_information_from_unauthorized_deletion`

ora_secured::controls::protect_audit_information_from_unauthorized_deletion

Verify there are appropriate controls and permissions to protect the audit information from unauthorized deletion.

If appropriate controls and permissions do not exist, this is a finding.

- - - - -
If Standard Auditing is used:
DBA_TAB_PRIVS describes all object grants in the database.  Check to see who has permissions on the AUD$ table.

Related View

DBA_TAB_PRIVS describes the object grants for which the current user is the object owner, grantor, or grantee.

Column      Datatype     NULL      Description
GRANTEE     VARCHAR2(30) NOT NULL  Name of the user to whom access was granted
OWNER       VARCHAR2(30) NOT NULL  Owner of the object
TABLE_NAME  VARCHAR2(30) NOT NULL  Name of the object
GRANTOR     VARCHAR2(30) NOT NULL  Name of the user who performed the grant
PRIVILEGE   VARCHAR2(40) NOT NULL  Privilege on the object
GRANTABLE   VARCHAR2(3)            Indicates whether the privilege was granted with the GRANT OPTION (YES) or not (NO)
HIERARCHY   VARCHAR2(3)            Indicates whether the privilege was granted with the HIERARCHY OPTION (YES) or not (NO)
COMMON      VARCHAR2(3)
TYPE        VARCHAR2(24)

sqlplus connect as sysdba;

SQL>  SELECT GRANTEE, TABLE_NAME, PRIVILEGE
      FROM DBA_TAB_PRIVS where table_name = 'AUD$';

If Unified Auditing is used:
DBA_TAB_PRIVS describes all object grants in the database.  Check to see who has permissions on the AUDSYS tables.

Related View

DBA_TAB_PRIVS describes the object grants for which the current user is the object owner, grantor, or grantee.

Column      Datatype     NULL      Description
GRANTEE     VARCHAR2(30) NOT NULL  Name of the user to whom access was granted
OWNER       VARCHAR2(30) NOT NULL  Owner of the object
TABLE_NAME  VARCHAR2(30) NOT NULL  Name of the object
GRANTOR     VARCHAR2(30) NOT NULL  Name of the user who performed the grant
PRIVILEGE   VARCHAR2(40) NOT NULL  Privilege on the object
GRANTABLE   VARCHAR2(3)            Indicates whether the privilege was granted with the GRANT OPTION (YES) or not (NO)
HIERARCHY   VARCHAR2(3)            Indicates whether the privilege was granted with the HIERARCHY OPTION (YES) or not (NO)
COMMON      VARCHAR2(3)
TYPE        VARCHAR2(24)

sqlplus connect as sysdba;

SQL>  SELECT GRANTEE, TABLE_NAME, PRIVILEGE
      FROM DBA_TAB_PRIVS where owner='AUDSYS';

Add controls and modify permissions to protect database audit log data from unauthorized deletion, whether stored in the database itself or at the OS-level.

- - - - -
If Standard Auditing is used:
Revoke access to the AUD$ table to anyone who should not have access to it.

In the check we looked for all users who had access to the AUD$ table. To fix this, use the REVOKE command to revoke access to users who should not have access to the audit data.

REVOKE statement

Use the REVOKE statement to remove permissions from a specific user or from all users to perform actions on database objects.
The following types of permissions can be revoked:

    Delete data from a specific table.
    Insert data into a specific table.
    Create a foreign key reference to the named table or to a subset of columns from a table.
    Select data from a table, view, or a subset of columns in a table.
    Create a trigger on a table.
    Update data in a table or in a subset of columns in a table.
    Run a specified routine (function or procedure).

If a user named FRED had access to the AUD$ table and wanting to revoke that access, use the following command. The syntax that would be used for the REVOKE statement for tables is as follows:

REVOKE privilege-type ON [ TABLE ] { table-Name | view-Name } FROM grantees

SQL>REVOKE SELECT ON TABLE AUD$ FROM FRED;

Revoking a privilege without specifying a column list revokes the privilege for all of the columns in the table.
Syntax for routines

table-privileges include

  DELETE |
  INSERT |
  REFERENCES [column list] |
  SELECT [column list] |
  TRIGGER |
  UPDATE [column list]

column list

  ( column-identifier {, column-identifier}* )

Use the ALL PRIVILEGES privilege type to revoke all of the permissions from the user for the specified table. Can also revoke one or more table privileges by specifying a privilege-list.

Use the DELETE privilege type to revoke permission to delete rows from the specified table.

Use the INSERT privilege type to revoke permission to insert rows into the specified table.

Use the REFERENCES privilege type to revoke permission to create a foreign key reference to the specified table. If a column list is specified with the REFERENCES privilege, the permission is revoked on only the foreign key reference to the specified columns.

Use the SELECT privilege type to revoke permission to perform SELECT statements on a table or view. If a column list is specified with the SELECT privilege, the permission is revoked on only those columns. If no column list is specified, then the privilege is valid on all of the columns in the table.

Use the TRIGGER privilege type to revoke permission to create a trigger on the specified table.

Use the UPDATE privilege type to revoke permission to use the UPDATE statement on the specified table. If a column list is specified, the permission is revoked only on the specified columns.
grantees

  { authorization ID | PUBLIC } [,{ authorization ID | PUBLIC } ] *

Can revoke the privileges from specific users or from all users. Use the keyword PUBLIC to specify all users. The privileges revoked from PUBLIC and from individual users are independent privileges. For example, a SELECT privilege on table t is granted to both PUBLIC and to the authorization ID harry. The SELECT privilege is later revoked from the authorization ID 'Harry', but the authorization ID 'Harry' can access the table through the PUBLIC privilege.

Restriction: Cannot revoke the privileges of the owner of an object.
routine-designator

  {
   qualified-name [ signature ]
  }

Cascading object dependencies

For views, triggers, and constraints, if the privilege on which the object depends is revoked, the object is automatically dropped. Derby does not try to determine if there are  other privileges that can replace the privileges that are being revoked. For more information, see "SQL standard authorization" in the Java DB Developer's Guide.
Limitations

The following limitations apply to the REVOKE statement:

Table-level privileges:

All of the table-level privilege types for a specified grantee and table ID are stored in one row in the SYSTABLEPERMS system table. For example, when user2 is granted the SELECT and DELETE privileges on table user1.t1, a row is added to the SYSTABLEPERMS table. The GRANTEE field contains user2 and the TABLEID contains user1.t1. The SELECTPRIV and DELETEPRIV fields are set to Y. The remaining privilege type fields are set to N.

When a grantee creates an object that relies on one of the privilege types, the Derby engine tracks the dependency of the object on the specific row in the SYSTABLEPERMS table. For example, user2 creates the view v1 by using the statement SELECT * FROM user1.t1; the dependency manager tracks the dependency of view v1 on the row in SYSTABLEPERMS for GRANTEE(user2), TABLEID(user1.t1). The dependency manager knows only that the view is dependent on a privilege type in that specific row but does not track exactly which privilege type the view is dependent on.

When a REVOKE statement for a table-level privilege is issued for a grantee and table ID, all of the objects that are dependent on the grantee and table ID are dropped. For example, if user1 revokes the DELETE privilege on table t1 from user2, the row in SYSTABLEPERMS for GRANTEE(user2), TABLEID(user1.t1) is modified by the REVOKE statement. The dependency manager sends a revoke invalidation message to the view user2.v1, and the view is dropped, even though the view is not dependent on the DELETE privilege for GRANTEE(user2), TABLEID(user1.t1).

Column-level privileges:

Only one type of privilege for a specified grantee and table ID are stored in one row in the SYSCOLPERMS system table. For example, when user2 is granted the SELECT privilege on table user1.t1 for columns c12 and c13, a row is added to the SYSCOLPERMS. The GRANTEE field contains user2, the TABLEID contains user1.t1, the TYPE field contains S, and the COLUMNS field contains c12, c13.

When a grantee creates an object that relies on the privilege type and the subset of columns in a table ID, the Derby engine tracks the dependency of the object on the specific row in the SYSCOLPERMS table. For example, user2 creates the view v1 by using the statement SELECT c11 FROM user1.t1; the dependency manager tracks the dependency of view v1 on the row in SYSCOLPERMS for GRANTEE(user2), TABLEID(user1.t1), TYPE(S). The dependency manager knows that the view is dependent on the SELECT privilege type but does not track exactly which columns the view is dependent on.

When a REVOKE statement for a column-level privilege is issued for a grantee, table ID, and type, all of the objects that are dependent on the grantee, table ID, and type are dropped. For example, if user1 revokes the SELECT privilege on column c12 on table user1.t1 from user2, the row in SYSCOLPERMS for GRANTEE(user2), TABLEID(user1.t1), TYPE(S) is modified by the REVOKE statement. The dependency manager sends a revoke invalidation message to the view user2.v1, and the view is dropped, even though the view is not dependent on the column c12 for GRANTEE(user2), TABLEID(user1.t1), TYPE(S).

If Unified Auditing is used:

Apply the same process used in standard auditing to the tables with AUDSYS as the owner.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_information_from_unauthorized_deletion: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_information_from_unauthorized_deletion::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_information_from_unauthorized_deletion` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61657

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_information_from_unauthorized_deletion` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_information_from_unauthorized_modification"></a>`ora_secured::controls::protect_audit_information_from_unauthorized_modification`

ora_secured::controls::protect_audit_information_from_unauthorized_modification

Verify there are appropriate controls and permissions to protect the audit information from unauthorized modification.

If appropriate controls and permissions do not exist, this is a finding.

- - - - -
If Standard Auditing is used:
DBA_TAB_PRIVS describes all object grants in the database.  Check to see who has permissions on the AUD$ table.

Related View

DBA_TAB_PRIVS describes the object grants for which the current user is the object owner, grantor, or grantee.
Column      Datatype     NULL      Description
GRANTEE     VARCHAR2(30) NOT NULL  Name of the user to whom access was granted
            VARCHAR2(30) NOT NULL  Owner of the object
TABLE_NA    VARCHAR2(30) NOT NULL  Name of the object
GRANTOR     VARCHAR2(30) NOT NULL  Name of the user who performed the grant
PRIVILEGE   VARCHAR2(40) NOT NULL  Privilege on the object
GRANTABLE   VARCHAR2(3)            Indicates whether the privilege was granted with the GRANT OPTION (YES) or not (NO)
HIERARCHY   VARCHAR2(3)            Indicates whether the privilege was granted with the HIERARCHY OPTION (YES) or not (NO)
COMMON      VARCHAR2(3)
TYPE        VARCHAR2(24)

sqlplus connect as sysdba;

SQL>  SELECT GRANTEE, TABLE_NAME, PRIVILEGE
      FROM DBA_TAB_PRIVS where table_name = 'AUD$';

If Unified Auditing is used:
DBA_TAB_PRIVS describes all object grants in the database.  Check to see who has permissions on the AUDSYS tables.

Related View

DBA_TAB_PRIVS describes the object grants for which the current user is the object owner, grantor, or grantee.
Column      Datatype     NULL      Description
GRANTEE     VARCHAR2(30) NOT NULL  Name of the user to whom access was granted
OWNER       VARCHAR2(30) NOT NULL  Owner of the object
TABLE_NAME  VARCHAR2(30) NOT NULL  Name of the object
GRANTOR     VARCHAR2(30) NOT NULL  Name of the user who performed the grant
PRIVILEGE   VARCHAR2(40) NOT NULL  Privilege on the object
GRANTABLE   VARCHAR2(3)            Indicates whether the privilege was granted with the GRANT OPTION (YES) or not (NO)
HIERARCHY   VARCHAR2(3)            Indicates whether the privilege was granted with the HIERARCHY OPTION (YES) or not (NO)
COMMON      VARCHAR2(3)
TYPE        VARCHAR2(24)

sqlplus connect as sysdba;

SQL>  SELECT GRANTEE, TABLE_NAME, PRIVILEGE
      FROM DBA_TAB_PRIVS where owner='AUDSYS';

Add controls and modify permissions to protect database audit log data from unauthorized modification, whether stored in the database itself or at the OS level.

- - - - -
If Standard Auditing is used:
Revoke access to the AUD$ table to anyone who should not have access to it.

In the check we looked for all users who had access to the AUD$ table. To fix this, use the REVOKE command to revoke access to users who should not have access to the audit data.

REVOKE statement

Use the REVOKE statement to remove permissions from a specific user or from all users to perform actions on database objects.
The following types of permissions can be revoked:

    Delete data from a specific table.
    Insert data into a specific table.
    Create a foreign key reference to the named table or to a subset of columns from a table.
    Select data from a table, view, or a subset of columns in a table.
    Create a trigger on a table.
    Update data in a table or in a subset of columns in a table.
    Run a specified routine (function or procedure).

If a user named FRED had access to the AUD$ table and wanting to revoke that access, use the following command. The syntax that would be used for the REVOKE statement for tables is as follows:

REVOKE privilege-type ON [ TABLE ] { table-Name | view-Name } FROM grantees

SQL>REVOKE SELECT ON TABLE AUD$ FROM FRED;

Revoking a privilege without specifying a column list revokes the privilege for all of the columns in the table.
Syntax for routines

table-privileges include

  DELETE |
  INSERT |
  REFERENCES [column list] |
  SELECT [column list] |
  TRIGGER |
  UPDATE [column list]

column list

  ( column-identifier {, column-identifier}* )

Use the ALL PRIVILEGES privilege type to revoke all of the permissions from the user for the specified table. Can also revoke one or more table privileges by specifying a privilege-list.

Use the DELETE privilege type to revoke permission to delete rows from the specified table.

Use the INSERT privilege type to revoke permission to insert rows into the specified table.

Use the REFERENCES privilege type to revoke permission to create a foreign key reference to the specified table. If a column list is specified with the REFERENCES privilege, the permission is revoked on only the foreign key reference to the specified columns.

Use the SELECT privilege type to revoke permission to perform SELECT statements on a table or view. If a column list is specified with the SELECT privilege, the permission is revoked on only those columns. If no column list is specified, then the privilege is valid on all of the columns in the table.

Use the TRIGGER privilege type to revoke permission to create a trigger on the specified table.

Use the UPDATE privilege type to revoke permission to use the UPDATE statement on the specified table. If a column list is specified, the permission is revoked only on the specified columns.
grantees

  { authorization ID | PUBLIC } [,{ authorization ID | PUBLIC } ] *

Can revoke the privileges from specific users or from all users. Use the keyword PUBLIC to specify all users. The privileges revoked from PUBLIC and from individual users are independent privileges. For example, a SELECT privilege on table t is granted to both PUBLIC and to the authorization ID harry. The SELECT privilege is later revoked from the authorization ID 'Harry', but the authorization ID 'Harry' can access the table through the PUBLIC privilege.

Restriction: Cannot revoke the privileges of the owner of an object.
routine-designator

  {
   qualified-name [ signature ]
  }

Cascading object dependencies

For views, triggers, and constraints, if the privilege on which the object depends is revoked, the object is automatically dropped. Derby does not try to determine if there are other privileges that can replace the privileges that are being revoked. For more information, see "SQL standard authorization" in the Java DB Developer's Guide.
Limitations

The following limitations apply to the REVOKE statement:

Table-level privileges:

All of the table-level privilege types for a specified grantee and table ID are stored in one row in the SYSTABLEPERMS system table. For example, when user2 is granted the SELECT and DELETE privileges on table user1.t1, a row is added to the SYSTABLEPERMS table. The GRANTEE field contains user2 and the TABLEID contains user1.t1. The SELECTPRIV and DELETEPRIV fields are set to Y. The remaining privilege type fields are set to N.

When a grantee creates an object that relies on one of the privilege types, the Derby engine tracks the dependency of the object on the specific row in the SYSTABLEPERMS table. For example, user2 creates the view v1 by using the statement SELECT * FROM user1.t1; the dependency manager tracks the dependency of view v1 on the row in SYSTABLEPERMS for GRANTEE(user2), TABLEID(user1.t1). The dependency manager knows only that the view is dependent on a privilege type in that specific row but does not track exactly which privilege type the view is dependent on.

When a REVOKE statement for a table-level privilege is issued for a grantee and table ID, all of the objects that are dependent on the grantee and table ID are dropped. For example, if user1 revokes the DELETE privilege on table t1 from user2, the row in SYSTABLEPERMS for GRANTEE(user2), TABLEID(user1.t1) is modified by the REVOKE statement. The dependency manager sends a revoke invalidation message to the view user2.v1, and the view is dropped, even though the view is not dependent on the DELETE privilege for GRANTEE(user2), TABLEID(user1.t1).

Column-level privileges:

Only one type of privilege for a specified grantee and table ID are stored in one row in the SYSCOLPERMS system table. For example, when user2 is granted the SELECT privilege on table user1.t1 for columns c12 and c13, a row is added to the SYSCOLPERMS. The GRANTEE field contains user2, the TABLEID contains user1.t1, the TYPE field contains S, and the COLUMNS field contains c12, c13.

When a grantee creates an object that relies on the privilege type and the subset of columns in a table ID, the Derby engine tracks the dependency of the object on the specific row in the SYSCOLPERMS table. For example, user2 creates the view v1 by using the statement SELECT c11 FROM user1.t1; the dependency manager tracks the dependency of view v1 on the row in SYSCOLPERMS for GRANTEE(user2), TABLEID(user1.t1), TYPE(S). The dependency manager knows that the view is dependent on the SELECT privilege type but does not track exactly which columns the view is dependent on.

When a REVOKE statement for a column-level privilege is issued for a grantee, table ID, and type, all of the objects that are dependent on the grantee, table ID, and type are dropped. For example, if user1 revokes the SELECT privilege on column c12 on table user1.t1 from user2, the row in SYSCOLPERMS for GRANTEE(user2), TABLEID(user1.t1), TYPE(S) is modified by the REVOKE statement. The dependency manager sends a revoke invalidation message to the view user2.v1, and the view is dropped, even though the view is not dependent on the column c12 for GRANTEE(user2), TABLEID(user1.t1), TYPE(S).

If Unified Auditing is used:

Apply the same process used in standard auditing to the tables with AUDSYS as the owner.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_information_from_unauthorized_modification: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_information_from_unauthorized_modification::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_information_from_unauthorized_modification` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61655

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_information_from_unauthorized_modification` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_tools_from_unauthorized_access"></a>`ora_secured::controls::protect_audit_tools_from_unauthorized_access`

ora_secured::controls::protect_audit_tools_from_unauthorized_access

These tools may include the DBMS itself or tools external to the database.

If appropriate permissions and access controls to prevent unauthorized access are not applied to these tools, this is a finding.

Add or modify access controls and permissions to tools used to view or modify audit log data. Tools must be accessible by authorized personnel only.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_tools_from_unauthorized_access: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_tools_from_unauthorized_access::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_tools_from_unauthorized_access` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61659

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_tools_from_unauthorized_access` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_tools_from_unauthorized_deletion"></a>`ora_secured::controls::protect_audit_tools_from_unauthorized_deletion`

ora_secured::controls::protect_audit_tools_from_unauthorized_deletion

These tools may include the DBMS itself or tools external to the database.

If appropriate permissions and access controls are not applied to prevent unauthorized deletion of these tools, this is a finding.

Add or modify access controls and permissions to tools used to view or modify audit log data. Only authorized personnel must be able to delete these tools.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_tools_from_unauthorized_deletion: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_tools_from_unauthorized_deletion::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_tools_from_unauthorized_deletion` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61663

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_tools_from_unauthorized_deletion` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_audit_tools_from_unauthorized_modification"></a>`ora_secured::controls::protect_audit_tools_from_unauthorized_modification`

ora_secured::controls::protect_audit_tools_from_unauthorized_modification

These tools may include the DBMS itself or tools external to the database.

If appropriate permissions and access controls are not applied to prevent unauthorized modification of these tools, this is a finding.

Add or modify access controls and permissions to tools used to view or modify audit log data. Tools must be modifiable by authorized personnel only.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_audit_tools_from_unauthorized_modification: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_audit_tools_from_unauthorized_modification::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_audit_tools_from_unauthorized_modification` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61661

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_audit_tools_from_unauthorized_modification` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprotect_the_integrity_of_publicly_available_information_and_applications"></a>`ora_secured::controls::protect_the_integrity_of_publicly_available_information_and_applications`

ora_secured::controls::protect_the_integrity_of_publicly_available_information_and_applications

Review DBMS settings to determine whether controls exist to protect the integrity of publicly available information.

If not, this is a finding.

- - - - -
All of the permissions and policies we would employ to protect information would be in play, like access control mechanisms, auditing, and password protection.  For data that is for display or download to the public for their informational needs, it may be appropriate to place the data in a read-only tablespace.  This will provide the DBA with the ability to modify content as needed by modifying the tablespace from read-only to read-write in the event the content needs to be modified.  Check with the Application Developer to see what tables are used to store the data and/or content that is displayed to the public.  Then find the tablespace name the data objects are stored in.

$ sqlplus connect as sysdba

SQL> SELECT table_name, tablespace_name from dba_tables where upper(table_name) like &tablename_from_developer;

For better performance while accessing data in a read-only tablespace, can issue a query that accesses all of the blocks of the tables in the tablespace just before making it read-only. A simple query, such as SELECT COUNT (*), executed against each table ensures that the data blocks in the tablespace can be subsequently accessed most efficiently. This eliminates the need for the database to check the status of the transactions that most recently modified the blocks.

The following statement makes the flights tablespace read-only:

ALTER TABLESPACE flights READ ONLY;

Can issue the ALTER TABLESPACE...READ ONLY statement while the database is processing transactions. After the statement is issued, the tablespace is put into a transitional read-only state. No transactions are allowed to make further changes (using DML statements) to the tablespace.

If a transaction attempts further changes, it is terminated and rolled back. However, transactions that already made changes and that attempt no further changes are allowed to commit or roll back.

The ALTER TABLESPACE...READ ONLY statement waits for the following transactions to either commit or roll back before returning: transactions that have pending or uncommitted changes to the tablespace and that were started before the statement was issued.

If a transaction started before the statement remains active, but rolls back to a savepoint, rolling back its changes to the tablespace, then the statement no longer waits for this active transaction.

Apply appropriate controls to protect the integrity of publicly available information.

- - - - -
If the appropriate controls include placing the data in a read-only tablespace, proceed as follows.

After we figure out the tablespace the data object is stored in:
$ sqlplus connect as sysdba
SQL> SELECT table_name, tablespace_name from dba_tables where upper(table_name) like &tablename_from_developer;

Once we get the name of the tablespace where all of the important data is stored, alter the tablespace to be read-only.
SQL> ALTER TABLESPACE &tablespace_where_data_is READ ONLY;

The following statement makes the flights tablespace read-only:
 ALTER TABLESPACE flights READ ONLY;

Can issue the ALTER TABLESPACE...READ ONLY statement while the database is processing transactions. After the statement is issued, the tablespace is put into a transitional read-only state. No transactions are allowed to make further changes (using DML statements) to the tablespace. If a transaction attempts further changes, it is terminated and rolled back. However, transactions that already made changes and that attempt no further changes are allowed to commit or roll back.

The ALTER TABLESPACE...READ ONLY statement waits for the following transactions to either commit or roll back before returning: transactions that have pending or uncommitted changes to the tablespace and that were started before the statement was issued. If a transaction started before the statement remains active, but rolls back to a savepoint, rolling back its changes to the tablespace, then the statement no longer waits for this active transaction.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::protect_the_integrity_of_publicly_available_information_and_applications: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::protect_the_integrity_of_publicly_available_information_and_applications::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `protect_the_integrity_of_publicly_available_information_and_applications` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61763

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::protect_the_integrity_of_publicly_available_information_and_applications` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts"></a>`ora_secured::controls::prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts`

ora_secured::controls::prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism and not by Oracle, this is not a finding.

If using the database to identify temporary accounts, and temporary accounts exist, there should be a temporary profile. If a profile for temporary accounts cannot be identified, this is a finding.

To check for a temporary profile, run the scripts below:

To obtain a list of profiles:
SELECT PROFILE#, NAME FROM SYS.PROFNAME$;

To obtain a list of users assigned a given profile (TEMPORARY_USERS, in this example):
SELECT USERNAME, PROFILE FROM SYS.DBA_USERS
WHERE PROFILE = 'TEMPORARY_USERS'
ORDER BY USERNAME;


Use a profile with a distinctive name (for example, TEMPORARY_USERS), so that temporary users can be easily identified. Whenever a temporary user account is created, assign it to this profile.

To enable resource limiting via profiles, use the SQL statement:
ALTER SYSTEM SET RESOURCE_LIMIT = TRUE;

Set values in the profile as needed for temporary users - see below for further information. The values here are examples; set them to values appropriate to the situation:

CREATE PROFILE TEMPORARY_USERS
LIMIT
SESSIONS_PER_USER <limit>
CPU_PER_SESSION <limit>
CPU_PER_CALL <limit>
CONNECT_TIME <limit>
LOGICAL_READS_PER_SESSION DEFAULT
LOGICAL_READS_PER_CALL <limit>
PRIVATE_SGA <limit>
COMPOSITE_LIMIT <limit>
FAILED_LOGIN_ATTEMPTS 3
PASSWORD_LIFE_TIME 7
PASSWORD_REUSE_TIME 60
PASSWORD_REUSE_MAX 5
PASSWORD_VERIFY_FUNCTION ORA12c_STRONG_VERIFY_FUNCTION
PASSWORD_LOCK_TIME UNLIMITED
PASSWORD_GRACE_TIME 3;
CREATE USER <username> IDENTIFIED BY <password> PROFILE TEMPORARY_USERS;

Resource Parameters:

COMPOSITE_LIMIT - Specify the total resource cost for a session, expressed in service units. Oracle Database calculates the total service units as a weighted sum of CPU_PER_SESSION, CONNECT_TIME,
LOGICAL_READS_PER_SESSION, and PRIVATE_SGA.

SESSIONS_PER_USER - Specify the number of concurrent sessions to limit the user to.

CPU_PER_SESSION - Specify the CPU time limit for a session, expressed in hundredths of seconds.

CPU_PER_CALL - Specify the CPU time limit for a call (a parse, execute, or fetch), expressed in hundredths of seconds.

LOGICAL_READS_PER_SESSION - Specify the permitted number of data blocks read in a session, including blocks read from memory and disk.

LOGICAL_READS_PER_CALL - Specify the permitted number of data blocks read for a call to process a SQL statement (a parse, execute, or fetch).

PRIVATE_SGA - Specify the amount of private space a session can allocate in the shared pool of the system global area (SGA). Refer to size_clause for information on that clause.

CONNECT_TIME - Specify the total elapsed time limit for a session, expressed in minutes.

IDLE_TIME - Specify the permitted periods of continuous inactive time during a session, expressed in minutes. Long-running queries and other operations are not subject to this limit.

COMPOSITE_LIMIT - See Oracle documentation for more details.


Password Parameters

Use the following clauses to set password parameters. Parameters that set lengths of time are interpreted in number of days. For testing purposes, specify minutes (n/1440) or even seconds (n/86400).

FAILED_LOGIN_ATTEMPTS - Specify the number of failed attempts to log on to the user account before the account is locked. If omitting this clause, then the default is 10 times.

PASSWORD_LIFE_TIME - Specify the number of days the same password can be used for authentication. If setting a value for PASSWORD_GRACE_TIME, then the password expires if it is not changed within the grace period, and further connections are rejected. If omitting this clause, then the default is 180 days.

PASSWORD_REUSE_TIME and PASSWORD_REUSE_MAX - These two parameters must be set in conjunction with each other. PASSWORD_REUSE_TIME specifies the number of days before which a password cannot be reused. PASSWORD_REUSE_MAX specifies the number of password changes required before the current password can be reused. For these parameters to have any effect, specify an integer for both of them.

If specifying a value for both of these parameters, then the user cannot reuse a password until the password has been changed the number of times specified for PASSWORD_REUSE_MAX during the number of days specified for PASSWORD_REUSE_TIME.

For example, if specifying PASSWORD_REUSE_TIME to 30 and PASSWORD_REUSE_MAX to 10, then the user can reuse the password after 30 days if the password has already been changed 10 times.

If specifying a value for either of these parameters and specify UNLIMITED for the other, then the user can never reuse a password.

If specifying DEFAULT for either parameter, then Oracle Database uses the value defined in the DEFAULT profile. By default, all parameters are set to UNLIMITED in the DEFAULT profile. If the default setting of UNLIMITED in the DEFAULT profile has not changed, then the database treats the value for that parameter as UNLIMITED.

If setting both of these parameters to UNLIMITED, then the database ignores both of them. This is the default if omitting both parameters.

PASSWORD_LOCK_TIME - Specify the number of days an account will be locked after the specified number of consecutive failed logon attempts. If omitting this clause, then the default is 1 day.

PASSWORD_GRACE_TIME - Specify the number of days after the grace period begins during which a warning is issued and logon is allowed. If omitting this clause, then the default is 7 days.

PASSWORD_VERIFY_FUNCTION - The PASSWORD_VERIFY_FUNCTION clause lets a PL/SQL password complexity verification script be passed as an argument to the CREATE PROFILE statement. Oracle Database provides a default script, but can create your own routine or use third-party software instead.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61559

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prov_a_mechanism_to_autom_identify_accnts_designated_as_tmp_or_emergency_accnts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprov_audit_record_generation_cap_for_org_def_auditable_events_within_db"></a>`ora_secured::controls::prov_audit_record_generation_cap_for_org_def_auditable_events_within_db`

ora_secured::controls::prov_audit_record_generation_cap_for_org_def_auditable_events_within_db

If a third-party product or custom code is used, compare its current configuration with the audit requirements. If any of the requirements is not covered by the configuration, this is a finding.

The remainder of this Check is applicable specifically where Oracle auditing is in use.

If Standard Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SHOW PARAMETER AUDIT_TRAIL
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'audit_trail';
If Oracle returns the value 'NONE', this is a finding.

To confirm that Oracle audit is capturing information on the required events, review the contents of the SYS.AUD$ table or the audit file, whichever is in use. If auditable events are not listed, this is a finding.

If Unified Auditing is used:
To see if Oracle is configured to capture audit data, enter the following SQL*Plus command:
SELECT * FROM V$OPTION WHERE PARAMETER = 'Unified Auditing';
If Oracle returns the value 'TRUE', this is not a finding.

To confirm that Oracle audit is capturing information on the required events, review the contents of the SYS.UNIFIED_AUDIT_TRAIL view. If auditable events are not listed, this is a finding.

Configure the DBMS's auditing to audit organization-defined auditable events. If preferred, use a third-party tool. The tool must provide the minimum capability to audit the required events.

If using a third-party product, proceed in accordance with the product documentation. If using Oracle's capabilities, proceed as follows.

If Standard Auditing is used:
Use this process to ensure auditable events are captured:
ALTER SYSTEM SET AUDIT_TRAIL=<audit trail type> SCOPE=SPFILE;
Audit trail type can be 'OS', 'DB', 'DB,EXTENDED', 'XML' or 'XML,EXTENDED'.
After executing this statement, it may be necessary to shut down and restart the Oracle database.

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing.  For details, refer to Oracle documentation at the locations below.

If Unified Auditing is used:
Use this process to ensure auditable events are captured:
Link the oracle binary with uniaud_on, and then restart the database. Oracle Database Upgrade Guide describes how to enable unified auditing.

For more information on the configuration of auditing, refer to the following documents:
"Auditing Database Activity" in the Oracle Database 2 Day + Security Guide:
http://docs.oracle.com/database/121/TDPSG/tdpsg_auditing.htm#TDPSG50000
"Monitoring Database Activity with Auditing" in the Oracle Database Security Guide:
http://docs.oracle.com/database/121/DBSEG/part_6.htm#CCHEHCGI
"DBMS_AUDIT_MGMT" in the Oracle Database PL/SQL Packages and Types Reference:
http://docs.oracle.com/database/121/ARPLS/d_audit_mgmt.htm#ARPLS241
Oracle Database Upgrade Guide:
http://docs.oracle.com/database/121/UPGRD/afterup.htm#UPGRD52810

If the site-specific audit requirements are not covered by the default audit options, deploy and configure Fine-Grained Auditing.  For details, refer to Oracle documentation at the locations above.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prov_audit_record_generation_cap_for_org_def_auditable_events_within_db: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prov_audit_record_generation_cap_for_org_def_auditable_events_within_db::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prov_audit_record_generation_cap_for_org_def_auditable_events_within_db` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61621

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prov_audit_record_generation_cap_for_org_def_auditable_events_within_db` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria"></a>`ora_secured::controls::prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria`

ora_secured::controls::prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria

If the system does not provide these abilities, they may be handled by a separate application.

If the ability to automatically process audit records for events based on selectable event criteria does not exist, this is a finding.

Utilize a tool, application or service that provides the ability to automatically process audit records for events based on selectable event criteria.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61649

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::prov_cap_to_autom_proc_audit_recs_for_events_of_interest_based_upon_selectable_event_criteria` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprovide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours"></a>`ora_secured::controls::provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours`

ora_secured::controls::provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, this is not a finding.

Check DBMS settings, OS settings, and/or enterprise-level authentication/access mechanisms settings to determine if the site utilizes a mechanism whereby temporary are terminated after a 72 hour time period. If not, this is a finding.

If using database mechanisms to satisfy this requirement, use a profile with a distinctive name (for example, TEMPORARY_USERS), so that temporary users can be easily identified. Whenever a temporary user account is created, assign it to this profile.

Create a job to lock accounts under this profile that are more than 72 hours old.


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61561

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::provide_a_mechanism_to_automatically_remove_or_disable_temporary_user_accounts_after_72_hours` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprovide_a_real_time_alert_when_organization_defined_audit_failure_events_occur"></a>`ora_secured::controls::provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur`

ora_secured::controls::provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur

, OS, or third-party logging software settings to determine whether a real-time alert will be sent to the appropriate personnel when auditing fails for any reason.

If real-time alerts are not sent upon auditing failure, this is a finding.

Configure logging software to send a real-time alert to appropriate personnel when auditing fails for any reason.

(Oracle recommends the use of Oracle Enterprise Manager.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61645

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::provide_a_real_time_alert_when_organization_defined_audit_failure_events_occur` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprovide_a_report_generation_capability_for_audit_reduction_data"></a>`ora_secured::controls::provide_a_report_generation_capability_for_audit_reduction_data`

ora_secured::controls::provide_a_report_generation_capability_for_audit_reduction_data

Since Oracle has no reduction capability per se, a third-party tool or in-house-developed software must be in place to provide this functionality.  This must include the ability to report on the excluded audit data.

If this capability has not been implemented, this is a finding.

Deploy software capable of performing audit data reduction and of reporting on the excluded audit data.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::provide_a_report_generation_capability_for_audit_reduction_data: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::provide_a_report_generation_capability_for_audit_reduction_data::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `provide_a_report_generation_capability_for_audit_reduction_data` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61969

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::provide_a_report_generation_capability_for_audit_reduction_data` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsprovide_an_audit_log_reduction_capability"></a>`ora_secured::controls::provide_an_audit_log_reduction_capability`

ora_secured::controls::provide_an_audit_log_reduction_capability

Since Oracle has no reduction capability per se, a third-party tool or in-house-developed software must be in place to provide this functionality.

If this capability has not been implemented, this is a finding.

Deploy software capable of performing audit data reduction.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::provide_an_audit_log_reduction_capability: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::provide_an_audit_log_reduction_capability::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `provide_an_audit_log_reduction_capability` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61813

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::provide_an_audit_log_reduction_capability` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolspublic_database_link_audit_option_is_enabled"></a>`ora_secured::controls::public_database_link_audit_option_is_enabled`

ora_secured::controls::public_database_link_audit_option_is_enabled

an application-based "user" to access the database for connections/session
creation. Enabling the audit option causes all user activities involving the
creation, alteration, or dropping of public links to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::public_database_link_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::public_database_link_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `public_database_link_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::public_database_link_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolspublic_synonym_audit_option_is_enabled"></a>`ora_secured::controls::public_synonym_audit_option_is_enabled`

ora_secured::controls::public_synonym_audit_option_is_enabled

an object. Public synonyms are accessible by all users that have the appropriate
privileges to the underlying object. Enabling the audit option causes all user
activities involving the creation or dropping of public synonyms to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::public_synonym_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::public_synonym_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `public_synonym_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.7
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.7
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.7

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::public_synonym_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrecovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v"></a>`ora_secured::controls::recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v`

ora_secured::controls::recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v

If recovery procedures do not exist or are not sufficient to ensure recovery is done in a secure and verifiable manner, this is a finding.

If system features exist and are not employed or not employed sufficiently, this is a finding.

If circumstances that can inhibit a trusted recovery are not documented and appropriate mitigating procedures have not been put in place, this is a finding.

Review the database backup strategy with the system administrator.  Consider using Oracle RMAN with an encrypted backup to insure the backed up files can be trusted not to be compromised.

Implement DBMS recovery procedures and employ technical system features to specify trusted files during DBMS recovery.  Test the solution and review the site-specific criteria to ensure that the backup and recovery process uses trusted files.

Ensure circumstances that can inhibit a trusted recovery are documented and appropriate mitigating procedures have been put in place.

Oracle recommends using RMAN Backup and encrypting backup files.  With encrypted files stored on a mount point with limited access, the integrity of the files can be trusted.

- - - - -
Notes on Oracle Backup and Recovery Solutions

When implementing a backup and recovery strategy, have the following solutions available:

--  Recovery Manager (RMAN)
Recovery Manager is fully integrated with the Oracle database to perform a range of backup and recovery activities, including maintaining an RMAN repository of historical data about backups. Can access RMAN through the command line or through Oracle Enterprise Manager.

--  User-managed backup and recovery
In this solution, perform backup and recovery with a mixture of host operating system commands and SQL*Plus recovery commands. Responsible for determining all aspects of when and how backups and recovery are done.

--  Media management
If not wanting to use RMAN with an encrypted backup, consider configuring RMAN to make backups to a media manager.  On most platforms, to back up to and restore from sequential media such as tape, must integrate a media manager with the Oracle database. Can use Oracle Secure Backup, which supports both database and file system backups to tape, as the media manager. See Oracle Secure Backup Administrator's Guide to learn how to set up RMAN for use specifically with Oracle Secure Backup.

These solutions are supported by Oracle and are fully documented, but RMAN is the preferred solution for database backup and recovery. RMAN provides a common interface for backup tasks across different host operating systems and offers several backup techniques not available through user-managed methods.

--  Incremental backups:
An incremental backup stores only blocks changed since a previous backup.  Thus, they provide more compact backups and faster recovery, thereby reducing the need to apply redo during data file media recovery. If enabling block change tracking, then can improve performance by avoiding full scans of every input data file. Can use the BACKUP INCREMENTAL command to perform incremental backups.

--  Block media recovery:
Can repair a data file with only a small number of corrupt data blocks without taking it off-line or restoring it from backup. Can use the RECOVER BLOCK command to perform block media recovery.

--  Binary compression:
A binary compression mechanism integrated into Oracle Database reduces the size of backups.

--  Encrypted backups:
RMAN uses backup encryption capabilities integrated into Oracle Database to store backup sets in an encrypted format. To create encrypted backups on disk, the database must use the Advanced Security Option. To create encrypted backups directly on tape, RMAN must use the Oracle Secure Backup SBT interface but does not require the Advanced Security Option.

--  Automated database duplication:
Easily creates a copy of the database, supporting various storage configurations, including direct duplication between ASM databases.

--  Cross-platform data conversion:
Whether using RMAN or user-managed methods, can supplement physical backups with logical backups of schema objects made with Data Pump Export utility. Can later use Data Pump Import to re-create data after restore and recovery.  Logical backups are mostly beyond the scope of the backup and recovery documentation.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61689

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::recovery_procs_and_technical_sys_features_must_exist_to_ensure_recovery_is_done_in_a_secure_and_v` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_administration_must_be_disabled_for_the_oracle_connection_manager"></a>`ora_secured::controls::remote_administration_must_be_disabled_for_the_oracle_connection_manager`

ora_secured::controls::remote_administration_must_be_disabled_for_the_oracle_connection_manager

ora file in the ORACLE_HOME/network/admin directory.

If the file does not exist, the database is not accessed via Oracle Connection Manager and this check is not a finding.

If the entry and value for REMOTE_ADMIN is not listed or is not set to a value of NO (REMOTE_ADMIN = NO), this is a finding.

ora file in the ORACLE_HOME/network/admin directory of the Connection Manager.

Include the following line in the file:

  REMOTE_ADMIN = NO

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_administration_must_be_disabled_for_the_oracle_connection_manager: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_administration_must_be_disabled_for_the_oracle_connection_manager::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_administration_must_be_disabled_for_the_oracle_connection_manager` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61533

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_administration_must_be_disabled_for_the_oracle_connection_manager` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm"></a>`ora_secured::controls::remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm`

ora_secured::controls::remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm

Review policy, procedure and evidence of implementation for monitoring of remote administrative access to the database.

If monitoring procedures for remote administrative access are not documented or implemented, this is a finding.

Develop, document and implement policy and procedures to monitor remote administrative access to the DBMS.

The automated generation of a log report with automatic dissemination to the ISSO/ISSM may be used.

Require and store an acknowledgement of receipt and confirmation of review for the log report.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61493

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_administrative_access_to_the_database_must_be_monitored_by_the_isso_or_issm` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_database_or_other_external_access_must_use_fully_qualified_names"></a>`ora_secured::controls::remote_database_or_other_external_access_must_use_fully_qualified_names`

ora_secured::controls::remote_database_or_other_external_access_must_use_fully_qualified_names

select value from v$parameter where name = 'global_names';

If the value returned is FALSE, this is a finding.


  alter system set global_names = TRUE scope = spfile;

Note: This parameter, if changed, will affect all currently defined Oracle database links.

The above SQL*Plus command will set the parameter to take effect at next system startup.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_database_or_other_external_access_must_use_fully_qualified_names: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_database_or_other_external_access_must_use_fully_qualified_names::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_database_or_other_external_access_must_use_fully_qualified_names` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61529

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_database_or_other_external_access_must_use_fully_qualified_names` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_dbms_administration_must_be_documented_and_authorized_or_disabled"></a>`ora_secured::controls::remote_dbms_administration_must_be_documented_and_authorized_or_disabled`

ora_secured::controls::remote_dbms_administration_must_be_documented_and_authorized_or_disabled

If remote administration of the DBMS is not documented or poorly documented, this is a finding.

If remote administration of the DBMS is not authorized and not disabled, this is a finding.

If remote administration is to be performed from outside the DoDIN, but is not done via an approved and properly configured VPN, this is a finding.

Disable remote administration of the DBMS where not required.

Where remote administration of the DBMS is required, develop, document and implement policy and procedures on its use.

Assign remote administration privileges to ISSO-authorized personnel only.

Document assignments in the System Security Plan.

Where remote administration is to be performed from outside the DoDIN, configure an approved VPN client for this purpose.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_dbms_administration_must_be_documented_and_authorized_or_disabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_dbms_administration_must_be_documented_and_authorized_or_disabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_dbms_administration_must_be_documented_and_authorized_or_disabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61523

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_dbms_administration_must_be_documented_and_authorized_or_disabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_listener_is_empty"></a>`ora_secured::controls::remote_listener_is_empty`

ora_secured::controls::remote_listener_is_empty

established on a system separate from the database instance. This setting should
be empty unless the organization specifically needs a valid listener on a
separate system or on nodes running Oracle RAC instances.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_listener_is_empty: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_listener_is_empty::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_listener_is_empty` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_listener_is_empty` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_login_passwordfile_is_set_to_none"></a>`ora_secured::controls::remote_login_passwordfile_is_set_to_none`

ora_secured::controls::remote_login_passwordfile_is_set_to_none

for a password file during login and how many databases can use the password
file. The setting should have a value of `NONE` or in the event you are running
DR/Data Guard, `EXCLUSIVE` is an allowable value.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_login_passwordfile_is_set_to_none: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_login_passwordfile_is_set_to_none::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_login_passwordfile_is_set_to_none` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.7
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.7
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_login_passwordfile_is_set_to_none` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_os_authent_is_set_to_false"></a>`ora_secured::controls::remote_os_authent_is_set_to_false`

ora_secured::controls::remote_os_authent_is_set_to_false

attendant privileges are allowed for remote client connections. This setting
should have a value of `FALSE`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_os_authent_is_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_os_authent_is_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_os_authent_is_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.8
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.8
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.7

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_os_authent_is_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsremote_os_roles_is_set_to_false"></a>`ora_secured::controls::remote_os_roles_is_set_to_false`

ora_secured::controls::remote_os_roles_is_set_to_false

database management. This setting should have a value of `FALSE`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::remote_os_roles_is_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::remote_os_roles_is_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `remote_os_roles_is_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.9
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.9
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.8

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::remote_os_roles_is_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsreplication_accounts_must_not_be_granted_dba_privileges"></a>`ora_secured::controls::replication_accounts_must_not_be_granted_dba_privileges`

ora_secured::controls::replication_accounts_must_not_be_granted_dba_privileges

If any replication accounts are assigned DBA roles or roles with DBA privileges, this is a finding.

Restrict privileges assigned to replication accounts to the fewest possible privileges.

Remove DBA roles from replication accounts.

Create and use custom replication accounts assigned least privileges for supporting replication operations.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::replication_accounts_must_not_be_granted_dba_privileges: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::replication_accounts_must_not_be_granted_dba_privileges::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `replication_accounts_must_not_be_granted_dba_privileges` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61513

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::replication_accounts_must_not_be_granted_dba_privileges` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsresource_limit_is_set_to_true"></a>`ora_secured::controls::resource_limit_is_set_to_true`

ora_secured::controls::resource_limit_is_set_to_true

profiles. This setting should have a value of `TRUE`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::resource_limit_is_set_to_true: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::resource_limit_is_set_to_true::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `resource_limit_is_set_to_true` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.18
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.17
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.16

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::resource_limit_is_set_to_true` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrestrict_error_messages_so_only_authorized_personnel_may_view_them"></a>`ora_secured::controls::restrict_error_messages_so_only_authorized_personnel_may_view_them`

ora_secured::controls::restrict_error_messages_so_only_authorized_personnel_may_view_them

i)  Review all end-user-facing applications that use the database, to determine whether they display any DBMS-generated error messages to general users.  If they do, this is a finding.

ii) Review whether the database is accessible to users who are not authorized system administrators or database administrators, via the following types of software:
iia) Oracle SQL*Plus
iib) Reporting and analysis tools
iic) Database management and/or development tools, such as, but not limited to, Toad.
iid) Application development tools, such as, but not limited to, Oracle JDeveloper, Microsoft Visual Studio, PowerBuilder, or Eclipse.

If the answer to the preceding question (iia through iid) is Yes, inquire whether, for each role or individual with respect to each tool, this access is required to enable the user(s) to perform authorized job duties.  If No, this is a finding. If Yes, continue:

For each tool in use, determine whether it is capable of suppressing DBMS-generated error messages, and if it is, whether it is configured to do so.

Determine whether the role or individual, with respect to each tool, needs to see detailed DBMS-generated error messages.

If No, and if the tool is not configured to suppress such messages, this is a finding.

If Yes, determine whether the role/user's need to see such messages is documented in the System Security Plan.  If so, this is not a finding. If not, this is a finding.

i)  For each end-user-facing application that displays DBMS-generated error messages, configure or recode it to suppress these messages.

If the application is coded in Oracle PL/SQL, the EXCEPTION block can be used to suppress or divert error messages.  Most other programming languages provide comparable facilities, such as TRY ... CATCH.

ii) For each unauthorized user of each tool, remove the ability to access it.  For each tool where access to DBMS error messages is not required and can be configured, suppress the messages.  For each role/user that needs access to the error messages, or needs a tool where the messages cannot be suppressed, document the need in the system security plan.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::restrict_error_messages_so_only_authorized_personnel_may_view_them: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::restrict_error_messages_so_only_authorized_personnel_may_view_them::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `restrict_error_messages_so_only_authorized_personnel_may_view_them` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61793

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::restrict_error_messages_so_only_authorized_personnel_may_view_them` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrestrict_grants_to_sensitive_information_to_authorized_user_roles"></a>`ora_secured::controls::restrict_grants_to_sensitive_information_to_authorized_user_roles`

ora_secured::controls::restrict_grants_to_sensitive_information_to_authorized_user_roles

If access to sensitive information is granted to roles not authorized to access sensitive information, this is a finding.

If access to sensitive information is granted to individual accounts rather than to a role, this is a finding.

Define application user roles based on privilege and job function requirements.

Assign the required privileges to the role and assign the role to authorized application user accounts.

Revoke any privileges to sensitive information directly assigned to application user accounts.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::restrict_grants_to_sensitive_information_to_authorized_user_roles: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::restrict_grants_to_sensitive_information_to_authorized_user_roles::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `restrict_grants_to_sensitive_information_to_authorized_user_roles` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61581

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::restrict_grants_to_sensitive_information_to_authorized_user_roles` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrevoke_action_audit_is_enabled"></a>`ora_secured::controls::revoke_action_audit_is_enabled`

ora_secured::controls::revoke_action_audit_is_enabled

roles. Enabling this unified action audit enables logging of all `REVOKE`
statements, successful or unsuccessful, issued by the users regardless of the
privileges held by the users to issue such statements.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::revoke_action_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::revoke_action_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `revoke_action_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.8
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.8
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.8

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::revoke_action_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrole_audit_option_is_enabled"></a>`ora_secured::controls::role_audit_option_is_enabled`

ora_secured::controls::role_audit_option_is_enabled

granted to users or other roles. Enabling the audit option causes auditing of
all attempts, successful or not, to create, drop, alter or set roles.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::role_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::role_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `role_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.2
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.2

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::role_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws"></a>`ora_secured::controls::rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws`

ora_secured::controls::rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws

If the DBMS or custom database code would facilitate DoS-style attacks against other information systems, this is a finding.

The Listener is the key for a denial of service attack.  Check to insure the appropriate steps to secure the Oracle Listener are in place at the site.  (Refer to the Fix for more detail on implementing these protections.)

Configure DBMS settings to restrict functionality that could be used to initiate DoS attacks.

Securing the Network Connection:
Protecting the network and its traffic from inappropriate access or modification is the essence of network security. You should consider all paths the data travels, and assess the threats on each path and node. Then, take steps to lessen or eliminate those threats and the consequences of a security breach. In addition, monitor and audit to detect either increased threat levels or penetration attempts.

The following practices improve network security:

1. Disable the Default Listener.
All listeners have a unique name instead of the name LISTENER and have startup protection.

LISTENER=(DESCRIPTION =(ADDRESS = (PROTOCOL = TCP)(HOST=)(PORT = 0)))

This configuration prevents the default listener from starting.

2. Prevent online administration by requiring the administrator to have the write privilege on the listener.ora file on the server.
a. Add or alter this line in the listener.ora file:

ADMIN_RESTRICTIONS_LISTENER=ON

b. Use RELOAD to reload the configuration.

3. Set Protection against crafted network packets on database level.

SEC_PROTOCOL_ERROR_TRACE_ACTION specifies the action that the database should take when bad packets are received from a possibly malicious client.

SEC_PROTOCOL_ERROR_TRACE_ACTION = { NONE | TRACE | LOG | ALERT } (TRACE is the default)

NONE: The database server ignores the bad packets and does not generate any trace files or log messages. (Not recommended)

TRACE: A detailed trace file is generated when bad packets are received, which can be used to debug any problems in client/server communication.

LOG: A minimal log message is printed in the alert logfile and in the server trace file. A minimal amount of disk space is used.

ALERT: An alert message is sent to a DBA or monitoring console.

SEC_PROTOCOL_ERROR_FURTHER_ACTION specifies the further execution of a server process when receiving bad packets from a possibly malicious client.

SEC_PROTOCOL_ERROR_FURTHER_ACTION = { CONTINUE | (DELAY,integer) | (DROP,integer) } (DROP,3 is the default)

CONTINUE: The server process continues execution. The database server may be subject to a Denial of Service (DoS) if bad packets continue to be sent by a malicious client. (Not recommended)

(DELAY, integer) :The client experiences a delay of integer seconds before the server process accepts the next request from the same client connection. Malicious clients are prevented from excessive consumption of server resources while legitimate clients experience degradation in performance but can continue to function.

(DROP, integer) : The server forcefully terminates the client connection after integer bad packets. The server protects itself at the expense of the client (for example, a client transaction may be lost). The client may reconnect and attempt the same operation.

SEC_MAX_FAILED_LOGIN_ATTEMPTS specifies the number of authentication attempts that can be made by a client on a connection to the server process. After the specified number of failure attempts, the connection will be automatically dropped by the server process.

SEC_MAX_FAILED_LOGIN_ATTEMPTS = n (3 is the default) Values range from 1 to unlimited. (A value of 1 to 3 is recommended)

For more information about the parameters in listener.ora, see https://docs.oracle.com/database/121/NETRF/listener.htm#NETRF008

4. When a host computer has multiple IP addresses associated with multiple network interface controller (NIC) cards, configure the listener to the specific IP address.

You can restrict the listener to listen on a specific IP address. Oracle recommends that you specify the specific IP addresses on these types of computers, rather than allowing the listener to listen on all IP addresses. Restricting the listener to specific IP addresses helps to prevent an intruder from stealing a TCP end point from under the listener process.

5. Restrict the privileges of the listener, so that it cannot read or write files in the database or the Oracle server address space.

The default configuration for external procedures does not require a network listener to work with Oracle Database and the extproc agent. The extproc agent is spawned directly by Oracle Database and eliminates the risks that the extproc agent might be spawned by Oracle Listener unexpectedly. This default configuration is recommended for maximum security. For more information about securing external procedures see
https://docs.oracle.com/database/121/DBSEG/app_devs.htm#DBSEG656
However, the extproc agent can be configured to be spawned by a listener. In that case (not recommended) the listener should have restricted privileges.

6. Use a firewall, IAW DoD network policy and guidance.

Appropriately placed and configured firewalls can prevent outside access to your databases.

7. Prevent unauthorized administration of the Oracle listener.

Local administration of the listener is secure by default through the local operating system. Therefore configuring a password is neither required nor recommended for secure local administration. However, a password can be configured for the listener to provide security for administrative operations, such as starting or stopping the listener, viewing a list of supported services, or saving changes to the Listener Control configuration.

By default, Oracle Net Listener permits only local administration for security reasons. As a policy, the listener can be administered only by the user who started it. This is enforced through local operating system authentication. For example, if user1 starts the listener, then only user1 can administer it. Any other user trying to administer the listener gets an error. The super user is the only exception.

Oracle recommends that you perform listener administration in the default mode (secure by means of local operating system authentication), and access the system remotely using a remote logon. Oracle Enterprise Manager Cloud Control can also be used for remote administration.

8. Encrypt network traffic.  (Mandatory for sensitive data and optional for non-sensitive, as covered in other STIG requirements.)

Where applicable, use Oracle network data encryption to encrypt network traffic among clients, databases, and application servers.

9. Set Connect Rate to organization defined limit. (Also required by O121-C2-019100/SRG-APP-000245-DB-000132)

The connection rate limiter feature in Oracle Net Listener enables a database administrator to limit the number of new connections handled by the listener. When this feature is enabled, Oracle Net Listener imposes a user-specified maximum limit on the number of new connections handled by the listener every second.

CONNECTION_RATE_LISTENER=10
LISTENER=
(ADDRESS_LIST=
(ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1521)(RATE_LIMIT=yes))
(ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1522)(RATE_LIMIT=yes))
(ADDRESS=(PROTOCOL=tcp)(HOST=)(PORT=1526))
)

10. Setup Valid Node Checking.
(See also O121-BP-025600.)

Valid node checking is a security feature that protects DBMS instances from malevolent or errant Oracle Net connections over TCP/IP, without the need for a firewall or IP address filtering at the operating system-level. The feature is controlled by the three parameters; tcp.validnode_checking, tcp.invited_nodes, and tcp.excluded_nodes.

Modify the sqlnet.ora file manually
TCP.VALIDNODE_CHECKING=yes
(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

If this parameter is set to yes, then incoming connections are allowed only if they originate from a node that conforms to the list specified by TCP.INVITED_NODES or TCP.EXCLUDED_NODES parameters.

The TCP.INVITED_NODES and TCP.EXCLUDED_NODES parameters are valid only when the TCP.VALIDNODE_CHECKING parameter is set to yes (no is the default).

Modify the listener.ora file manually

TCP.EXCLUDED_NODES Syntax:
TCP.EXCLUDED_NODES=(hostname | ip_address, hostname | ip_address, ...)

Example:
TCP.EXCLUDED_NODES=(finance.us.example.com, mktg.us.example.com, 192.0.2.25, 172.30.*, 2001:DB8:200C:417A/32)

TCP.INVITED_NODES Syntax:
TCP.INVITED_NODES=(hostname | ip_address, hostname | ip_address, ...)

Example:
TCP.INVITED_NODES=(sales.us.example.com, hr.us.example.com, 192.0.*, 2001:DB8:200C:433B/32)

Usage Notes:

Use TCP.INVITED_NODES to specify which clients are allowed access to the database. This list takes precedence over the TCP.EXCLUDED_NODES parameter if both lists are present. These parameters can use wildcards for IPv4 addresses and CIDR notation for IPv4 and IPv6 addresses.

11. Apply Listener Security Patches.
(See also O121-C1-011100/SRG-APP-000133-DB-000205.)

Critical Patch Updates are cumulative. Therefore, the latest patch will contain all previous security patches for the Listener.

12. Ensure that listener logging is turned on.

Listener logging is on by default. If logging is not on, configure logging for all listeners in order to capture Listener commands and brute force password attacks.

13. Monitor the listener logfile.

The logfile may contain TNS-01169, TNS-01189, TNS-01190, or TNS-12508 errors, which may signify attacks or inappropriate activity. Monitor the logfile and generate an alert whenever these errors are encountered.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61815

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::rstrct_ability_of_users_to_launch_denial_of_service_dos_attacks_against_other_info_syss_or_netws` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsrstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users"></a>`ora_secured::controls::rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users`

ora_secured::controls::rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users

If non-DBA users are assigned privileges to access system tables and tables containing configuration data, this is a finding.

To obtain a list of users and roles that have been granted access to any dictionary table, run the query:
SELECT unique grantee from dba_tab_privs where table_name in
(select table_name from dictionary)
order by grantee;

To obtain a list of dictionary tables and assigned privileges granted to a specific user or role, run the query:
SELECT grantee, table_name, privilege from dba_tab_privs where table_name in
(select table_name from dictionary)
and grantee = '<applicable account>';

Restrict accessibility of Oracle system tables and other configuration information or metadata to DBAs or other authorized users.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61589

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::rstrct_acc_to_sys_tables_and_other_config_info_or_metadata_to_dbas_or_other_auth_users` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssec_case_sensitive_logon_is_set_to_true"></a>`ora_secured::controls::sec_case_sensitive_logon_is_set_to_true`

ora_secured::controls::sec_case_sensitive_logon_is_set_to_true

case-sensitivity is required for passwords during login.

Note: This parameter has been deprecated in 12.1 and higher versions.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sec_case_sensitive_logon_is_set_to_true: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sec_case_sensitive_logon_is_set_to_true::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sec_case_sensitive_logon_is_set_to_true` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.11
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.10
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.9

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sec_case_sensitive_logon_is_set_to_true` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssec_max_failed_login_attempts_is_3_or_less"></a>`ora_secured::controls::sec_max_failed_login_attempts_is_3_or_less`

ora_secured::controls::sec_max_failed_login_attempts_is_3_or_less

attempts are allowed before Oracle closes the login connection.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sec_max_failed_login_attempts_is_3_or_less: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sec_max_failed_login_attempts_is_3_or_less::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sec_max_failed_login_attempts_is_3_or_less` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.12
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.11
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.10

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sec_max_failed_login_attempts_is_3_or_less` defined type:

* [`title`](#title)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[0,3]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 3)`

### <a name="ora_securedcontrolssec_protocol_error_further_action_is_set_to_drop3"></a>`ora_secured::controls::sec_protocol_error_further_action_is_set_to_drop3`

ora_secured::controls::sec_protocol_error_further_action_is_set_to_drop3

response to bad/malformed packets received from the client. This setting should
have a value of `(DROP,3)`, which will cause a connection to be dropped after
three bad/malformed packets.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sec_protocol_error_further_action_is_set_to_drop3: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sec_protocol_error_further_action_is_set_to_drop3::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sec_protocol_error_further_action_is_set_to_drop3` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.13
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.12
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.11

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sec_protocol_error_further_action_is_set_to_drop3` defined type:

* [`title`](#title)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Any`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value','(DROP,3)')`

### <a name="ora_securedcontrolssec_protocol_error_trace_action_is_set_to_log"></a>`ora_secured::controls::sec_protocol_error_trace_action_is_set_to_log`

ora_secured::controls::sec_protocol_error_trace_action_is_set_to_log

logging response level to bad/malformed packets received from the client by
generating `ALERT`, `LOG`, or `TRACE` levels of detail in the log files. This
setting should have a value of `LOG` unless the organization has a compelling
reason to use a different value because `LOG` should cause the necessary
information to be logged. Setting the value as `TRACE` can generate an enormous
amount of log output and should be reserved for debugging only.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sec_protocol_error_trace_action_is_set_to_log: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sec_protocol_error_trace_action_is_set_to_log::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sec_protocol_error_trace_action_is_set_to_log` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.14
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.13
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.12

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sec_protocol_error_trace_action_is_set_to_log` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssec_return_server_release_banner_is_set_to_false"></a>`ora_secured::controls::sec_return_server_release_banner_is_set_to_false`

ora_secured::controls::sec_return_server_release_banner_is_set_to_false

exact patch/update release that is currently running on the database. This is
sensitive information that should not be revealed to anyone who requests it.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sec_return_server_release_banner_is_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sec_return_server_release_banner_is_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sec_return_server_release_banner_is_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.15
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.14
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.13

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sec_return_server_release_banner_is_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssecure_control_is_set_in_listener_ora"></a>`ora_secured::controls::secure_control_is_set_in_listener_ora`

ora_secured::controls::secure_control_is_set_in_listener_ora

connection the Oracle server requires for remote configuration of the listener.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::secure_control_is_set_in_listener_ora: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::secure_control_is_set_in_listener_ora::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `secure_control_is_set_in_listener_ora` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.1.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.1.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::secure_control_is_set_in_listener_ora` defined type:

* [`title`](#title)
* [`listener_ora_custom`](#listener_ora_custom)
* [`listener_name_custom`](#listener_name_custom)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="listener_ora_custom"></a>`listener_ora_custom`

Data type: `String`



Default value: `ora_secured::lookup_setting('listener_ora_custom', '')`

##### <a name="listener_name_custom"></a>`listener_name_custom`

Data type: `String`



Default value: `ora_secured::lookup_setting('listener_name_custom', '')`

### <a name="ora_securedcontrolssecure_register_is_set_to_tcps_or_ipc"></a>`ora_secured::controls::secure_register_is_set_to_tcps_or_ipc`

ora_secured::controls::secure_register_is_set_to_tcps_or_ipc

connect to the TNS listener. Each setting should have a value of either TCPS or
IPC based on the needs for its protocol.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::secure_register_is_set_to_tcps_or_ipc: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::secure_register_is_set_to_tcps_or_ipc::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `secure_register_is_set_to_tcps_or_ipc` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.1.4
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.1.4

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::secure_register_is_set_to_tcps_or_ipc` defined type:

* [`title`](#title)
* [`listener_ora_custom`](#listener_ora_custom)
* [`listener_name_custom`](#listener_name_custom)
* [`protocol`](#protocol)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="listener_ora_custom"></a>`listener_ora_custom`

Data type: `String`



Default value: `ora_secured::lookup_setting('listener_ora_custom', '')`

##### <a name="listener_name_custom"></a>`listener_name_custom`

Data type: `String`



Default value: `ora_secured::lookup_setting('listener_name_custom', '')`

##### <a name="protocol"></a>`protocol`

Data type: `Enum['TCPS','IPC']`



Default value: `ora_secured::lookup_setting('protocol', 'TCPS')`

### <a name="ora_securedcontrolsselect_any_dictionary_audit_option_is_enabled"></a>`ora_secured::controls::select_any_dictionary_audit_option_is_enabled`

ora_secured::controls::select_any_dictionary_audit_option_is_enabled

all schema objects in the database. Enabling the audit option causes all user
activities involving this capability to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::select_any_dictionary_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::select_any_dictionary_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `select_any_dictionary_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.10
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.10
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.10

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::select_any_dictionary_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsselect_any_dictionary_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::select_any_dictionary_is_revoked_from_unauthorized_grantee`

ora_secured::controls::select_any_dictionary_is_revoked_from_unauthorized_grantee

to access `SYS` schema objects. Unauthorized grantees should not have that
privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::select_any_dictionary_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::select_any_dictionary_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `select_any_dictionary_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::select_any_dictionary_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsselect_any_dictionary_privilege_audit_is_enabled"></a>`ora_secured::controls::select_any_dictionary_privilege_audit_is_enabled`

ora_secured::controls::select_any_dictionary_privilege_audit_is_enabled

definition of all schema objects in the database. It grants `SELECT` privileges
on the data dictionary objects to the grantees, including `SELECT` on `DBA_`
views, `V$` views, `X$` views and underlying `SYS` tables such as `TAB$` and
`OBJ$`. This privilege also allows grantees to create stored objects such as
procedures, packages and views on the underlying data dictionary objects. Please
note that this privilege does not grant `SELECT` on tables with password hashes
such as `USER$`, `DEFAULT_PWD$`, `LINK$`, and `USER_HISTORY$`. Enabling this
audit causes logging of activities that exercise this privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::select_any_dictionary_privilege_audit_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::select_any_dictionary_privilege_audit_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `select_any_dictionary_privilege_audit_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.2.18
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.2.18
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.2.18

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::select_any_dictionary_privilege_audit_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsselect_any_table_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::select_any_table_is_revoked_from_unauthorized_grantee`

ora_secured::controls::select_any_table_is_revoked_from_unauthorized_grantee

open any table, except `SYS`, to view it. Unauthorized grantees should not have
that privilege.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::select_any_table_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::select_any_table_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `select_any_table_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.2.6
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.2.6
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.2.6

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::select_any_table_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

The objects to exclude from the control actions.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`



Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolsselect_catalog_role_is_revoked_from_unauthorized_grantee"></a>`ora_secured::controls::select_catalog_role_is_revoked_from_unauthorized_grantee`

ora_secured::controls::select_catalog_role_is_revoked_from_unauthorized_grantee

data dictionary views held in the `SYS` schema. Unauthorized grantees should not
have that role.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::select_catalog_role_is_revoked_from_unauthorized_grantee: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::select_catalog_role_is_revoked_from_unauthorized_grantee::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `select_catalog_role_is_revoked_from_unauthorized_grantee` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 5.3.2
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 5.3.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 5.3.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::select_catalog_role_is_revoked_from_unauthorized_grantee` defined type:

* [`title`](#title)
* [`exclude_users`](#exclude_users)
* [`exclude_roles`](#exclude_roles)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude_users"></a>`exclude_users`

Data type: `Array`

The users to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_users', [])`

##### <a name="exclude_roles"></a>`exclude_roles`

Data type: `Array`

The roles to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude_roles', [])`

### <a name="ora_securedcontrolssensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc"></a>`ora_secured::controls::sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc`

ora_secured::controls::sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc

Review AIS Functional Architecture documentation for the DBMS and note any sensitive data that is identified.

Review database table column data or descriptions that indicate sensitive data.

For example, a data column labeled "SSN" could indicate social security numbers are stored in the column.

Question the ISSO or DBA where any questions arise.

General categories of sensitive data requiring identification include any personal data (health, financial, social security number and date of birth), proprietary or financially sensitive business data or data that might be classified.

If any data is considered sensitive and is not documented in the AISFA, this is a finding.

Include identification of any sensitive data in the AIS Functional Architecture and the System Security Plan.

Include data that appear to be sensitive with a discussion as to why it is not marked as such.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61503

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sensitive_data_strd_in_db_must_be_idntfd_in_sys_sec_plan_and_ais_functional_arch_doc` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db"></a>`ora_secured::controls::sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db`

ora_secured::controls::sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db

Review policy, procedures and restrictions for data imports of production data containing sensitive information into development databases.

If data imports of production data are allowed, review procedures for protecting any sensitive data included in production exports.

If sensitive data is included in the exports and no procedures are in place to remove or modify the data to render it not sensitive prior to import into a development database or policy and procedures are not in place to ensure authorization of development personnel to access sensitive information contained in production data, this is a finding.

Develop, document and implement policy, procedures and restrictions for production data import.

Require any users assigned privileges that allow the export of production data from the database to acknowledge understanding of import policies, procedures and restrictions.

Restrict permissions of development personnel requiring use or access to production data imported into development databases containing sensitive information to authorized users.

Implement policy and procedures to modify or remove sensitive information in production exports prior to import into development databases.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61453

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sensitive_info_frm_prod_db_exports_must_be_modified_before_import_to_a_dev_db` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsseparate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality"></a>`ora_secured::controls::separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality`

ora_secured::controls::separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality

If administrator and general user functionality is not separated either physically or logically, this is a finding.

Configure DBMS settings to separate database administration and general user functionality.  Provide those who have both administrative and general-user responsibilities with separate accounts for these separate functions.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61883

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::separate_user_functionality_including_user_interface_services_frm_db_mgmt_functionality` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssessions_per_user_is_less_than_or_equal_to_10"></a>`ora_secured::controls::sessions_per_user_is_less_than_or_equal_to_10`

ora_secured::controls::sessions_per_user_is_less_than_or_equal_to_10

that are allowed to be open concurrently. The suggested value for this is 10 or
less.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sessions_per_user_is_less_than_or_equal_to_10: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sessions_per_user_is_less_than_or_equal_to_10::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sessions_per_user_is_less_than_or_equal_to_10` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 3.8
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 3.8
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 3.8

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sessions_per_user_is_less_than_or_equal_to_10` defined type:

* [`title`](#title)
* [`exclude`](#exclude)
* [`only`](#only)
* [`preferred_value`](#preferred_value)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

##### <a name="exclude"></a>`exclude`

Data type: `Array`

The objects to exclude from the control actions.

Default value: `ora_secured::lookup_setting('exclude', [])`

##### <a name="only"></a>`only`

Data type: `Array`

The list of object to only apply the control to.

Default value: `ora_secured::lookup_setting('only', [])`

##### <a name="preferred_value"></a>`preferred_value`

Data type: `Integer[1,10]`

The preferred value to use.
Some controls allow multiple values. The control implement a default value, but when you want an other value, you can use this parameter.

Default value: `ora_secured::lookup_setting('preferred_value', 10)`

### <a name="ora_securedcontrolsset_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three"></a>`ora_secured::controls::set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three`

ora_secured::controls::set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three

Check the FAILED_LOGIN_ATTEMPTS value assigned to the profiles returned from this query:
SQL>SELECT PROFILE, RESOURCE_NAME, LIMIT FROM DBA_PROFILES;

Check the setting for FAILED_LOGIN_ATTEMPTS - this is the number of consecutive failed logon attempts before locking the Oracle user account. If the value is greater than three on any of the profiles, this is a finding.


Configure the DBMS setting to specify the maximum number of consecutive failed logon attempts to three (or less):
ALTER PROFILE {PROFILE_NAME} LIMIT FAILED_LOGIN_ATTEMPTS 3;

(ORA_STIG_PROFILE is available in DBA_PROFILES, starting with Oracle 12.1.0.2. Note: It remains necessary to create a customized replacement for the password validation function, ORA12C_STRONG_VERIFY_FUNCTION, if relying on this technique to verify password complexity.)


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61605

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::set_the_maximum_number_of_consecutive_invalid_logon_attempts_to_three` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssingle_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients"></a>`ora_secured::controls::single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients`

ora_secured::controls::single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients

If procedures do not indicate or implement restrictions to connections required by the particular user, this is a finding.

Note: This check is specific for the DBMS host system and not directed at client systems (client systems are included in the Application STIG/Checklist); however, detection of unauthorized client connections to the DBMS host system obtained through log files should be performed regularly and documented where authorized.

Implement procedures to supply database connection information to only those databases authorized for the user.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61583

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::single_database_connection_configuration_file_must_not_be_used_to_configure_all_database_clients` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssql92_security_is_set_to_true"></a>`ora_secured::controls::sql92_security_is_set_to_true`

ora_secured::controls::sql92_security_is_set_to_true

granted the `SELECT` object privilege before being able to perform `UPDATE` or
`DELETE` operations on tables that have `WHERE` or `SET` clauses. The setting
should have a value of `TRUE`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sql92_security_is_set_to_true: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sql92_security_is_set_to_true::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sql92_security_is_set_to_true` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.16
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.15
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.14

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sql92_security_is_set_to_true` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself"></a>`ora_secured::controls::supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself`

ora_secured::controls::supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself

If the DBMS software in any way restricts the implementation of logical access controls implemented to protect its integrity or availability, this is a finding.

Configure the DBMS to allow implementation of logical access restrictions aimed at protecting the DBMS from unauthorized changes to its configuration and to the database itself.

- - - - -
When the Oracle Database is installed on a Unix-like operating system, the required umask is 022, and the file permissions are set so that any modifications to the startup files can only be performed by the owner of the software, a member of the group DBA, or the root user. Changing the umask has caused problems when patching the environment.  If changes are to be made, they should be reverted to the status they were in before the modification for patching and upgrades.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61671

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_enforcement_of_log_acc_rstctns_ass_with_changes_to_dbms_config_and_to_db_itself` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med"></a>`ora_secured::controls::supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med`

ora_secured::controls::supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med

Review DBMS settings to determine whether data stored on the database is encrypted according to organizational requirements.

If not, this is a finding.

Check the following settings to see if FIPS 140-2 encryption is configured.  If encryption is not configured, check with the DBA and SYSTEM Administrator to see if other mechanisms or third-party products are deployed to encrypt data stored in the database.

To see if Oracle is configured for FIPS 140-2 Transparent Data Encryption and/or DBMS_CRYPTO, enter the following SQL*Plus command:
SHOW PARAMETER DBFIPS_140
or the following SQL query:
SELECT * FROM SYS.V$PARAMETER WHERE NAME = 'DBFIPS_140';
If Oracle returns the value 'FALSE', or returns no rows, this is a finding.

To see if there are encrypted tablespaces enter the following SQL*Plus command:
SELECT * FROM V$ENCRYPTED_TABLESPACES;
If no rows are returned, then there are no encrypted tablespaces.

To see if there are encrypted columns within existing tables, enter the following SQL*Plus command:
SELECT * FROM DBA_ENCRYPTED_COLUMNS;
If no rows are returned, then there are no encrypted columns within existing tables.

Note: For the Solaris platform, when DBFIPS_140 is FALSE, TDE (but not DBMS_CRYPTO) can still operate
in a FIPS 140-compliant manner if FIPS 140 operation is enabled for the Solaris Cryptographic Framework.

Configure cryptographic functions to use FIPS 140-2-compliant algorithms and hashing functions.

Configure the DBMS and/or the OS to encrypt data at rest according to the requirements of the organization.

The strength requirements are dependent upon data classification.

For unclassified data, where cryptography is required:
AES 128 for encryption
SHA 256 for hashing

NSA has established the suite B encryption requirements for protecting National Security Systems (NSS) as follows.
AES 128 for Secret
AES 256 for Top Secret
SHA 256 for Secret
SHA 384 for Top Secret

National Security System is defined as:
(OMB Circular A-130) Any telecommunications or information system operated by the United States Government, the function, operation, or use of which (1) involves intelligence activities; (2) involves cryptologic activities related to national security; (3) involves command and control of military forces; (4) involves equipment that is an integral part of a weapon or weapons system; or (5) is critical to the direct fulfillment of military or intelligence missions, but excluding any system that is to be used for routine administrative and business applications (including payroll, finance, logistics, and personnel management applications).

There is more information on this topic in the Oracle Database 12c Advanced Security Administrator's Guide, which may be found at  https://docs.oracle.com/database/121/DBSEG/E48135-11.pdf.  (Note, however, that because of changes in Oracle's licensing policy, it is no longer necessary to purchase Oracle Advanced Security to use network encryption and advanced authentication.)

FIPS 140-2 documentation can be downloaded from http://csrc.nist.gov/publications/PubsFIPS.html#140-2

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61755

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_encrpt_info_strd_in_db_and_info_extr_or_dervd_frm_db_and_strd_on_dig_med` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed"></a>`ora_secured::controls::supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed`

ora_secured::controls::supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password verification function, if any, that is in use:

SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME = 'PASSWORD_VERIFY_FUNCTION'
[AND PROFILE NOT IN (<list of non-applicable profiles>)] ORDER BY PROFILE;

Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the name of the password verification function effective for each profile.

If, for any profile, the function name is null, this is a finding.

For each password verification function, examine its source code.

If it does not enforce the organization-defined minimum number of characters by which the password must differ from the previous password (eight of the characters unless otherwise specified), this is a finding.

If any user accounts are managed by Oracle: Develop, test, and implement a password verification function that enforces DoD requirements.

Oracle supplies a sample function called ORA12C_STRONG_VERIFY_FUNCTION. This can be used as the starting point for a customized function. The script file is found in the following location on the server depending on OS:
Windows:
%ORACLE_HOME%\RDBMS\ADMIN\catpvf.sql
UNIX/Linux:
$ORACLE_HOME/rdbms/admin/catpvf.sql


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61731

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_enforce_number_of_characters_that_get_changed_when_pwds_are_changed` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used"></a>`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used`

ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password verification function, if any, that is in use:

SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME = 'PASSWORD_VERIFY_FUNCTION'
[AND PROFILE NOT IN (<list of non-applicable profiles>)]
ORDER BY PROFILE;

Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the name of the password verification function effective for each profile.

If, for any profile, the function name is null, this is a finding.

For each password verification function, examine its source code.

If it does not enforce the organization-defined minimum number of lower-case characters (1 unless otherwise specified), this is a finding.

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, no fix to the DBMS is required.
If any user accounts are managed by Oracle: Develop, test, and implement a password verification function that enforces DoD requirements.

Oracle supplies a sample function called ORA12C_STRONG_VERIFY_FUNCTION. This can be used as the starting point for a customized function. The script file is found in the following location on the server depending on OS:
Windows:
%ORACLE_HOME%\RDBMS\ADMIN\catpvf.sql
UNIX/Linux:
$ORACLE_HOME/rdbms/admin/catpvf.sql

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61725

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_lower_case_characters_used` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used"></a>`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used`

ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password verification function, if any, that is in use:

SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME = 'PASSWORD_VERIFY_FUNCTION'
[AND PROFILE NOT IN (<list of non-applicable profiles>)]
ORDER BY PROFILE;
Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the name of the password verification function effective for each profile.

If, for any profile, the function name is null, this is a finding.

For each password verification function, examine its source code.

If it does not enforce the organization-defined minimum number of numeric characters (1 unless otherwise specified), this is a finding.

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, no fix to the DBMS is required.

If any user accounts are managed by Oracle: Develop, test, and implement a password verification function that enforces DoD requirements.

Oracle supplies a sample function called ORA12C_STRONG_VERIFY_FUNCTION. This can be used as the starting point for a customized function. The script file is found in the following location on the server depending on OS:
Windows:
%ORACLE_HOME%\RDBMS\ADMIN\catpvf.sql
UNIX/Linux:
$ORACLE_HOME/rdbms/admin/catpvf.sql

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61727

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_numeric_characters_used` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used"></a>`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used`

ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password verification function, if any, that is in use:

SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME = 'PASSWORD_VERIFY_FUNCTION'
[AND PROFILE NOT IN (<list of non-applicable profiles>)]
ORDER BY PROFILE;
Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the name of the password verification function effective for each profile.

If, for any profile, the function name is null, this is a finding.

For each password verification function, examine its source code.

If it does not enforce the organization-defined minimum number of special characters (1 unless otherwise specified), this is a finding.

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, no fix to the DBMS is required.

If any user accounts are managed by Oracle: Develop, test, and implement a password verification function that enforces DoD requirements.

Oracle supplies a sample function called ORA12C_STRONG_VERIFY_FUNCTION. This can be used as the starting point for a customized function. The script file is found in the following location on the server depending on OS:
Windows:
%ORACLE_HOME%\RDBMS\ADMIN\catpvf.sql
UNIX/Linux:
$ORACLE_HOME/rdbms/admin/catpvf.sql

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61729

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_special_characters_used` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used"></a>`ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used`

ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password verification function, if any, that is in use:

SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME = 'PASSWORD_VERIFY_FUNCTION'
[AND PROFILE NOT IN (<list of non-applicable profiles>)]
ORDER BY PROFILE;
Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the name of the password verification function effective for each profile.

If, for any profile, the function name is null, this is a finding.

For each password verification function, examine its source code.  If it does not enforce the organization-defined minimum number of upper-case characters (1 unless otherwise specified), this is a finding.

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, no fix to the DBMS is required.

If any user accounts are managed by Oracle: Develop, test, and implement a password verification function that enforces DoD requirements.

Oracle supplies a sample function called ORA12C_STRONG_VERIFY_FUNCTION. This can be used as the starting point for a customized function. The script file is found in the following location on the server depending on OS:
Windows:
%ORACLE_HOME%\RDBMS\ADMIN\catpvf.sql
UNIX/Linux:
$ORACLE_HOME/rdbms/admin/catpvf.sql


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61723

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_enforce_pwd_complexity_by_number_of_upper_case_characters_used` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations"></a>`ora_secured::controls::supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations`

ora_secured::controls::supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password reuse rule, if any, that is in effect:
SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME IN ('PASSWORD_REUSE_MAX', 'PASSWORD_REUSE_TIME')
[AND PROFILE NOT IN (<list of non-applicable profiles>)]
ORDER BY PROFILE, RESOURCE_NAME;
Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the value of the PASSWORD_REUSE_MAX effective for each profile.

If, for any profile, the PASSWORD_REUSE_MAX value does not enforce the DoD-defined minimum number of password changes before a password may be repeated (five or greater), this is a finding.

PASSWORD_REUSE_MAX is effective if and only if PASSWORD_REUSE_TIME is specified, so if both are UNLIMITED, this is a finding.

If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, no fix to the DBMS is required.

If any user accounts are managed by Oracle:  For each profile, set the PASSWORD_REUSE_MAX to enforce the DoD-defined minimum number of password changes before a password may be repeated (five or greater).

PASSWORD_REUSE_MAX is effective if and only if PASSWORD_REUSE_TIME is specified, so ensure also that it has a meaningful value.  Since the minimum password lifetime is 1 day, the smallest meaningful value is the same as the PASSWORD_REUSE_MAX value.

Using PPPPPP as an example, the statement to do this is:
ALTER PROFILE PPPPPP LIMIT PASSWORD_REUSE_MAX 5 PASSWORD_REUSE_TIME 5;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61721

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_prhbt_pwd_reuse_for_org_def_number_of_generations` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services"></a>`ora_secured::controls::supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services`

ora_secured::controls::supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services

If any are found, this is a finding.

(For definitive information on Ports, Protocols and Services Management (PPSM), refer to http://www.disa.mil/Services/Network-Services/Enterprise-Connections/PPSM)

- - - - -
In the Oracle database, the communications with the database and incoming requests are performed by the Oracle Listener.  The Oracle Listener listens on a specific port or ports for connections to a specific database.  The Oracle Listener has configuration files located in the $ORACLE_HOME/network/admin directory.  To check the ports and protocols in use, go to  that directory and review the SQLNET.ora, LISTENER.ora, and the TNSNAMES.ora.  If protocols or ports are in use that are not authorized, this is a finding.

Disable functions, ports, protocols, and services that are not approved.

- - - - -
Change the SQLNET.ora, LISTENER.ora, and TNSNAMES.ora files to reflect the proper use of ports, protocols, and services that are approved at the site.

If changes to the Listener are made, the files associated with the Listener must be reloaded.  Do that by issuing the following commands at the Unix/Linux or Windows prompt.
First - issue the command to see what the current status is
$ lsnrctl stat
Then load the new file that was corrected to reflect site-specific requirements.
$ lsnrctl reload
Then check the status again to see that the changes have taken place.
$ lsnrctl stat

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61687

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_org_reqs_to_spec_prhbt_or_rstrct_use_of_unauth_funcs_ports_protocols_and_or_services` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d"></a>`ora_secured::controls::supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d`

ora_secured::controls::supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d

Test the backup process.  Test the restore process (using a non-production system as the target).

If Oracle is not so configured, this is a finding.

If the test run of the backup and restore fails, this is a finding.

Utilize DBMS features or other software that supports the ability to back up audit data and records onto a system or media different from the system being audited on an organization-defined frequency.

EITHER use Oracle features (such as Backup or Data Pump) to perform backups of the audit data specifically, OR grant appropriate permissions to permit a third-party tool to do so.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61665

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_req_to_back_up_audit_data_and_recs_onto_a_diff_sys_or_med_than_sys_being_audited_on_an_org_d` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events"></a>`ora_secured::controls::supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events`

ora_secured::controls::supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events

If the list does not exist, this is a finding.

For each event type in the list, review the measures in place in the DBMS/database configuration that are designed to detect and/or counter the event.  (Alerting an administrator or operator to the problem is a valid measure.)

If, for any event type defined in the list, no means of detecting the event exists, this is a finding.

For each event type where an automatic countermeasure is defined, verify that its implementation is congruent with the list of defined actions.  If not, this is a finding.

Verify that administrators/operators are familiar with the list and the notification mechanism and are equipped to follow the instructions in the list.  If not, this is a finding.

If the list does not exist, create it.

For any event type defined in the list where no means of detecting the event exists, either create the means of detection or modify the list.

For each event type where an automatic countermeasure is defined but its implementation differs from its description in the list, either modify the countermeasure or amend the list.

If any administrators/operators are unfamiliar with the list or the notification mechanism, train them.

If any administrators/operators are not equipped to follow the instructions in the list, provide them with the means to do so.

Ensure the list is incorporated into, or referenced by, the System Security Plan.

Note that Oracle Audit Vault and Oracle Database Vault are optional products that can be of considerable use in implementing active protection measures of this kind.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61795

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::supp_taking_org_def_lst_of_least_disruptive_actions_to_term_suspicious_events` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupport_organizational_requirements_to_enforce_minimum_password_length"></a>`ora_secured::controls::support_organizational_requirements_to_enforce_minimum_password_length`

ora_secured::controls::support_organizational_requirements_to_enforce_minimum_password_length

For each profile that can be applied to accounts where authentication is under Oracle's control, determine the password verification function, if any, that is in use:

SELECT * FROM SYS.DBA_PROFILES
WHERE RESOURCE_NAME = 'PASSWORD_VERIFY_FUNCTION'
[AND PROFILE NOT IN (<list of non-applicable profiles>)]
ORDER BY PROFILE;

Bearing in mind that a profile can inherit from another profile, and the root profile is called DEFAULT, determine the name of the password verification function effective for each profile.

If, for any profile, the function name is null, this is a finding.

For each password verification function, examine its source code.

If it does not enforce the DoD-defined minimum length (15 unless otherwise specified), this is a finding.

: If all user accounts are authenticated by the OS or an enterprise-level authentication/access mechanism, and not by Oracle, no fix to the DBMS is required.

If any user accounts are managed by Oracle: Develop, test, and implement a password verification function that enforces DoD requirements.

Oracle supplies a sample function called ORA12C_STRONG_VERIFY_FUNCTION. This can be used as the starting point for a customized function. The script file is found in the following location on the server depending on OS:
Windows:
%ORACLE_HOME%\RDBMS\ADMIN\catpvf.sql
UNIX/Linux:
$ORACLE_HOME/rdbms/admin/catpvf.sql


## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::support_organizational_requirements_to_enforce_minimum_password_length: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::support_organizational_requirements_to_enforce_minimum_password_length::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `support_organizational_requirements_to_enforce_minimum_password_length` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61719

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::support_organizational_requirements_to_enforce_minimum_password_length` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupport_organizational_requirements_to_enforce_password_encryption_for_storage"></a>`ora_secured::controls::support_organizational_requirements_to_enforce_password_encryption_for_storage`

ora_secured::controls::support_organizational_requirements_to_enforce_password_encryption_for_storage

Nevertheless, this should be verified by reviewing the relevant system views, along with the other items to be checked here.)

Ask the DBA to review the list of DBMS database objects, database configuration files, associated scripts, and applications defined within and external to the DBMS that access the database. The list should also include files, tables, or settings used to configure the operational environment for the DBMS and for interactive DBMS user accounts.

Ask the DBA and/or ISSO to determine if any DBMS database objects, database configuration files, associated scripts, and applications defined within or external to the DBMS that access the database, and DBMS/user environment files/settings/tables, contain database passwords. If any do, confirm that DBMS passwords stored internally or externally to the DBMS are encoded or encrypted.

If any passwords are stored in clear text, this is a finding.

Ask the DBA/SA/Application Support staff if they have created an external password store for applications, batch jobs, and scripts to use.  Verify that all passwords stored there are encrypted.

If a password store is used and any password is not encrypted, this is a finding.

- - - - -
The following are notes on implementing a Secure External Password Store using Oracle Wallet.

You can store password credentials for connecting to databases by using a client-side Oracle wallet. An Oracle wallet is a secure software container that stores authentication and signing credentials.

This wallet usage can simplify large-scale deployments that rely on password credentials for connecting to databases. When this feature is configured, application code, batch jobs, and scripts no longer need embedded user names and passwords. This reduces risk because the passwords are no longer exposed, and password management policies are more easily enforced without changing application code whenever user names or passwords change.

The external password store of the wallet is separate from the area where public key infrastructure (PKI) credentials are stored. Consequently, you cannot use Oracle Wallet Manager to manage credentials in the external password store of the wallet. Instead, use the command-line utility mkstore to manage these credentials.

How Does the External Password Store Work?

Typically, users (and applications, batch jobs, and scripts) connect to databases by using a standard CONNECT statement that specifies a database connection string. This string can include a user name and password, and an Oracle Net service name identifying the database on an Oracle Database network. If the password is omitted, the connection prompts the user for the password.

For example, the service name could be the URL that identifies that database, or a TNS alias entered in the tnsnames.ora file in the database. Another possibility is a host:port:sid string.

The following examples are standard CONNECT statements that could be used for a client that is not configured to use the external password store:

  CONNECT salesapp@sales_db.us.example.com
  Enter password: password

  CONNECT salesapp@orasales
  Enter password: password

  CONNECT salesapp@ourhost37:1527:DB17
  Enter password: password

In these examples, salesapp is the user name, with the unique connection string for the database shown as specified in three different ways. Could use its URL sales_db.us.example.com, or its TNS alias, orasales, from the tnsnames.ora file, or its host:port:sid string.

However, when clients are configured to use the secure external password store, applications can connect to a database with the following CONNECT statement syntax, without specifying database logon credentials:

  CONNECT /@db_connect_string

  CONNECT /@db_connect_string AS SYSDBA

  CONNECT /@db_connect_string AS SYSOPER

In this specification, db_connect_string is a valid connection string to access the intended database, such as the service name, URL, or alias as shown in the earlier examples. Each user account must have its own unique connection string; cannot create one connection string for multiple users.

In this case, the database credentials, user name and password, are securely stored in an Oracle wallet created for this purpose. The autologon feature of this wallet is turned on, so the system does not need a password to open the wallet. From the wallet, it gets the credentials to access the database for the user they represent.

Develop, document, and maintain a list of DBMS database objects, database configuration files, associated scripts, and applications defined within or external to the DBMS that access the database, and DBMS/user environment files/settings in the System Security Plan.

Record whether they do or do not contain DBMS passwords. If passwords are present, ensure they are encoded or encrypted and protected by host system security.

- - - - -
The following are notes on implementing a Secure External Password Store using Oracle Wallet.

Oracle provides the capability to provide for a secure external password facility.  Use the Oracle mkstore to create a secure storage area for passwords for applications, batch jobs, and scripts to use, or deploy a site-authorized facility to perform this function.

Check to see what has been stored in the Oracle External Password Store

To view all contents of a client wallet external password store, check specific credentials by viewing them. Listing the external password store contents provides information that can be used to decide whether to add or delete credentials from the store.  To list the contents of the external password store, enter the following command at the command line:

$ mkstore -wrl wallet_location -listCredential

For example: $ mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -listCredential

The wallet_location specifies the path to the directory where the wallet, whose external password store contents is to be viewed, is located. This command lists all of the credential database service names (aliases) and the corresponding user name (schema) for that database. Passwords are not listed.

Configuring Clients to Use the External Password Store

If the client is already configured to use external authentication, such as Windows native authentication or Transport Layer Security (TLS), then Oracle Database uses that authentication method. The same credentials used for this type of authentication are typically also used to log on to the database.

For clients not using such authentication methods or wanting to override them for database authentication, can set the SQLNET.WALLET_OVERRIDE parameter in sqlnet.ora to TRUE. The default value for SQLNET.WALLET_OVERRIDE is FALSE, allowing standard use of authentication credentials as before.

If wanting a client to use the secure external password store feature, then perform the following configuration task:

1. Create a wallet on the client by using the following syntax at the command line:

mkstore -wrl wallet_location -create

For example: mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -create
Enter password: password

The wallet_location is the path to the directory where the wallet is to be created and stored. This command creates an Oracle wallet with the autologon feature enabled at the location specified. The autologon feature enables the client to access the wallet contents without supplying a password.

The mkstore utility -create option uses password complexity verification.

2. Create database connection credentials in the wallet by using the following syntax at the command line:

mkstore -wrl wallet_location -createCredential db_connect_string username
Enter password: password

For example: mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -createCredential oracle system
Enter password: password

In this specification, the wallet_location is the path to the directory where the wallet was created. The db_connect_string used in the CONNECT /@db_connect_string statement must be identical to the db_connect_string specified in the -createCredential command. The db_connect_string is the TNS alias used to specify the database in the tnsnames.ora file or any service name used to identify the database on an Oracle network. By default, tnsnames.ora is located in the $ORACLE_HOME/network/admin directory on UNIX systems and in ORACLE_HOME\network\admin on Windows.  The username is the database logon credential. When prompted, enter the password for this user.

3. In the client sqlnet.ora file, enter the WALLET_LOCATION parameter and set it to the directory location of the wallet created in Step 1.  For example, if created the wallet in $ORACLE_HOME/network/admin and Oracle home is set to /private/ora12, then need to enter the following into client sqlnet.ora file:

    WALLET_LOCATION =
           (SOURCE =
             (METHOD = FILE)
             (METHOD_DATA =
           (DIRECTORY = /private/ora12/network/admin)
           )
          )

4. In the client sqlnet.ora file, enter the SQLNET.WALLET_OVERRIDE parameter and set it to TRUE as follows:

SQLNET.WALLET_OVERRIDE = TRUE

This setting causes all CONNECT /@db_connect_string statements to use the information in the wallet at the specified location to authenticate to databases.

When external authentication is in use, an authenticated user with such a wallet can use the CONNECT /@db_connect_string syntax to access the previously specified databases without providing a user name and password. However, if a user fails that external authentication, then these connect statements also fail.

Below is a sample sqlnet.ora file with the WALLET_LOCATION and the SQLNET.WALLET_OVERRIDE parameters set as described in Steps 3 and 4.

        WALLET_LOCATION =
            (SOURCE =
              (METHOD = FILE)
              (METHOD_DATA =
            (DIRECTORY = /private/ora12/network/admin)
              )
             )
        SQLNET.WALLET_OVERRIDE = TRUE
        SSL_CLIENT_AUTHENTICATION = FALSE
        SSL_VERSION = 1.2

(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::support_organizational_requirements_to_enforce_password_encryption_for_storage: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::support_organizational_requirements_to_enforce_password_encryption_for_storage::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `support_organizational_requirements_to_enforce_password_encryption_for_storage` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61733

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::support_organizational_requirements_to_enforce_password_encryption_for_storage` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssupport_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure"></a>`ora_secured::controls::support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure`

ora_secured::controls::support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure

(For definitive information on Ports, Protocols and Services Management (PPSM), refer to http://www.disa.mil/Services/Network-Services/Enterprise-Connections/PPSM)

Review DBMS settings to determine if the database is utilizing any network protocols deemed nonsecure.  If the DBMS is not using any network protocols deemed nonsecure, this is not a finding.

If the database is utilizing protocols specified as nonsecure in the PPSM, verify the protocols are explicitly identified in the System Security Plan and that they are in support of specific operational requirements. If they are not identified in the SSP or are not supporting specific operational requirements, this is a finding.

If nonsecure network protocols are not being used but are not disabled in the DBMS's configuration, this is a finding.

After determining the site-specific operational requirements and which protocols are explicitly defined in the System Security Plan, check the $TNS_ADMIN setting for the location of the Oracle listener.ora file.  The listener.ora file is a configuration file for Oracle Net Listener that identifies the following:

A unique name for the listener, typically LISTENER
A protocol address that it is accepting connection requests on, and
A service it is listening for.

If the listener.ora file shows a PROTOCOL= statement and the PROTOCOL is deemed nonsecure, that is a finding.

LISTENER=
  (DESCRIPTION=
    (ADDRESS_LIST=
      (ADDRESS=(PROTOCOL=tcp)(HOST=sale-server)(PORT=1521))
      (ADDRESS=(PROTOCOL=ipc)(KEY=extproc))))
SID_LIST_LISTENER=
  (SID_LIST=
    (SID_DESC=
      (GLOBAL_DBNAME=sales.us.example.com)
      (ORACLE_HOME=/oracle12c)
      (SID_NAME=sales))
    (SID_DESC=
      (SID_NAME=plsextproc)
      (ORACLE_HOME=/oracle12c)
      (PROGRAM=extproc)))

Protocol Parameters

The Oracle Listener and the Oracle Connection Manager are identified by protocol addresses. The information below contains the "Protocol-Specific Parameters" used by the Oracle protocol support.

Protocol-Specific Parameters

Protocol: IPC     Parameter: PROTOCOL  Notes: Specify ipc as the value.
Protocol: IPC     Parameter: KEY       Notes: Specify a unique name for the service. Oracle recommends using the service name or SID of the service.
Example: (PROTOCOL=ipc)(KEY=sales)

Protocol: Named Pipes  Parameter: PROTOCOL  Notes: Specify nmp as the value.
Protocol: Named Pipes  Parameter: SERVER    Notes: Specify the name of the Oracle server.
Protocol: Named Pipes  Parameter: PIPE      Notes: Specify the pipe name used to connect to the database server.
This is the same PIPE keyword specified on the server with Named Pipes.  This name can be any name.
Example: (Protocol=nmp) (SERVER=USDOD) (PIPE=dbpipe01)

Protocol: SDP     Parameter: PROTOCOL  Notes: Specify sdp as the value.
Protocol: SDP     Parameter: HOST      Notes: Specify the host name or IP address of the computer.
Protocol: SDP     Parameter: PORT      Notes: Specify the listening port number.
Example: (PROTOCOL=sdp)(HOST=sales-server)(PORT=1521)
         (PROTOCOL=sdp)(HOST=192.168.2.204)(PORT=1521)

Protocol: TCP/IP  Parameter: PROTOCOL  Notes: Specify TCP as the value.
Protocol: TCP/IP  Parameter: HOST      Notes: Specify the host name or IP address of the computer.
Protocol: TCP/IP  Parameter: PORT      Notes: Specify the listening port number.
Example: (PROTOCOL=tcp)(HOST=sales-server)(PORT=1521)
         (PROTOCOL=tcp)(HOST=192.168.2.204)(PORT=1521)

Protocol: TCP/IP with TLS  Parameter: PROTOCOL  Notes: Specify tcps as the value.
Protocol: TCP/IP with TLS  Parameter: HOST      Notes: Specify the host name or IP address of the computer.
Protocol: TCP/IP with TLS  Parameter: PORT      Notes: Specify the listening port number.
                                                        Example:(PROTOCOL=tcps)(HOST=sales-server) (PORT=2484)
        (PROTOCOL=tcps)(HOST=192.168.2.204)(PORT=2484)

Disable any network protocol listed as nonsecure in the PPSM documentation.

To disable the protocol deemed not secure, stop the listener by issuing the following command as the Oracle Software owner, typically Oracle.
          $ lsnrctl stop
This will stop the listener.  Edit the LISTENER.ORA file and remove the protocols deemed not secure and restart the listener.

For example, if TCP was deemed as not secure, the listener.ora would need to be changed and the tcp entry would need to be removed.  That would only allow the listener to listen for an IPC connection.

LISTENER=
  (DESCRIPTION=
    (ADDRESS_LIST=
      (ADDRESS=(PROTOCOL=tcp)(HOST=sale-server)(PORT=1521)) - remove this line and properly balance the parentheses -
      (ADDRESS=(PROTOCOL=ipc)(KEY=extproc))))
SID_LIST_LISTENER=
  (SID_LIST=
    (SID_DESC=
      (GLOBAL_DBNAME=sales.us.example.com)
      (ORACLE_HOME=/oracle12c)
      (SID_NAME=sales))
    (SID_DESC=
      (SID_NAME=plsextproc)
      (ORACLE_HOME=/oracle12c)
      (PROGRAM=extproc)))

Revise the client side TNSNAMES.ORA to align the PROTOCOL value in the PROTOCOL portion of the connect string.  For example, if TCP was deemed as not secure and the listener.ora was changed to listen for an IPC connection the code below would be required:

net_service_name=
(DESCRIPTION=
(ADDRESS=(PROTOCOL=tcp)(HOST=sales1-svr)(PORT=1521))
(ADDRESS=(PROTOCOL=tcp)(HOST=sales2-svr)(PORT=1521))
(CONNECT_DATA=
(SERVICE_NAME=sales.us.example.com)))

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61555

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::support_the_disabling_of_network_protocols_deemed_by_the_organization_to_be_nonsecure` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssynonym_audit_option_is_enabled"></a>`ora_secured::controls::synonym_audit_option_is_enabled`

ora_secured::controls::synonym_audit_option_is_enabled

database object such as a Java class schema object, materialized view, operator,
package, procedure, sequence, stored function, table, view, user-defined object
type, or even another synonym. This synonym puts a dependency on its target and
is rendered invalid if the target object is changed/dropped. Enabling the audit
option causes all user activities involving the creation or dropping of synonyms
to be audited.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::synonym_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::synonym_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `synonym_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.8
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.8
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.8

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::synonym_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts"></a>`ora_secured::controls::sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts`

ora_secured::controls::sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts

These are accounts that have special privileges required to administer areas of the database, such as the CREATE ANY TABLE or ALTER SESSION privilege, or EXECUTE privileges on packages owned by the SYS schema. The default tablespace for administrative accounts is either SYSTEM or SYSAUX. Non-administrative user accounts only have the minimum privileges needed to perform their jobs. Their default tablespace is USERS.

To protect these accounts from unauthorized access, the installation process expires and locks most of these accounts, except where noted below. The database administrator is responsible for unlocking and resetting these accounts, as required.

Non-Administrative Accounts - Expired and locked:
APEX_PUBLIC_USER, DIP, FLOWS_040100*, FLOWS_FILES, MDDATA, ORACLE_OCM, SPATIAL_CSW_ADMIN_USR, SPATIAL_WFS_ADMIN_USR, XS$NULL

Administrative Accounts - Expired and Locked:
ANONYMOUS, CTXSYS, EXFSYS, LBACSYS, MDSYS, OLAPSYS, ORDDATA, OWBSYS, ORDPLUGINS, ORDSYS, OUTLN, SI_INFORMTN_SCHEMA, WK_TEST, WK_SYS, WKPROXY, WMSYS, XDB

Administrative Accounts - Open:
DBSNMP, MGMT_VIEW, SYS, SYSMAN, SYSTEM, SYSKM

* Subject to change based on version installed

Run the SQL query:

From SQL*Plus:
select grantee, privilege from dba_sys_privs
where grantee not in (<list of non-applicable accounts>)
and admin_option = 'YES'
and grantee not in
(select grantee from dba_role_privs where granted_role = 'DBA');

(With respect to the list of special accounts that are excluded from this requirement, it is expected that the DBA will maintain the list to suit local circumstances, adding special accounts as necessary and removing any that are not supposed to be in use in the Oracle deployment that is under review.)

If any accounts that are not authorized to have the ADMIN OPTION are listed, this is a finding.

Revoke assignment of privileges with the WITH ADMIN OPTION from unauthorized users and re-grant them without the option.

From SQL*Plus:

  revoke [privilege name] from user [username];

Replace [privilege name] with the named privilege and [username] with the named user.

Restrict use of the WITH ADMIN OPTION to authorized administrators.

Document authorized privilege assignments with the WITH ADMIN OPTION in the System Security Plan.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61433

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sys_privs_grnted_using_with_admin_option_must_not_be_grnted_to_unauth_user_accnts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssys_user_mig_has_been_dropped"></a>`ora_secured::controls::sys_user_mig_has_been_dropped`

ora_secured::controls::sys_user_mig_has_been_dropped

user$mig` is created during migration and contains the Oracle
password hashes before the migration starts. This table should be dropped.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::sys_user_mig_has_been_dropped: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::sys_user_mig_has_been_dropped::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `sys_user_mig_has_been_dropped` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 4.5
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 4.5
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 4.5

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::sys_user_mig_has_been_dropped` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssystem_grant_audit_option_is_enabled"></a>`ora_secured::controls::system_grant_audit_option_is_enabled`

ora_secured::controls::system_grant_audit_option_is_enabled

attempt, successful or not, to grant or revoke any system privilege or role,
regardless of privilege held by the user attempting the operation.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::system_grant_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::system_grant_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `system_grant_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.3
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.3
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.3

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::system_grant_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolssystem_privileges_must_not_be_granted_to_public"></a>`ora_secured::controls::system_privileges_must_not_be_granted_to_public`

ora_secured::controls::system_privileges_must_not_be_granted_to_public

select privilege from dba_sys_privs where grantee = 'PUBLIC';

If any records are returned, this is a finding.

Revoke any system privileges assigned to PUBLIC:


  revoke [system privilege] from PUBLIC;

Replace [system privilege] with the named system privilege.

Note:  System privileges are not granted to PUBLIC by default and would indicate a custom action.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::system_privileges_must_not_be_granted_to_public: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::system_privileges_must_not_be_granted_to_public::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `system_privileges_must_not_be_granted_to_public` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61435

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::system_privileges_must_not_be_granted_to_public` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolstake_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data"></a>`ora_secured::controls::take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data`

ora_secured::controls::take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data

Review DBMS settings to determine whether controls exist to protect the confidentiality and integrity of data at rest in the database.

If controls do not exist or are not enabled, this is a finding.

To ensure that the appropriate controls are in place, discuss the precautions taken with the site Database Administrators and System Administrators and try to modify data at rest.

Oracle recommends using Transparent Data Encryption to protect data.

In order to check to see if the data is encrypted, for example, upon an auditor's request, Oracle provides views that document the encryption status of the database. For TDE column encryption, use the view 'dba_encrypted_columns', which lists the owner, table name, column name, encryption algorithm, and salt for all encrypted columns. For TDE tablespace encryption, the following SQL statement lists all encrypted tablespaces with their encryption algorithm and corresponding, encrypted, data files. Issue the following commands to check to see if the data at rest is encrypted.

$ sqlplus connect as sysdba

SQL> SELECT t.name "TSName",
e.encryptionalg "Algorithm",
d.file_name "File Name"
FROM v$tablespace t,
v$encrypted_tablespaces e,
dba_data_files d
WHERE t.ts# = e.ts#
and t.name = d.tablespace_name;

The next SQL statement lists the table owner, tables within encrypted tablespaces, and the encryption algorithm:

SQL> SELECT a.owner "Owner",
a.table_name "Table Name",
e.encryptionalg "Algorithm"
FROM dba_tables a,
v$encrypted_tablespaces e
WHERE a.tablespace_name in (select t.name from v$tablespace t, v$encrypted_tablespaces e where t.ts# = e.ts#);

Apply appropriate controls to protect the confidentiality and integrity of data at rest in the database.

If no site-specific precautions are in place, use Oracle Advanced Security Option to encrypt data at rest.

If ASO is not an option, use site-specific procedures to secure data at rest.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61771

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::take_needed_steps_to_prot_data_at_rest_and_ensure_conf_and_int_of_app_data` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsterm_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity"></a>`ora_secured::controls::term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity`

ora_secured::controls::term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity

If the network connection is not terminated, this is a finding.

The defined duration for these timeouts 15 minutes, except to fulfill documented and validated mission requirements.

Configure DBMS and/or OS settings to disconnect network sessions when database communication sessions have ended or after the DoD-defined period of inactivity.

To configure this in Oracle, modify each relevant profile.  The resource name is IDLE_TIME, which is expressed in minutes.  Using PPPPPP as an example of a profile, set the timeout to 15 minutes with:
ALTER PROFILE PPPPPP LIMIT IDLE_TIME 15;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61757

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::term_netw_conns_ass_with_a_comms_session_at_end_of_session_or_15_minutes_of_inactivity` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsterm_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as"></a>`ora_secured::controls::term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as`

ora_secured::controls::term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as

If they are not, this is a finding.

Review system documentation and organization policy to identify other events that should result in session terminations. If other session termination events are defined, review DBMS settings to verify occurrences of these events would cause session termination.

If occurrences of defined session-terminating events do not cause session terminations, this is a finding.

When a user logs off of an Oracle session gracefully or has the session terminated for an idle timeout or any other reason, the session is terminated, and the resources are returned to the system.  Check with the DBA to see what mechanism is used to disconnect the session and what events the site uses to determine if a connection needs to be terminated.

To test for timeout, open a connection and leave it idle for a period greater than the defined idle timeout setting enforced by the system.  Then try to use the connection.  If the connection is no longer active, then the mechanism deployed to terminate the connection is active and working.

Configure DBMS settings to terminate sessions upon user logoff.  Configure DBMS settings to terminate sessions upon the occurrence of any organization or policy-defined session termination event.

- - - - -

To configure specific session termination processes, we need to define the organization or policy-defined session termination event. Below are some examples.

Oracle has several ways to disconnect idle sessions, both from within SQL*Plus via resources profiles (connect_time, idle_time) and with the SQL*net expire time parameter.

Can use profiles to set the connect time and idle time with "alter profile" statements:

alter profile senior_claim_analyst limit
connect_time 15
sessions_per_user 2
ldle_time 10;

Profiles comprise a named set of resource limits. By default, when users are created, they are given the default profile, which provides unlimited use of all resources.

The syntax to create a profile follows:

CREATE PROFILE LIMIT resource_parameters|password_parameters;
Resource_parameters:
[SESSIONS_PER_USER n|UNLIMITED|DEFAULT]
[CPU_PER_SESSION n|UNLIMITED|DEFAULT]
[CPU_PER_CALL n|UNLIMITED|DEFAULT]
[CONNECT_TIME n|UNLIMITED|DEFAULT]
[IDLE_TIME n|UNLIMITED|DEFAULT]

By setting resource limits, can prevent users from performing operations that will tie up the system and prevent other users from performing operations. Can use resource limits for security, to ensure that users log off the system, so as not to leave the session connected for long periods of time.

The system resource limits can be enforced at the session level, the call level, or both. The session level is calculated from the time the user logs on to the database until the user exits. The call level applies to each SQL command issued. Session-level limits are enforced for each connection. When a session-level limit is exceeded, only the last SQL command issued is rolled back; no further work can be performed until a commit, rollback, or exit is performed.

Using SQLNET.EXPIRE_TIME

The sqlnet.expire_time parameter is used to set a time interval, in minutes, to determine how often a probe should be sent verifying that client/server connections are active. If there is a need to ensure that connections are not left open indefinitely (or up to the time set by operating system-specific parameters), set a value that is greater than 0. This protects the system from connections left open due to an abnormal client termination.

When the probe detects a terminated connection or a connection no longer in use, it signals an error, causing the server process to exit. This setting is intended for use on the database server side of the connection, which usually handles multiple connections at any one time. Limitations on using this terminated (dead) connection detection feature are:

sqlnet.expire_time cannot be used on bequeathed connections.

The SQL*Net expire_time probe packet will generate additional network traffic that may downgrade the network's performance, depending on the number of connections.

Depending on the operating system that is in use, additional server processing may need to be performed to distinguish the connection probe from other events that occur. This overhead for detection of probe events can result in downgraded network performance.

Turning-on expire_time

To set up these advanced features, simply edit the sqlnet.ora file. If a beginner, follow this procedure:

Start the Oracle Network Manager GUI.

In the GUI navigator pane, expand the icons Local >> Profile.

From the list on the right-hand pane, select General.

Click on the Advanced tab.

Next, enter the values for the fields or options to set.

When finished, choose File >> Save Network Configuration to write the changes to the sqlnet.ora file. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

The sqlnet.ora inbound_connect_timeout parameter

The sqlnet.ora inbound_connect_timeout parameter is used to limit the time, set in seconds, for a client to connect with the database server and provide the required authentication information.

Also see sqlnet.inbound_connect_timeout tips.

To limit consumption of Oracle resources by unauthorized users and enable an audit trail, should set time-limit values for the sqlnet.inbound_connect_timeout parameter in wall-clock seconds. (This parameter does not have default values.) Failure resulting from sqlnet.inbound_connect_timeout will throw an ORA-03136 inbound connection timed out error.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61765

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::term_user_sess_upon_user_logoff_or_any_other_org_or_policy_def_session_termination_events_such_as` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolstrace_files_public_is_set_to_false"></a>`ora_secured::controls::trace_files_public_is_set_to_false`

ora_secured::controls::trace_files_public_is_set_to_false

file is world readable. This setting should have a value of `FALSE` to restrict
trace file access.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::trace_files_public_is_set_to_false: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::trace_files_public_is_set_to_false::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `trace_files_public_is_set_to_false` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 2.2.17
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 2.2.16
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 2.2.15

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::trace_files_public_is_set_to_false` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolstrigger_audit_option_is_enabled"></a>`ora_secured::controls::trigger_audit_option_is_enabled`

ora_secured::controls::trigger_audit_option_is_enabled

actions when some types of user-initiated actions occur. Enabling this audit
option will cause auditing of any attempt, successful or not, to create, drop,
enable or disable any schema trigger in any schema regardless of privilege or
lack thereof. For enabling and disabling a trigger, it covers both `ALTER
TRIGGER` and `ALTER TABLE`.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::trigger_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::trigger_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `trigger_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.17
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.17
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.17

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::trigger_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsunauthorized_database_links_must_not_be_defined_and_active"></a>`ora_secured::controls::unauthorized_database_links_must_not_be_defined_and_active`

ora_secured::controls::unauthorized_database_links_must_not_be_defined_and_active

select db_link||': '||host from dba_db_links;

If no links are returned, this check is not a finding.

Review documentation for definitions of authorized database links to external interfaces.

The documentation should include:

- Any remote access to the database
- The purpose or function of the remote connection
- Any access to data or procedures stored externally to the local DBMS
- Any network ports or protocols used by remote connections, whether the remote connection is to a production, test, or development system
- Any security accounts used by DBMS to access remote resources or objects

If any unauthorized database links are defined or the definitions do not match the documentation, this is a finding.

Note: findings for production-development links under this check are assigned to the production database only.

If any database links are defined between the production database and any test or development databases, this is a finding.

If remote interface documentation does not exist or is incomplete, this is a finding.

Document all remote or external interfaces used by the DBMS to connect to or allow connections from remote or external sources.

Include with the documentation as appropriate, any network ports or protocols, security accounts, and the sensitivity of any data exchanged.

Do not define or configure database links between production databases and test or development databases.

Note: Oracle Database Advanced Replication is deprecated in Oracle Database 12c. Use Oracle GoldenGate to replace all features of Advanced Replication, including multimaster replication, updatable materialized views, hierarchical materialized views, and deployment templates.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::unauthorized_database_links_must_not_be_defined_and_active: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::unauthorized_database_links_must_not_be_defined_and_active::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `unauthorized_database_links_must_not_be_defined_and_active` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61451

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::unauthorized_database_links_must_not_be_defined_and_active` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users"></a>`ora_secured::controls::uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users`

ora_secured::controls::uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users

If non-organizational users are not uniquely identified and authenticated, this is a finding.

Configure DBMS settings to uniquely identify and authenticate all non-organizational users who log onto the system.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61881

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::uniquely_identify_and_authenticate_non_org_users_or_procs_acting_on_behalf_of_non_org_users` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users"></a>`ora_secured::controls::uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users`

ora_secured::controls::uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users

If organizational users are not uniquely identified and authenticated, this is a finding.

Configure DBMS, OS and/or enterprise-level authentication/access mechanism to uniquely identify and authenticate all organizational users who log on to the system.  Ensure that each user has a separate account from all other users.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61879

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::uniquely_identify_and_authenticate_org_users_or_procs_acting_on_behalf_of_org_users` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsunused_database_components_dbms_software_and_database_objects_must_be_removed"></a>`ora_secured::controls::unused_database_components_dbms_software_and_database_objects_must_be_removed`

ora_secured::controls::unused_database_components_dbms_software_and_database_objects_must_be_removed

SELECT comp_id, comp_name, version, status from dba_registry
where comp_id not in ('CATALOG','CATPROC','XDB');

Review the list.  If unused components are installed and are not documented and authorized, this is a finding.

Starting with releases 11.1.0.7.x and above, all products are installed by default and the option to customize the product/component selection is no longer possible with the exception of those listed here:

Oracle JVM,
Oracle Text,
Oracle Multimedia,
Oracle OLAP,
Oracle Spatial,
Oracle Label Security,
Oracle Application Express,
Oracle Database Vault

If any components are required for operation of applications that will be accessing the DBMS, include them in the system documentation.

One cannot remove components, either via Database Configuration Assistant (DBCA) or manually once the database has been created, either from a container or a non-container database.

One can, however, use DBCA to create a non-container database and remove components during the creation process, before the database is created.

When using DBCA to create a custom non-container database, select
creation mode = advanced
Database Template = Custom
Database Options..Database Component.

Components that can be selected or de-selected are:
Oracle JVM, Oracle Text, Oracle Multimedia, Oracle OLAP, Oracle Spatial, Oracle Label Security, Oracle Application Express, Oracle Database Vault

For a container database (CDB), the CDB$ROOT must have all possible database components available.  This is because, when a pluggable database (PDB) is plugged into the CDB, the CDB must have the same components installed as the PDB.  Since we do not know what components the PDBS may have, the CDB must be able to support all possible PDB configurations.

Components installed in the CDB$ROOT do not need to be licensed.  Components are only considered to be used if they are installed in the PDB.

To configure a PDB to only use specific components, do the following:

1) Create a non-CDB 12.1 database and configure that database with the components desired.

2) Plug the non-CDB database into a CDB database, creating a new PDB.  If wanted, can then create additional clones from the new PDB.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::unused_database_components_dbms_software_and_database_objects_must_be_removed: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::unused_database_components_dbms_software_and_database_objects_must_be_removed::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `unused_database_components_dbms_software_and_database_objects_must_be_removed` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61679

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::unused_database_components_dbms_software_and_database_objects_must_be_removed` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsunused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled"></a>`ora_secured::controls::unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled`

ora_secured::controls::unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled

SELECT parameter, value
from v$option
where parameter in
(
'Data Mining',
'Oracle Database Extensions for .NET',
'OLAP',
'Partitioning',
'Real Application Testing'
);

This will return all of the relevant database options and their status. TRUE means that the option is installed. If the option is not installed, the option will be set to FALSE.

Review the options and check the system documentation to see what is required.  If all listed components are authorized to be in use, this is not a finding.

If any unused components or features are listed by the query as TRUE, this is a finding.

In the system documentation list the integrated components required for operation of applications that will be accessing the DBMS.

For Oracle Database 12.1, only the following components can be enabled/disabled:

Oracle Data Mining (dm)
Oracle Database Extensions for .NET (ode_net)
Oracle OLAP (olap)
Oracle Partitioning (partitioning)
Real Application Testing (rat)

Use the chopt utility (an Oracle-supplied operating system command that resides in the <Oracle Home path>/bin directory) to disable each option that should not be available.  The command format is

            chopt <enable|disable> <option>
where <option> is any of the abbreviations in parentheses in the list above.  For example, to disable Real Application Testing, issue the following command at an OS prompt:

            chopt disable rat

Restart the Oracle service.

(See My Oracle Support Document 948061.1 for more on the chopt command.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61681

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::unused_db_components_that_are_integrated_in_dbms_and_cannot_be_uninstalled_must_be_disabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_multifactor_authentication_for_local_access_to_non_privileged_accounts"></a>`ora_secured::controls::use_multifactor_authentication_for_local_access_to_non_privileged_accounts`

ora_secured::controls::use_multifactor_authentication_for_local_access_to_non_privileged_accounts

If users logging on to non-privileged accounts locally are not required to use multifactor authentication, this is a finding.

Use authentication to prove the identities of users who are attempting to log on to the database. Authenticating user identity is imperative in distributed environments, without which there can be little confidence in network security. Passwords are the most common means of authentication. Oracle Database enables strong authentication with Oracle authentication adapters that support various third-party authentication services, including TLS with digital certificates.

If the $ORACLE_HOME/network/admin/sqlnet.ora contains entries similar to the following, TLS is enabled.
(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

SQLNET.AUTHENTICATION_SERVICES= (BEQ, TCPS)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION = TRUE
WALLET_LOCATION =
  (SOURCE =
    (METHOD = FILE)
    (METHOD_DATA =
      (DIRECTORY = /u01/app/oracle/product/12.1.0/dbhome_1/owm/wallets)
    )
  )
SSL_CIPHER_SUITES= (SSL_RSA_WITH_AES_256_CBC_SHA384)
ADR_BASE = /u01/app/oracle

Configure DBMS, OS and/or enterprise-level authentication/access mechanism to require multifactor authentication for local users logging on to non-privileged accounts.

If appropriate, enable support for Transport Layer Security (TLS) protocols and multifactor authentication through the use of Smart Cards (CAC/PIV).

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_multifactor_authentication_for_local_access_to_non_privileged_accounts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_multifactor_authentication_for_local_access_to_non_privileged_accounts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_multifactor_authentication_for_local_access_to_non_privileged_accounts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61709

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_multifactor_authentication_for_local_access_to_non_privileged_accounts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_multifactor_authentication_for_local_access_to_privileged_accounts"></a>`ora_secured::controls::use_multifactor_authentication_for_local_access_to_privileged_accounts`

ora_secured::controls::use_multifactor_authentication_for_local_access_to_privileged_accounts

If users logging on to privileged accounts locally are not required to use multifactor authentication, this is a finding.

Use authentication to prove the identities of users who are attempting to log on to the database. Authenticating user identity is imperative in distributed environments, without which there can be little confidence in network security. Passwords are the most common means of authentication. Oracle Database enables strong authentication with Oracle authentication adapters that support various third-party authentication services, including TLS with digital certificates.

If the $ORACLE_HOME/network/admin/sqlnet.ora contains entries similar to the following, TLS is enabled.
(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

SQLNET.AUTHENTICATION_SERVICES= (BEQ, TCPS)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION = TRUE
WALLET_LOCATION =
  (SOURCE =
    (METHOD = FILE)
    (METHOD_DATA =
      (DIRECTORY = /u01/app/oracle/product/12.1.0/dbhome_1/owm/wallets)
    )
  )

SSL_CIPHER_SUITES= (SSL_RSA_WITH_AES_256_CBC_SHA384)
ADR_BASE = /u01/app/oracle

Configure DBMS, OS and/or enterprise-level authentication/access mechanism to require multifactor authentication for local users logging on to privileged accounts.

If appropriate, enable support for Transport Layer Security (TLS) protocols and multifactor authentication through the use of Smart Cards (CAC/PIV).

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_multifactor_authentication_for_local_access_to_privileged_accounts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_multifactor_authentication_for_local_access_to_privileged_accounts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_multifactor_authentication_for_local_access_to_privileged_accounts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61707

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_multifactor_authentication_for_local_access_to_privileged_accounts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_multifactor_authentication_for_network_access_to_non_privileged_accounts"></a>`ora_secured::controls::use_multifactor_authentication_for_network_access_to_non_privileged_accounts`

ora_secured::controls::use_multifactor_authentication_for_network_access_to_non_privileged_accounts

If users logging on to non-privileged accounts via a network are not required to use multifactor authentication, this is a finding.

Use authentication to prove the identities of users who are attempting to log on to the database. Authenticating user identity is imperative in distributed environments, without which there can be little confidence in network security. Passwords are the most common means of authentication. Oracle Database enables strong authentication with Oracle authentication adapters that support various third-party authentication services, including TLS with digital certificates.

If the $ORACLE_HOME/network/admin/sqlnet.ora contains entries similar to the following, TLS is enabled.
(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

SQLNET.AUTHENTICATION_SERVICES= (BEQ, TCPS)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION = TRUE
WALLET_LOCATION =
  (SOURCE =
    (METHOD = FILE)
    (METHOD_DATA =
      (DIRECTORY = /u01/app/oracle/product/12.1.0/dbhome_1/owm/wallets)
    )
  )

SSL_CIPHER_SUITES= (SSL_RSA_WITH_AES_256_CBC_SHA384)
ADR_BASE = /u01/app/oracle


Configure DBMS, OS and/or enterprise-level authentication/access mechanism to require multifactor authentication for network users logging on to non-privileged accounts.

If appropriate, enable support for Transport Layer Security (TLS) protocols and multifactor authentication through the use of Smart Cards (CAC/PIV).

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_multifactor_authentication_for_network_access_to_non_privileged_accounts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_multifactor_authentication_for_network_access_to_non_privileged_accounts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_multifactor_authentication_for_network_access_to_non_privileged_accounts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61705

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_multifactor_authentication_for_network_access_to_non_privileged_accounts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_multifactor_authentication_for_network_access_to_privileged_accounts"></a>`ora_secured::controls::use_multifactor_authentication_for_network_access_to_privileged_accounts`

ora_secured::controls::use_multifactor_authentication_for_network_access_to_privileged_accounts

If users logging on to privileged accounts via a network are not required to use multifactor authentication, this is a finding.

Use authentication to prove the identities of users who are attempting to log on to the database. Authenticating user identity is imperative in distributed environments, without which there can be little confidence in network security. Passwords are the most common means of authentication. Oracle Database enables strong authentication with Oracle authentication adapters that support various third-party authentication services, including TLS with digital certificates, as well as Smart Cards (CAC, PIV).

If the $ORACLE_HOME/network/admin/sqlnet.ora contains entries similar to the following, TLS is enabled. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

SQLNET.AUTHENTICATION_SERVICES= (BEQ, TCPS)
SSL_VERSION = 1.2
SSL_CLIENT_AUTHENTICATION = TRUE
WALLET_LOCATION =
(SOURCE =
(METHOD = FILE)
(METHOD_DATA =
(DIRECTORY = /u01/app/oracle/product/12.1.0/dbhome_1/owm/wallets)
)
)

SSL_CIPHER_SUITES= (SSL_RSA_WITH_AES_256_CBC_SHA384)
ADR_BASE = /u01/app/oracle


Configure DBMS, OS and/or enterprise-level authentication/access mechanism to require multifactor authentication for network users logging on to privileged accounts.

If appropriate, enable support for Transport Layer Security (TLS) protocols and multifactor authentication through the use of Smart Cards (CAC/PIV).

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_multifactor_authentication_for_network_access_to_privileged_accounts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_multifactor_authentication_for_network_access_to_privileged_accounts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_multifactor_authentication_for_network_access_to_privileged_accounts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61703

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_multifactor_authentication_for_network_access_to_privileged_accounts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms"></a>`ora_secured::controls::use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms`

ora_secured::controls::use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms

If encryption is required but not configured, check with the DBA and system administrator to see if other mechanisms or third-party cryptography products are deployed for authentication.

To see if Oracle is configured for FIPS 140-2 SSL/TLS authentication and/or Encryption:

Verify the DBMS version:
select * from V_$VERSION;
If the version displayed for Oracle Database is lower than 12.1.0.2, this is a finding.

If the operating system is Windows and the DBMS version is 12.1.0.2, use the opatch command to display the patches applied to the DBMS.

If the patches listed do not include "WINDOWS DB BUNDLE PATCH 12.1.0.2.7", this is a finding.

Open the fips.ora file in a browser or editor.  (The default location for fips.ora is $ORACLE_HOME/ldap/admin/ but alternate locations are possible. An alternate location, if it is in use, is specified in the FIPS_HOME environment variable.)

If the line "SSLFIPS_140=TRUE" is not found in fips.ora, or the file does not exist, this is a finding.

Utilize NIST-validated FIPS 140-2-compliant cryptography for all authentication mechanisms.

Where not already in effect, upgrade the DBMS to version 12.1.0.2 or higher.

Where the operating system is Windows and the DBMS version is 12.1.0.2, install patch "WINDOWS DB BUNDLE PATCH 12.1.0.2.7" if not already deployed.

Open the fips.ora file in an editor.  (The default location for fips.ora is $ORACLE_HOME/ldap/admin/ but alternate locations are possible. An alternate location, if it is in use, is specified in the FIPS_HOME environment variable.)
Create or modify fips.ora to include the line "SSLFIPS_140=TRUE".

- - - - -
The strength requirements are dependent upon data classification.

For unclassified data, where cryptography is required:
AES 128 for encryption
SHA 256 for hashing

NSA has established the suite B encryption requirements for protecting National Security Systems (NSS) as follows.
AES 128 for Secret
AES 256 for Top Secret
SHA 256 for Secret
SHA 384 for Top Secret

National Security System is defined as:
(OMB Circular A-130) Any telecommunications or information system operated by the United States Government, the function, operation, or use of which (1) involves intelligence activities; (2) involves cryptologic activities related to national security; (3) involves command and control of military forces; (4) involves equipment that is an integral part of a weapon or weapons system; or (5) is critical to the direct fulfillment of military or intelligence missions, but excluding any system that is to be used for routine administrative and business applications (including payroll, finance, logistics, and personnel management applications).

There is more information on this topic in the Oracle Database 12c Advanced Security Administrator's Guide, which may be found at https://docs.oracle.com/database/121/DBSEG/E48135-11.pdf. (Note, however, that because of changes in Oracle's licensing policy, it is no longer necessary to purchase Oracle Advanced Security to use network encryption and advanced authentication.)

FIPS 140-2 documentation can be downloaded from http://csrc.nist.gov/publications/PubsFIPS.html#140-2

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61747

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_nist_validated_fips_140_2_compliant_cryptography_for_authentication_mechanisms` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_of_external_executables_must_be_authorized"></a>`ora_secured::controls::use_of_external_executables_must_be_authorized`

ora_secured::controls::use_of_external_executables_must_be_authorized

Determine if there are methods to disable use or access, or to remove definitions for external executable objects.

Verify any application executable objects listed are authorized by the ISSO.

If any are not, this is a finding.
If the external executables or libraries are owned by ''SYS'' this is not a finding.


To check for external procedures, execute the following query which will provide the libraries containing external procedures, the owners of those libraries, users that have been granted access to those libraries, and the privileges they have been granted. If there are owners other than the owners that Oracle provides, then there may be executable objects stored either in the database or external to the database that are called by objects in the database. Check to see that those owners are authorized to access those libraries. If there are users that have been granted access to libraries provided by Oracle, check to see that they are authorized to access those libraries.

(connect as sysdba)
set linesize 130
column library_name format a25
column name format a15
column owner format a15
column grantee format a15
column privilege format a15
select library_name,owner, '' grantee, '' privilege
from dba_libraries where file_spec is not null
minus
(
select library_name,o.name owner, '' grantee, '' privilege
from dba_libraries l,
sys.user$ o,
sys.user$ ge,
sys.obj$ obj,
sys.objauth$ oa
where l.owner=o.name
and obj.owner#=o.user#
and obj.name=l.library_name
and oa.obj#=obj.obj#
and ge.user#=oa.grantee#
and l.file_spec is not null
)
union all
select library_name,o.name owner, --obj.obj#,oa.privilege#,
ge.name grantee,
tpm.name privilege
from dba_libraries l,
sys.user$ o,
sys.user$ ge,
sys.obj$ obj,
sys.objauth$ oa,
sys.table_privilege_map tpm
where l.owner=o.name
and obj.owner#=o.user#
and obj.name=l.library_name
and oa.obj#=obj.obj#
and ge.user#=oa.grantee#
and tpm.privilege=oa.privilege#
and l.file_spec is not null
/


Disable use of or remove any external application executable object definitions that are not authorized.

Revoke privileges granted to users that are not authorized access to external applications.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_of_external_executables_must_be_authorized: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_of_external_executables_must_be_authorized::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_of_external_executables_must_be_authorized` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61683

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_of_external_executables_must_be_authorized` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_of_the_dbms_installation_account_must_be_logged"></a>`ora_secured::controls::use_of_the_dbms_installation_account_must_be_logged`

ora_secured::controls::use_of_the_dbms_installation_account_must_be_logged

If use of this account is not monitored or procedures for monitoring its use do not exist or are incomplete, this is a finding.

Note: On Windows systems, The Oracle DBMS software is installed using an account with administrator privileges. Ownership should be reassigned to a dedicated OS account used to operate the DBMS software. If monitoring does not include all accounts with administrator privileges on the DBMS host, this is a finding.

Develop, document and implement a logging procedure for use of the DBMS software installation account that provides accountability to individuals for any actions taken by the account.

Host system audit logs should be included in the DBMS account usage log along with an indication of the person who accessed the account and an explanation for the access.

Ensure all accounts with administrator privileges are monitored for DBMS host on Windows OS platforms.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_of_the_dbms_installation_account_must_be_logged: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_of_the_dbms_installation_account_must_be_logged::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_of_the_dbms_installation_account_must_be_logged` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61489

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_of_the_dbms_installation_account_must_be_logged` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_of_the_dbms_software_installation_account_must_be_restricted"></a>`ora_secured::controls::use_of_the_dbms_software_installation_account_must_be_restricted`

ora_secured::controls::use_of_the_dbms_software_installation_account_must_be_restricted

Verify whether the account is used for anything involving interactive activity beyond DBMS software installation, upgrade, and maintenance actions.

If the account is used for anything involving interactive activity beyond DBMS software installation, upgrade, and maintenance actions, this is a finding.

Restrict interactive use of the DBMS software installation account to DBMS software installation, upgrade, and maintenance actions only.

If possible, disable installation accounts when authorized actions are not being performed. Otherwise, disable the use of the account(s) for interactive activity.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_of_the_dbms_software_installation_account_must_be_restricted: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_of_the_dbms_software_installation_account_must_be_restricted::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_of_the_dbms_software_installation_account_must_be_restricted` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61865

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_of_the_dbms_software_installation_account_must_be_restricted` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts"></a>`ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts`

ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts

If these mechanisms do not exist, this is a finding.

To check that network encryption is enabled and using site-specified encryption procedures, look in SQLNET.ORA, located at $ORACLE_HOME/network/admin/sqlnet.ora. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.) If encryption is set, entries like the following will be present:

SQLNET.CRYPTO_CHECKSUM_TYPES_SERVER= (SHA384)SQLNET.ENCRYPTION_TYPES_SERVER= (AES256)SQLNET.CRYPTO_CHECKSUM_SERVER = required

SQLNET.CRYPTO_CHECKSUM_TYPES_CLIENT= (SHA384)
SQLNET.ENCRYPTION_TYPES_CLIENT= (AES256)
SQLNET.CRYPTO_CHECKSUM_CLIENT = requested

(The values assigned to the parameters may be different, the combination of parameters may be different, and not all of the example parameters will necessarily exist in the file.)

Configure DBMS, OS and/or enterprise-level authentication/access mechanism to require organization-defined replay-resistant authentication mechanisms for network access to non-privileged accounts.

If appropriate, apply Oracle Data Network Encryption to protect against replay mechanisms.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61715

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_non_privd_accnts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuse_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts"></a>`ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts`

ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts

If these mechanisms do not exist, this is a finding.

To check that network encryption is enabled and using site-specified encryption procedures, look in SQLNET.ORA, located at $ORACLE_HOME/network/admin/sqlnet.ora. (Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.) If encryption is set, entries like the following will be present:

SQLNET.CRYPTO_CHECKSUM_TYPES_SERVER= (SHA384)SQLNET.ENCRYPTION_TYPES_SERVER= (AES256)SQLNET.CRYPTO_CHECKSUM_SERVER = required

SQLNET.CRYPTO_CHECKSUM_TYPES_CLIENT= (SHA384)
SQLNET.ENCRYPTION_TYPES_CLIENT= (AES256)
SQLNET.CRYPTO_CHECKSUM_CLIENT = requested

(The values assigned to the parameters may be different, the combination of parameters may be different, and not all of the example parameters will necessarily exist in the file.)

Configure DBMS, OS and/or enterprise-level authentication/access mechanism to utilize replay-resistant authentication mechanisms such as nonces (e.g., numbers generated for a specific one-time use) or challenges (e.g., TLS, WS_Security), and time synchronous or challenge-response one-time authenticators.

If appropriate, apply Oracle Data Network Encryption to protect against replay mechanisms.

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61713

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::use_org_def_replay_resistant_auth_mechs_for_netw_acc_to_privd_accnts` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsuser_audit_option_is_enabled"></a>`ora_secured::controls::user_audit_option_is_enabled`

ora_secured::controls::user_audit_option_is_enabled

database according to the roles and privileges allotted to the account. It may
also own database objects. Enabling the audit option causes auditing of all
activities and requests to create, drop or alter a user, including a user
changing their own password. (The latter is not audited by `audit ALTER USER`.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::user_audit_option_is_enabled: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::user_audit_option_is_enabled::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `user_audit_option_is_enabled` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V3.0.0](/docs/ora_secured/cis/db12c_V3.0.0.html) - paragraph 6.1.1
- [Oracle Database 18c CIS V1.0.0](/docs/ora_secured/cis/db18c_V1.0.0.html) - paragraph 6.1.1
- [Oracle Database 19c CIS V1.0.0](/docs/ora_secured/cis/db19c_V1.0.0.html) - paragraph 6.1.1

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::user_audit_option_is_enabled` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsutl_file_dir_is_empty"></a>`ora_secured::controls::utl_file_dir_is_empty`

The ora_secured::controls::utl_file_dir_is_empty class.

### <a name="ora_securedcontrolsverify_account_lockouts_persist_until_reset_by_an_administrator"></a>`ora_secured::controls::verify_account_lockouts_persist_until_reset_by_an_administrator`

ora_secured::controls::verify_account_lockouts_persist_until_reset_by_an_administrator

To see what profile is assigned to a user, enter the query:

SQL>SELECT profile FROM dba_users WHERE username = '<username>'

This will return the profile name assigned to that user.

The user profile, ORA_STIG_PROFILE, has been provided (starting with Oracle 12.1.0.2) to satisfy the STIG requirements pertaining to the profile parameters. Oracle recommends that this profile be customized with any site-specific requirements and assigned to all users where applicable.  Note: It remains necessary to create a customized replacement for the password validation function, ORA12C_STRONG_VERIFY_FUNCTION, if relying on this technique to verify password complexity.

Now check the values assigned to the profile returned from the query above:

column profile format a20
column limit format a20
SQL>SELECT PROFILE, RESOURCE_NAME, LIMIT FROM DBA_PROFILES WHERE PROFILE = 'ORA_STIG_PROFILE';

Check the settings for password_lock_time - this specifies how long to lock the account after the number of consecutive failed logon attempts reaches the limit. If the value is not UNLIMITED, this is a finding.

Configure the DBMS settings to specify indefinite lockout duration:
ALTER PROFILE ORA_STIG_PROFILE LIMIT PASSWORD_LOCK_TIME UNLIMITED;

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::verify_account_lockouts_persist_until_reset_by_an_administrator: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::verify_account_lockouts_persist_until_reset_by_an_administrator::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `verify_account_lockouts_persist_until_reset_by_an_administrator` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61603

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::verify_account_lockouts_persist_until_reset_by_an_administrator` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolsverify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information"></a>`ora_secured::controls::verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information`

ora_secured::controls::verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information

If neither a third-party application nor the OS is performing integrity verification of DBMS system files, this is a finding.

Utilize the OS or a third-party product to perform file verification of DBMS system file integrity.

(Using Oracle Configuration Manager with Enterprise Manager, configured to perform this verification, is one possible way of satisfying this requirement.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61787

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::verify_there_have_not_been_unauthorized_changes_to_the_dbms_software_and_information` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedcontrolswhen_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u"></a>`ora_secured::controls::when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u`

ora_secured::controls::when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u

If not, this is a finding.

Request evidence that all users of the tool are trained in the importance of not using the plain-text password option and in how to keep the password hidden; and that they adhere to this practice.  If not, this is a finding.

"For Oracle SQL*Plus, which cannot be configured not to accept a plain-text password, and any other essential tool with the same limitation:

1) Document the need for it, who uses it, and any relevant mitigations, and obtain AO approval.
2) Train all users of the tool in the importance of not using the plain-text password option and in how to keep the password hidden.

- - - - -
Consider wrapping the startup command with a shell or wrapper and using an Oracle external password store.

Oracle provides the capability to provide for a secure external password facility.  Use the Oracle mkstore to create a secure storage area for passwords for applications, batch jobs, and scripts to use or deploy a site-authorized facility to perform this function.

Check to see what has been stored in the Oracle External Password Store.

To view all contents of a client wallet external password store, check specific credentials by viewing them. Listing the external password store contents provides information used to decide whether to add or delete credentials from the store.  To list the contents of the external password store, enter the following command at the command line:

  $ mkstore -wrl wallet_location -listCredential

  For example:

  $ mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -listCredential

The wallet_location specifies the path to the directory where the wallet, whose external password store contents is to be viewed, is located. This command lists all of the credential database service names (aliases) and the corresponding user name (schema) for that database. Passwords are not listed.

Configuring Clients to Use the External Password Store

If the client is already configured to use external authentication, such as Windows native authentication or Transport Layer Security (TLS), then Oracle Database uses that authentication method. The same credentials used for this type of authentication are typically also used to log on to the database.

For clients not using such authentication methods or wanting to override them for database authentication, set the SQLNET.WALLET_OVERRIDE parameter in sqlnet.ora to TRUE. The default value for SQLNET.WALLET_OVERRIDE is FALSE, allowing standard use of authentication credentials as before.

If wanting a client to use the secure external password store feature, then perform the following configuration task:

1. Create a wallet on the client by using the following syntax at the command line:
orapki create -wallet wallet_location  -auto_login_local

For example:
orapki wallet create -wallet c:\oracle\product\12.1.0\db_1\wallets -auto_login_local
Enter password: password

The wallet_location is the path to the directory where the wallet is to be created and stored. This command creates an Oracle wallet with the autologon feature enabled at the location specified. The autologon feature enables the client to access the wallet contents without supplying a password.

The mkstore utility -create option uses password complexity verification.

2. Create database connection credentials in the wallet by using the following syntax at the command line:
mkstore -wrl wallet_location -createCredential db_connect_string username
Enter password: password

For example:
mkstore -wrl c:\oracle\product\12.1.0\db_1\wallets -createCredential oracle system
Enter password: password

In this specification:
The wallet_location is the path to the directory where the wallet was created.  The db_connect_string used in the CONNECT /@db_connect_string statement must be identical to the db_connect_string specified in the -createCredential command.

The db_connect_string is the TNS alias used to specify the database in the tnsnames.ora file or any service name used to identify the database on an Oracle network. By default, tnsnames.ora is located in the $ORACLE_HOME/network/admin directory on UNIX systems and in ORACLE_HOME\network\admin on Windows.

The username is the database logon credential. When prompted, enter the password for this user.

3. In the client sqlnet.ora file, enter the WALLET_LOCATION parameter and set it to the directory location of the wallet created in Step 1.  For example, if the wallet was created in $ORACLE_HOME/network/admin and the Oracle home is set to /private/ora12, then need to enter the following into the client sqlnet.ora file:

    WALLET_LOCATION =
           (SOURCE =
             (METHOD = FILE)
             (METHOD_DATA =
           (DIRECTORY = /private/ora12/network/admin)
           )
          )

4. In the client sqlnet.ora file, enter the SQLNET.WALLET_OVERRIDE parameter and set it to TRUE as follows:

       SQLNET.WALLET_OVERRIDE = TRUE

This setting causes all CONNECT /@db_connect_string statements to use the information in the wallet at the specified location to authenticate to databases.

When external authentication is in use, an authenticated user with such a wallet can use the CONNECT /@db_connect_string syntax to access the previously specified databases without providing a user name and password. However, if a user fails that external authentication, then these connect statements also fail.

Below is a sample sqlnet.ora file with the WALLET_LOCATION and the SQLNET.WALLET_OVERRIDE parameters set as described in Steps 3 and 4.

Below is a sample SQLNET.ORA File with Wallet Parameters Set

        WALLET_LOCATION =
            (SOURCE =
              (METHOD = FILE)
              (METHOD_DATA =
            (DIRECTORY = /private/ora12/network/admin)
              )
             )

        SQLNET.WALLET_OVERRIDE = TRUE
        SSL_CLIENT_AUTHENTICATION = FALSE
        SSL_VERSION =1.2

(Note: This assumes that a single sqlnet.ora file, in the default location, is in use. Please see the supplemental file "Non-default sqlnet.ora configurations.pdf" for how to find multiple and/or differently located sqlnet.ora files.)

## Skipping

To deliberately skip this control (e.g. meaning don't use Puppet to enforce this setting), we provide
you with three ways:

1) Add `ora_secured::controls::when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u: skip` to your hiera data. This will skip this control for **ALL** databases.
2) Add `ora_secured::controls::when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u::dbname: skip` to your hiera data. This will skip this control for specified database only.
3) Add an entry with the content `when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u` to the array value `ora_secured::skip_list` in your hiera data.



## Benchmarks

This control is used in the following benchmarks:

- [Oracle Database 12c CIS V1](/docs/ora_secured/stig/db12c_V1.html) - id V-61845

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::controls::when_using_command_line_tools_such_as_orcl_sqlplus_which_can_accept_a_plain_text_pwd_users_must_u` defined type:

* [`title`](#title)

##### <a name="title"></a>`title`

The SID to apply the control to.
All controls need an SID to apply the control to. Here is a simple example:
``` puppet
ora_secured::controls::control_name { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the control to.

### <a name="ora_securedensure_cis"></a>`ora_secured::ensure_cis`

ora_secured::ensure_cis

Apply **all** Oracle database CIS control to the specified database

Here is an example showing how to enable the CIS bencgmark for your database.:

``` puppet
ora_secured::ensure_cis { 'DBNAME':
  product_version => 'db19c',
  doc_version     => 'V1.0.0',
}
```

When you don't specify the `doc_version`, puppet automatically uses the latest version for your current `product_version`. If you also don't specify a `product_version`, Puppet will detect the version of Oracle running and use this to determine the `product_version`. There is, however, one issue with the detection. On an initial run Puppet canot determine what the Oracle version is. In that case, the ora_secured defined type will skip applying the CIS benchmark and wait until (hopefully) the next run the version of Oracle for specified sid is available.

When you want to skip certain controls, you can use the `skip_list`.

``` puppet
ora_secured::ensure_cis { 'DBNAME':
  product_version => 'db19c',
  doc_version     => 'V1.0.0',
  skip_list       => [
    'alter_database_link_action_audit_is_enabled',
    'alter_role_action_audit_is_enabled',
  ]
}
```

When you have multiple database on your system and want to use the same database version and CIS document version, you can do this:

``` puppet
ora_secured::Ensure_cis {
  product_version => 'db19c',
  doc_version     => 'V1.0.0',
  skip_list       => [
    'alter_database_link_action_audit_is_enabled',
    'alter_role_action_audit_is_enabled',
  ]
}

ora_secured::ensure_cis {'DB1':}
ora_secured::ensure_cis {'DB2':}
```

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::ensure_cis` defined type:

* [`title`](#title)
* [`product_version`](#product_version)
* [`doc_version`](#doc_version)
* [`all_controls`](#all_controls)
* [`nonpdb_controls`](#nonpdb_controls)
* [`skip_list`](#skip_list)

##### <a name="title"></a>`title`

The SID to apply the control to.
The CIS benchmark need an SID to apply the controls to. Here is a simple example:
``` puppet
ora_secured { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the controls to.

##### <a name="product_version"></a>`product_version`

Data type: `Optional[String[1]]`

The database version of the CIS benchmark you want to apply.
Although not very logical, you **can** apply an older (or newer) database version to your database.
If you also don't specify a `product_version`, Puppet will detect the version of Oracle running and use this to determine the `product_version`. There is, however, one issue with the detection. On an initial run Puppet canot determine what the Oracle version is. In that case, the ora_secured defined type will skip applying the CIS benchmark and wait until (hopefully) the next run the version of Oracle for specified sid is available.

Default value: `ora_secured::default_product_version($title)`

##### <a name="doc_version"></a>`doc_version`

Data type: `Optional[String[1]]`

The version of the CIS benchmark you want to apply to your database.
When you don't specify the `doc_version`, puppet automatically uses the latest version for your current `product_version`.

Default value: `ora_secured::default_doc_version($product_version, 'cis')`

##### <a name="all_controls"></a>`all_controls`

This is an internal parameter.
This is the Hash containing all paragraphs from the selected CIS benchmark.

##### <a name="nonpdb_controls"></a>`nonpdb_controls`

This is an internal parameter.
It contains all of the controls that don't run on a pluggable database.

##### <a name="skip_list"></a>`skip_list`

Data type: `Array`

This is the list of controls that you want to skip.
By default this vale is empty, meaning `ora_secured` will apply **ALL** controls. You must specifiy the name of the control. Here is an example on how to do this:
    ora_secured { 'MYDB':
      product_version  => 'db19c',
      doc_version => 'V1.0.0',
      skip_list   => [
        'alter_database_link_action_audit_is_enabled',
        'alter_role_action_audit_is_enabled',
      ]
    }

Default value: `[]`

### <a name="ora_securedensure_set"></a>`ora_secured::ensure_set`

ora_secured::ensure_set

With this defined type, you can select a subset of the CIS controls to ensure_set to your database. Currently the sets `BASIC`, `AUDIT_ONLY` and `ALL` are predefined.

You can also define your own sets. See [here](/docs/ora_secured/define_sets.html) on how to define your own levels.

Here is an example on how to use this:

```
ora_secured::ensure_set {'DB1:
  product_version => 'db19c',
  doc_version     => 'V1.0.0',
  set             => 'BASIC'
}
```

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::ensure_set` defined type:

* [`title`](#title)
* [`product_version`](#product_version)
* [`doc_version`](#doc_version)
* [`set`](#set)
* [`benchmark`](#benchmark)

##### <a name="title"></a>`title`

The SID to apply the set of controls to to.
`ora_secured::apply` need an SID to apply the controls to. Here is a simple example:
``` puppet
ora_secured::apply { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the controls to..

##### <a name="product_version"></a>`product_version`

Data type: `Optional[String[1]]`

The database version of the CIS benchmark you want to apply.
Although not very logical, you **can** apply an older (or newer) database version to your database.
If you also don't specify a `product_version`, Puppet will detect the version of Oracle running and use this to determine the `product_version`. There is, however, one issue with the detection. On an initial run Puppet canot determine what the Oracle version is. In that case, the ora_secured defined type will skip applying the CIS benchmark and wait until (hopefully) the next run the version of Oracle for specified sid is available.

Default value: `ora_secured::default_product_version($title)`

##### <a name="doc_version"></a>`doc_version`

Data type: `Optional[String[1]]`

The version of the CIS benchmark you want to apply to your database.
When you don't specify the `doc_version`, puppet automatically uses the latest version for your current `product_version`.

Default value: `ora_secured::default_doc_version($product_version, $benchmark)`

##### <a name="set"></a>`set`

Data type: `String[1]`

With this parameter, you can specify the set of CIS controls you want to apply to your database.
Currently, we have the following sets predefined:
- ALL
- BASIC
- AUDIT_ONLY
Check [here](/docs/ora_secured/predefined_sets.md) for a description of the predefined sets.

Default value: `'BASIC'`

##### <a name="benchmark"></a>`benchmark`

Data type: `Easy_type::Baseline_type`



Default value: `'cis'`

### <a name="ora_securedensure_stig"></a>`ora_secured::ensure_stig`

ora_secured::ensure_stig

Apply **all** Oracle database CIS control to the specified database

Here is an example showing how to enable the CIS bencgmark for your database.:

``` puppet
ora_secured::ensure_stig { 'DBNAME':
  product_version  => 'db19c',
  doc_version => 'V1.0.0',
}
```

When you don't specify the `doc_version`, puppet automatically uses the latest version for your current `product_version`. If you also don't specify a `product_version`, Puppet will detect the version of Oracle running and use this to determine the `product_version`. There is, however, one issue with the detection. On an initial run Puppet canot determine what the Oracle version is. In that case, the ora_secured::ensure_stig defined type will skip applying the CIS benchmark and wait until (hopefully) the next run the version of Oracle for specified sid is available.

When you want to skip certain controls, you can use the `skip_list`.

``` puppet
ora_secured::ensure_stig { 'DBNAME':
  product_version => 'db19c',
  doc_version     => 'V1.0.0',
  skip_list       => [
    'alter_database_link_action_audit_is_enabled',
    'alter_role_action_audit_is_enabled',
  ]
}
```

When you have multiple database on your system and want to use the same database version and CIS document version, you can do this:

``` puppet
ora_secured::Ensure_stig {
  product_version => 'db19c',
  doc_version     => 'V1.0.0',
  skip_list       => [
    'alter_database_link_action_audit_is_enabled',
    'alter_role_action_audit_is_enabled',
  ]
}

ora_secured::ensure_stig {'DB1':}
ora_secured::ensure_stig {'DB2':}
```

See the file "LICENSE" for the full license governing this code.

#### Parameters

The following parameters are available in the `ora_secured::ensure_stig` defined type:

* [`title`](#title)
* [`product_version`](#product_version)
* [`doc_version`](#doc_version)
* [`all_controls`](#all_controls)
* [`nonpdb_controls`](#nonpdb_controls)
* [`skip_list`](#skip_list)

##### <a name="title"></a>`title`

The SID to apply the control to.
The CIS benchmark need an SID to apply the controls to. Here is a simple example:
``` puppet
ora_secured { 'DBSID':}
```
In this example, the string DBSID is the sid to apply the controls to.

##### <a name="product_version"></a>`product_version`

Data type: `Optional[String[1]]`

The database version of the CIS benchmark you want to apply.
Although not very logical, you **can** apply an older (or newer) database version to your database.
If you also don't specify a `product_version`, Puppet will detect the version of Oracle running and use this to determine the `product_version`. There is, however, one issue with the detection. On an initial run Puppet canot determine what the Oracle version is. In that case, the ora_secured defined type will skip applying the CIS benchmark and wait until (hopefully) the next run the version of Oracle for specified sid is available.

Default value: `ora_secured::default_product_version($title)`

##### <a name="doc_version"></a>`doc_version`

Data type: `Optional[String[1]]`

The version of the CIS benchmark you want to apply to your database.
When you don't specify the `doc_version`, puppet automatically uses the latest version for your current `product_version`.

Default value: `ora_secured::default_doc_version($product_version, 'stig')`

##### <a name="all_controls"></a>`all_controls`

This is an internal parameter.
This is the Hash containing all paragraphs from the selected CIS benchmark.

##### <a name="nonpdb_controls"></a>`nonpdb_controls`

This is an internal parameter.
It contains all of the controls that don't run on a pluggable database.

##### <a name="skip_list"></a>`skip_list`

Data type: `Array`

This is the list of controls that you want to skip.
By default this vale is empty, meaning `ora_secured` will apply **ALL** controls. You must specifiy the name of the control. Here is an example on how to do this:
    ora_secured { 'MYDB':
      product_version  => 'db19c',
      doc_version => 'V1.0.0',
      skip_list   => [
        'alter_database_link_action_audit_is_enabled',
        'alter_role_action_audit_is_enabled',
      ]
    }

Default value: `[]`

### <a name="ora_securedinternalaudit_option"></a>`ora_secured::internal::audit_option`

See the file "LICENSE" for the full license governing this code.


Set the init.ora param to the specfied value

$title      audit option including the sid e.g. ALTER@SID

### <a name="ora_securedinternalaudit_policy"></a>`ora_secured::internal::audit_policy`

See the file "LICENSE" for the full license governing this code.


Set the specific property of a profile

$title      iprofile setting including the sid e.g. AUDIT_SYS_OPERATIONS@SID
$value      Value to set the paremeter ro
$exclude    the profiles to exclude e.g. not apply the rule to

#### Parameters

The following parameters are available in the `ora_secured::internal::audit_policy` defined type:

* [`value`](#value)

##### <a name="value"></a>`value`

Data type: `Any`



### <a name="ora_securedinternalparameter"></a>`ora_secured::internal::parameter`

See the file "LICENSE" for the full license governing this code.


Set the init.ora param to the specfied value

$title      init,.ora parameter including the sid e.g. AUDIT_SYS_OPERATIONS@SID
$value      Value to set the paremeter ro
$ensure     Absent or present. Default 'present'

#### Parameters

The following parameters are available in the `ora_secured::internal::parameter` defined type:

* [`value`](#value)
* [`ensure`](#ensure)

##### <a name="value"></a>`value`

Data type: `Any`



##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

### <a name="ora_securedinternalprofile_setting"></a>`ora_secured::internal::profile_setting`

See the file "LICENSE" for the full license governing this code.


Set the specific property of a profile

$title      iprofile setting including the sid e.g. AUDIT_SYS_OPERATIONS@SID
$value      Value to set the paremeter ro
$exclude    the profiles to exclude e.g. not apply the rule to

#### Parameters

The following parameters are available in the `ora_secured::internal::profile_setting` defined type:

* [`value`](#value)
* [`exclude`](#exclude)
* [`only`](#only)

##### <a name="value"></a>`value`

Data type: `Any`



##### <a name="exclude"></a>`exclude`

Data type: `Array`



##### <a name="only"></a>`only`

Data type: `Array`



### <a name="ora_securedinternalrevoke_admin_role_grants"></a>`ora_secured::internal::revoke_admin_role_grants`

See the file "LICENSE" for the full license governing this code.


Revoke specific system grants to the specfied resources

$sid      the grant including the sid e.g. DBMS_JAVA@SID
$exclude  the users to exclude, e.g. not revoke
$grant    the

#### Parameters

The following parameters are available in the `ora_secured::internal::revoke_admin_role_grants` defined type:

* [`sid`](#sid)
* [`role`](#role)
* [`grant`](#grant)

##### <a name="sid"></a>`sid`

Data type: `String`



##### <a name="role"></a>`role`

Data type: `String`



##### <a name="grant"></a>`grant`

Data type: `String`



### <a name="ora_securedinternalrevoke_admin_user_grants"></a>`ora_secured::internal::revoke_admin_user_grants`

See the file "LICENSE" for the full license governing this code.


Revoke specific system grants to the specfied resources

$sid      the grant including the sid e.g. DBMS_JAVA@SID
$exclude  the users to exclude, e.g. not revoke
$grant    the

#### Parameters

The following parameters are available in the `ora_secured::internal::revoke_admin_user_grants` defined type:

* [`sid`](#sid)
* [`user`](#user)
* [`grant`](#grant)

##### <a name="sid"></a>`sid`

Data type: `String`



##### <a name="user"></a>`user`

Data type: `String`



##### <a name="grant"></a>`grant`

Data type: `String`



### <a name="ora_securedinternalrevoke_public_grants"></a>`ora_secured::internal::revoke_public_grants`

See the file "LICENSE" for the full license governing this code.


Revoke public grants to the specfied resources

$title      the grant including the sid e.g. DBMS_JAVA@SID

### <a name="ora_securedinternalrevoke_role_rights"></a>`ora_secured::internal::revoke_role_rights`

See the file "LICENSE" for the full license governing this code.


Revoke public grants to the specfied resources

$title      the grant including the sid e.g. DBMS_JAVA@SID
$exclude     The users to exclude, e.g. not revoke

#### Parameters

The following parameters are available in the `ora_secured::internal::revoke_role_rights` defined type:

* [`exclude`](#exclude)

##### <a name="exclude"></a>`exclude`

Data type: `Array`



### <a name="ora_securedinternalrevoke_specific_system_grant"></a>`ora_secured::internal::revoke_specific_system_grant`

See the file "LICENSE" for the full license governing this code.


Revoke specific system grants to the specfied resources

$sid      the grant including the sid e.g. DBMS_JAVA@SID
$exclude  the users to exclude, e.g. not revoke
$grant    the

#### Parameters

The following parameters are available in the `ora_secured::internal::revoke_specific_system_grant` defined type:

* [`sid`](#sid)
* [`grantee`](#grantee)
* [`grant`](#grant)

##### <a name="sid"></a>`sid`

Data type: `String`



##### <a name="grantee"></a>`grantee`

Data type: `String`



##### <a name="grant"></a>`grant`

Data type: `String`



### <a name="ora_securedinternalrevoke_user_rights"></a>`ora_secured::internal::revoke_user_rights`

See the file "LICENSE" for the full license governing this code.


Revoke public grants to the specfied resources

$title      the grant including the sid e.g. DBMS_JAVA@SID
$exclude    The users to exclude, e.g. not revoke

#### Parameters

The following parameters are available in the `ora_secured::internal::revoke_user_rights` defined type:

* [`exclude`](#exclude)

##### <a name="exclude"></a>`exclude`

Data type: `Array`



## Resource types

### <a name="ora_secured_setup"></a>`ora_secured_setup`

Start the setup for applying ora_secured classes.

#### Properties

The following properties are available in the `ora_secured_setup` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `ora_secured_setup` type.

* [`provider`](#provider)

##### <a name="provider"></a>`provider`

The specific backend to use for this `ora_secured_setup` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

## Functions

### <a name="ora_secureddefault_doc_version"></a>`ora_secured::default_doc_version`

Type: Ruby 4.x API

It uses the following algorithmn:

1. Use the specified version for this database
2. Use a generic specified version for all databases
3. Use the latest version available for thos product_version

See the file "LICENSE" for the full license governing this code.

#### `ora_secured::default_doc_version(Optional[String[1]] $product_version, Enum['cis','stig'] $benchmark)`

It uses the following algorithmn:

1. Use the specified version for this database
2. Use a generic specified version for all databases
3. Use the latest version available for thos product_version

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `product_version`

Data type: `Optional[String[1]]`



##### `benchmark`

Data type: `Enum['cis','stig']`



### <a name="ora_secureddefault_product_version"></a>`ora_secured::default_product_version`

Type: Ruby 4.x API

This function determins the  product_version to use for this call. It uses the following algorithmn:

1. Use the specified version for this database
2. Use a generic specified version for all databases
3. Check if fact ora_version is set. If not, return an undef
4. Use the version based on the version of the database

See the file "LICENSE" for the full license governing this code.

#### `ora_secured::default_product_version(String[1] $sid)`

This function determins the  product_version to use for this call. It uses the following algorithmn:

1. Use the specified version for this database
2. Use a generic specified version for all databases
3. Check if fact ora_version is set. If not, return an undef
4. Use the version based on the version of the database

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `sid`

Data type: `String[1]`



### <a name="ora_securedfilter_controls"></a>`ora_secured::filter_controls`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.

#### `ora_secured::filter_controls(String[1] $title, Hash[String[1], String[1]] $controls)`

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `title`

Data type: `String[1]`



##### `controls`

Data type: `Hash[String[1], String[1]]`



### <a name="ora_securedlookup_setting"></a>`ora_secured::lookup_setting`

Type: Ruby 4.x API

Based on this information a hiera key is constructed. First we look up the most
specfic key. Then we lookup the more global key. As an example the following
puppet code:

define ora_secured::rules::r_1_2(
  Array   $ignore = lookup_setting('ignore', []),
  ...

beeing called as:
  ora_secured::rules::r_1_2 { 'DB02':}

will result in a first lookup of the most specific key

  ora_secured::rules::r_1_2::db02::ignore

when this key is not found, it will lookup the more global key beeing:

  ora_secured::rules::r_1_2::ignore

If this is also not found, we return the specfied default value


See the file "LICENSE" for the full license governing this code.

#### `ora_secured::lookup_setting(String $key, Any $default_value)`

Based on this information a hiera key is constructed. First we look up the most
specfic key. Then we lookup the more global key. As an example the following
puppet code:

define ora_secured::rules::r_1_2(
  Array   $ignore = lookup_setting('ignore', []),
  ...

beeing called as:
  ora_secured::rules::r_1_2 { 'DB02':}

will result in a first lookup of the most specific key

  ora_secured::rules::r_1_2::db02::ignore

when this key is not found, it will lookup the more global key beeing:

  ora_secured::rules::r_1_2::ignore

If this is also not found, we return the specfied default value


See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `key`

Data type: `String`



##### `default_value`

Data type: `Any`



### <a name="ora_securedrandom_id"></a>`ora_secured::random_id`

Type: Ruby 4.x API

See the file "LICENSE" for the full license governing this code.

#### `ora_secured::random_id(Integer $length)`

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `length`

Data type: `Integer`



### <a name="ora_securedvalidate_cis_versions"></a>`ora_secured::validate_cis_versions`

Type: Ruby 4.x API

If not give a readable error message that shows available versions

See the file "LICENSE" for the full license governing this code.

#### `ora_secured::validate_cis_versions(String $product_version, String $doc_version)`

If not give a readable error message that shows available versions

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `product_version`

Data type: `String`



##### `doc_version`

Data type: `String`



### <a name="ora_securedvalidate_stig_versions"></a>`ora_secured::validate_stig_versions`

Type: Ruby 4.x API

If not give a readable error message that shows available versions

See the file "LICENSE" for the full license governing this code.

#### `ora_secured::validate_stig_versions(String $product_version, String $doc_version)`

If not give a readable error message that shows available versions

See the file "LICENSE" for the full license governing this code.

Returns: `Any`

##### `product_version`

Data type: `String`



##### `doc_version`

Data type: `String`



